﻿#ifndef LIBRETRO_CORE_OPTIONS_INTL_H__
#define LIBRETRO_CORE_OPTIONS_INTL_H__

#if defined(_MSC_VER) && (_MSC_VER >= 1500 && _MSC_VER < 1900)
/* https://support.microsoft.com/en-us/kb/980263 */
#pragma execution_character_set("utf-8")
#pragma warning(disable:4566)
#endif

#include <libretro.h>

/*
 ********************************
 * VERSION: 1.3
 ********************************
 *
 * - 1.3: Move translations to libretro_core_options_intl.h
 *        - libretro_core_options_intl.h includes BOM and utf-8
 *          fix for MSVC 2010-2013
 *        - Added HAVE_NO_LANGEXTRA flag to disable translations
 *          on platforms/compilers without BOM support
 * - 1.2: Use core options v1 interface when
 *        RETRO_ENVIRONMENT_GET_CORE_OPTIONS_VERSION is >= 1
 *        (previously required RETRO_ENVIRONMENT_GET_CORE_OPTIONS_VERSION == 1)
 * - 1.1: Support generation of core options v0 retro_core_option_value
 *        arrays containing options with a single value
 * - 1.0: First commit
*/

#ifdef __cplusplus
extern "C" {
#endif

/*
 ********************************
 * Core Option Definitions
 ********************************
*/
/* RETRO_LANGUAGE_AR */

#define CATEGORY_SYSTEM_LABEL_AR "نظام"
#define CATEGORY_SYSTEM_INFO_0_AR NULL
#define CATEGORY_VIDEO_LABEL_AR "الفيديو"
#define CATEGORY_VIDEO_INFO_0_AR NULL
#define CATEGORY_AUDIO_LABEL_AR "الصوت"
#define CATEGORY_AUDIO_INFO_0_AR NULL
#define CATEGORY_INPUT_LABEL_AR "أجهزة الادخال"
#define CATEGORY_INPUT_INFO_0_AR NULL
#define CATEGORY_HACKS_LABEL_AR NULL
#define CATEGORY_HACKS_INFO_0_AR NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_AR NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_AR NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_AR NULL
#define OPTION_VAL_AUTO_AR "تلقائي"
#define OPTION_VAL_SG_1000_AR NULL
#define OPTION_VAL_SG_1000_II_AR NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_AR NULL
#define OPTION_VAL_MARK_III_AR NULL
#define OPTION_VAL_MASTER_SYSTEM_AR NULL
#define OPTION_VAL_MASTER_SYSTEM_II_AR NULL
#define OPTION_VAL_GAME_GEAR_AR NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_AR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_AR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_AR NULL
#define OPTION_VAL_NTSC_U_AR NULL
#define OPTION_VAL_PAL_AR NULL
#define OPTION_VAL_NTSC_J_AR NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_AR "فرض وضع VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_AR NULL
#define OPTION_VAL_60HZ_AR NULL
#define OPTION_VAL_50HZ_AR NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_AR NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_AR NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_AR NULL
#define OPTION_VAL_PER_BIOS_AR NULL
#define OPTION_VAL_PER_GAME_AR NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_AR NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_AR NULL
#define OPTION_VAL_PER_CART_AR NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_AR NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_AR NULL
#define OPTION_VAL_128K_AR NULL
#define OPTION_VAL_256K_AR NULL
#define OPTION_VAL_512K_AR NULL
#define OPTION_VAL_1MEG_AR NULL
#define OPTION_VAL_2MEG_AR NULL
#define OPTION_VAL_4MEG_AR NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_AR NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_AR NULL
#define OPTION_VAL_SEGA_MEGA_CD_AR NULL
#define OPTION_VAL_MEGASD_AR NULL
#define OPTION_VAL_NONE_AR "لاشيء"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_AR NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_AR NULL
#define OPTION_VAL_GAME_GENIE_AR NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_AR NULL
#define OPTION_VAL_SONIC_KNUCKLES_AR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_AR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_AR NULL
#define OPTION_VAL_NTSC_PAR_AR NULL
#define OPTION_VAL_PAL_PAR_AR NULL
#define OPTION_VAL_4_3_AR NULL
#define OPTION_VAL_UNCORRECTED_AR NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_AR NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_AR NULL
#define OPTION_VAL_TOP_BOTTOM_AR NULL
#define OPTION_VAL_LEFT_RIGHT_AR NULL
#define OPTION_VAL_FULL_AR NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_AR NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_AR NULL
#define OPTION_VAL_LEFT_BORDER_AR NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_AR NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_AR NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_AR NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_AR NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_AR NULL
#define OPTION_VAL_MONOCHROME_AR "أحادي اللون"
#define OPTION_VAL_COMPOSITE_AR NULL
#define OPTION_VAL_SVIDEO_AR NULL
#define OPTION_VAL_RGB_AR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_AR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_AR NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_AR NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_AR NULL
#define OPTION_VAL_SINGLE_FIELD_AR NULL
#define OPTION_VAL_DOUBLE_FIELD_AR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_AR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_AR NULL
#define OPTION_VAL_MANUAL_AR "يدوي"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_AR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_AR "عندما يتم تعيين 'Frameskip' إلى 'يدوي'، يحدد عتبة شغل التخزين المؤقت الصوتي (النسبة المئوية) التي سيتم تخطي الأطر أدناه. فارتفاع القيم يقلل من خطر التشويش بالتسبب في انخفاض الأطر بصورة أكثر تواترا."
#define GENESIS_PLUS_GX_YM2413_LABEL_AR NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_AR NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_AR NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_AR NULL
#define OPTION_VAL_MAME_AR NULL
#define OPTION_VAL_NUKED_AR NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_AR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_AR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_AR NULL
#define OPTION_VAL_MAME_YM2612_AR NULL
#define OPTION_VAL_MAME_ASIC_YM3438_AR NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_AR NULL
#define OPTION_VAL_NUKED_YM2612_AR NULL
#define OPTION_VAL_NUKED_YM3438_AR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_AR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_AR NULL
#define OPTION_VAL_STEREO_AR NULL
#define OPTION_VAL_MONO_AR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_AR "تصفية الصوت"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_AR NULL
#define OPTION_VAL_LOW_PASS_AR NULL
#define OPTION_VAL_EQ_AR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_AR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_AR NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_AR NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_AR NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_AR NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_AR NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_AR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_AR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_AR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_AR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_AR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_AR NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_AR NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_AR NULL
#define OPTION_VAL_LIGHTGUN_AR NULL
#define OPTION_VAL_TOUCHSCREEN_AR NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_AR NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_AR NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_AR NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_AR NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_AR NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_AR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_AR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_AR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_AR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_AR NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_AR NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_AR NULL
#define OPTION_VAL_100_AR NULL
#define OPTION_VAL_125_AR NULL
#define OPTION_VAL_150_AR NULL
#define OPTION_VAL_175_AR NULL
#define OPTION_VAL_200_AR NULL
#define OPTION_VAL_225_AR NULL
#define OPTION_VAL_250_AR NULL
#define OPTION_VAL_275_AR NULL
#define OPTION_VAL_300_AR NULL
#define OPTION_VAL_325_AR NULL
#define OPTION_VAL_350_AR NULL
#define OPTION_VAL_375_AR NULL
#define OPTION_VAL_400_AR NULL
#define OPTION_VAL_425_AR NULL
#define OPTION_VAL_450_AR NULL
#define OPTION_VAL_475_AR NULL
#define OPTION_VAL_500_AR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_AR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_AR NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_AR NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_AR NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_AR NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_AR NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_AR NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_AR NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_AR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_AR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_AR NULL

struct retro_core_option_v2_category option_cats_ar[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_AR,
      CATEGORY_SYSTEM_INFO_0_AR
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_AR,
      CATEGORY_VIDEO_INFO_0_AR
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_AR,
      CATEGORY_AUDIO_INFO_0_AR
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_AR,
      CATEGORY_INPUT_INFO_0_AR
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_AR,
      CATEGORY_HACKS_INFO_0_AR
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_AR,
      CATEGORY_CHANNEL_VOLUME_INFO_0_AR
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_ar[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_AR,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_AR                 },
         { "sg-1000",              OPTION_VAL_SG_1000_AR              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_AR           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_AR},
         { "mark-III",             OPTION_VAL_MARK_III_AR             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_AR        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_AR     },
         { "game gear",            OPTION_VAL_GAME_GEAR_AR            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_AR   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_AR,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_AR   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_AR },
         { "pal",     OPTION_VAL_PAL_AR    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_AR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_AR,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_AR },
         { "50hz",  OPTION_VAL_50HZ_AR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_AR,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_AR,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_AR },
         { "per game", OPTION_VAL_PER_GAME_AR },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_AR,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_AR },
         { "per game", OPTION_VAL_PER_GAME_AR },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_AR,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_AR  },
         { "256k",     OPTION_VAL_256K_AR  },
         { "512k",     OPTION_VAL_512K_AR  },
         { "1meg",     OPTION_VAL_1MEG_AR    },
         { "2meg",     OPTION_VAL_2MEG_AR    },
         { "4meg",     OPTION_VAL_4MEG_AR    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_AR,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_AR },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_AR },
         { "megasd",       OPTION_VAL_MEGASD_AR },
         { "none",         OPTION_VAL_NONE_AR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_AR,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_AR },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_AR },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_AR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_AR,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_AR },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_AR },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_AR },
         { "4:3",  OPTION_VAL_4_3_AR },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_AR },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_AR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_AR },
         { "left/right", OPTION_VAL_LEFT_RIGHT_AR },
         { "full",       OPTION_VAL_FULL_AR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_AR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_AR },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_AR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_AR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_AR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_AR },
         { "composite",  OPTION_VAL_COMPOSITE_AR },
         { "svideo",     OPTION_VAL_SVIDEO_AR },
         { "rgb",        OPTION_VAL_RGB_AR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_AR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_AR,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_AR },
         { "double field", OPTION_VAL_DOUBLE_FIELD_AR },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_AR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_AR },
         { "manual",   OPTION_VAL_MANUAL_AR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_AR,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_AR,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_AR },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_AR,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_AR },
         { "nuked", OPTION_VAL_NUKED_AR },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_AR,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_AR,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_AR,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_AR },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_AR },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_AR },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_AR },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_AR },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_AR,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_AR },
         { "mono",   OPTION_VAL_MONO_AR },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_AR,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_AR },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_AR },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_AR,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_AR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_AR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_AR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_AR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_AR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_AR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_AR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_AR,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_AR },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_AR },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_AR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_AR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_AR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_AR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_AR,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_AR,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_AR },
         { "125", OPTION_VAL_125_AR },
         { "150", OPTION_VAL_150_AR },
         { "175", OPTION_VAL_175_AR },
         { "200", OPTION_VAL_200_AR },
         { "225", OPTION_VAL_225_AR },
         { "250", OPTION_VAL_250_AR },
         { "275", OPTION_VAL_275_AR },
         { "300", OPTION_VAL_300_AR },
         { "325", OPTION_VAL_325_AR },
         { "350", OPTION_VAL_350_AR },
         { "375", OPTION_VAL_375_AR },
         { "400", OPTION_VAL_400_AR },
         { "425", OPTION_VAL_425_AR },
         { "450", OPTION_VAL_450_AR },
         { "475", OPTION_VAL_475_AR },
         { "500", OPTION_VAL_500_AR },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_AR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_AR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_AR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_AR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_AR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_AR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_ar = {
   option_cats_ar,
   option_defs_ar
};

/* RETRO_LANGUAGE_AST */

#define CATEGORY_SYSTEM_LABEL_AST "Sistema"
#define CATEGORY_SYSTEM_INFO_0_AST NULL
#define CATEGORY_VIDEO_LABEL_AST "Videu"
#define CATEGORY_VIDEO_INFO_0_AST NULL
#define CATEGORY_AUDIO_LABEL_AST "Audiu"
#define CATEGORY_AUDIO_INFO_0_AST NULL
#define CATEGORY_INPUT_LABEL_AST "Entrada"
#define CATEGORY_INPUT_INFO_0_AST NULL
#define CATEGORY_HACKS_LABEL_AST "Hacks de la emulación"
#define CATEGORY_HACKS_INFO_0_AST NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_AST "Configuración avanzada del volume de les canales"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_AST "Hardware del sistema"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_AST NULL
#define OPTION_VAL_AUTO_AST NULL
#define OPTION_VAL_SG_1000_AST NULL
#define OPTION_VAL_SG_1000_II_AST NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_AST NULL
#define OPTION_VAL_MARK_III_AST NULL
#define OPTION_VAL_MASTER_SYSTEM_AST NULL
#define OPTION_VAL_MASTER_SYSTEM_II_AST NULL
#define OPTION_VAL_GAME_GEAR_AST NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_AST NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_AST "Rexón del sistema"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_AST NULL
#define OPTION_VAL_NTSC_U_AST NULL
#define OPTION_VAL_PAL_AST NULL
#define OPTION_VAL_NTSC_J_AST NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_AST NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_AST NULL
#define OPTION_VAL_60HZ_AST "NTSC (60 Hz)"
#define OPTION_VAL_50HZ_AST "PAL (50 Hz)"
#define GENESIS_PLUS_GX_BIOS_LABEL_AST NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_AST NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_AST NULL
#define OPTION_VAL_PER_BIOS_AST NULL
#define OPTION_VAL_PER_GAME_AST NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_AST NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_AST NULL
#define OPTION_VAL_PER_CART_AST NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_AST NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_AST NULL
#define OPTION_VAL_128K_AST NULL
#define OPTION_VAL_256K_AST NULL
#define OPTION_VAL_512K_AST NULL
#define OPTION_VAL_1MEG_AST NULL
#define OPTION_VAL_2MEG_AST NULL
#define OPTION_VAL_4MEG_AST NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_AST NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_AST NULL
#define OPTION_VAL_SEGA_MEGA_CD_AST NULL
#define OPTION_VAL_MEGASD_AST NULL
#define OPTION_VAL_NONE_AST NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_AST "Lock-On de cartuchos"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_AST "La teunoloxía Lock-On ye una función de Mega Drive que permitía a los xuegos conectase al puertu d'interconexón d'un cartuchu especial p'aumenta o alteriar el so conteníu. Esta opción especifica qué tipu de cartuchu Lock-On especial hai qu'emular. Los ficheros de BIOS correspondientes han tar nel direutoriu «system» de RetroArch."
#define OPTION_VAL_GAME_GENIE_AST NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_AST NULL
#define OPTION_VAL_SONIC_KNUCKLES_AST NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_AST "Proporción d'aspeutu fornida pol nucleu"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_AST NULL
#define OPTION_VAL_NTSC_PAR_AST NULL
#define OPTION_VAL_PAL_PAR_AST NULL
#define OPTION_VAL_4_3_AST NULL
#define OPTION_VAL_UNCORRECTED_AST NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_AST "Berbesos"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_AST NULL
#define OPTION_VAL_TOP_BOTTOM_AST NULL
#define OPTION_VAL_LEFT_RIGHT_AST NULL
#define OPTION_VAL_FULL_AST NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_AST NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_AST NULL
#define OPTION_VAL_LEFT_BORDER_AST NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_AST NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_AST NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_AST NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_AST NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_AST NULL
#define OPTION_VAL_MONOCHROME_AST NULL
#define OPTION_VAL_COMPOSITE_AST NULL
#define OPTION_VAL_SVIDEO_AST NULL
#define OPTION_VAL_RGB_AST NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_AST NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_AST NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_AST NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_AST NULL
#define OPTION_VAL_SINGLE_FIELD_AST "Campu únicu"
#define OPTION_VAL_DOUBLE_FIELD_AST "Campu doble"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_AST "Saltu de cuadros"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_AST NULL
#define OPTION_VAL_MANUAL_AST NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_AST NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_AST NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_AST NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_AST NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_AST NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_AST NULL
#define OPTION_VAL_MAME_AST NULL
#define OPTION_VAL_NUKED_AST NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_AST "FM de Mega Drive/Genesis"
#define GENESIS_PLUS_GX_YM2612_INFO_0_AST NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_AST NULL
#define OPTION_VAL_MAME_YM2612_AST NULL
#define OPTION_VAL_MAME_ASIC_YM3438_AST NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_AST NULL
#define OPTION_VAL_NUKED_YM2612_AST NULL
#define OPTION_VAL_NUKED_YM3438_AST NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_AST "Salida del soníu"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_AST NULL
#define OPTION_VAL_STEREO_AST "Estéreu"
#define OPTION_VAL_MONO_AST "Monu"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_AST NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_AST NULL
#define OPTION_VAL_LOW_PASS_AST NULL
#define OPTION_VAL_EQ_AST "Equalizador"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_AST NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_AST NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_AST NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_AST NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_AST NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_AST NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_AST NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_AST NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_AST NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_AST NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_AST NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_AST NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_AST NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_AST NULL
#define OPTION_VAL_LIGHTGUN_AST NULL
#define OPTION_VAL_TOUCHSCREEN_AST "Pantalla táctil"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_AST NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_AST NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_AST NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_AST NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_AST NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_AST NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_AST NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_AST NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_AST NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_AST NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_AST "Velocidá de la CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_AST NULL
#define OPTION_VAL_100_AST NULL
#define OPTION_VAL_125_AST NULL
#define OPTION_VAL_150_AST NULL
#define OPTION_VAL_175_AST NULL
#define OPTION_VAL_200_AST NULL
#define OPTION_VAL_225_AST NULL
#define OPTION_VAL_250_AST NULL
#define OPTION_VAL_275_AST NULL
#define OPTION_VAL_300_AST NULL
#define OPTION_VAL_325_AST NULL
#define OPTION_VAL_350_AST NULL
#define OPTION_VAL_375_AST NULL
#define OPTION_VAL_400_AST NULL
#define OPTION_VAL_425_AST NULL
#define OPTION_VAL_450_AST NULL
#define OPTION_VAL_475_AST NULL
#define OPTION_VAL_500_AST NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_AST "Bloqueos del sistema"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_AST "Emula los bloqueos del sistema que se producen nel hardware real cuando s'accede a direiciones illegales. Esta opción namás habría desactivase cuando se xueguen ciertes demos ya programes homebrew que s'enconten nel comportamientu illegal pa funcionar correutamente."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_AST NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_AST NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_AST NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_AST NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_AST NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_AST NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_AST NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_AST NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_AST NULL

struct retro_core_option_v2_category option_cats_ast[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_AST,
      CATEGORY_SYSTEM_INFO_0_AST
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_AST,
      CATEGORY_VIDEO_INFO_0_AST
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_AST,
      CATEGORY_AUDIO_INFO_0_AST
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_AST,
      CATEGORY_INPUT_INFO_0_AST
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_AST,
      CATEGORY_HACKS_INFO_0_AST
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_AST,
      CATEGORY_CHANNEL_VOLUME_INFO_0_AST
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_ast[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_AST,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_AST                 },
         { "sg-1000",              OPTION_VAL_SG_1000_AST              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_AST           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_AST},
         { "mark-III",             OPTION_VAL_MARK_III_AST             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_AST        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_AST     },
         { "game gear",            OPTION_VAL_GAME_GEAR_AST            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_AST   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_AST,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_AST   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_AST },
         { "pal",     OPTION_VAL_PAL_AST    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_AST },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_AST,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_AST },
         { "50hz",  OPTION_VAL_50HZ_AST },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_AST,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_AST,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_AST },
         { "per game", OPTION_VAL_PER_GAME_AST },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_AST,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_AST },
         { "per game", OPTION_VAL_PER_GAME_AST },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_AST,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_AST  },
         { "256k",     OPTION_VAL_256K_AST  },
         { "512k",     OPTION_VAL_512K_AST  },
         { "1meg",     OPTION_VAL_1MEG_AST    },
         { "2meg",     OPTION_VAL_2MEG_AST    },
         { "4meg",     OPTION_VAL_4MEG_AST    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_AST,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_AST },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_AST },
         { "megasd",       OPTION_VAL_MEGASD_AST },
         { "none",         OPTION_VAL_NONE_AST },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_AST,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_AST },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_AST },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_AST },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_AST,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_AST },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_AST },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_AST },
         { "4:3",  OPTION_VAL_4_3_AST },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_AST },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_AST,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_AST },
         { "left/right", OPTION_VAL_LEFT_RIGHT_AST },
         { "full",       OPTION_VAL_FULL_AST },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_AST,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_AST },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_AST },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_AST,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_AST,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_AST },
         { "composite",  OPTION_VAL_COMPOSITE_AST },
         { "svideo",     OPTION_VAL_SVIDEO_AST },
         { "rgb",        OPTION_VAL_RGB_AST },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_AST,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_AST,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_AST },
         { "double field", OPTION_VAL_DOUBLE_FIELD_AST },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_AST,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_AST },
         { "manual",   OPTION_VAL_MANUAL_AST },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_AST,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_AST,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_AST },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_AST,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_AST },
         { "nuked", OPTION_VAL_NUKED_AST },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_AST,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_AST,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_AST,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_AST },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_AST },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_AST },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_AST },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_AST },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_AST,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_AST },
         { "mono",   OPTION_VAL_MONO_AST },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_AST,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_AST },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_AST },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_AST,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_AST,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_AST,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_AST,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_AST,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_AST,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_AST,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_AST,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_AST,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_AST },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_AST },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_AST,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_AST,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_AST,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_AST,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_AST,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_AST,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_AST },
         { "125", OPTION_VAL_125_AST },
         { "150", OPTION_VAL_150_AST },
         { "175", OPTION_VAL_175_AST },
         { "200", OPTION_VAL_200_AST },
         { "225", OPTION_VAL_225_AST },
         { "250", OPTION_VAL_250_AST },
         { "275", OPTION_VAL_275_AST },
         { "300", OPTION_VAL_300_AST },
         { "325", OPTION_VAL_325_AST },
         { "350", OPTION_VAL_350_AST },
         { "375", OPTION_VAL_375_AST },
         { "400", OPTION_VAL_400_AST },
         { "425", OPTION_VAL_425_AST },
         { "450", OPTION_VAL_450_AST },
         { "475", OPTION_VAL_475_AST },
         { "500", OPTION_VAL_500_AST },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_AST,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_AST,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_AST,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_AST,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_AST,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_AST,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_ast = {
   option_cats_ast,
   option_defs_ast
};

/* RETRO_LANGUAGE_BE */

#define CATEGORY_SYSTEM_LABEL_BE "Сістэма"
#define CATEGORY_SYSTEM_INFO_0_BE "Настройка параметраў выбару сістэмы, рэгіёна, BIOS і захаванняў Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_BE "Відэа"
#define CATEGORY_VIDEO_INFO_0_BE "Налады суадносін бакоў, кадравання, графічных фільтраў і пропуску кадраў."
#define CATEGORY_AUDIO_LABEL_BE "Аўдыя"
#define CATEGORY_AUDIO_INFO_0_BE "Змяніць налады аўдыяпрылады."
#define CATEGORY_INPUT_LABEL_BE "Увод"
#define CATEGORY_INPUT_INFO_0_BE "Налады ўводу для мышы і/або светлавога пісталета."
#define CATEGORY_HACKS_LABEL_BE "Хакі эмуляцыі"
#define CATEGORY_HACKS_INFO_0_BE "Налада разгону працэсара і параметраў дакладнасці эмуляцыі, якія ўплываюць на прадукцыйнасць і сумяшчальнасць."
#define CATEGORY_CHANNEL_VOLUME_LABEL_BE "Пашыраныя налады гучнасці каналаў"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_BE "Індывідуальная настройка гучнасці аўдыёканалаў."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_BE "Мадэль сістэмы"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_BE "Запуск кантэнту на эмуляванай кансолі вызначанай мадэлі. У рэжыме 'Аўтаматычна' будзе абрана сістэма якая найбольш пасуе для бягучай гульні."
#define OPTION_VAL_AUTO_BE "Аўта"
#define OPTION_VAL_SG_1000_BE NULL
#define OPTION_VAL_SG_1000_II_BE NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_BE "SG-1000 II + Пашырэнне АЗП."
#define OPTION_VAL_MARK_III_BE NULL
#define OPTION_VAL_MASTER_SYSTEM_BE NULL
#define OPTION_VAL_MASTER_SYSTEM_II_BE NULL
#define OPTION_VAL_GAME_GEAR_BE NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_BE NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_BE "Рэгіён сістэмы"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_BE "Выбар рэгіёна сістэмы. Акрамя Game Gear, для ўсіх кансоляў рэжым 'PAL' адпавядае 50 Гц, 'NTSC' - 60 Гц. Пры няправільнай усталёўцы рэгіёна гульні могуць ісці хутчэй ці павольней."
#define OPTION_VAL_NTSC_U_BE NULL
#define OPTION_VAL_PAL_BE NULL
#define OPTION_VAL_NTSC_J_BE NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_BE "Фарсіраваць рэжым VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_BE "Перавызначае рэжым VDP для прымусовай працы ў NTSC 60 Гц або PAL 50 Гц, незалежна ад рэгіёна сістэмы."
#define OPTION_VAL_60HZ_BE "NTSC (60 Гц)"
#define OPTION_VAL_50HZ_BE "PAL (50 Гц)"
#define GENESIS_PLUS_GX_BIOS_LABEL_BE "Загрузачная выява сістэмы"
#define GENESIS_PLUS_GX_BIOS_INFO_0_BE "Выкарыстоўваць афіцыйны BIOS/загрузнік эмуляванай кансолі пры наяўнасці файла ў сістэмным каталогу RetroArch. Адлюстроўвае стартавую анімацыю загрузкі кансолі перад запускам кантэнту."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_BE "Сістэмная рэзервовая памяць Sega CD (патрабуецца перазапуск)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_BE "Вызначае, выкарыстоўваць для гульняў Sega CD/Mega-CD аднаго рэгіёна адзіны файл захавання (значэнне 'Агульная па BIOS') або ствараць асобныя файлы захавання (значэнне 'Індывідуальна для гульні'). Улічвайце, што аб'ём унутранай памяці Sega CD/Mega-CD дастатковы толькі для некалькіх гульняў. Каб пазбегнуць недахопу месца, выкарыстоўвайце рэжым 'Для гульні'."
#define OPTION_VAL_PER_BIOS_BE "Агульная па BIOS"
#define OPTION_VAL_PER_GAME_BE "Індывідуальна для гульні"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_BE "Картрыдж рэзервовай памяці Sega CD (патрабуецца перазапуск)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_BE "Пры запуску кантэнту Sega CD/Mega-CD паказвае, ці варта выкарыстоўваць для ўсіх гульняў адзіны картрыдж рэзервовай памяці (значэнне 'Агульная для ўсіх гульняў') або ствараць асобныя файлы рэзервовай памяці (значэнне 'Індывідуальна для гульні')."
#define OPTION_VAL_PER_CART_BE "Агульная для ўсіх гульняў"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_BE "Памер картрыджа рэзервовай памяці Sega CD (патрабуецца перазапуск)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_BE "Усталёўвае памер картрыджа рэзервовай памяці для кантэнту Sega CD/Mega-CD. Карысна ў рэжыме рэзервовай памяці \"Індывідуальна для гульні\", каб пазбегнуць стварэння файлаў вялікага памеру."
#define OPTION_VAL_128K_BE "128кбіт"
#define OPTION_VAL_256K_BE "256кбіт"
#define OPTION_VAL_512K_BE "512кбіт"
#define OPTION_VAL_1MEG_BE "1Мбіт"
#define OPTION_VAL_2MEG_BE "2Мбіт"
#define OPTION_VAL_4MEG_BE "4Мбіт"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_BE "Пашырэнне CD (рэжым MD) (патрабуецца перазапуск)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_BE "Выбар пашырэння для гульняў Mega Drive / Genesis з падтрымкай прайгравання аўдыё CD."
#define OPTION_VAL_SEGA_MEGA_CD_BE NULL
#define OPTION_VAL_MEGASD_BE NULL
#define OPTION_VAL_NONE_BE "Няма"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_BE "Картрыдж Lock-On"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_BE "Тэхналогія Lock-On – гэта пашырэнне Mega Drive/Genesis, якое дазваляла падлучаць старыя гульні праз спецыяльны картрыдж для атрымання пашыранага або змененага геймплэя. Дадзеная опцыя усталёўвае тып які эмулюецца картрыджа 'lock-on'. Які адпавядае файл Bios павінен прысутнічаць у сістэмным каталогу RetroArch."
#define OPTION_VAL_GAME_GENIE_BE NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_BE NULL
#define OPTION_VAL_SONIC_KNUCKLES_BE NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_BE "Забяспечаныя ядром суадносіны бакоў"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_BE "Выбар пераважных суадносін бакоў кантэнту. Ужываецца толькі пры выбары рэжыму суадносін бакоў 'Налада ядра' у наладах відэа RetroArch."
#define OPTION_VAL_NTSC_PAR_BE NULL
#define OPTION_VAL_PAL_PAR_BE NULL
#define OPTION_VAL_4_3_BE NULL
#define OPTION_VAL_UNCORRECTED_BE "Без карэкцыі"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_BE "Межы"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_BE "Уключыце для адлюстравання вылетаў разгорткі зверху/знізу і/або злева/справа. У тэлевізарах стандартнай выразнасці гэтыя вобласці звычайна ўтоены рамкай па краі экрана."
#define OPTION_VAL_TOP_BOTTOM_BE "Зверху/знізу"
#define OPTION_VAL_LEFT_RIGHT_BE "Злеву/справа"
#define OPTION_VAL_FULL_BE "Цалкам"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_BE "Хаваць бакавыя межы Master System"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_BE "Абрэзаць па 8 пікселяў з левага боку або з левага і правага бакоў экрана пры запуску гульняў Master System."
#define OPTION_VAL_LEFT_BORDER_BE "Толькі мяжа злева"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_BE "Межы злева ды справа"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_BE "Пашыраны экран Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_BE "Прымусовы запуск гульняў Game Gear у рэжыме SMS у падвышаным раздзяленні 256×192. Можа пашыраць вобласць выявы, але часцей прыводзіць да з'яўлення артэфактаў вакол экрана."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_BE "NTSC-фільтры Blargg'а"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_BE "Ужывае відэафільтр для імітацыі розных сігналаў NTSC ТБ."
#define OPTION_VAL_MONOCHROME_BE "Манахромны"
#define OPTION_VAL_COMPOSITE_BE "Кампазітны"
#define OPTION_VAL_SVIDEO_BE NULL
#define OPTION_VAL_RGB_BE NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_BE "Ghosting-фільтр LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_BE "Ужывае да выявы фільтр 'дваення' для імітацыі асаблівасцяў ВК-дысплеяў Game Gear і Genesis Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_BE "Рэжым Interlaced Mode 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_BE "Interlaced Mode 2 дазваляе Mega Drive/Genesis выводзіць малюнак з падвоенай вышынёй (у высокім раздзяленні) 320×448 шляхам дамалёўкі ў кожным кадры дадатковых радкоў разгорткі (як у рэжыме мультыплэера ў 'Sonic The Hedgehog 2' і 'Combat Cars'). Рэжым 'Два палі' імітуе арыгінальную кансоль, выдаючы выразную карцінку з артэфактамі мігацення / празрадковасці. У рэжыме 'Адно поле' ужываецца фільтр дэінтэрлейсінгу, які стабілізуе малюнак, але дадае невялікае размыццё."
#define OPTION_VAL_SINGLE_FIELD_BE "Адзінкавае поле"
#define OPTION_VAL_DOUBLE_FIELD_BE "Двайное поле"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_BE "Прапусканне кадраў"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_BE "Прапускаць кадры, каб пазбегнуць з'яўлення (трэска) пры спусташэнні аўдыёбуфера. Паляпшае прадукцыйнасць, але зніжае плаўнасць выявы. У рэжыме 'Аўта' пропуск кадраў рэгулюецца франтэндам. У рэжыме 'Уручную' выкарыстоўваецца значэнне опцыі 'Мяжа пропуску кадраў (%)'."
#define OPTION_VAL_MANUAL_BE "Уручную"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_BE "Парог прапускання кадраў (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_BE "Усталёўвае парог запаўнення аўдыёбуфера (у працэнтах), ніжэй за які будзе ўключацца пропуск кадраў, калі для параметра 'Пропуск кадраў' выбраны рэжым 'Уручную'. Вялікія значэнні змяншаюць верагоднасць з'яўлення трэска за рахунак больш частага пропуску кадраў."
#define GENESIS_PLUS_GX_YM2413_LABEL_BE NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_BE "Уключае эмуляцыю FM Sound Unit, які выкарыстоўваецца для паляпшэння гуку ў некаторых гульнях Sega Mark III/Master System."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_BE "Ядро Master System FM (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_BE "Выбар спосабу эмуляцыі FM Sound Unit мадэляў Sega Mark III/Master System. Рэжым 'MAME' хуткі і выдае поўную хуткасць на большасці прылад. 'Nuked' забяспечвае патактавую дакладнасць, вельмі высокая якасць, але прад'яўляе падвышаныя патрабаванні да CPU."
#define OPTION_VAL_MAME_BE NULL
#define OPTION_VAL_NUKED_BE NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_BE NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_BE "Выбар спосабу эмуляцыі FM-сінтэзатара (асноўнага генератара гуку) Mega Drive/Genesis. Рэжымы 'MAME' хуткія і працуюць без запаволенняў на большасці прылад. 'Nuked' забяспечваюць патактавую дакладнасць, вельмі высокая якасць, але прад'яўляюць падвышаныя патрабаванні да CPU. Чып YM2612 выкарыстоўваецца ў арыгінальнай Mega Drive/Genesis Model 1. YM3438 выкарыстоўваецца ў пазнейшых мадэлях Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_BE "Выбар спосабу эмуляцыі FM-сінтэзатара (асноўнага генератара гуку) Mega Drive/Genesis. Чып YM2612 выкарыстоўваецца ў арыгінальнай Mega Drive/Genesis Model 1. YM3438 выкарыстоўваецца ў пазнейшых мадэлях Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_BE NULL
#define OPTION_VAL_MAME_ASIC_YM3438_BE NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_BE "MAME (удасканалены YM3438)"
#define OPTION_VAL_NUKED_YM2612_BE NULL
#define OPTION_VAL_NUKED_YM3438_BE NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_BE "Вывад гуку"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_BE "Выбраць стэрэа або мона прайграванне гуку."
#define OPTION_VAL_STEREO_BE "Стэрэа"
#define OPTION_VAL_MONO_BE "Мона"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_BE "Аўдыяфільтр"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_BE "Уключае фільтр ніжніх частот для лепшай імітацыі асаблівасцяў гучання Mega Drive/Genesis Model 1."
#define OPTION_VAL_LOW_PASS_BE "Нізкачастотны"
#define OPTION_VAL_EQ_BE "Эквалайзер"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_BE "Фільтр нізкіх частот %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_BE "Настройка частаты зрэзу для нізкачастотнага прапускнога фільтра. Вялікія значэнні ўзмацняюць эфект фільтра з-за ўплыву на шырэйшы спектр высокіх частот."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_BE "Узмацненне PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_BE "Ўстаноўка ўзроўню ўзмацнення для эмуляванага 4-канальнага праграмаванага генератара сігналаў SN76496 у SG-1000, Sega Mark III, Master System, Game Gear і Mega Drive / Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_BE "Узмацненне FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_BE "Ўстаноўка ўзроўню ўзмацнення гуку эмуляванага FM-сінтэзатара Mega Drive/Genesis або FM Sound Unit у Sega Mark III/Master System."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_BE "Гучнасць CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_BE "Рэгулёўка ўзроўню гучнасці на выхадзе эмуляванага CD-аўдыё."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_BE "Гучнасць PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_BE "Рэгулёўка гучнасці гуку на выхадзе эмуляванага PCM генератара RF5C164 Sega CD/Mega-CD."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_BE "Настройка ніжніх частот"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_BE "Рэгулёўка нізкачастотнага дыяпазону для ўбудаванага эквалайзера гуку."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_BE "Настройка сярэдніх частот"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_BE "Рэгуляванне сярэднечастотнага дыяпазону для ўбудаванага эквалайзера гуку."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_BE "Настройка верхніх частот"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_BE "Рэгулёўка верхнечастотнага дыяпазону для ўбудаванага эквалайзера гуку."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_BE "Крыніца светлавога пісталета"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_BE "Выкарыстоўваць для светлавога пісталета мыш або ўвод з сэнсарнага экрана."
#define OPTION_VAL_LIGHTGUN_BE "Светлавы пісталет"
#define OPTION_VAL_TOUCHSCREEN_BE "Сэнсарны экран"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_BE "Паказваць прыцэл светлавога пісталета"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_BE "Адлюстроўваць прыцэл светлавога пісталета для прылад уводу тыпу MD Menacer, MD Justifier і MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_BE "Інверсія мышы па восі Y"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_BE "Інвертуе вось Y для прылады ўводу тыпу MD Mouse."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_BE "Адключыць ліміт спрайтаў у лініі"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_BE "Прыбірае абмежаванне арыгінальнай кансолі па колькасці спрайтаў на лінію разгорткі. Памяншае мігаценне, але можа выклікаць збоі графікі, то бок у шэрагу гульняў дадзенае апаратнае абмежаванне выкарыстоўваецца для пэўных эфектаў."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_BE "Палепшаны вертыкальны скролінг тайлаў"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_BE "Дазваляе вертыкальны скролінг кожнай асобнай ячэйкі, замест 16 пікселяў па 2 ячэйках, шляхам асераднення значэння vscroll суседняга вочка. Дадзены хак ужываецца толькі для шэрагу гульняў, якія выкарыстоўваюць рэжым вертыкальнага скроллінга па 2 вочках."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_BE "Палепшаны вертыкальны скролінг тайлаў"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_BE "Толькі пры ўключаным \"Палепшаны вертыкальным скролінгу тайлаў\". Рэгулюе мяжу паляпшэння вертыкальнага скралінгу. Калі значэнне vscroll паміж суседнімі тайламі перавышае ўсталяванае абмежаванне, паляпшэнне адключаецца."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_BE "Хуткасць ЦП"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_BE "Разгон эмуляванага працэсу. Можа паменшыць запаволенні, але таксама прыводзіць да збояў."
#define OPTION_VAL_100_BE "100 %"
#define OPTION_VAL_125_BE "125 %"
#define OPTION_VAL_150_BE "150 %"
#define OPTION_VAL_175_BE "175 %"
#define OPTION_VAL_200_BE "200 %"
#define OPTION_VAL_225_BE "225 %"
#define OPTION_VAL_250_BE "250 %"
#define OPTION_VAL_275_BE "275 %"
#define OPTION_VAL_300_BE "300 %"
#define OPTION_VAL_325_BE "325 %"
#define OPTION_VAL_350_BE "350 %"
#define OPTION_VAL_375_BE "375 %"
#define OPTION_VAL_400_BE "400 %"
#define OPTION_VAL_425_BE "425 %"
#define OPTION_VAL_450_BE "450 %"
#define OPTION_VAL_475_BE "475 %"
#define OPTION_VAL_500_BE "500 %"
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_BE "Падвісанні сістэмы"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_BE "Эмуляцыя падвісанняў сістэмы на арыгінальнай кансолі пры доступе да недапушчальнага адрасу. Варта выключаць толькі пры запуску некаторых дэма ці homebrew, якія выкарыстоўваюць няправільныя рэжымы для карэктнай працы."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_BE "Памылка адрасавання 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_BE "Пры спробе невыраўнаванага доступу да памяці цэнтральны працэсар Mega Drive/Genesis (Motorola 68000) генеруе перапыненне (збой) па памылцы адрасавання. Уключэнне опцыі 'Памылка адрасацыі 68K' імітуе дадзеныя паводзіны. Опцыю неабходна адключаць толькі для запуску хакаў, т. я. яны звычайна распрацоўваюцца на меней дакладных эмулятарах і могуць выкарыстоўваць памылкі доступу да памяці для карэктнай працы."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_BE "Час доступу да CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_BE "Імітацыя затрымкі арыгінальнага абсталявання CD пры чытанні ці пошуку вызначанага месца загружанай кружэлкі. Патрабуецца для некаторых гульняў на CD, якія завісаюць пры занадта хуткім доступе да дадзеных, а таксама ўхіляе рассінхранізацыю CD-аўдыё. Рэкамендуецца адключаць з гульнямі MSU-MD, т. к. забяспечвае больш плыўны паўтор аўдыёдарожак."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_BE "Кэшаваць выяву CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_BE "Пры запуску загружаць выяву CD у памяць. Падтрымліваюцца толькі CHD. Патрабуецца перазапуск."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_BE "Паказваць дадатковыя налады гучнасці (пры паўторным выкліку меню)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_BE "Уключае настройку нізкаўзроўневых параметраў гукавых каналаў. Для ўжывання змен патрабуецца перазайсці ў хуткае меню."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_BE "Гучнасць PSG канала тону 0 у %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_BE "Зменшыць гучнасць PSG канала тону 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_BE "Гучнасць PSG канала тону 1 у %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_BE "Зменшыць гучнасць PSG канала тону 1."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_BE "Гучнасць PSG канала тону 2 у %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_BE "Зменшыць гучнасць PSG канала тону 2."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_BE "Гучнасць PSG канала шуму 3 у %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_BE "Зменшыць гучнасць PSG канала шуму 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_BE "Гучнасць Mega Drive/Genesis FM канала 0 у %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_BE "Памяншэнне гучнасці Mega Drive/Genesis FM-канала 0. Працуе толькі з FM-эмуляцыяй MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_BE "Гучнасць Mega Drive/Genesis FM канала 1 у %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_BE "Памяншэнне гучнасці Mega Drive/Genesis FM-канала 1. Працуе толькі з FM-эмуляцыяй MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_BE "Гучнасць Mega Drive/Genesis FM канала 2 у %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_BE "Памяншэнне гучнасці Mega Drive/Genesis FM-канала 2. Працуе толькі з FM-эмуляцыяй MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_BE "Гучнасць Mega Drive/Genesis FM канала 3 у %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_BE "Памяншэнне гучнасці Mega Drive/Genesis FM-канала 3. Працуе толькі з FM-эмуляцыяй MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_BE "Гучнасць Mega Drive/Genesis FM канала 4 у %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_BE "Памяншэнне гучнасці Mega Drive/Genesis FM-канала 4. Працуе толькі з FM-эмуляцыяй MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_BE "Гучнасць Mega Drive/Genesis FM канала 5 у %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_BE "Памяншэнне гучнасці Mega Drive/Genesis FM-канала 5. Працуе толькі з FM-эмуляцыяй MAME."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 0 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 0."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 1 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 1."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 2 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 2."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 3 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 3."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 4 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 4."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 5 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 5."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 6 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 6."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 7 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 7."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_BE "Гучнасць Master System FM (YM2413) канала 8 у %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_BE "Зменшыць гучнасць Master System FM канала 8."

struct retro_core_option_v2_category option_cats_be[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_BE,
      CATEGORY_SYSTEM_INFO_0_BE
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_BE,
      CATEGORY_VIDEO_INFO_0_BE
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_BE,
      CATEGORY_AUDIO_INFO_0_BE
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_BE,
      CATEGORY_INPUT_INFO_0_BE
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_BE,
      CATEGORY_HACKS_INFO_0_BE
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_BE,
      CATEGORY_CHANNEL_VOLUME_INFO_0_BE
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_be[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_BE,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_BE                 },
         { "sg-1000",              OPTION_VAL_SG_1000_BE              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_BE           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_BE},
         { "mark-III",             OPTION_VAL_MARK_III_BE             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_BE        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_BE     },
         { "game gear",            OPTION_VAL_GAME_GEAR_BE            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_BE   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_BE,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_BE   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_BE },
         { "pal",     OPTION_VAL_PAL_BE    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_BE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_BE,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_BE },
         { "50hz",  OPTION_VAL_50HZ_BE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_BE,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_BE,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_BE },
         { "per game", OPTION_VAL_PER_GAME_BE },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_BE,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_BE },
         { "per game", OPTION_VAL_PER_GAME_BE },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_BE,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_BE  },
         { "256k",     OPTION_VAL_256K_BE  },
         { "512k",     OPTION_VAL_512K_BE  },
         { "1meg",     OPTION_VAL_1MEG_BE    },
         { "2meg",     OPTION_VAL_2MEG_BE    },
         { "4meg",     OPTION_VAL_4MEG_BE    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_BE,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_BE },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_BE },
         { "megasd",       OPTION_VAL_MEGASD_BE },
         { "none",         OPTION_VAL_NONE_BE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_BE,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_BE },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_BE },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_BE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_BE,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_BE },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_BE },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_BE },
         { "4:3",  OPTION_VAL_4_3_BE },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_BE },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_BE,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_BE },
         { "left/right", OPTION_VAL_LEFT_RIGHT_BE },
         { "full",       OPTION_VAL_FULL_BE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_BE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_BE },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_BE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_BE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_BE,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_BE },
         { "composite",  OPTION_VAL_COMPOSITE_BE },
         { "svideo",     OPTION_VAL_SVIDEO_BE },
         { "rgb",        OPTION_VAL_RGB_BE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_BE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_BE,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_BE },
         { "double field", OPTION_VAL_DOUBLE_FIELD_BE },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_BE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_BE },
         { "manual",   OPTION_VAL_MANUAL_BE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_BE,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_BE,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_BE },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_BE,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_BE },
         { "nuked", OPTION_VAL_NUKED_BE },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_BE,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_BE,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_BE,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_BE },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_BE },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_BE },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_BE },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_BE },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_BE,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_BE },
         { "mono",   OPTION_VAL_MONO_BE },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_BE,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_BE },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_BE },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_BE,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_BE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_BE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_BE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_BE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_BE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_BE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_BE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_BE,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_BE },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_BE },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_BE,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_BE,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_BE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_BE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_BE,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_BE,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_BE },
         { "125", OPTION_VAL_125_BE },
         { "150", OPTION_VAL_150_BE },
         { "175", OPTION_VAL_175_BE },
         { "200", OPTION_VAL_200_BE },
         { "225", OPTION_VAL_225_BE },
         { "250", OPTION_VAL_250_BE },
         { "275", OPTION_VAL_275_BE },
         { "300", OPTION_VAL_300_BE },
         { "325", OPTION_VAL_325_BE },
         { "350", OPTION_VAL_350_BE },
         { "375", OPTION_VAL_375_BE },
         { "400", OPTION_VAL_400_BE },
         { "425", OPTION_VAL_425_BE },
         { "450", OPTION_VAL_450_BE },
         { "475", OPTION_VAL_475_BE },
         { "500", OPTION_VAL_500_BE },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_BE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_BE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_BE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_BE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_BE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_BE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_be = {
   option_cats_be,
   option_defs_be
};

/* RETRO_LANGUAGE_BG */

#define CATEGORY_SYSTEM_LABEL_BG NULL
#define CATEGORY_SYSTEM_INFO_0_BG NULL
#define CATEGORY_VIDEO_LABEL_BG "Видео"
#define CATEGORY_VIDEO_INFO_0_BG NULL
#define CATEGORY_AUDIO_LABEL_BG "Звук"
#define CATEGORY_AUDIO_INFO_0_BG NULL
#define CATEGORY_INPUT_LABEL_BG "Вход"
#define CATEGORY_INPUT_INFO_0_BG NULL
#define CATEGORY_HACKS_LABEL_BG NULL
#define CATEGORY_HACKS_INFO_0_BG NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_BG NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_BG NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_BG NULL
#define OPTION_VAL_AUTO_BG NULL
#define OPTION_VAL_SG_1000_BG NULL
#define OPTION_VAL_SG_1000_II_BG NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_BG NULL
#define OPTION_VAL_MARK_III_BG NULL
#define OPTION_VAL_MASTER_SYSTEM_BG NULL
#define OPTION_VAL_MASTER_SYSTEM_II_BG NULL
#define OPTION_VAL_GAME_GEAR_BG NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_BG NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_BG NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_BG NULL
#define OPTION_VAL_NTSC_U_BG NULL
#define OPTION_VAL_PAL_BG NULL
#define OPTION_VAL_NTSC_J_BG NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_BG NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_BG NULL
#define OPTION_VAL_60HZ_BG NULL
#define OPTION_VAL_50HZ_BG NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_BG NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_BG NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_BG NULL
#define OPTION_VAL_PER_BIOS_BG NULL
#define OPTION_VAL_PER_GAME_BG NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_BG NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_BG NULL
#define OPTION_VAL_PER_CART_BG NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_BG NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_BG NULL
#define OPTION_VAL_128K_BG NULL
#define OPTION_VAL_256K_BG NULL
#define OPTION_VAL_512K_BG NULL
#define OPTION_VAL_1MEG_BG NULL
#define OPTION_VAL_2MEG_BG NULL
#define OPTION_VAL_4MEG_BG NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_BG NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_BG NULL
#define OPTION_VAL_SEGA_MEGA_CD_BG NULL
#define OPTION_VAL_MEGASD_BG NULL
#define OPTION_VAL_NONE_BG NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_BG NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_BG NULL
#define OPTION_VAL_GAME_GENIE_BG NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_BG NULL
#define OPTION_VAL_SONIC_KNUCKLES_BG NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_BG NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_BG NULL
#define OPTION_VAL_NTSC_PAR_BG NULL
#define OPTION_VAL_PAL_PAR_BG NULL
#define OPTION_VAL_4_3_BG NULL
#define OPTION_VAL_UNCORRECTED_BG NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_BG NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_BG NULL
#define OPTION_VAL_TOP_BOTTOM_BG NULL
#define OPTION_VAL_LEFT_RIGHT_BG NULL
#define OPTION_VAL_FULL_BG NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_BG NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_BG NULL
#define OPTION_VAL_LEFT_BORDER_BG NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_BG NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_BG NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_BG NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_BG NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_BG NULL
#define OPTION_VAL_MONOCHROME_BG NULL
#define OPTION_VAL_COMPOSITE_BG NULL
#define OPTION_VAL_SVIDEO_BG NULL
#define OPTION_VAL_RGB_BG NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_BG NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_BG NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_BG NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_BG NULL
#define OPTION_VAL_SINGLE_FIELD_BG NULL
#define OPTION_VAL_DOUBLE_FIELD_BG NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_BG NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_BG NULL
#define OPTION_VAL_MANUAL_BG NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_BG NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_BG NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_BG NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_BG NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_BG NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_BG NULL
#define OPTION_VAL_MAME_BG NULL
#define OPTION_VAL_NUKED_BG NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_BG NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_BG NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_BG NULL
#define OPTION_VAL_MAME_YM2612_BG NULL
#define OPTION_VAL_MAME_ASIC_YM3438_BG NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_BG NULL
#define OPTION_VAL_NUKED_YM2612_BG NULL
#define OPTION_VAL_NUKED_YM3438_BG NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_BG NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_BG NULL
#define OPTION_VAL_STEREO_BG NULL
#define OPTION_VAL_MONO_BG NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_BG NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_BG NULL
#define OPTION_VAL_LOW_PASS_BG NULL
#define OPTION_VAL_EQ_BG NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_BG NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_BG NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_BG NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_BG NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_BG NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_BG NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_BG NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_BG NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_BG NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_BG NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_BG NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_BG NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_BG NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_BG NULL
#define OPTION_VAL_LIGHTGUN_BG NULL
#define OPTION_VAL_TOUCHSCREEN_BG NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_BG NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_BG NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_BG NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_BG NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_BG NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_BG NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_BG NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_BG NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_BG NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_BG NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_BG NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_BG NULL
#define OPTION_VAL_100_BG NULL
#define OPTION_VAL_125_BG NULL
#define OPTION_VAL_150_BG NULL
#define OPTION_VAL_175_BG NULL
#define OPTION_VAL_200_BG NULL
#define OPTION_VAL_225_BG NULL
#define OPTION_VAL_250_BG NULL
#define OPTION_VAL_275_BG NULL
#define OPTION_VAL_300_BG NULL
#define OPTION_VAL_325_BG NULL
#define OPTION_VAL_350_BG NULL
#define OPTION_VAL_375_BG NULL
#define OPTION_VAL_400_BG NULL
#define OPTION_VAL_425_BG NULL
#define OPTION_VAL_450_BG NULL
#define OPTION_VAL_475_BG NULL
#define OPTION_VAL_500_BG NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_BG NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_BG NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_BG NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_BG NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_BG NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_BG NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_BG NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_BG NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_BG NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_BG NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_BG NULL

struct retro_core_option_v2_category option_cats_bg[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_BG,
      CATEGORY_SYSTEM_INFO_0_BG
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_BG,
      CATEGORY_VIDEO_INFO_0_BG
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_BG,
      CATEGORY_AUDIO_INFO_0_BG
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_BG,
      CATEGORY_INPUT_INFO_0_BG
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_BG,
      CATEGORY_HACKS_INFO_0_BG
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_BG,
      CATEGORY_CHANNEL_VOLUME_INFO_0_BG
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_bg[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_BG,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_BG                 },
         { "sg-1000",              OPTION_VAL_SG_1000_BG              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_BG           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_BG},
         { "mark-III",             OPTION_VAL_MARK_III_BG             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_BG        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_BG     },
         { "game gear",            OPTION_VAL_GAME_GEAR_BG            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_BG   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_BG,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_BG   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_BG },
         { "pal",     OPTION_VAL_PAL_BG    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_BG },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_BG,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_BG },
         { "50hz",  OPTION_VAL_50HZ_BG },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_BG,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_BG,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_BG },
         { "per game", OPTION_VAL_PER_GAME_BG },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_BG,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_BG },
         { "per game", OPTION_VAL_PER_GAME_BG },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_BG,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_BG  },
         { "256k",     OPTION_VAL_256K_BG  },
         { "512k",     OPTION_VAL_512K_BG  },
         { "1meg",     OPTION_VAL_1MEG_BG    },
         { "2meg",     OPTION_VAL_2MEG_BG    },
         { "4meg",     OPTION_VAL_4MEG_BG    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_BG,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_BG },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_BG },
         { "megasd",       OPTION_VAL_MEGASD_BG },
         { "none",         OPTION_VAL_NONE_BG },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_BG,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_BG },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_BG },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_BG },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_BG,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_BG },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_BG },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_BG },
         { "4:3",  OPTION_VAL_4_3_BG },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_BG },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_BG,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_BG },
         { "left/right", OPTION_VAL_LEFT_RIGHT_BG },
         { "full",       OPTION_VAL_FULL_BG },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_BG,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_BG },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_BG },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_BG,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_BG,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_BG },
         { "composite",  OPTION_VAL_COMPOSITE_BG },
         { "svideo",     OPTION_VAL_SVIDEO_BG },
         { "rgb",        OPTION_VAL_RGB_BG },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_BG,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_BG,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_BG },
         { "double field", OPTION_VAL_DOUBLE_FIELD_BG },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_BG,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_BG },
         { "manual",   OPTION_VAL_MANUAL_BG },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_BG,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_BG,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_BG },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_BG,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_BG },
         { "nuked", OPTION_VAL_NUKED_BG },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_BG,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_BG,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_BG,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_BG },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_BG },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_BG },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_BG },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_BG },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_BG,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_BG },
         { "mono",   OPTION_VAL_MONO_BG },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_BG,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_BG },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_BG },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_BG,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_BG,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_BG,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_BG,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_BG,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_BG,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_BG,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_BG,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_BG,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_BG },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_BG },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_BG,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_BG,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_BG,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_BG,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_BG,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_BG,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_BG },
         { "125", OPTION_VAL_125_BG },
         { "150", OPTION_VAL_150_BG },
         { "175", OPTION_VAL_175_BG },
         { "200", OPTION_VAL_200_BG },
         { "225", OPTION_VAL_225_BG },
         { "250", OPTION_VAL_250_BG },
         { "275", OPTION_VAL_275_BG },
         { "300", OPTION_VAL_300_BG },
         { "325", OPTION_VAL_325_BG },
         { "350", OPTION_VAL_350_BG },
         { "375", OPTION_VAL_375_BG },
         { "400", OPTION_VAL_400_BG },
         { "425", OPTION_VAL_425_BG },
         { "450", OPTION_VAL_450_BG },
         { "475", OPTION_VAL_475_BG },
         { "500", OPTION_VAL_500_BG },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_BG,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_BG,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_BG,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_BG,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_BG,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_BG,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_bg = {
   option_cats_bg,
   option_defs_bg
};

/* RETRO_LANGUAGE_CA */

#define CATEGORY_SYSTEM_LABEL_CA "Sistema"
#define CATEGORY_SYSTEM_INFO_0_CA "Modifica les opcions del maquinari base, la regió, la bios i el fitxer de desat de Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_CA "Vídeo"
#define CATEGORY_VIDEO_INFO_0_CA "Canvia la relació d'aspecte, retalls de la imatge, filtre de vídeo i l'omissió de fotogrames."
#define CATEGORY_AUDIO_LABEL_CA "Àudio"
#define CATEGORY_AUDIO_INFO_0_CA "Canviar les opcions del mesclador d'àudio."
#define CATEGORY_INPUT_LABEL_CA "Entrada"
#define CATEGORY_INPUT_INFO_0_CA "Canvia les opcions de la pistola de llum o de la senyal d'entrada del ratolí."
#define CATEGORY_HACKS_LABEL_CA "Correccions de l'emulació"
#define CATEGORY_HACKS_INFO_0_CA "Canvia les opcions de velocitat i precisió de l'emulador que afecten el rendiment a baix nivell i la compatibilitat."
#define CATEGORY_CHANNEL_VOLUME_LABEL_CA "Configuració avançada del volum dels canals"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_CA "Canvia el volum dels canals de so del maquinari."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CA "Maquinari del sistema"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CA "Executa contingut carregat fent servir un model específic de consola. L'opció 'Automàtica' seleccionarà l'emulador més apropiat pel joc."
#define OPTION_VAL_AUTO_CA "Automàtic"
#define OPTION_VAL_SG_1000_CA NULL
#define OPTION_VAL_SG_1000_II_CA NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_CA NULL
#define OPTION_VAL_MARK_III_CA NULL
#define OPTION_VAL_MASTER_SYSTEM_CA NULL
#define OPTION_VAL_MASTER_SYSTEM_II_CA NULL
#define OPTION_VAL_GAME_GEAR_CA NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_CA NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_CA "Regió del sistema"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CA "Especifica la regió per la qual s'ha fabricat el sistema. A excepció de la Game Gear, PAL mostrarà imatges a 50 Hz, mentre que NTSC les mostrarà a 60 Hz. Si selecciones una regió incorrecta, els jocs poden mostrar-se més ràpid o més lent."
#define OPTION_VAL_NTSC_U_CA NULL
#define OPTION_VAL_PAL_CA NULL
#define OPTION_VAL_NTSC_J_CA NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_CA "Forçar mode VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_CA "Canvia al mode VDP per forçar a executar-lo en el mode NTSC a 60 Hz o en el mode PAL a 50 Hz sense tenir en compte la regió del sistema."
#define OPTION_VAL_60HZ_CA "NTSC (60 Hz)"
#define OPTION_VAL_50HZ_CA "PAL (50 Hz)"
#define GENESIS_PLUS_GX_BIOS_LABEL_CA "ROM d'arrencada del sistema"
#define GENESIS_PLUS_GX_BIOS_INFO_0_CA "Fes servir la BIOS oficial pel maquinari emulat si es troba en la carpeta de sistema de RetroArch. Es mostrarà la seqüència específica d'inici de la consola i després s'executarà el joc carregat."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CA "BRAM del sistema CD (Es requereix reinici)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CA "En executar contingut de Sega CD/Mega-CD, especifica si s'ha de compartir un sol fitxer de desat entre tots els jocs de la mateixa regió o si cal crear un fitxer individual per cada joc. Nota: la Mega-CD/Sega Cd té un espai d'emmagatzematge limitat, suficient per uns quants jocs. Es recomana escollir 'Un fitxer per cada joc' per a que no et quedis sense espai lliure."
#define OPTION_VAL_PER_BIOS_CA "Per BIOS"
#define OPTION_VAL_PER_GAME_CA "Per joc"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_CA "BRAM del sistema CD (Es requereix reinici)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_CA "En executar continguts per Mega-CD/Sega CD, s'especifica si s'ha de compartir un cartutx de memòria RAM pels estats desats de tots els jocs d'una mateixa regió o si cal crear un fitxer individual per cada joc."
#define OPTION_VAL_PER_CART_CA "Per cartutx"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_CA "Mida del BRAM del sistema CD (Es requereix reinici)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_CA "Estableix la mida del cartutx de memòria BRAM pels continguts de Sega CD/Mega-CD. Aquest ajustament és ideal per configurar les BRAM de memòria perquè hi hagi una per cada joc i evitar tenir diferents cartutxs amb una mida massa gran."
#define OPTION_VAL_128K_CA NULL
#define OPTION_VAL_256K_CA NULL
#define OPTION_VAL_512K_CA NULL
#define OPTION_VAL_1MEG_CA NULL
#define OPTION_VAL_2MEG_CA NULL
#define OPTION_VAL_4MEG_CA NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_CA "Afegit de CD (Mode MD) (Es requereix reinici)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_CA "Especifica el mòdul que cal utilitzar per a la reproducció de so de CD en els jocs compatibles amb Mega Drive/Genesis."
#define OPTION_VAL_SEGA_MEGA_CD_CA NULL
#define OPTION_VAL_MEGASD_CA NULL
#define OPTION_VAL_NONE_CA "Cap"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_CA "Bloqueig de cartutx"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_CA "La tecnologia Lock-On és una característica de la Mega Drive/Genesis que permetia a un joc antic connectar-se a un cartutx especial per alterar o ampliar el seu contingut. Aquesta opció especifica quin tipus de Lock-On és emulat. És necessari incloure el fitxer de la BIOS corresponent en la carpeta del sistema de RetroArch."
#define OPTION_VAL_GAME_GENIE_CA NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_CA NULL
#define OPTION_VAL_SONIC_KNUCKLES_CA NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CA "Relació d'aspecte proveïda pel nucli"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CA "Escull la relació d'aspecte preferida. Aquesta relació d'aspecte només s'aplicarà si la relació d'aspecte a RetroArch està fixada a 'Core provided' en la configuració de vídeo."
#define OPTION_VAL_NTSC_PAR_CA NULL
#define OPTION_VAL_PAL_PAR_CA NULL
#define OPTION_VAL_4_3_CA NULL
#define OPTION_VAL_UNCORRECTED_CA "Sense corregir"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_CA "Vores"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_CA "Activa aquesta opció per mostrar les zones de sobreescombrat superior/inferior i dreta/esquerra de la pantalla. Un monitor estàndard de televisió acostuma a amagar aquestes zones a les vores de la pantalla."
#define OPTION_VAL_TOP_BOTTOM_CA "Superior/Inferior"
#define OPTION_VAL_LEFT_RIGHT_CA "Esquerre/Dreta"
#define OPTION_VAL_FULL_CA "Complet"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CA "Amaga les vores de Master System"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CA "Retalla 8 píxels en la part esquerra de la pantalla o als dos costats en executar jocs de Master System."
#define OPTION_VAL_LEFT_BORDER_CA "Només la vora esquerre"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_CA "Vores esquerra i dreta"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_CA "Pantalla ampliada de la Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CA "Força als jocs de Game Gear a executar-se en el mode SMS amb una resolució augmentada de 256x192. Potser es mostren més continguts, però el més normal és que es mostri una vora a les imatges."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CA "Filtre Blargg NTSC"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CA "Aplica un filtre de vídeo per imitar el senyal de les televisions NTSC."
#define OPTION_VAL_MONOCHROME_CA "Monocrom"
#define OPTION_VAL_COMPOSITE_CA "Composició"
#define OPTION_VAL_SVIDEO_CA NULL
#define OPTION_VAL_RGB_CA NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_CA "Filtre d'efecte fantasma del LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CA "Aplica un filtre d'efecte fantasma a la imatge per simular les característiques dels panells LCD de Game Gear i Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_CA "Mode d'entrellaçament de vídeo 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_CA "El mode d'entrellaçament de vídeo 2 permet a la Mega Drive/Genesis generar una imatge que suplica l'altura original fins 320x448 (alta resolució) dibuixant línies d'escombrat alternatives en cada fotograma (es fa servir en els modes multijugador de Sonic the Hedgehog 2 i Combat Cars). 'Dos camps' imita el maquinari original: produeix una imatge nítida amb parpalleig o entrellaçament. 'Un camp' aplica un filtre de desentrellaçament per estabilitzar la imatge, però quedarà una mica borrosa."
#define OPTION_VAL_SINGLE_FIELD_CA "Camp únic"
#define OPTION_VAL_DOUBLE_FIELD_CA "Dos camps"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_CA "Ometre fotogrames"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CA "Omet fotogrames per no saturar la memòria intermèdia de l'àudio. Millora el rendiment a canvi de perdre fluïdesa visual. Selecció automàtica omet fotogrames a petició del front-end. El valor manual ajusta el llindar d'omissió de fotogrames (%)."
#define OPTION_VAL_MANUAL_CA NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CA "Llindar d'omissió de fotogrames (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CA "Si l'omissió de fotogrames està fixada a 'Manual', aquesta opció selecciona el llindar inferior de la memòria intermèdia de l'àudio (en percentatge) per sota del no s'ometrà cap fotograma. Un valor més alt redueix el risc dels errors d'àudio, ometent fotogrames amb més freqüència."
#define GENESIS_PLUS_GX_YM2413_LABEL_CA NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_CA "Activa l'emulació de la unitat de so FM que fan servir alguns jocs concrets com Sega Mark III/Master System per millorar la sortida d'àudio."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_CA "Nucli del Master System FM (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CA "Selecciona el mètode utilitzar per emular la unitat de so FM de la Sega Mark III/Master System. 'MAME' és ràpid i s'executa a la màxima velocitat en gran part dels sistemes. 'Nuked' ofereix una emulació més precisa, amb més qualitat però amb més requisits de CPU."
#define OPTION_VAL_MAME_CA NULL
#define OPTION_VAL_NUKED_CA NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_CA NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_CA "Selecciona el mètode amb el qual emular el sintetitzador FM de la Mega Drive/Genesis. L'opció MAME és més ràpida i s'executa a la màxima velocitat en gran part dels sistemes. L'opció Nuked ofereix una emulació més precisa, amb més qualitat però amb més requisits de CPU. El xip YM26132 és el que fa servir el Model 1 original de Mega Drive/Genesis. El xip YM 3438 és el que fan servir les versions posteriors de Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_CA "Selecciona el mètode utilitzat per emular el sintetitzador FM de la Mega Drive/Genesis. El xip YM26132 és el que fan servir els Model 1 originals de Mega Drive/Genesis. El xip YM3438 és el que es va fer servir en versions posteriors de Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_CA NULL
#define OPTION_VAL_MAME_ASIC_YM3438_CA NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_CA NULL
#define OPTION_VAL_NUKED_YM2612_CA NULL
#define OPTION_VAL_NUKED_YM3438_CA NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CA "Sortida d'àudio"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CA "Selecciona estèreo o mono a la sortida d'àudio."
#define OPTION_VAL_STEREO_CA "Estèreo"
#define OPTION_VAL_MONO_CA NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CA "Filtre d'àudio"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CA "Habilita el filtre passabaix per simular millor el so característic del model 1 de Mega Drive/Genesis."
#define OPTION_VAL_LOW_PASS_CA "Passabaix"
#define OPTION_VAL_EQ_CA NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CA "Filtre passabaix %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CA "Especifica el tall de freqüència del filtre d'àudio passabaix. Un valor alt es pot captar com un filtre amb més força, perquè esmorteeix un rang més gran de freqüències altes."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CA "Nivell de preamplificador de PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CA "Ajusta el nivell de preamplificació de so del PSG (generador programable de sons) SN76496 de quatre canals que fan servir les consoles SG-1000, Sega Mark III, Master System, Game Gear i Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_CA "Nivell de preamplificació de FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CA "Ajusta el nivell de preamplificador d'àudio en el sintetitzador de so FM de la Mega Drive/Genesis o de la unitat de so FM de les Sega Mark III/Master System."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CA "Volum de CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CA "Ajusta el volum de la mescla de la sortida d'àudio del CD emulat."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CA "Volum PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CA "Ajusta la mescla de so de la sortida d'àudio del generador PCM RF5C164 emulat de la Sega CD/Mega-Cd."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CA "EQ Greus"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CA "Ajusta el rang baix de l'equalitzador d'àudio."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CA "EQ Mitjos"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CA "Ajusta el rang mig de l'equalitzador d'àudio."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CA "EQ Aguts"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CA "Ajusta el rang alt de l'equalitzador d'àudio."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_CA "Entrada de la pistola de llum"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CA "Fes servir una pistola de llum controlada per ratolí o per pantalla tàctil."
#define OPTION_VAL_LIGHTGUN_CA "Pistola de llum"
#define OPTION_VAL_TOUCHSCREEN_CA "Pantalla tàctil"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CA "Mostrar el mira de les pistoles de llum"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CA "Mostra la creueta de la pistola de llum en fer servir els dispositius MD Menacer, MD Justifiers i MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CA "Invertir l'eix Y del ratolí"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CA "Inverteix l'eix vertical del dispositiu d'entrada MD Mouse."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CA "Volum del canal 3 del PSG %"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CA "Elimina el límit de vuit sprites per línia d'escaneig que tenia el maquinari original. Redueix el parpelleig, però pot provocar alguns errors gràfics, perquè alguns jocs feien servir aquesta limitació per generar efectes especials."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CA "Millorar el desplaçament vertical de tiles"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CA "Permet que cada cel·la individual es pugui desplaçar verticalment en comptes de fer-ho per parelles de 16 píxels, fent un càlcul del valor vscroll de les cel·les contigües. Aquesta correcció només s'aplica a alguns jocs que fan servir el mètode desplaçament vertical per parelles de cel·les."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CA "Límit de millora del desplaçament vertical de tiles"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CA "Aquesta opció només s'aplicarà si la millora del desplaçament vertical per fila està activada. Ajusta el límit d'aquesta millora. Si la diferència entre el valor de vscroll entre cel·les contigües és superior a aquest límit, es desactiva la millora."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_CA "Velocitat de la CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CA "Augmenta la velocitat de la CPU emulada. Pot reduir els alentiments, però també pot provocar errors gràfics."
#define OPTION_VAL_100_CA NULL
#define OPTION_VAL_125_CA NULL
#define OPTION_VAL_150_CA NULL
#define OPTION_VAL_175_CA NULL
#define OPTION_VAL_200_CA NULL
#define OPTION_VAL_225_CA NULL
#define OPTION_VAL_250_CA NULL
#define OPTION_VAL_275_CA NULL
#define OPTION_VAL_300_CA NULL
#define OPTION_VAL_325_CA NULL
#define OPTION_VAL_350_CA NULL
#define OPTION_VAL_375_CA NULL
#define OPTION_VAL_400_CA NULL
#define OPTION_VAL_425_CA NULL
#define OPTION_VAL_450_CA NULL
#define OPTION_VAL_475_CA NULL
#define OPTION_VAL_500_CA NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CA "Bloquejos del sistema"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CA "Simula els bloquejos del sistema que es poden produir en el maquinari real arran de realitzar lectures de memòria no permeses. Només s'ha de desactivar aquesta opció en executar demos o aplicacions homebrew que necessiten aquesta opció activada per funcionar correctament."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CA "Error d'adreça 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CA "La CPU principal de la Mega Drive/Genesis (el xip Motorola 68000) genera una excepció d'error de memòria al intentar accedir a una memòria no alineada. Activa aquesta opció per simular aquest comportament. Només s'ha de desactivar per jugar a jocs amb modificacions, perquè es desenvolupen amb emuladors menys precisos i poden dependre d'accessos a memòria RAM no vàlids per poder funcionar correctament."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_CA "Temps d'accés al CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CA "Simula la latència del lector original de CD en iniciar una lectura o una cerca en una ubicació concreta del disc. És necessari per a alguns jocs en format CD que es quedaran penjats si les dades arriben massa aviat i també corregeix problemes de desincronització de l'àudio del CD en alguns jocs. Desactivar aquesta opció pot ser positiu per a alguns jocs MSU-MD, fent que els bucles de pistes del CD siguin més uniformes."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CA "Memòria intermèdia de la imatge de CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CA "Carrega la imatge de CD en inciar l'emulació. Només s'admeten imatges CHD. Es requereix reinici."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CA "Mostra la configuració avançada d'àudio (Torna a obrir el menú)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CA "Habilita la configuració dels paràmetres dels canals de so a baix nivell. NOTA: És necessari sortir i tornar a entrar en el menú ràpid perquè el canvi tingui efecte."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CA "Volum del canal 0 del PSG %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CA "Redueix el volum del canal de so 0 de PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CA "Volum del canal 1 del PSG %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CA "Redueix el volum del canal de so 1 de PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CA "Volum del canal 2 del PSG %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CA "Redueix el volum del canal de so 2 de PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CA "Volum del canal 3 del PSG %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CA "Redueix el volum del canal de so 3 de PSG."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CA "Volum del canal 0 de la Mega Drive/Genesis %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CA "Redueix el volum del canal 0 de FM de la Mega Drive/Genesis. Només funciona amb els emuladors MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CA "Volum del canal 1 de la Mega Drive/Genesis %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CA "Redueix el volum del canal 1 de FM de la Mega Drive/Genesis. Només funciona amb els emuladors MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CA "Volum del canal 2 de la Mega Drive/Genesis %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CA "Redueix el volum del canal 2 de FM de la Mega Drive/Genesis. Només funciona amb els emuladors MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CA "Volum del canal 3 de la Mega Drive/Genesis %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CA "Redueix el volum del canal 3 de FM de la Mega Drive/Genesis. Només funciona amb els emuladors MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CA "Volum del canal 4 de la Mega Drive/Genesis %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CA "Redueix el volum del canal 4 de FM de la Mega Drive/Genesis. Només funciona amb els emuladors MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CA "Volum del canal 5 de la Mega Drive/Genesis %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CA "Redueix el volum del canal 5 de FM de la Mega Drive/Genesis. Només funciona amb els emuladors MAME de FM."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CA "Volum del canal 0 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CA "Redueix el volum del canal de so 0 de PSG."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CA "Volum del canal 1 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CA "Redueix el volum del canal de so 1 de PSG."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CA "Volum del canal 2 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CA "Redueix el volum del canal de so 2 de PSG."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CA "Volum del canal 3 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CA "Redueix el volum del canal de so 3 de PSG."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CA "Volum del canal 4 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CA "Redueix el volum del canal de so 4 de PSG."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CA "Volum del canal 5 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CA "Redueix el volum del canal de so 5 de PSG."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CA "Volum del canal 6 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CA "Redueix el volum del canal de so 6 de PSG."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CA "Volum del canal 7 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CA "Redueix el volum del canal de so 7 de PSG."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CA "Volum del canal 8 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CA "Redueix el volum del canal de so 8 de PSG."

struct retro_core_option_v2_category option_cats_ca[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_CA,
      CATEGORY_SYSTEM_INFO_0_CA
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_CA,
      CATEGORY_VIDEO_INFO_0_CA
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_CA,
      CATEGORY_AUDIO_INFO_0_CA
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_CA,
      CATEGORY_INPUT_INFO_0_CA
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_CA,
      CATEGORY_HACKS_INFO_0_CA
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_CA,
      CATEGORY_CHANNEL_VOLUME_INFO_0_CA
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_ca[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CA,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_CA                 },
         { "sg-1000",              OPTION_VAL_SG_1000_CA              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_CA           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_CA},
         { "mark-III",             OPTION_VAL_MARK_III_CA             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_CA        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_CA     },
         { "game gear",            OPTION_VAL_GAME_GEAR_CA            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_CA   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CA,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_CA   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_CA },
         { "pal",     OPTION_VAL_PAL_CA    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_CA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_CA,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_CA },
         { "50hz",  OPTION_VAL_50HZ_CA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_CA,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CA,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_CA },
         { "per game", OPTION_VAL_PER_GAME_CA },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_CA,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_CA },
         { "per game", OPTION_VAL_PER_GAME_CA },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_CA,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_CA  },
         { "256k",     OPTION_VAL_256K_CA  },
         { "512k",     OPTION_VAL_512K_CA  },
         { "1meg",     OPTION_VAL_1MEG_CA    },
         { "2meg",     OPTION_VAL_2MEG_CA    },
         { "4meg",     OPTION_VAL_4MEG_CA    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_CA,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_CA },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_CA },
         { "megasd",       OPTION_VAL_MEGASD_CA },
         { "none",         OPTION_VAL_NONE_CA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_CA,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_CA },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_CA },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_CA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CA,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_CA },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_CA },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_CA },
         { "4:3",  OPTION_VAL_4_3_CA },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_CA },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_CA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_CA },
         { "left/right", OPTION_VAL_LEFT_RIGHT_CA },
         { "full",       OPTION_VAL_FULL_CA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_CA },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_CA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_CA },
         { "composite",  OPTION_VAL_COMPOSITE_CA },
         { "svideo",     OPTION_VAL_SVIDEO_CA },
         { "rgb",        OPTION_VAL_RGB_CA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_CA,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_CA },
         { "double field", OPTION_VAL_DOUBLE_FIELD_CA },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_CA },
         { "manual",   OPTION_VAL_MANUAL_CA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CA,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_CA,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_CA },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CA,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_CA },
         { "nuked", OPTION_VAL_NUKED_CA },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_CA,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_CA,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_CA,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_CA },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_CA },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_CA },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_CA },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_CA },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CA,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_CA },
         { "mono",   OPTION_VAL_MONO_CA },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CA,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_CA },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_CA },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CA,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CA,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_CA },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_CA },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CA,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CA,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_CA },
         { "125", OPTION_VAL_125_CA },
         { "150", OPTION_VAL_150_CA },
         { "175", OPTION_VAL_175_CA },
         { "200", OPTION_VAL_200_CA },
         { "225", OPTION_VAL_225_CA },
         { "250", OPTION_VAL_250_CA },
         { "275", OPTION_VAL_275_CA },
         { "300", OPTION_VAL_300_CA },
         { "325", OPTION_VAL_325_CA },
         { "350", OPTION_VAL_350_CA },
         { "375", OPTION_VAL_375_CA },
         { "400", OPTION_VAL_400_CA },
         { "425", OPTION_VAL_425_CA },
         { "450", OPTION_VAL_450_CA },
         { "475", OPTION_VAL_475_CA },
         { "500", OPTION_VAL_500_CA },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_ca = {
   option_cats_ca,
   option_defs_ca
};

/* RETRO_LANGUAGE_CHS */

#define CATEGORY_SYSTEM_LABEL_CHS "系统"
#define CATEGORY_SYSTEM_INFO_0_CHS "更改基础硬件选择、区域、BIOS 和 Sega CD/Mega-CD 保存文件设置。"
#define CATEGORY_VIDEO_LABEL_CHS "视频"
#define CATEGORY_VIDEO_INFO_0_CHS "更改长宽比、显示裁剪、视频过滤和帧跳过设置。"
#define CATEGORY_AUDIO_LABEL_CHS "音频"
#define CATEGORY_AUDIO_INFO_0_CHS "更改音频设备设置。"
#define CATEGORY_INPUT_LABEL_CHS "输入"
#define CATEGORY_INPUT_INFO_0_CHS "更改光枪/鼠标输入设置。"
#define CATEGORY_HACKS_LABEL_CHS "模拟修改"
#define CATEGORY_HACKS_INFO_0_CHS NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_CHS "高级频道音量设置"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_CHS "更改单个硬件音频频道的音量。"
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CHS "系统硬件"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CHS "用特定模拟控制台运行已加载的内容。'自动' 将选择当前游戏最合适的系统。"
#define OPTION_VAL_AUTO_CHS "自动"
#define OPTION_VAL_SG_1000_CHS NULL
#define OPTION_VAL_SG_1000_II_CHS NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_CHS NULL
#define OPTION_VAL_MARK_III_CHS NULL
#define OPTION_VAL_MASTER_SYSTEM_CHS NULL
#define OPTION_VAL_MASTER_SYSTEM_II_CHS NULL
#define OPTION_VAL_GAME_GEAR_CHS NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_CHS NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_CHS "系统区域"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CHS "指定系统来自哪个区域。对于游戏手势以外的控制台，'PAL'为50赫兹，而'NTSC'为60赫兹。 如果选中不正确的区域，游戏可能会比正常更快或更慢。"
#define OPTION_VAL_NTSC_U_CHS NULL
#define OPTION_VAL_PAL_CHS NULL
#define OPTION_VAL_NTSC_J_CHS NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_CHS NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_CHS NULL
#define OPTION_VAL_60HZ_CHS NULL
#define OPTION_VAL_50HZ_CHS NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_CHS "系统启动 ROM"
#define GENESIS_PLUS_GX_BIOS_INFO_0_CHS "使用官方的 BIOS/bootloader 模拟硬件，如果存在于RetroArch的系统目录中。显示针对控制台的启动序列/动画，然后运行加载内容。"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CHS NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CHS NULL
#define OPTION_VAL_PER_BIOS_CHS "双精度"
#define OPTION_VAL_PER_GAME_CHS "每个游戏"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_CHS NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_CHS NULL
#define OPTION_VAL_PER_CART_CHS NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_CHS NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_CHS NULL
#define OPTION_VAL_128K_CHS NULL
#define OPTION_VAL_256K_CHS NULL
#define OPTION_VAL_512K_CHS NULL
#define OPTION_VAL_1MEG_CHS NULL
#define OPTION_VAL_2MEG_CHS NULL
#define OPTION_VAL_4MEG_CHS NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_CHS "CD 附加组件 (MD 模式) (需要重启)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_CHS "指定支持的 Mega 驱动器/Genesis 游戏用于CD音频回放的附加组件。"
#define OPTION_VAL_SEGA_MEGA_CD_CHS NULL
#define OPTION_VAL_MEGASD_CHS NULL
#define OPTION_VAL_NONE_CHS "无"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_CHS "卡片锁定"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_CHS "锁定技术是一个 Mega 驱动器/Genesis 功能，它允许旧游戏连接到特殊盒子的传递端口，用于延长或改变游戏。 此选项指定了要模拟的特殊的 '锁定' 墨盒类型。相应的 bios 文件必须存在于RetroArch的系统目录中。"
#define OPTION_VAL_GAME_GENIE_CHS NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_CHS "回放(Pro)"
#define OPTION_VAL_SONIC_KNUCKLES_CHS "音速&节拍"
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CHS "核心提供的宽高比"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CHS "选择首选内容宽高比。这只适用于RetroArch的宽高比设置为视频设置中的“核心提供”。"
#define OPTION_VAL_NTSC_PAR_CHS NULL
#define OPTION_VAL_PAL_PAR_CHS NULL
#define OPTION_VAL_4_3_CHS NULL
#define OPTION_VAL_UNCORRECTED_CHS NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_CHS "边框"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_CHS "启用此选项以显示屏幕顶部/底部和/或左/右侧的覆盖区域。 这些通常被贝塞尔人隐藏在标准定义电视的边缘。"
#define OPTION_VAL_TOP_BOTTOM_CHS "顶部/底部"
#define OPTION_VAL_LEFT_RIGHT_CHS "左/右"
#define OPTION_VAL_FULL_CHS "全双工"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CHS "隐藏主系统侧边框"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CHS "从屏幕左侧切断8像素，或者在运行主系统游戏时切断左侧和右侧。"
#define OPTION_VAL_LEFT_BORDER_CHS "仅左边框"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_CHS "左和右边边界"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_CHS "游戏装备扩展屏幕"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CHS "强制游戏装备标题在短信模式下运行，分辨率增加256x192。 可能会显示额外内容，但通常会显示损坏/不需要的图像数据。"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CHS "Blgg NTSC过滤器"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CHS "将视频过滤器应用于模仿的各种NTSC电视信号。"
#define OPTION_VAL_MONOCHROME_CHS "单色"
#define OPTION_VAL_COMPOSITE_CHS "合成"
#define OPTION_VAL_SVIDEO_CHS "S-视频"
#define OPTION_VAL_RGB_CHS NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_CHS "LCD重影过滤器"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CHS "应用图像“ghosting”过滤器来模拟游戏工具和创意Nomad LCD 面板的显示特性。"
#define GENESIS_PLUS_GX_RENDER_LABEL_CHS "交错模式2输出"
#define GENESIS_PLUS_GX_RENDER_INFO_0_CHS "交错模式2允许Mega Drive/Genesis输出双身高度(高分辨率) 320x448图像，绘制备用扫描线路每个帧(这个图像用于音效2和战斗车多人游戏模式)。 “双字段”模拟原始硬件，产生一幅含有闪烁/交错的图像的尖锐图像。 “单个字段”使用去交错过滤器，稳定图像，但造成轻微模糊。"
#define OPTION_VAL_SINGLE_FIELD_CHS "单字节"
#define OPTION_VAL_DOUBLE_FIELD_CHS "双字节"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_CHS "跳帧"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CHS "跳过帧以避免运行下的音频缓冲区(崩溃)。提高性能以牺牲视觉性能。 “自动”跳板帧在前端建议时。“手动”使用了“Frameskip 阈值(%)”设置。"
#define OPTION_VAL_MANUAL_CHS "手动"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CHS "跳帧阈值(%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CHS "当“跳帧”功能设置成“手动”，请在下方指定跳帧占音频缓存的比例（百分比）。更高的值可以降低因频繁丢帧而导致的爆音风险。"
#define GENESIS_PLUS_GX_YM2413_LABEL_CHS NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_CHS "启用特定的 Sega Mark III/Master 系统游戏使用的 FM 声音单元来增强音频输出。"
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_CHS "Master System FM (YM2413) 核心。"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CHS "选择用于模拟Sega Mark III/Master 系统的 FM 声音单元的方法。 “MAME”选项是快速的，在大多数系统上运行全速。 “Nuked”选项是周期准确的，质量很高，并且有大量的 CPU 要求。"
#define OPTION_VAL_MAME_CHS NULL
#define OPTION_VAL_NUKED_CHS "原型"
#define GENESIS_PLUS_GX_YM2612_LABEL_CHS NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_CHS "选择用于模拟Mega Drive/Genesis调频合成器(主声音生成器) 的方法。 “MAME”选项是快速的，并在大多数系统上运行全速。 “Nuked”选项是周期准确的，质量很高，并且有大量的 CPU 要求。 YM2612 芯片被原型1 Mega Drive/Genesis使用。YM3438将用于以后的 Mega Drive/Genesis 版本。"
#define GENESIS_PLUS_GX_YM2612_INFO_1_CHS "选择用于模拟Mega Drive/Genesis调频合成器(主声音生成器) 的方法。 YM2612 芯片被原型1 Mega Drive/Genesis使用。YM3438将用于以后的 Mega Drive/Genesis 版本。"
#define OPTION_VAL_MAME_YM2612_CHS NULL
#define OPTION_VAL_MAME_ASIC_YM3438_CHS NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_CHS "MAME (增强的 YM3438)"
#define OPTION_VAL_NUKED_YM2612_CHS "原型 (YM2612)"
#define OPTION_VAL_NUKED_YM3438_CHS "原型(YM3438)"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CHS "声音输出"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CHS "选择立体声或单声道播放。"
#define OPTION_VAL_STEREO_CHS "立体声"
#define OPTION_VAL_MONO_CHS "单声道"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CHS "音频过滤器"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CHS "启用低通道音频过滤器以更好地模拟模型1 Mega Drive/Genesis的特征声音。"
#define OPTION_VAL_LOW_PASS_CHS "低通滤波器"
#define OPTION_VAL_EQ_CHS "均衡器"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CHS "低通滤波器 %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CHS "指定音频低通过过滤器的截断频率。 较高的值提高了该过滤器的“强度”，因为高频谱范围更广。"
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CHS "PSG 预置级别"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CHS "设置模拟SN764964频道可编程声音生成器在SG-1000中的音频前置放大器级别 Sega Mark III, Master System, Game Gear and Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_CHS "FM 预置级别"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CHS "设置模拟Mega 驱动器/Genesis FM声音合成器或 Sega Mark III/Master System FM 声音设备的音频放大器级别。"
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CHS "CD-DA 音量"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CHS "调整模拟的 CD 音频回放输出的混合音量。"
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CHS "PCM 音量"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CHS "调整模拟的Sega CD/Mega-CD RF5C164 PCM 声音生成器输出的混合音量。"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CHS "低频均衡"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CHS "调整内部音频均衡器的低范围波段。"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CHS "中频均衡"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CHS "调整内部音频均衡器的中间范围波段。"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CHS "高频均衡"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CHS "调整内部音频均衡器的高范围波段。"
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_CHS NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CHS NULL
#define OPTION_VAL_LIGHTGUN_CHS "光枪"
#define OPTION_VAL_TOUCHSCREEN_CHS "触摸屏"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CHS NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CHS "反转鼠标 Y 轴"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CHS NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CHS NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CHS NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_CHS "CPU 速度"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CHS NULL
#define OPTION_VAL_100_CHS NULL
#define OPTION_VAL_125_CHS NULL
#define OPTION_VAL_150_CHS NULL
#define OPTION_VAL_175_CHS NULL
#define OPTION_VAL_200_CHS NULL
#define OPTION_VAL_225_CHS NULL
#define OPTION_VAL_250_CHS NULL
#define OPTION_VAL_275_CHS NULL
#define OPTION_VAL_300_CHS NULL
#define OPTION_VAL_325_CHS NULL
#define OPTION_VAL_350_CHS NULL
#define OPTION_VAL_375_CHS NULL
#define OPTION_VAL_400_CHS NULL
#define OPTION_VAL_425_CHS NULL
#define OPTION_VAL_450_CHS NULL
#define OPTION_VAL_475_CHS NULL
#define OPTION_VAL_500_CHS NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CHS NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CHS "68K 地址错误"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_CHS NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CHS NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CHS NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CHS NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CHS NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CHS "Master System FM (YM2413) 通道 0 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CHS "降低Master System FM 频道0的音量。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CHS "Master System FM (YM2413) 通道 1 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CHS "降低Master System FM 频道1的音量。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CHS "Master System FM (YM2413) 通道 2 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CHS "降低Master System FM 频道2的音量。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CHS "Master System FM (YM2413) 通道 3 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CHS "降低Master System FM 频道3的音量。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CHS "Master System FM (YM2413) 频道4 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CHS "降低Master System FM 频道4的音量。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CHS "Master System FM (YM2413) 通道 5 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CHS "降低Master System FM 频道5的音量。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CHS "Master System FM (YM2413) 通道 6 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CHS "降低Master System FM 频道6的音量。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CHS "Master System FM (YM2413) 频道 7 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CHS "降低 Master System FM 频道7 的音量。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CHS "Master System FM (YM2413) 频道 8 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CHS "降低Master System FM 频道8 的音量。"

struct retro_core_option_v2_category option_cats_chs[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_CHS,
      CATEGORY_SYSTEM_INFO_0_CHS
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_CHS,
      CATEGORY_VIDEO_INFO_0_CHS
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_CHS,
      CATEGORY_AUDIO_INFO_0_CHS
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_CHS,
      CATEGORY_INPUT_INFO_0_CHS
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_CHS,
      CATEGORY_HACKS_INFO_0_CHS
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_CHS,
      CATEGORY_CHANNEL_VOLUME_INFO_0_CHS
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_chs[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CHS,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_CHS                 },
         { "sg-1000",              OPTION_VAL_SG_1000_CHS              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_CHS           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_CHS},
         { "mark-III",             OPTION_VAL_MARK_III_CHS             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_CHS        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_CHS     },
         { "game gear",            OPTION_VAL_GAME_GEAR_CHS            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_CHS   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CHS,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_CHS   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_CHS },
         { "pal",     OPTION_VAL_PAL_CHS    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_CHS },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_CHS,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_CHS },
         { "50hz",  OPTION_VAL_50HZ_CHS },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_CHS,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CHS,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_CHS },
         { "per game", OPTION_VAL_PER_GAME_CHS },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_CHS,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_CHS },
         { "per game", OPTION_VAL_PER_GAME_CHS },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_CHS,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_CHS  },
         { "256k",     OPTION_VAL_256K_CHS  },
         { "512k",     OPTION_VAL_512K_CHS  },
         { "1meg",     OPTION_VAL_1MEG_CHS    },
         { "2meg",     OPTION_VAL_2MEG_CHS    },
         { "4meg",     OPTION_VAL_4MEG_CHS    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_CHS,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_CHS },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_CHS },
         { "megasd",       OPTION_VAL_MEGASD_CHS },
         { "none",         OPTION_VAL_NONE_CHS },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_CHS,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_CHS },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_CHS },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_CHS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CHS,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_CHS },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_CHS },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_CHS },
         { "4:3",  OPTION_VAL_4_3_CHS },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_CHS },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_CHS,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_CHS },
         { "left/right", OPTION_VAL_LEFT_RIGHT_CHS },
         { "full",       OPTION_VAL_FULL_CHS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CHS,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_CHS },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_CHS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CHS,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CHS,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_CHS },
         { "composite",  OPTION_VAL_COMPOSITE_CHS },
         { "svideo",     OPTION_VAL_SVIDEO_CHS },
         { "rgb",        OPTION_VAL_RGB_CHS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CHS,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_CHS,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_CHS },
         { "double field", OPTION_VAL_DOUBLE_FIELD_CHS },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CHS,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_CHS },
         { "manual",   OPTION_VAL_MANUAL_CHS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CHS,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_CHS },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_CHS },
         { "nuked", OPTION_VAL_NUKED_CHS },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_CHS,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_CHS,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_CHS,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_CHS },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_CHS },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_CHS },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_CHS },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_CHS },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_CHS },
         { "mono",   OPTION_VAL_MONO_CHS },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_CHS },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_CHS },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CHS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CHS,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_CHS },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_CHS },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CHS,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CHS,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CHS,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CHS,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CHS,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CHS,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_CHS },
         { "125", OPTION_VAL_125_CHS },
         { "150", OPTION_VAL_150_CHS },
         { "175", OPTION_VAL_175_CHS },
         { "200", OPTION_VAL_200_CHS },
         { "225", OPTION_VAL_225_CHS },
         { "250", OPTION_VAL_250_CHS },
         { "275", OPTION_VAL_275_CHS },
         { "300", OPTION_VAL_300_CHS },
         { "325", OPTION_VAL_325_CHS },
         { "350", OPTION_VAL_350_CHS },
         { "375", OPTION_VAL_375_CHS },
         { "400", OPTION_VAL_400_CHS },
         { "425", OPTION_VAL_425_CHS },
         { "450", OPTION_VAL_450_CHS },
         { "475", OPTION_VAL_475_CHS },
         { "500", OPTION_VAL_500_CHS },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CHS,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CHS,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CHS,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CHS,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CHS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CHS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_chs = {
   option_cats_chs,
   option_defs_chs
};

/* RETRO_LANGUAGE_CHT */

#define CATEGORY_SYSTEM_LABEL_CHT "系統"
#define CATEGORY_SYSTEM_INFO_0_CHT NULL
#define CATEGORY_VIDEO_LABEL_CHT "顯示"
#define CATEGORY_VIDEO_INFO_0_CHT "變更長寬比、畫面裁剪、影像濾鏡和跳幀的設定。"
#define CATEGORY_AUDIO_LABEL_CHT "音效"
#define CATEGORY_AUDIO_INFO_0_CHT NULL
#define CATEGORY_INPUT_LABEL_CHT "輸入"
#define CATEGORY_INPUT_INFO_0_CHT NULL
#define CATEGORY_HACKS_LABEL_CHT "進階"
#define CATEGORY_HACKS_INFO_0_CHT "變更模擬器進階破解的設定。"
#define CATEGORY_CHANNEL_VOLUME_LABEL_CHT "音效 (進階音量設定)"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CHT "系統硬體"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CHT NULL
#define OPTION_VAL_AUTO_CHT "自動"
#define OPTION_VAL_SG_1000_CHT NULL
#define OPTION_VAL_SG_1000_II_CHT NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_CHT "SG-1000 II (記憶體擴充卡)"
#define OPTION_VAL_MARK_III_CHT NULL
#define OPTION_VAL_MASTER_SYSTEM_CHT NULL
#define OPTION_VAL_MASTER_SYSTEM_II_CHT NULL
#define OPTION_VAL_GAME_GEAR_CHT NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_CHT "Mega Drive (Genesis)"
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_CHT "系統區域"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CHT NULL
#define OPTION_VAL_NTSC_U_CHT NULL
#define OPTION_VAL_PAL_CHT NULL
#define OPTION_VAL_NTSC_J_CHT NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_CHT NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_CHT NULL
#define OPTION_VAL_60HZ_CHT NULL
#define OPTION_VAL_50HZ_CHT NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_CHT NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CHT NULL
#define OPTION_VAL_PER_BIOS_CHT NULL
#define OPTION_VAL_PER_GAME_CHT NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_CHT NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_CHT NULL
#define OPTION_VAL_PER_CART_CHT NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_CHT NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_CHT NULL
#define OPTION_VAL_128K_CHT NULL
#define OPTION_VAL_256K_CHT NULL
#define OPTION_VAL_512K_CHT NULL
#define OPTION_VAL_1MEG_CHT NULL
#define OPTION_VAL_2MEG_CHT NULL
#define OPTION_VAL_4MEG_CHT NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_CHT NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_CHT NULL
#define OPTION_VAL_SEGA_MEGA_CD_CHT "光碟機 (Sega CD/Mega CD)"
#define OPTION_VAL_MEGASD_CHT "燒錄卡 (MegaSD)"
#define OPTION_VAL_NONE_CHT "無"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_CHT NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_CHT NULL
#define OPTION_VAL_GAME_GENIE_CHT "遊戲精靈金手指擴充卡"
#define OPTION_VAL_ACTION_REPLAY_PRO_CHT "動作重播專業版金手指擴充卡"
#define OPTION_VAL_SONIC_KNUCKLES_CHT "索尼克與奈克魯斯擴充卡 (Sonic & Knuckles)"
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CHT "寬高比 (核心參數)"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CHT "設定畫面的寬高比, 僅限「設定/顯示/縮放」選項中, 設定「寬高比」為<核心參數>時使用。"
#define OPTION_VAL_NTSC_PAR_CHT "NTSC標準"
#define OPTION_VAL_PAL_PAR_CHT "PAL標準"
#define OPTION_VAL_4_3_CHT NULL
#define OPTION_VAL_UNCORRECTED_CHT "未調整"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_CHT "邊框"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_CHT "設定顯示螢幕四邊的過度掃描區域。"
#define OPTION_VAL_TOP_BOTTOM_CHT "上下邊"
#define OPTION_VAL_LEFT_RIGHT_CHT "左右邊"
#define OPTION_VAL_FULL_CHT "四邊"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CHT NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CHT NULL
#define OPTION_VAL_LEFT_BORDER_CHT NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_CHT NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_CHT NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CHT "NTSC濾波器"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CHT "製作者Blargg編譯的NTSC濾波器, 用於模擬電視各種影像輸入信號的顯示效果。"
#define OPTION_VAL_MONOCHROME_CHT "黑白"
#define OPTION_VAL_COMPOSITE_CHT "AV端子 (複合端子)"
#define OPTION_VAL_SVIDEO_CHT "S-端子 (獨立視訊端子)"
#define OPTION_VAL_RGB_CHT "色差端子 (YPbPr)"
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_CHT NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_CHT NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_CHT NULL
#define OPTION_VAL_SINGLE_FIELD_CHT NULL
#define OPTION_VAL_DOUBLE_FIELD_CHT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_CHT "跳幀"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CHT "設定跳幀用以避免音訊緩衝區不足(產生破音), 用影像流暢度為代價提高效能。\n設定<自動>由前端系統控制跳幀, 設定<手動>由「跳幀上限(%)」控制跳幀。"
#define OPTION_VAL_MANUAL_CHT "手動"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CHT "跳幀上限 (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CHT "設定「跳幀」為<手動>時音頻緩衝區使用上限(%)。\n低於上限的影格將被跳過, 設定過高會導致頻繁丟失影格, 過低則是出現破音。"
#define GENESIS_PLUS_GX_YM2413_LABEL_CHT NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_CHT "Master System FM (YM2413) 核心"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CHT NULL
#define OPTION_VAL_MAME_CHT NULL
#define OPTION_VAL_NUKED_CHT NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_CHT NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_CHT NULL
#define OPTION_VAL_MAME_YM2612_CHT NULL
#define OPTION_VAL_MAME_ASIC_YM3438_CHT NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_CHT NULL
#define OPTION_VAL_NUKED_YM2612_CHT NULL
#define OPTION_VAL_NUKED_YM3438_CHT NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CHT NULL
#define OPTION_VAL_STEREO_CHT "立體聲"
#define OPTION_VAL_MONO_CHT "單聲道"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CHT "音訊濾波器"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CHT NULL
#define OPTION_VAL_LOW_PASS_CHT NULL
#define OPTION_VAL_EQ_CHT "等化器"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CHT NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CHT "PSG前級增益"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_CHT "FM前級增益"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CHT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CHT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CHT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_CHT "光線槍輸入"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CHT NULL
#define OPTION_VAL_LIGHTGUN_CHT "光線槍"
#define OPTION_VAL_TOUCHSCREEN_CHT "觸控螢幕"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CHT NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CHT NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CHT "移除物件限制"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CHT "移除每條掃描線顯示物件數的硬體限制。\n減少畫面的閃爍但可能會導致圖形故障, 某些遊戲會利用硬體限制製作特殊效果。"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CHT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CHT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_CHT NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CHT NULL
#define OPTION_VAL_100_CHT NULL
#define OPTION_VAL_125_CHT NULL
#define OPTION_VAL_150_CHT NULL
#define OPTION_VAL_175_CHT NULL
#define OPTION_VAL_200_CHT NULL
#define OPTION_VAL_225_CHT NULL
#define OPTION_VAL_250_CHT NULL
#define OPTION_VAL_275_CHT NULL
#define OPTION_VAL_300_CHT NULL
#define OPTION_VAL_325_CHT NULL
#define OPTION_VAL_350_CHT NULL
#define OPTION_VAL_375_CHT NULL
#define OPTION_VAL_400_CHT NULL
#define OPTION_VAL_425_CHT NULL
#define OPTION_VAL_450_CHT NULL
#define OPTION_VAL_475_CHT NULL
#define OPTION_VAL_500_CHT NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CHT NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CHT "68K 位置錯誤"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_CHT NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CHT NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CHT "顯示音量進階設定 (需要重開選單)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CHT "開啟低階音訊通道參數的設定。\n注意: 此選項變更時需要重新進入核心選項才能生效。"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CHT "PSG聲道0 (方波) 音量 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CHT "設定PSG聲道0的音量。"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CHT "PSG聲道1 (方波) 音量 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CHT "設定PSG聲道1的音量。"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CHT "PSG聲道2 (方波) 音量 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CHT "設定PSG聲道2的音量。"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CHT "PSG聲道3 (雜訊) 音量 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CHT "設定PSG聲道3的音量。"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CHT "Mega Drive/Genesis 調頻通道 0 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CHT "Mega Drive/Genesis 調頻通道 1 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CHT "Mega Drive/Genesis 調頻通道 2 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CHT "Mega Drive/Genesis 調頻通道 3 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CHT "Mega Drive/Genesis 調頻通道 4 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CHT "Mega Drive/Genesis 調頻通道 5 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CHT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CHT NULL

struct retro_core_option_v2_category option_cats_cht[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_CHT,
      CATEGORY_SYSTEM_INFO_0_CHT
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_CHT,
      CATEGORY_VIDEO_INFO_0_CHT
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_CHT,
      CATEGORY_AUDIO_INFO_0_CHT
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_CHT,
      CATEGORY_INPUT_INFO_0_CHT
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_CHT,
      CATEGORY_HACKS_INFO_0_CHT
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_CHT,
      CATEGORY_CHANNEL_VOLUME_INFO_0_CHT
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_cht[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CHT,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_CHT                 },
         { "sg-1000",              OPTION_VAL_SG_1000_CHT              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_CHT           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_CHT},
         { "mark-III",             OPTION_VAL_MARK_III_CHT             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_CHT        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_CHT     },
         { "game gear",            OPTION_VAL_GAME_GEAR_CHT            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_CHT   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CHT,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_CHT   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_CHT },
         { "pal",     OPTION_VAL_PAL_CHT    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_CHT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_CHT,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_CHT },
         { "50hz",  OPTION_VAL_50HZ_CHT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_CHT,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CHT,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_CHT },
         { "per game", OPTION_VAL_PER_GAME_CHT },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_CHT,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_CHT },
         { "per game", OPTION_VAL_PER_GAME_CHT },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_CHT,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_CHT  },
         { "256k",     OPTION_VAL_256K_CHT  },
         { "512k",     OPTION_VAL_512K_CHT  },
         { "1meg",     OPTION_VAL_1MEG_CHT    },
         { "2meg",     OPTION_VAL_2MEG_CHT    },
         { "4meg",     OPTION_VAL_4MEG_CHT    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_CHT,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_CHT },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_CHT },
         { "megasd",       OPTION_VAL_MEGASD_CHT },
         { "none",         OPTION_VAL_NONE_CHT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_CHT,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_CHT },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_CHT },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_CHT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CHT,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_CHT },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_CHT },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_CHT },
         { "4:3",  OPTION_VAL_4_3_CHT },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_CHT },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_CHT,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_CHT },
         { "left/right", OPTION_VAL_LEFT_RIGHT_CHT },
         { "full",       OPTION_VAL_FULL_CHT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CHT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_CHT },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_CHT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CHT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CHT,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_CHT },
         { "composite",  OPTION_VAL_COMPOSITE_CHT },
         { "svideo",     OPTION_VAL_SVIDEO_CHT },
         { "rgb",        OPTION_VAL_RGB_CHT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CHT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_CHT,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_CHT },
         { "double field", OPTION_VAL_DOUBLE_FIELD_CHT },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CHT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_CHT },
         { "manual",   OPTION_VAL_MANUAL_CHT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CHT,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_CHT },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_CHT },
         { "nuked", OPTION_VAL_NUKED_CHT },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_CHT,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_CHT,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_CHT,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_CHT },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_CHT },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_CHT },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_CHT },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_CHT },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_CHT },
         { "mono",   OPTION_VAL_MONO_CHT },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_CHT },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_CHT },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CHT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CHT,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_CHT },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_CHT },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CHT,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CHT,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CHT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CHT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CHT,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CHT,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_CHT },
         { "125", OPTION_VAL_125_CHT },
         { "150", OPTION_VAL_150_CHT },
         { "175", OPTION_VAL_175_CHT },
         { "200", OPTION_VAL_200_CHT },
         { "225", OPTION_VAL_225_CHT },
         { "250", OPTION_VAL_250_CHT },
         { "275", OPTION_VAL_275_CHT },
         { "300", OPTION_VAL_300_CHT },
         { "325", OPTION_VAL_325_CHT },
         { "350", OPTION_VAL_350_CHT },
         { "375", OPTION_VAL_375_CHT },
         { "400", OPTION_VAL_400_CHT },
         { "425", OPTION_VAL_425_CHT },
         { "450", OPTION_VAL_450_CHT },
         { "475", OPTION_VAL_475_CHT },
         { "500", OPTION_VAL_500_CHT },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CHT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CHT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CHT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CHT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CHT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CHT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_cht = {
   option_cats_cht,
   option_defs_cht
};

/* RETRO_LANGUAGE_CS */

#define CATEGORY_SYSTEM_LABEL_CS "Systém"
#define CATEGORY_SYSTEM_INFO_0_CS "Změna výběru základního hardwaru, regionu, BIOSu a nastavení ukládacích souborů Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_CS NULL
#define CATEGORY_VIDEO_INFO_0_CS "Změňte poměr stran, oříznutí displeje, filtr videa a nastavení přeskakování snímků."
#define CATEGORY_AUDIO_LABEL_CS "Zvuk"
#define CATEGORY_AUDIO_INFO_0_CS "Změna nastavení zvukového zařízení."
#define CATEGORY_INPUT_LABEL_CS "Vstup"
#define CATEGORY_INPUT_INFO_0_CS "Změna nastavení světelné pistole a/nebo vstupu myši."
#define CATEGORY_HACKS_LABEL_CS "Emulace hacků"
#define CATEGORY_HACKS_INFO_0_CS "Změna nastavení přetaktování procesoru a přesnosti emulace, které ovlivňují výkon a kompatibilitu na nízké úrovni."
#define CATEGORY_CHANNEL_VOLUME_LABEL_CS "Rozšířené nastavení hlasitosti kanálů"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_CS "Změna hlasitosti jednotlivých hardwarových zvukových kanálů."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CS "Systémový Hardware"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CS "Spustí načtený obsah s konkrétní emulovanou konzolí. 'Auto' vybere nejvhodnější systém pro aktuální hru."
#define OPTION_VAL_AUTO_CS NULL
#define OPTION_VAL_SG_1000_CS NULL
#define OPTION_VAL_SG_1000_II_CS NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_CS NULL
#define OPTION_VAL_MARK_III_CS NULL
#define OPTION_VAL_MASTER_SYSTEM_CS NULL
#define OPTION_VAL_MASTER_SYSTEM_II_CS NULL
#define OPTION_VAL_GAME_GEAR_CS NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_CS NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_CS "Systémový Region"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CS "Zadejte, z jaké oblasti systém pochází. U konzolí jiných než Game Gear znamená 'PAL' 50 Hz, zatímco 'NTSC' 60 Hz. Pokud je vybrán nesprávný region, mohou hry běžet rychleji nebo pomaleji než obvykle."
#define OPTION_VAL_NTSC_U_CS NULL
#define OPTION_VAL_PAL_CS NULL
#define OPTION_VAL_NTSC_J_CS NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_CS "Vynucení režimu VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_CS "Přepíše režim VDP a přinutí jej běžet buď v režimu NTSC 60 Hz, nebo PAL 50 Hz, bez ohledu na oblast systému."
#define OPTION_VAL_60HZ_CS NULL
#define OPTION_VAL_50HZ_CS NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_CS "Systém Boot ROM"
#define GENESIS_PLUS_GX_BIOS_INFO_0_CS "Použijte oficiální BIOS/bootloader pro emulovaný hardware, pokud je přítomen v systémovém adresáři aplikace RetroArch. Zobrazí spouštěcí sekvenci/animaci specifickou pro konzoli a poté spustí načtený obsah."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CS "CD System BRAM (Vyžaduje restart)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CS "Při spouštění obsahu Sega CD/Mega-CD určuje, zda se má sdílet jeden ukládací soubor pro všechny hry z určité oblasti (Pro-BIOS), nebo zda se má pro každou hru vytvořit samostatný ukládací soubor (Pro-Hru). Všimněte si, že Sega CD/Mega-CD má omezenou vnitřní paměť, která stačí pouze pro několik titulů. Abyste se vyhnuli nedostatku místa, doporučujeme použít nastavení \"Pro-Hru\"."
#define OPTION_VAL_PER_BIOS_CS "Na-BIOS"
#define OPTION_VAL_PER_GAME_CS "Na-Hru"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_CS "CD Záložní koš BRAM (Vyžaduje restart)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_CS "Při spouštění obsahu Sega CD/Mega-CD určuje, zda má být pro všechny hry sdílena jedna záložní ram koš (Pro-Koš), nebo zda má být pro každou hru vytvořena samostatná záložní ram koš (Pro-Hru)."
#define OPTION_VAL_PER_CART_CS "Pro-Koš"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_CS "Velikost BRAM záložního koše CD (Vyžaduje restart)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_CS "Nastavuje velikost záložního ram koše při spouštění obsahu Sega CD/Mega-CD. Užitečné při nastavení záložního ram koše na Pro-Hru, aby se zabránilo více větším velikostem koše."
#define OPTION_VAL_128K_CS NULL
#define OPTION_VAL_256K_CS NULL
#define OPTION_VAL_512K_CS NULL
#define OPTION_VAL_1MEG_CS NULL
#define OPTION_VAL_2MEG_CS NULL
#define OPTION_VAL_4MEG_CS NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_CS "Doplněk CD (režim MD) (Vyžaduje Restart)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_CS "Určete, který doplněk se má použít pro přehrávání zvuku CD s podporovanými hrami Mega Drive/Genesis."
#define OPTION_VAL_SEGA_MEGA_CD_CS NULL
#define OPTION_VAL_MEGASD_CS NULL
#define OPTION_VAL_NONE_CS "Žádné"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_CS "Cartridge Zámek-On"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_CS "Technologie Zámek-On je funkce systému Mega Drive/Genesis, která umožňovala připojit starší hru k průchozímu portu speciální kazety a prodloužit nebo změnit tak hraní. Tato volba určuje, který typ speciální 'Zámek-On' kazety se má emulovat. V systémovém adresáři aplikace RetroArch musí být přítomen odpovídající soubor biosu."
#define OPTION_VAL_GAME_GENIE_CS NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_CS "Přehrávání Akce (Pro)"
#define OPTION_VAL_SONIC_KNUCKLES_CS NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CS "Poměr stran poskytovaný jádrem"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CS "Zvolte preferovaný poměr stran obsahu. To se použije pouze v případě, že je poměr stran aplikace RetroArch v nastavení videa nastaven na hodnotu 'Poskytnuté Jádro'."
#define OPTION_VAL_NTSC_PAR_CS NULL
#define OPTION_VAL_PAL_PAR_CS NULL
#define OPTION_VAL_4_3_CS NULL
#define OPTION_VAL_UNCORRECTED_CS "Neopraveno"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_CS "Ohraničení"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_CS "Povolením této možnosti zobrazíte oblasti overscanu v horní/dolní a/nebo levé/pravé části obrazovky. Ty by byly normálně skryty rámečkem kolem okraje televizoru se standardním rozlišením."
#define OPTION_VAL_TOP_BOTTOM_CS "Horní/Spodní"
#define OPTION_VAL_LEFT_RIGHT_CS "Vlevo/Vpravo"
#define OPTION_VAL_FULL_CS "Plné"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CS "Skrytí Bočních Okrajů Master Systému"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CS "Při spouštění her pro Master System odřízne 8 pixelů z levé strany obrazovky nebo z levé i pravé strany."
#define OPTION_VAL_LEFT_BORDER_CS "Pouze Levý Okraj"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_CS "Levé a Pravé Okraje"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_CS "Rozšířená Obrazovka Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CS "Vynutí spuštění titulů pro Game Gear v režimu SMS se zvýšeným rozlišením 256x192. Může zobrazit další obsah, ale obvykle zobrazí okraj poškozených/nežádoucích obrazových dat."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CS "Blargg NTSC Filtr"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CS "Použijte video filtr pro napodobení různých televizních signálů NTSC."
#define OPTION_VAL_MONOCHROME_CS "Jednobarevné"
#define OPTION_VAL_COMPOSITE_CS "Kompozitní"
#define OPTION_VAL_SVIDEO_CS NULL
#define OPTION_VAL_RGB_CS NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_CS "Filtr proti duchům na displeji LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CS "Použijte filtr 'duchů' obrazu, abyste napodobili vlastnosti zobrazení panelů LCD zařízení Game Gear a Genesis Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_CS "Výstup v Prokládaném Režimu 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_CS "Prokládaný režim 2 umožňuje konzolím Mega Drive/Genesis vytvářet obraz 320x448 s dvojnásobnou výškou (vysokým rozlišením) tím, že každý snímek vykresluje střídavé skenovací řádky (tento režim používají režimy pro více hráčů Sonic the Hedgehog 2 a Combat Cars). Funkce 'Dvojité Pole' napodobuje původní hardware a vytváří ostrý obraz s artefakty blikání/prokládání. V režimu 'Jedno Pole' se použije filtr pro odstranění prokládání, který stabilizuje obraz, ale způsobuje mírné rozmazání."
#define OPTION_VAL_SINGLE_FIELD_CS "Jedno Pole"
#define OPTION_VAL_DOUBLE_FIELD_CS "Dvojité Pole"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_CS NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CS "Přeskočení snímků, aby se zabránilo nedostatečnému využití vyrovnávací paměti zvuku (praskání). Zlepšuje výkon na úkor vizuální plynulosti. Funkce 'Auto' přeskakuje snímky, pokud to doporučí frontend. 'Ruční' využívá nastavení 'Práh přeskakování snímků (%)'."
#define OPTION_VAL_MANUAL_CS "Ruční"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CS "Prahová hodnota Frameskip (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CS "Pokud je položka 'Frameskip' nastavena na hodnotu 'Ruční', určuje práh obsazení vyrovnávací paměti zvuku (v procentech), pod kterým budou snímky přeskočeny. Vyšší hodnoty snižují riziko praskání tím, že způsobují častější vynechávání snímků."
#define GENESIS_PLUS_GX_YM2413_LABEL_CS NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_CS "Umožňuje emulaci zvukové jednotky FM používané v některých hrách Sega Mark III/Master System pro lepší zvukový výstup."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_CS "Master System FM (YM2413) Jádro"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CS "Zvolte metodu používanou k emulaci zvukové jednotky FM systému Sega Mark III/Master System. Možnost 'MAME' je rychlá a na většině systémů běží plnou rychlostí. Možnost 'Nuked' je přesná v cyklech, velmi kvalitní a má značné nároky na procesor."
#define OPTION_VAL_MAME_CS NULL
#define OPTION_VAL_NUKED_CS NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_CS NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_CS "Zvolte metodu emulace FM syntezátoru (hlavního generátoru zvuku) zařízení Mega Drive/Genesis. Možnosti 'MAME' jsou rychlé a na většině systémů běží plnou rychlostí. Možnosti 'Nuked' jsou cyklicky přesné, velmi kvalitní a mají značné nároky na procesor. Čip YM2612 používá původní model 1 Mega Drive/Genesis. Čip YM3438 se používá v pozdějších revizích jednotek Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_CS "Zvolte metodu emulace FM syntezátoru (hlavního generátoru zvuku) zařízení Mega Drive/Genesis. Čip YM2612 používá původní model 1 Mega Drive/Genesis. Čip YM3438 se používá v pozdějších revizích jednotky Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_CS NULL
#define OPTION_VAL_MAME_ASIC_YM3438_CS NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_CS "MAME (Vylepšené YM3438)"
#define OPTION_VAL_NUKED_YM2612_CS NULL
#define OPTION_VAL_NUKED_YM3438_CS NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CS "Zvukový Výstup"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CS "Vyberte stereofonní nebo monofonní přehrávání zvuku."
#define OPTION_VAL_STEREO_CS NULL
#define OPTION_VAL_MONO_CS NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CS "Filtr zvuku"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CS "Povolte dolní propust zvukového filtru pro lepší simulaci charakteristického zvuku modelu 1 Mega Drive/Genesis."
#define OPTION_VAL_LOW_PASS_CS "Nízko-Propustný"
#define OPTION_VAL_EQ_CS NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CS "Nízko-Propustný Filtr %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CS "Zadejte mezní frekvenci dolní propusti zvukového filtru. Vyšší hodnota zvyšuje vnímanou 'síla' filtru, protože je potlačen širší rozsah vysokofrekvenčního spektra."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CS "Úroveň Předzesilovače PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CS "Nastavení úrovně zvukového předzesilovače emulovaného čtyřkanálového programovatelného generátoru zvuku SN76496, který se nachází v zařízeních SG-1000, Sega Mark III, Master System, Game Gear a Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_CS "FM Úroveň Preamp"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CS "Nastavte úroveň zvukového předzesilovače emulovaného zvukového syntezátoru Mega Drive/Genesis FM nebo zvukové jednotky Sega Mark III/Master System FM."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CS "Hlasitost CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CS "Upravte hlasitost směšování emulovaného výstupu přehrávání zvuku CD."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CS "PCM Hlasitost"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CS "Nastavte hlasitost směšování výstupu emulovaného zvukového generátoru Sega CD/Mega-CD RF5C164 PCM."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CS "Nízký EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CS "Nastavení pásma nízkého rozsahu interního ekvalizéru zvuku."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CS "Střední EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CS "Nastavení středního pásma interního ekvalizéru zvuku."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CS "Vysoký EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CS "Nastavte pásmo vysokého rozsahu interního ekvalizéru zvuku."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_CS "Vstup Světelné Zbraně"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CS "Použít 'Světelná Zbraň' ovládanou myší nebo vstup 'Dotyková Obrazovka'."
#define OPTION_VAL_LIGHTGUN_CS NULL
#define OPTION_VAL_TOUCHSCREEN_CS "Dotyková Obrazovka"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CS "Zobrazit Kříž Světelné Zbraně"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CS "Zobrazení světelného zaměřovacího kříže při použití typů vstupních zařízení MD Menacer, MD Justifiers a MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CS "Přehodit Osu-Y Myši"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CS "Změní osu-Y vstupního zařízení MD myši."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CS "Odstranění Limitu Spritu na Řádek"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CS "Odstraní původní hardwarový limit sprite-per-scanline. Tím se sníží blikání, ale může to způsobit vizuální závady, protože některé hry využívají hardwarový limit ke generování speciálních efektů."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CS "Vylepšené vertikální posouvání po dlaždici"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CS "Umožňuje posouvat každou jednotlivou buňku svisle místo 16px dvoubuněk zprůměrováním s hodnotou vertikálního posouvání sousední buňky. Tento hack platí pouze pro několik her, které používají režim vertikálního posouvání po 2 buňkách."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CS "Vylepšený limit vertikálního posouvání na dlaždici"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CS "Pouze když je povoleno vylepšené vertikální posouvání po dlaždicích. Upravuje limit vylepšení vertikálního posouvání. Pokud je rozdíl vscroll mezi sousedními dlaždicemi větší než tento limit, je vylepšení zakázáno."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_CS "Rychlost CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CS "Přetaktování emulovaného procesoru. Může snížit zpomalení, ale může způsobit závady."
#define OPTION_VAL_100_CS NULL
#define OPTION_VAL_125_CS NULL
#define OPTION_VAL_150_CS NULL
#define OPTION_VAL_175_CS NULL
#define OPTION_VAL_200_CS NULL
#define OPTION_VAL_225_CS NULL
#define OPTION_VAL_250_CS NULL
#define OPTION_VAL_275_CS NULL
#define OPTION_VAL_300_CS NULL
#define OPTION_VAL_325_CS NULL
#define OPTION_VAL_350_CS NULL
#define OPTION_VAL_375_CS NULL
#define OPTION_VAL_400_CS NULL
#define OPTION_VAL_425_CS NULL
#define OPTION_VAL_450_CS NULL
#define OPTION_VAL_475_CS NULL
#define OPTION_VAL_500_CS NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CS "Uzamčení Systému"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CS "Emulace zablokování systému, ke kterému dochází na skutečném hardwaru při provádění nelegálního přístupu k adrese. Tato funkce by měla být vypnuta pouze při přehrávání některých dem a homebrew, které se spoléhají na nelegální chování pro správnou funkci."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CS "Chyba v Adrese 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CS "Hlavní procesor Mega Drive/Genesis (Motorola 68000) generuje při pokusu o nezarovnaný přístup do paměti výjimku Chyba Adresy (Výpadek). Povolením této funkce se toto chování simuluje. Měla by být vypnuta pouze při přehrávání hacků ROM, protože ty jsou obvykle vyvíjeny pomocí méně přesných emulátorů a mohou se spoléhat na neplatný přístup do RAM pro správnou funkci."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_CS "Doba přístupu na CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CS "Simulace původního hardwarového zpoždění disku CD při zahájení čtení nebo vyhledávání určitého místa na nahraném disku. To je vyžadováno několika hrami na CD, které padají, pokud jsou data na CD dostupná příliš brzy, a také to řeší problémy s desynchronizací zvuku CD v některých hrách. Vypnutí této funkce může být užitečné u her s MSU-MD, protože díky ní jsou smyčky zvukových stop CD plynulejší."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CS "Cache CD obrazu"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CS "Načtení obrazu CD do paměti při spuštění. Podporováno pouze CHD. Nutný restart."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CS "Zobrazit Pokročilé Nastavení Hlasitosti Zvuku (Znovu otevře Menu)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CS "Povolení konfigurace parametrů nízkoúrovňového zvukového kanálu. POZNÁMKA: Aby se toto nastavení projevilo, musí být přepnuta rychlá nabídka."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CS "Tónový Kanál PSG 0 Hlasitost %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CS "Redukuje hlasitost Tónového Kanálu PSG 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CS "Tónový Kanál PSG 1 Hlasitost %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CS "Redukuje Hlasitost Tónového Kanálu PSG 1."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CS "Tónový Kanál PSG 2 Hlasitost %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CS "Redukuje hlasitost Tónového Kanálu PSG 2."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CS "Kanál Hluku PSG 3 Hlasitost %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CS "Redukuje hlasitost Šumového Kanálu PSG 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CS "Mega Drive/Genesis FM Kanál 0 Hlasitost %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CS "Redukuje hlasitost kanálu 0 jednotky Mega Drive/Genesis FM. Funguje pouze s emulátory MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CS "Mega Drive/Genesis FM Kanál 1 Hlasitost %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CS "Redukuje hlasitost 1. kanálu Mega Drive/Genesis FM. Funguje pouze s emulátory MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CS "Mega Drive/Genesis FM Channel 2 Hlasitost %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CS "Redukuje hlasitost kanálu Mega Drive/Genesis FM 2. Funguje pouze s emulátory MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CS "Mega Drive/Genesis FM Kanál 3 Hlasitost %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CS "Redukuje hlasitost kanálu 3 jednotky Mega Drive/Genesis FM. Funguje pouze s emulátory MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CS "Mega Drive/Genesis FM Kanál 4 Hlasitost %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CS "Redukuje hlasitost kanálu Mega Drive/Genesis FM 4. Funguje pouze s emulátory MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CS "Mega Drive/Genesis FM Kanál 5 Hlasitost %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CS "Redukuje hlasitost kanálu 5 jednotky Mega Drive/Genesis FM. Funguje pouze s emulátory MAME FM."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 0 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 0."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 1 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 1."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 2 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 2."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 3 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 3."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 4 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 4."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 5 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 5."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 6 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 6."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 7 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 7."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CS "Master System FM (YM2413) Kanál 8 Hlasitost %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CS "Redukuje hlasitost Master Systemu FM Kanál 8."

struct retro_core_option_v2_category option_cats_cs[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_CS,
      CATEGORY_SYSTEM_INFO_0_CS
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_CS,
      CATEGORY_VIDEO_INFO_0_CS
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_CS,
      CATEGORY_AUDIO_INFO_0_CS
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_CS,
      CATEGORY_INPUT_INFO_0_CS
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_CS,
      CATEGORY_HACKS_INFO_0_CS
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_CS,
      CATEGORY_CHANNEL_VOLUME_INFO_0_CS
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_cs[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CS,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_CS                 },
         { "sg-1000",              OPTION_VAL_SG_1000_CS              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_CS           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_CS},
         { "mark-III",             OPTION_VAL_MARK_III_CS             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_CS        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_CS     },
         { "game gear",            OPTION_VAL_GAME_GEAR_CS            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_CS   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CS,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_CS   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_CS },
         { "pal",     OPTION_VAL_PAL_CS    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_CS },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_CS,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_CS },
         { "50hz",  OPTION_VAL_50HZ_CS },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_CS,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CS,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_CS },
         { "per game", OPTION_VAL_PER_GAME_CS },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_CS,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_CS },
         { "per game", OPTION_VAL_PER_GAME_CS },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_CS,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_CS  },
         { "256k",     OPTION_VAL_256K_CS  },
         { "512k",     OPTION_VAL_512K_CS  },
         { "1meg",     OPTION_VAL_1MEG_CS    },
         { "2meg",     OPTION_VAL_2MEG_CS    },
         { "4meg",     OPTION_VAL_4MEG_CS    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_CS,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_CS },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_CS },
         { "megasd",       OPTION_VAL_MEGASD_CS },
         { "none",         OPTION_VAL_NONE_CS },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_CS,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_CS },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_CS },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_CS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CS,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_CS },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_CS },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_CS },
         { "4:3",  OPTION_VAL_4_3_CS },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_CS },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_CS,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_CS },
         { "left/right", OPTION_VAL_LEFT_RIGHT_CS },
         { "full",       OPTION_VAL_FULL_CS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CS,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_CS },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_CS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CS,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CS,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_CS },
         { "composite",  OPTION_VAL_COMPOSITE_CS },
         { "svideo",     OPTION_VAL_SVIDEO_CS },
         { "rgb",        OPTION_VAL_RGB_CS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CS,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_CS,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_CS },
         { "double field", OPTION_VAL_DOUBLE_FIELD_CS },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CS,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_CS },
         { "manual",   OPTION_VAL_MANUAL_CS },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CS,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_CS,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_CS },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CS,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_CS },
         { "nuked", OPTION_VAL_NUKED_CS },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_CS,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_CS,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_CS,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_CS },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_CS },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_CS },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_CS },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_CS },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CS,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_CS },
         { "mono",   OPTION_VAL_MONO_CS },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CS,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_CS },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_CS },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CS,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CS,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CS,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_CS },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_CS },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CS,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CS,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CS,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CS,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CS,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CS,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_CS },
         { "125", OPTION_VAL_125_CS },
         { "150", OPTION_VAL_150_CS },
         { "175", OPTION_VAL_175_CS },
         { "200", OPTION_VAL_200_CS },
         { "225", OPTION_VAL_225_CS },
         { "250", OPTION_VAL_250_CS },
         { "275", OPTION_VAL_275_CS },
         { "300", OPTION_VAL_300_CS },
         { "325", OPTION_VAL_325_CS },
         { "350", OPTION_VAL_350_CS },
         { "375", OPTION_VAL_375_CS },
         { "400", OPTION_VAL_400_CS },
         { "425", OPTION_VAL_425_CS },
         { "450", OPTION_VAL_450_CS },
         { "475", OPTION_VAL_475_CS },
         { "500", OPTION_VAL_500_CS },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CS,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CS,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CS,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CS,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CS,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CS,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_cs = {
   option_cats_cs,
   option_defs_cs
};

/* RETRO_LANGUAGE_CY */

#define CATEGORY_SYSTEM_LABEL_CY NULL
#define CATEGORY_SYSTEM_INFO_0_CY NULL
#define CATEGORY_VIDEO_LABEL_CY NULL
#define CATEGORY_VIDEO_INFO_0_CY NULL
#define CATEGORY_AUDIO_LABEL_CY NULL
#define CATEGORY_AUDIO_INFO_0_CY NULL
#define CATEGORY_INPUT_LABEL_CY "Mewnbwn"
#define CATEGORY_INPUT_INFO_0_CY NULL
#define CATEGORY_HACKS_LABEL_CY NULL
#define CATEGORY_HACKS_INFO_0_CY NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_CY NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CY NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CY NULL
#define OPTION_VAL_AUTO_CY NULL
#define OPTION_VAL_SG_1000_CY NULL
#define OPTION_VAL_SG_1000_II_CY NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_CY NULL
#define OPTION_VAL_MARK_III_CY NULL
#define OPTION_VAL_MASTER_SYSTEM_CY NULL
#define OPTION_VAL_MASTER_SYSTEM_II_CY NULL
#define OPTION_VAL_GAME_GEAR_CY NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_CY NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_CY NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CY NULL
#define OPTION_VAL_NTSC_U_CY NULL
#define OPTION_VAL_PAL_CY NULL
#define OPTION_VAL_NTSC_J_CY NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_CY NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_CY NULL
#define OPTION_VAL_60HZ_CY NULL
#define OPTION_VAL_50HZ_CY NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_CY NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CY NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CY NULL
#define OPTION_VAL_PER_BIOS_CY NULL
#define OPTION_VAL_PER_GAME_CY NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_CY NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_CY NULL
#define OPTION_VAL_PER_CART_CY NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_CY NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_CY NULL
#define OPTION_VAL_128K_CY NULL
#define OPTION_VAL_256K_CY NULL
#define OPTION_VAL_512K_CY NULL
#define OPTION_VAL_1MEG_CY NULL
#define OPTION_VAL_2MEG_CY NULL
#define OPTION_VAL_4MEG_CY NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_CY NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_CY NULL
#define OPTION_VAL_SEGA_MEGA_CD_CY NULL
#define OPTION_VAL_MEGASD_CY NULL
#define OPTION_VAL_NONE_CY "Dim"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_CY NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_CY NULL
#define OPTION_VAL_GAME_GENIE_CY NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_CY NULL
#define OPTION_VAL_SONIC_KNUCKLES_CY NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CY NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CY NULL
#define OPTION_VAL_NTSC_PAR_CY NULL
#define OPTION_VAL_PAL_PAR_CY NULL
#define OPTION_VAL_4_3_CY NULL
#define OPTION_VAL_UNCORRECTED_CY NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_CY NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_CY NULL
#define OPTION_VAL_TOP_BOTTOM_CY NULL
#define OPTION_VAL_LEFT_RIGHT_CY NULL
#define OPTION_VAL_FULL_CY NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CY NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CY NULL
#define OPTION_VAL_LEFT_BORDER_CY NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_CY NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_CY NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CY NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CY NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CY NULL
#define OPTION_VAL_MONOCHROME_CY NULL
#define OPTION_VAL_COMPOSITE_CY NULL
#define OPTION_VAL_SVIDEO_CY NULL
#define OPTION_VAL_RGB_CY NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_CY NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CY NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_CY NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_CY NULL
#define OPTION_VAL_SINGLE_FIELD_CY NULL
#define OPTION_VAL_DOUBLE_FIELD_CY NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_CY NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CY NULL
#define OPTION_VAL_MANUAL_CY NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CY NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CY "Pan fydd 'Frameskip' yn cael ei osod i 'Manual', yn pennu'r trothwy meddiannaeth byffer sain (canran) islaw y bydd fframiau yn cael eu hepgor. Mae gwerthoedd uwch yn lleihau'r risg o graclo trwy achosi i fframiau ostwng yn amlach."
#define GENESIS_PLUS_GX_YM2413_LABEL_CY NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_CY NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_CY NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CY NULL
#define OPTION_VAL_MAME_CY NULL
#define OPTION_VAL_NUKED_CY NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_CY NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_CY NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_CY NULL
#define OPTION_VAL_MAME_YM2612_CY NULL
#define OPTION_VAL_MAME_ASIC_YM3438_CY NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_CY NULL
#define OPTION_VAL_NUKED_YM2612_CY NULL
#define OPTION_VAL_NUKED_YM3438_CY NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CY NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CY NULL
#define OPTION_VAL_STEREO_CY NULL
#define OPTION_VAL_MONO_CY NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CY NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CY NULL
#define OPTION_VAL_LOW_PASS_CY NULL
#define OPTION_VAL_EQ_CY NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CY NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CY NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CY NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CY NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_CY NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CY NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CY NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CY NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CY NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CY NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CY NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CY NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_CY NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CY NULL
#define OPTION_VAL_LIGHTGUN_CY NULL
#define OPTION_VAL_TOUCHSCREEN_CY NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CY NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CY NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CY NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CY NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CY NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CY NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CY NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CY NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CY NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CY NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_CY NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CY NULL
#define OPTION_VAL_100_CY NULL
#define OPTION_VAL_125_CY NULL
#define OPTION_VAL_150_CY NULL
#define OPTION_VAL_175_CY NULL
#define OPTION_VAL_200_CY NULL
#define OPTION_VAL_225_CY NULL
#define OPTION_VAL_250_CY NULL
#define OPTION_VAL_275_CY NULL
#define OPTION_VAL_300_CY NULL
#define OPTION_VAL_325_CY NULL
#define OPTION_VAL_350_CY NULL
#define OPTION_VAL_375_CY NULL
#define OPTION_VAL_400_CY NULL
#define OPTION_VAL_425_CY NULL
#define OPTION_VAL_450_CY NULL
#define OPTION_VAL_475_CY NULL
#define OPTION_VAL_500_CY NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CY NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CY NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CY NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CY NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_CY NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CY NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CY NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CY NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CY NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CY NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CY NULL

struct retro_core_option_v2_category option_cats_cy[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_CY,
      CATEGORY_SYSTEM_INFO_0_CY
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_CY,
      CATEGORY_VIDEO_INFO_0_CY
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_CY,
      CATEGORY_AUDIO_INFO_0_CY
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_CY,
      CATEGORY_INPUT_INFO_0_CY
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_CY,
      CATEGORY_HACKS_INFO_0_CY
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_CY,
      CATEGORY_CHANNEL_VOLUME_INFO_0_CY
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_cy[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_CY,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_CY                 },
         { "sg-1000",              OPTION_VAL_SG_1000_CY              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_CY           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_CY},
         { "mark-III",             OPTION_VAL_MARK_III_CY             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_CY        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_CY     },
         { "game gear",            OPTION_VAL_GAME_GEAR_CY            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_CY   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_CY,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_CY   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_CY },
         { "pal",     OPTION_VAL_PAL_CY    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_CY },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_CY,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_CY },
         { "50hz",  OPTION_VAL_50HZ_CY },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_CY,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_CY,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_CY },
         { "per game", OPTION_VAL_PER_GAME_CY },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_CY,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_CY },
         { "per game", OPTION_VAL_PER_GAME_CY },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_CY,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_CY  },
         { "256k",     OPTION_VAL_256K_CY  },
         { "512k",     OPTION_VAL_512K_CY  },
         { "1meg",     OPTION_VAL_1MEG_CY    },
         { "2meg",     OPTION_VAL_2MEG_CY    },
         { "4meg",     OPTION_VAL_4MEG_CY    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_CY,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_CY },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_CY },
         { "megasd",       OPTION_VAL_MEGASD_CY },
         { "none",         OPTION_VAL_NONE_CY },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_CY,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_CY },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_CY },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_CY },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_CY,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_CY },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_CY },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_CY },
         { "4:3",  OPTION_VAL_4_3_CY },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_CY },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_CY,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_CY },
         { "left/right", OPTION_VAL_LEFT_RIGHT_CY },
         { "full",       OPTION_VAL_FULL_CY },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_CY,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_CY },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_CY },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_CY,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_CY,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_CY },
         { "composite",  OPTION_VAL_COMPOSITE_CY },
         { "svideo",     OPTION_VAL_SVIDEO_CY },
         { "rgb",        OPTION_VAL_RGB_CY },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_CY,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_CY,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_CY },
         { "double field", OPTION_VAL_DOUBLE_FIELD_CY },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_CY,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_CY },
         { "manual",   OPTION_VAL_MANUAL_CY },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_CY,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_CY,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_CY },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_CY,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_CY },
         { "nuked", OPTION_VAL_NUKED_CY },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_CY,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_CY,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_CY,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_CY },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_CY },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_CY },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_CY },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_CY },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_CY,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_CY },
         { "mono",   OPTION_VAL_MONO_CY },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_CY,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_CY },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_CY },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_CY,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_CY,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_CY,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_CY,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_CY,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_CY,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_CY,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_CY,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_CY,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_CY },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_CY },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_CY,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_CY,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_CY,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_CY,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_CY,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_CY,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_CY },
         { "125", OPTION_VAL_125_CY },
         { "150", OPTION_VAL_150_CY },
         { "175", OPTION_VAL_175_CY },
         { "200", OPTION_VAL_200_CY },
         { "225", OPTION_VAL_225_CY },
         { "250", OPTION_VAL_250_CY },
         { "275", OPTION_VAL_275_CY },
         { "300", OPTION_VAL_300_CY },
         { "325", OPTION_VAL_325_CY },
         { "350", OPTION_VAL_350_CY },
         { "375", OPTION_VAL_375_CY },
         { "400", OPTION_VAL_400_CY },
         { "425", OPTION_VAL_425_CY },
         { "450", OPTION_VAL_450_CY },
         { "475", OPTION_VAL_475_CY },
         { "500", OPTION_VAL_500_CY },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_CY,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_CY,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_CY,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_CY,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_CY,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_CY,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_cy = {
   option_cats_cy,
   option_defs_cy
};

/* RETRO_LANGUAGE_DA */

#define CATEGORY_SYSTEM_LABEL_DA NULL
#define CATEGORY_SYSTEM_INFO_0_DA NULL
#define CATEGORY_VIDEO_LABEL_DA NULL
#define CATEGORY_VIDEO_INFO_0_DA NULL
#define CATEGORY_AUDIO_LABEL_DA "Lyd"
#define CATEGORY_AUDIO_INFO_0_DA NULL
#define CATEGORY_INPUT_LABEL_DA NULL
#define CATEGORY_INPUT_INFO_0_DA NULL
#define CATEGORY_HACKS_LABEL_DA NULL
#define CATEGORY_HACKS_INFO_0_DA NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_DA NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_DA NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_DA NULL
#define OPTION_VAL_AUTO_DA NULL
#define OPTION_VAL_SG_1000_DA NULL
#define OPTION_VAL_SG_1000_II_DA NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_DA NULL
#define OPTION_VAL_MARK_III_DA NULL
#define OPTION_VAL_MASTER_SYSTEM_DA NULL
#define OPTION_VAL_MASTER_SYSTEM_II_DA NULL
#define OPTION_VAL_GAME_GEAR_DA NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_DA NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_DA NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_DA NULL
#define OPTION_VAL_NTSC_U_DA NULL
#define OPTION_VAL_PAL_DA NULL
#define OPTION_VAL_NTSC_J_DA NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_DA NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_DA NULL
#define OPTION_VAL_60HZ_DA NULL
#define OPTION_VAL_50HZ_DA NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_DA NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_DA NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_DA NULL
#define OPTION_VAL_PER_BIOS_DA NULL
#define OPTION_VAL_PER_GAME_DA NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_DA NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_DA NULL
#define OPTION_VAL_PER_CART_DA NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_DA NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_DA NULL
#define OPTION_VAL_128K_DA NULL
#define OPTION_VAL_256K_DA NULL
#define OPTION_VAL_512K_DA NULL
#define OPTION_VAL_1MEG_DA NULL
#define OPTION_VAL_2MEG_DA NULL
#define OPTION_VAL_4MEG_DA NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_DA NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_DA NULL
#define OPTION_VAL_SEGA_MEGA_CD_DA NULL
#define OPTION_VAL_MEGASD_DA NULL
#define OPTION_VAL_NONE_DA NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_DA NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_DA NULL
#define OPTION_VAL_GAME_GENIE_DA NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_DA NULL
#define OPTION_VAL_SONIC_KNUCKLES_DA NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_DA NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_DA NULL
#define OPTION_VAL_NTSC_PAR_DA NULL
#define OPTION_VAL_PAL_PAR_DA NULL
#define OPTION_VAL_4_3_DA NULL
#define OPTION_VAL_UNCORRECTED_DA NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_DA NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_DA NULL
#define OPTION_VAL_TOP_BOTTOM_DA NULL
#define OPTION_VAL_LEFT_RIGHT_DA NULL
#define OPTION_VAL_FULL_DA NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_DA NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_DA NULL
#define OPTION_VAL_LEFT_BORDER_DA NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_DA NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_DA NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_DA NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_DA NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_DA NULL
#define OPTION_VAL_MONOCHROME_DA NULL
#define OPTION_VAL_COMPOSITE_DA NULL
#define OPTION_VAL_SVIDEO_DA NULL
#define OPTION_VAL_RGB_DA NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_DA NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_DA NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_DA NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_DA NULL
#define OPTION_VAL_SINGLE_FIELD_DA NULL
#define OPTION_VAL_DOUBLE_FIELD_DA NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_DA NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_DA NULL
#define OPTION_VAL_MANUAL_DA NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_DA NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_DA "Når 'Frameskip' er sat til 'Manual', angiver den lydbufferbelægningstærsklen (procentdel), under hvilken frames overspringes. Højere værdier reducerer risikoen for crackling ved at foranledige hyppigere drop af frames."
#define GENESIS_PLUS_GX_YM2413_LABEL_DA NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_DA NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_DA NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_DA NULL
#define OPTION_VAL_MAME_DA NULL
#define OPTION_VAL_NUKED_DA NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_DA NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_DA NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_DA NULL
#define OPTION_VAL_MAME_YM2612_DA NULL
#define OPTION_VAL_MAME_ASIC_YM3438_DA NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_DA NULL
#define OPTION_VAL_NUKED_YM2612_DA NULL
#define OPTION_VAL_NUKED_YM3438_DA NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_DA NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_DA NULL
#define OPTION_VAL_STEREO_DA NULL
#define OPTION_VAL_MONO_DA NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_DA NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_DA NULL
#define OPTION_VAL_LOW_PASS_DA NULL
#define OPTION_VAL_EQ_DA NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_DA NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_DA NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_DA NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_DA NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_DA NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_DA NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_DA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_DA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_DA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_DA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_DA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_DA NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_DA NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_DA NULL
#define OPTION_VAL_LIGHTGUN_DA NULL
#define OPTION_VAL_TOUCHSCREEN_DA NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_DA NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_DA NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_DA NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_DA NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_DA NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_DA NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_DA NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_DA NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_DA NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_DA NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_DA NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_DA NULL
#define OPTION_VAL_100_DA NULL
#define OPTION_VAL_125_DA NULL
#define OPTION_VAL_150_DA NULL
#define OPTION_VAL_175_DA NULL
#define OPTION_VAL_200_DA NULL
#define OPTION_VAL_225_DA NULL
#define OPTION_VAL_250_DA NULL
#define OPTION_VAL_275_DA NULL
#define OPTION_VAL_300_DA NULL
#define OPTION_VAL_325_DA NULL
#define OPTION_VAL_350_DA NULL
#define OPTION_VAL_375_DA NULL
#define OPTION_VAL_400_DA NULL
#define OPTION_VAL_425_DA NULL
#define OPTION_VAL_450_DA NULL
#define OPTION_VAL_475_DA NULL
#define OPTION_VAL_500_DA NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_DA NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_DA NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_DA NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_DA NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_DA NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_DA NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_DA NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_DA NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_DA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_DA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_DA NULL

struct retro_core_option_v2_category option_cats_da[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_DA,
      CATEGORY_SYSTEM_INFO_0_DA
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_DA,
      CATEGORY_VIDEO_INFO_0_DA
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_DA,
      CATEGORY_AUDIO_INFO_0_DA
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_DA,
      CATEGORY_INPUT_INFO_0_DA
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_DA,
      CATEGORY_HACKS_INFO_0_DA
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_DA,
      CATEGORY_CHANNEL_VOLUME_INFO_0_DA
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_da[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_DA,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_DA                 },
         { "sg-1000",              OPTION_VAL_SG_1000_DA              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_DA           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_DA},
         { "mark-III",             OPTION_VAL_MARK_III_DA             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_DA        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_DA     },
         { "game gear",            OPTION_VAL_GAME_GEAR_DA            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_DA   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_DA,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_DA   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_DA },
         { "pal",     OPTION_VAL_PAL_DA    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_DA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_DA,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_DA },
         { "50hz",  OPTION_VAL_50HZ_DA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_DA,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_DA,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_DA },
         { "per game", OPTION_VAL_PER_GAME_DA },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_DA,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_DA },
         { "per game", OPTION_VAL_PER_GAME_DA },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_DA,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_DA  },
         { "256k",     OPTION_VAL_256K_DA  },
         { "512k",     OPTION_VAL_512K_DA  },
         { "1meg",     OPTION_VAL_1MEG_DA    },
         { "2meg",     OPTION_VAL_2MEG_DA    },
         { "4meg",     OPTION_VAL_4MEG_DA    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_DA,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_DA },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_DA },
         { "megasd",       OPTION_VAL_MEGASD_DA },
         { "none",         OPTION_VAL_NONE_DA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_DA,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_DA },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_DA },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_DA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_DA,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_DA },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_DA },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_DA },
         { "4:3",  OPTION_VAL_4_3_DA },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_DA },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_DA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_DA },
         { "left/right", OPTION_VAL_LEFT_RIGHT_DA },
         { "full",       OPTION_VAL_FULL_DA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_DA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_DA },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_DA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_DA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_DA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_DA },
         { "composite",  OPTION_VAL_COMPOSITE_DA },
         { "svideo",     OPTION_VAL_SVIDEO_DA },
         { "rgb",        OPTION_VAL_RGB_DA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_DA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_DA,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_DA },
         { "double field", OPTION_VAL_DOUBLE_FIELD_DA },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_DA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_DA },
         { "manual",   OPTION_VAL_MANUAL_DA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_DA,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_DA,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_DA },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_DA,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_DA },
         { "nuked", OPTION_VAL_NUKED_DA },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_DA,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_DA,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_DA,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_DA },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_DA },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_DA },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_DA },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_DA },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_DA,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_DA },
         { "mono",   OPTION_VAL_MONO_DA },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_DA,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_DA },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_DA },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_DA,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_DA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_DA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_DA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_DA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_DA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_DA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_DA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_DA,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_DA },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_DA },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_DA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_DA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_DA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_DA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_DA,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_DA,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_DA },
         { "125", OPTION_VAL_125_DA },
         { "150", OPTION_VAL_150_DA },
         { "175", OPTION_VAL_175_DA },
         { "200", OPTION_VAL_200_DA },
         { "225", OPTION_VAL_225_DA },
         { "250", OPTION_VAL_250_DA },
         { "275", OPTION_VAL_275_DA },
         { "300", OPTION_VAL_300_DA },
         { "325", OPTION_VAL_325_DA },
         { "350", OPTION_VAL_350_DA },
         { "375", OPTION_VAL_375_DA },
         { "400", OPTION_VAL_400_DA },
         { "425", OPTION_VAL_425_DA },
         { "450", OPTION_VAL_450_DA },
         { "475", OPTION_VAL_475_DA },
         { "500", OPTION_VAL_500_DA },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_DA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_DA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_DA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_DA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_DA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_DA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_da = {
   option_cats_da,
   option_defs_da
};

/* RETRO_LANGUAGE_DE */

#define CATEGORY_SYSTEM_LABEL_DE NULL
#define CATEGORY_SYSTEM_INFO_0_DE "Auswahl der Basis-Hardware, Region, BIOS und Sega-CD-/Mega-CD-Speicherdatei-Einstellungen ändern."
#define CATEGORY_VIDEO_LABEL_DE NULL
#define CATEGORY_VIDEO_INFO_0_DE "Einstellungen für Seitenverhältnis, Bildausschnitt, Videofilter und Frameskipping ändern."
#define CATEGORY_AUDIO_LABEL_DE NULL
#define CATEGORY_AUDIO_INFO_0_DE "Audiogerät-Einstellungen ändern."
#define CATEGORY_INPUT_LABEL_DE "Eingabe"
#define CATEGORY_INPUT_INFO_0_DE "Einstellungen für Lightgun und/oder Mauseingabe ändern."
#define CATEGORY_HACKS_LABEL_DE "Emulations-Hacks"
#define CATEGORY_HACKS_INFO_0_DE "Parameter für Prozessorübertaktung und Emulationsgenauigkeit, die sich auf die Low-Level-Leistung und Kompatibilität auswirken, ändern."
#define CATEGORY_CHANNEL_VOLUME_LABEL_DE "Erweiterte Lautstärkeeinstellungen"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_DE "Die Lautstärke der einzelnen Hardware-Audiokanäle anpassen."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_DE "System-Hardware"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_DE "Führt geladene Inhalte mit einer bestimmten emulierten Konsole aus. \"Automatisch\" wählt das für das aktuelle Spiel am besten geeignete System aus."
#define OPTION_VAL_AUTO_DE NULL
#define OPTION_VAL_SG_1000_DE NULL
#define OPTION_VAL_SG_1000_II_DE NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_DE "SG-1000 II + RAM Erw."
#define OPTION_VAL_MARK_III_DE NULL
#define OPTION_VAL_MASTER_SYSTEM_DE NULL
#define OPTION_VAL_MASTER_SYSTEM_II_DE NULL
#define OPTION_VAL_GAME_GEAR_DE NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_DE NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_DE "Systemregion"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_DE "Region des Systems festlegen. Bei anderen Konsolen als dem Game Gear steht \"PAL\" für 50 Hz, während \"NTSC\" für 60 Hz steht. Spiele können schneller oder langsamer als normal laufen, wenn die falsche Region ausgewählt ist."
#define OPTION_VAL_NTSC_U_DE NULL
#define OPTION_VAL_PAL_DE NULL
#define OPTION_VAL_NTSC_J_DE NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_DE "VDP-Modus erzwingen"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_DE "Überschreibt den VDP-Modus, um ihn entweder mit NTSC 60 Hz oder PAL 50 Hz laufen zu lassen, unabhängig von der Region des Systems."
#define OPTION_VAL_60HZ_DE "NTSC (60 Hz)"
#define OPTION_VAL_50HZ_DE "PAL (50 Hz)"
#define GENESIS_PLUS_GX_BIOS_LABEL_DE "System-Boot-ROM"
#define GENESIS_PLUS_GX_BIOS_INFO_0_DE "Offiziellen BIOS/Bootloader für emulierte Hardware verwenden, falls im Systemverzeichnis von RetroArch vorhanden. Zeigt eine konsolenspezifische Startsequenz/Animation an und führt dann den geladenen Inhalt aus."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_DE "CD-System BRAM (Neustart erforderlich)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_DE "Legt beim Ausführen von Sega CD/Mega CD-Inhalten fest, ob eine einzige Speicherdatei für alle Spiele aus einer bestimmten Region (Pro BIOS) geteilt wird oder eine separate Speicherdatei für jedes Spiel (Pro Spiel) erstellt werden soll. Zu beachten ist, dass das Sega CD/Mega CD über einen begrenzten internen Speicherplatz verfügt, der nur für eine Handvoll Titel ausreicht. Um zu vermeiden, dass der Speicherplatz knapp wird, wird die Einstellung 'Pro Spiel' empfohlen."
#define OPTION_VAL_PER_BIOS_DE "Pro BIOS"
#define OPTION_VAL_PER_GAME_DE "Pro Spiel"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_DE "CD-Speicherkarte BRAM (Neustart erforderlich)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_DE "Legt beim Ausführen von Sega CD/Mega CD-Inhalten fest, ob eine einzige Speicherkarte für alle Spiele (Pro Karte) geteilt wird oder eine separate Speicherkarte für jedes Spiel erstellt werden soll (Pro Spiel)."
#define OPTION_VAL_PER_CART_DE "Pro Karte"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_DE "CD-Speicherkarte BRAM Größe (Neustart erforderlich)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_DE "Legt die Größe der Speicherkarte fest, wenn Inhalt von Sega CD/Mega-CD ausgeführt wird. Nützlich, wenn die Speicherkarte auf „pro Spiel“ gesetzt wird, um mehrere größere Speicherkartengrößen zu vermeiden."
#define OPTION_VAL_128K_DE "128 Kbit"
#define OPTION_VAL_256K_DE "256 Kbit"
#define OPTION_VAL_512K_DE "512 Kbit"
#define OPTION_VAL_1MEG_DE "1 Mbit"
#define OPTION_VAL_2MEG_DE "2 Mbit"
#define OPTION_VAL_4MEG_DE "4 Mbit"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_DE "CD-Add-on (MD-Modus) (Neustart erforderlich)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_DE "Festlegen, welches Add-on zur CD-Audiowiedergabe für unterstützte Mega Drive-/Genesis-Spiele verwendet werden soll."
#define OPTION_VAL_SEGA_MEGA_CD_DE NULL
#define OPTION_VAL_MEGASD_DE NULL
#define OPTION_VAL_NONE_DE "Keins"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_DE "Modul-Kombination"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_DE "Kombinations-Technologie ist eine Mega Drive/Genesis-Funktion, die es einem älteren Spiel erlaubt, sich mit dem Durchschleifen eines speziellen Moduls für ein erweitertes oder verändertes Gameplay zu vereinen. Diese Option legt fest, welcher Typ eines speziellen 'Kombinations-Moduls' emuliert werden soll. Eine entsprechende Biosdatei muss im Systemverzeichnis von RetroArch vorhanden sein."
#define OPTION_VAL_GAME_GENIE_DE NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_DE NULL
#define OPTION_VAL_SONIC_KNUCKLES_DE NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_DE "Core-bestimmtes Seitenverhältnis"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_DE "Das bevorzugte Seitenverhältnis des Inhalts auswählen. Dies wird nur angewendet, wenn das Seitenverhältnis von RetroArch in den Videoeinstellungen auf \"Wie von Core vorgesehen\" eingestellt ist."
#define OPTION_VAL_NTSC_PAR_DE NULL
#define OPTION_VAL_PAL_PAR_DE NULL
#define OPTION_VAL_4_3_DE NULL
#define OPTION_VAL_UNCORRECTED_DE "Unkorrigiert"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_DE "Ränder"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_DE "Dies aktivieren, um die Overscan-Regionen oben/unten und/oder links/rechts des Bildschirms anzuzeigen. Diese würden normalerweise am Rand eines Standardfernsehens verborgen bleiben."
#define OPTION_VAL_TOP_BOTTOM_DE "Oben/Unten"
#define OPTION_VAL_LEFT_RIGHT_DE "Links/Rechts"
#define OPTION_VAL_FULL_DE "Voll"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_DE "Master-System Seitenränder ausblenden"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_DE "Schneidet 8 Pixel von der linken Seite des Bildschirms oder auf der linken und rechten Seite weg, wenn Master System Spiele ausgeführt werden."
#define OPTION_VAL_LEFT_BORDER_DE "Nur linker Rand"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_DE "Linker und rechter Rand"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_DE "Game Gear Erweiterter Bildschirm"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_DE "Erzwingt Game Gear Titel im SMS-Modus mit einer erhöhten Auflösung von 256x192 auszuführen. Kann zusätzliche Inhalte anzeigen, zeigt aber typischerweise Ränder von beschädigten/unerwünschten Bilddaten an."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_DE "NTSC-Filter Blargg"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_DE "Einen Videofilter anwenden, um verschiedene NTSC-TV-Signale zu imitieren."
#define OPTION_VAL_MONOCHROME_DE "Schwarz-weiß"
#define OPTION_VAL_COMPOSITE_DE NULL
#define OPTION_VAL_SVIDEO_DE NULL
#define OPTION_VAL_RGB_DE NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_DE "LCD-Ghosting-Filter"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_DE "Fügt einen 'Geisterbild'-Filter hinzu, um die Anzeigeeigenschaften der LCD-Bildschirme von Game Gear und Genesis Nomad nachzuahmen."
#define GENESIS_PLUS_GX_RENDER_LABEL_DE "Interlaced Modus 2 Ausgabe"
#define GENESIS_PLUS_GX_RENDER_INFO_0_DE "Der Interlaced Modus 2 erlaubt dem Mega Drive/Genesis eine Bildausgabe in doppelter Höhe (hohe Auflösung) von 320x448 durch Einfügen alternativer Scanlines in jedem Bild (dies wird von Sonic the Hedgehog 2 und Combat Cars im Multiplayer Modus verwendet). 'Doppelfeld' imitiert originale Hardware und erzeugt ein scharfes Bild mit Flicker/Interlacing-Artefakten. 'Einzelfeld' verwendet einen Deinterlacing-Filter, der das Bild stabilisiert, aber leicht verwischt."
#define OPTION_VAL_SINGLE_FIELD_DE "Einzelfeld"
#define OPTION_VAL_DOUBLE_FIELD_DE "Doppelfeld"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_DE NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_DE "Überspringt Frames, um zu vermeiden, dass Audio-Puffer unterlaufen (Knistern). Verbessert die Leistung auf Kosten der visuellen Glätte. 'Automatisch' überspringt Frames wenn vom Frontend empfohlen. 'Manuell' verwendet die Einstellung 'Frameskip Grenzwert (%)'."
#define OPTION_VAL_MANUAL_DE "Manuell"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_DE "Frameskip-Grenzwert (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_DE "Gibt den Audiopuffer-Belegungsschwellenwert (Prozent) an, unter dem Frames übersprungen werden, wenn „Frameskip“ auf „Manuell“ eingestellt ist. Höhere Werte verringern das Risiko von Knistern, da Frames häufiger weggelassen werden."
#define GENESIS_PLUS_GX_YM2413_LABEL_DE NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_DE "Aktiviert die Emulation der FM Sound-Einheit, die von bestimmten Sega Mark III/Master System Spielen verwendet wird, um die Audioausgabe zu verbessern."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_DE NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_DE "Wählt eine Methode, die zur Emulation der FM-Soundeinheit des Sega Mark III/Master Systems verwendet wird. Die 'MAME' Option ist schnell und läuft auf den meisten Systemen mit voller Geschwindigkeit. 'Nuked' Option ist taktgenau, von sehr hoher Qualität und hat erhebliche CPU-Anforderungen."
#define OPTION_VAL_MAME_DE NULL
#define OPTION_VAL_NUKED_DE NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_DE NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_DE "Wählt die Methode, die verwendet wird, um den FM-Synthesizer (Hauptklanggenerator) der Mega Drive/Genesis zu emulieren. 'MAME' Optionen sind schnell und laufen auf den meisten Systemen mit voller Geschwindigkeit. 'Nuked' Optionen sind taktgenau, von sehr hoher Qualität und haben erhebliche CPU-Anforderungen. Der YM2612 Chip wird von dem ursprünglichen Modell 1 Mega Drive/Genesis verwendet, der YM3438 wird in späteren Mega Drive/Genesis Revisionen verwendet."
#define GENESIS_PLUS_GX_YM2612_INFO_1_DE "Methode zur Emulation des FM-Synthesizers (Hauptklanggenerator) des Mega Drive/Genesis auswählen. Der YM2612-Chip wird im ursprünglichen Model 1 des Mega Drive/Genesis verwendet. Der YM3438 wird in späteren Revisionen des Mega Drive/Genesis genutzt."
#define OPTION_VAL_MAME_YM2612_DE NULL
#define OPTION_VAL_MAME_ASIC_YM3438_DE NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_DE NULL
#define OPTION_VAL_NUKED_YM2612_DE NULL
#define OPTION_VAL_NUKED_YM3438_DE NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_DE "Tonausgabe"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_DE "Stereo- oder Mono-Tonwiedergabe wählen."
#define OPTION_VAL_STEREO_DE NULL
#define OPTION_VAL_MONO_DE NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_DE "Audiofilter"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_DE "Einen Niedrigpass-Audiofilter aktivieren, um den charakteristischen Sound eines Model 1 Mega Drive/Genesis besser zu simulieren."
#define OPTION_VAL_LOW_PASS_DE "Tiefpass"
#define OPTION_VAL_EQ_DE NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_DE "Tiefpassfilter %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_DE "Die Höchstfrequenz des Tiefpass-Audiofilters festlegen. Ein höherer Wert erhöht die wahrgenommene „Stärke“ des Filters, da ein größerer Bereich des Hochfrequenzspektrums abgeschwächt wird."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_DE "PSG-Vorverstärkungspegel"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_DE "Legt den Audio-Vorverstärkerlevel des emulierten SN76496 4-Kanal-Programmierbaren Sound Generators fest, der im SG-1000, Sega Mark III, Master System, Game Gear und Mega Drive/Genesis gefunden wurde."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_DE "FM-Vorverstärkungspegel"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_DE "Legt die Audio-Vorverstärker Stufe des emulierten Mega Drive/Genesis FM Sound Synthesizers oder der Sega Mark III/Master System FM Sound Einheit fest."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_DE "CDDA-Lautstärke"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_DE "Passt die Mischlautstärke der emulierten CD Audio-Ausgabe an."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_DE "PCM-Lautstärke"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_DE "Passt die Mischlautstärke des emulierten Sega CD/Mega-CD RF5C164 PCM Sound-Generators an."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_DE "EQ Tief"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_DE "Passt den niedrigen Bereich des internen Audio-Equalizers an."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_DE "EQ Mitten"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_DE "Passt den mittleren Bereich des internen Audio-Equalizers an."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_DE "EQ Hoch"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_DE "Passt den hohen Bereich des internen Audio-Equalizers an."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_DE "Lightgun-Eingabe"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_DE "Eine mausgesteuerte \"Lightgun\" oder eine \"Touchscreen\"-Eingabe verwenden."
#define OPTION_VAL_LIGHTGUN_DE "Lightgun"
#define OPTION_VAL_TOUCHSCREEN_DE NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_DE "Lightgun-Fadenkreuz anzeigen"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_DE "Lightgun-Fadenkreuz anzeigen, wenn als Eingabegerätetypen MD Menacer, MD Justifiers und MS Light Phaser verwendet werden."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_DE "Y-Achse von Maus umkehren"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_DE "Invertiert die Y-Achse des MD Maus Eingabegerätes."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_DE "Entferne Sprite-Limit pro Zeile"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_DE "Entfernt das originale Sprites pro Scanline Hardware-Limit. Dies reduziert Sprite-Flackern, kann aber bei einigen Spielen zu Darstellungsfehlern führen, da manche dies für Effekte verwenden."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_DE "Verbessertes vertikales Scrollen pro Kachel"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_DE "Ermöglicht es, jede einzelne Zelle vertikal zu scrollen anstatt \"16px 2-Zelle\", indem man mit dem vertikalen Scrollwert der benachbarten Zelle im Durchschnitt ist. Dieser Hack gilt nur für wenige Spiele, die einen vertikalen 2-Zell-Scroll-Modus verwenden."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_DE "Verbessertes vertikales Scrollen pro Kachel Begrenzung"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_DE "Nur wenn „Verbessertes vertikales Scrollen pro Kachel“ aktiviert ist. Passt die Begrenzung der vertikalen Scroll-Verbesserung an. Wenn der vertikale Scrollunterschied zwischen benachbarten Kacheln größer als diese Begrenzung ist, wird die Verbesserung deaktiviert."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_DE "CPU-Geschwindigkeit"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_DE "Die emulierte CPU übertakten. Kann Slowdow verringern, aber Glitches (Störeffekte) verursachen."
#define OPTION_VAL_100_DE "100 %"
#define OPTION_VAL_125_DE "125 %"
#define OPTION_VAL_150_DE "150 %"
#define OPTION_VAL_175_DE "175 %"
#define OPTION_VAL_200_DE "200 %"
#define OPTION_VAL_225_DE "225 %"
#define OPTION_VAL_250_DE "250 %"
#define OPTION_VAL_275_DE "275 %"
#define OPTION_VAL_300_DE "300 %"
#define OPTION_VAL_325_DE "325 %"
#define OPTION_VAL_350_DE "350 %"
#define OPTION_VAL_375_DE "375 %"
#define OPTION_VAL_400_DE "400 %"
#define OPTION_VAL_425_DE "425 %"
#define OPTION_VAL_450_DE "450 %"
#define OPTION_VAL_475_DE "475 %"
#define OPTION_VAL_500_DE "500 %"
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_DE "Systemsperren"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_DE "Emuliert Systemsperren, die auf echter Hardware auftreten, wenn illegale Adresszugriffe stattfinden. Dies sollte nur bei bestimmten Demos und Homebrew deaktiviert werden, die für den korrekten Betrieb auf illegales Verhalten angewiesen sind."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_DE "68K-Adressfehler"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_DE "Die Mega Drive/Genesis Haupt-CPU (Motorola 68000) erzeugt bei dem Versuch, ungültigen Speicherzugriff auszuführen, eine Adress-Fehler-Ausnahme (Absturz). Aktivieren wird dieses Verhalten simulieren. Es sollte nur deaktiviert werden, wenn ROM-Hacks abgespielt werden, da diese in der Regel mit weniger genauen Emulatoren entwickelt werden und für den korrekten Betrieb auf ungültigen RAM-Zugriff vertrauen können."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_DE "CD-Zugriffszeit"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_DE "Simuliert die Original-CD-Hardware-Latenz beim Einleiten eines Lesevorgangs oder bei der Suche nach einer bestimmten Stelle auf geladener Disc. Dies wird von ein paar CD-Spielen benötigt, die abstürzen, wenn CD-Daten zu früh verfügbar sind und auch CD-Audio-Desynchronisations-Probleme in einigen Spielen beheben. Das Deaktivieren kann bei MSU-MD Spielen nützlich sein, da es Audio-Loops von CD nahtlos macht."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_DE "CD-Abbild-Cache"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_DE "CD-Abbild beim Start in den Speicher laden. Unterstützt nur CHD. Neustart erforderlich."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_DE "Erweiterte Audio-Lautstärke-Einstellungen anzeigen (Menü erneut öffnen)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_DE "Konfiguration von niedrigen Audio-Kanalparametern aktivieren. HINWEIS: Schnellmenü muss eingeschaltet sein, damit diese Einstellung wirksam wird."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_DE "PSG-Tonkanal 0 Lautstärke %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_DE "Die Lautstärke des PSG-Tonkanals 0 reduzieren."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_DE "PSG-Tonkanal 1 Lautstärke %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_DE "Die Lautstärke des PSG-Tonkanals 1 reduzieren."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_DE "PSG-Tonkanal 2 Lautstärke %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_DE "Die Lautstärke des PSG-Tonkanals 2 reduzieren."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_DE "PSG Rauschkanal 3 Lautstärke %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_DE "Die Lautstärke des PSG-Rauschkanals 3 reduzieren."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_DE "Mega Drive / Genesis FM Kanal 0 Lautstärke %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_DE "Die Lautstärke des Mega Drive / Genesis FM Kanal 0 reduzieren. Funktioniert nur mit MAME FM-Emulatoren."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_DE "Mega Drive/Genesis FM Kanal 1 Lautstärke %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_DE "Die Lautstärke des Mega Drive/Genesis FM Kanal 1 reduzieren. Funktioniert nur mit MAME FM-Emulatoren."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_DE "Mega Drive/Genesis FM Kanal 2 Lautstärke %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_DE "Die Lautstärke des Mega Drive/Genesis FM Kanal 2 reduzieren. Funktioniert nur mit MAME FM-Emulatoren."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_DE "Mega Drive/Genesis FM Kanal 3 Lautstärke %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_DE "Die Lautstärke des Mega Drive/Genesis FM Kanal 3 reduzieren. Funktioniert nur mit MAME FM-Emulatoren."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_DE "Mega Drive/Genesis FM Kanal 4 Lautstärke %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_DE "Die Lautstärke des Mega Drive/Genesis FM Kanal 4 reduzieren. Funktioniert nur mit MAME FM-Emulatoren."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_DE "Mega Drive/Genesis FM Kanal 5 Lautstärke %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_DE "Die Lautstärke des Mega Drive/Genesis FM Kanal 5 reduzieren. Funktioniert nur mit MAME FM-Emulatoren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 0 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 0 reduzieren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 1 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 1 reduzieren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 2 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 2 reduzieren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 3 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 3 reduzieren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 4 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 4 reduzieren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 5 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 5 reduzieren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 6 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 6 reduzieren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 7 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 7 reduzieren."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_DE "Master System FM (YM2413) Kanal 8 Lautstärke %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_DE "Die Lautstärke des Master System FM Kanal 8 reduzieren."

struct retro_core_option_v2_category option_cats_de[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_DE,
      CATEGORY_SYSTEM_INFO_0_DE
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_DE,
      CATEGORY_VIDEO_INFO_0_DE
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_DE,
      CATEGORY_AUDIO_INFO_0_DE
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_DE,
      CATEGORY_INPUT_INFO_0_DE
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_DE,
      CATEGORY_HACKS_INFO_0_DE
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_DE,
      CATEGORY_CHANNEL_VOLUME_INFO_0_DE
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_de[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_DE,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_DE                 },
         { "sg-1000",              OPTION_VAL_SG_1000_DE              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_DE           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_DE},
         { "mark-III",             OPTION_VAL_MARK_III_DE             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_DE        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_DE     },
         { "game gear",            OPTION_VAL_GAME_GEAR_DE            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_DE   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_DE,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_DE   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_DE },
         { "pal",     OPTION_VAL_PAL_DE    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_DE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_DE,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_DE },
         { "50hz",  OPTION_VAL_50HZ_DE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_DE,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_DE,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_DE },
         { "per game", OPTION_VAL_PER_GAME_DE },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_DE,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_DE },
         { "per game", OPTION_VAL_PER_GAME_DE },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_DE,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_DE  },
         { "256k",     OPTION_VAL_256K_DE  },
         { "512k",     OPTION_VAL_512K_DE  },
         { "1meg",     OPTION_VAL_1MEG_DE    },
         { "2meg",     OPTION_VAL_2MEG_DE    },
         { "4meg",     OPTION_VAL_4MEG_DE    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_DE,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_DE },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_DE },
         { "megasd",       OPTION_VAL_MEGASD_DE },
         { "none",         OPTION_VAL_NONE_DE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_DE,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_DE },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_DE },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_DE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_DE,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_DE },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_DE },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_DE },
         { "4:3",  OPTION_VAL_4_3_DE },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_DE },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_DE,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_DE },
         { "left/right", OPTION_VAL_LEFT_RIGHT_DE },
         { "full",       OPTION_VAL_FULL_DE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_DE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_DE },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_DE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_DE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_DE,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_DE },
         { "composite",  OPTION_VAL_COMPOSITE_DE },
         { "svideo",     OPTION_VAL_SVIDEO_DE },
         { "rgb",        OPTION_VAL_RGB_DE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_DE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_DE,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_DE },
         { "double field", OPTION_VAL_DOUBLE_FIELD_DE },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_DE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_DE },
         { "manual",   OPTION_VAL_MANUAL_DE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_DE,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_DE,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_DE },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_DE,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_DE },
         { "nuked", OPTION_VAL_NUKED_DE },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_DE,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_DE,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_DE,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_DE },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_DE },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_DE },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_DE },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_DE },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_DE,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_DE },
         { "mono",   OPTION_VAL_MONO_DE },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_DE,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_DE },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_DE },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_DE,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_DE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_DE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_DE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_DE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_DE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_DE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_DE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_DE,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_DE },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_DE },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_DE,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_DE,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_DE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_DE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_DE,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_DE,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_DE },
         { "125", OPTION_VAL_125_DE },
         { "150", OPTION_VAL_150_DE },
         { "175", OPTION_VAL_175_DE },
         { "200", OPTION_VAL_200_DE },
         { "225", OPTION_VAL_225_DE },
         { "250", OPTION_VAL_250_DE },
         { "275", OPTION_VAL_275_DE },
         { "300", OPTION_VAL_300_DE },
         { "325", OPTION_VAL_325_DE },
         { "350", OPTION_VAL_350_DE },
         { "375", OPTION_VAL_375_DE },
         { "400", OPTION_VAL_400_DE },
         { "425", OPTION_VAL_425_DE },
         { "450", OPTION_VAL_450_DE },
         { "475", OPTION_VAL_475_DE },
         { "500", OPTION_VAL_500_DE },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_DE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_DE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_DE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_DE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_DE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_DE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_de = {
   option_cats_de,
   option_defs_de
};

/* RETRO_LANGUAGE_EL */

#define CATEGORY_SYSTEM_LABEL_EL "Σύστημα"
#define CATEGORY_SYSTEM_INFO_0_EL NULL
#define CATEGORY_VIDEO_LABEL_EL "Βίντεο"
#define CATEGORY_VIDEO_INFO_0_EL NULL
#define CATEGORY_AUDIO_LABEL_EL "Ήχος"
#define CATEGORY_AUDIO_INFO_0_EL NULL
#define CATEGORY_INPUT_LABEL_EL "Εισαγωγή"
#define CATEGORY_INPUT_INFO_0_EL NULL
#define CATEGORY_HACKS_LABEL_EL NULL
#define CATEGORY_HACKS_INFO_0_EL NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_EL NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_EL NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_EL NULL
#define OPTION_VAL_AUTO_EL "Αυτόματο"
#define OPTION_VAL_SG_1000_EL NULL
#define OPTION_VAL_SG_1000_II_EL NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_EL NULL
#define OPTION_VAL_MARK_III_EL NULL
#define OPTION_VAL_MASTER_SYSTEM_EL NULL
#define OPTION_VAL_MASTER_SYSTEM_II_EL NULL
#define OPTION_VAL_GAME_GEAR_EL NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_EL NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_EL NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_EL NULL
#define OPTION_VAL_NTSC_U_EL NULL
#define OPTION_VAL_PAL_EL NULL
#define OPTION_VAL_NTSC_J_EL NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_EL NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_EL NULL
#define OPTION_VAL_60HZ_EL NULL
#define OPTION_VAL_50HZ_EL NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_EL NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_EL NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_EL NULL
#define OPTION_VAL_PER_BIOS_EL NULL
#define OPTION_VAL_PER_GAME_EL NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_EL NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_EL NULL
#define OPTION_VAL_PER_CART_EL NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_EL NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_EL NULL
#define OPTION_VAL_128K_EL NULL
#define OPTION_VAL_256K_EL NULL
#define OPTION_VAL_512K_EL NULL
#define OPTION_VAL_1MEG_EL NULL
#define OPTION_VAL_2MEG_EL NULL
#define OPTION_VAL_4MEG_EL NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_EL NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_EL NULL
#define OPTION_VAL_SEGA_MEGA_CD_EL NULL
#define OPTION_VAL_MEGASD_EL NULL
#define OPTION_VAL_NONE_EL "Κανείς"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_EL NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_EL NULL
#define OPTION_VAL_GAME_GENIE_EL NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_EL NULL
#define OPTION_VAL_SONIC_KNUCKLES_EL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_EL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_EL NULL
#define OPTION_VAL_NTSC_PAR_EL NULL
#define OPTION_VAL_PAL_PAR_EL NULL
#define OPTION_VAL_4_3_EL NULL
#define OPTION_VAL_UNCORRECTED_EL NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_EL NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_EL NULL
#define OPTION_VAL_TOP_BOTTOM_EL NULL
#define OPTION_VAL_LEFT_RIGHT_EL NULL
#define OPTION_VAL_FULL_EL NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_EL NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_EL NULL
#define OPTION_VAL_LEFT_BORDER_EL NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_EL NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_EL NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_EL NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_EL NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_EL NULL
#define OPTION_VAL_MONOCHROME_EL "Μονόχρωμο"
#define OPTION_VAL_COMPOSITE_EL NULL
#define OPTION_VAL_SVIDEO_EL NULL
#define OPTION_VAL_RGB_EL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_EL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_EL NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_EL NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_EL NULL
#define OPTION_VAL_SINGLE_FIELD_EL NULL
#define OPTION_VAL_DOUBLE_FIELD_EL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_EL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_EL NULL
#define OPTION_VAL_MANUAL_EL "Χειροκίνητο"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_EL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_EL NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_EL NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_EL NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_EL NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_EL NULL
#define OPTION_VAL_MAME_EL NULL
#define OPTION_VAL_NUKED_EL NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_EL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_EL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_EL NULL
#define OPTION_VAL_MAME_YM2612_EL NULL
#define OPTION_VAL_MAME_ASIC_YM3438_EL NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_EL NULL
#define OPTION_VAL_NUKED_YM2612_EL NULL
#define OPTION_VAL_NUKED_YM3438_EL NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_EL NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_EL NULL
#define OPTION_VAL_STEREO_EL NULL
#define OPTION_VAL_MONO_EL NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_EL "Φίλτρα Ήχου"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_EL NULL
#define OPTION_VAL_LOW_PASS_EL NULL
#define OPTION_VAL_EQ_EL NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_EL NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_EL NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_EL NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_EL NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_EL NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_EL NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_EL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_EL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_EL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_EL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_EL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_EL NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_EL NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_EL NULL
#define OPTION_VAL_LIGHTGUN_EL NULL
#define OPTION_VAL_TOUCHSCREEN_EL NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_EL NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_EL NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_EL NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_EL NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_EL NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_EL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_EL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_EL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_EL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_EL NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_EL NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_EL NULL
#define OPTION_VAL_100_EL NULL
#define OPTION_VAL_125_EL NULL
#define OPTION_VAL_150_EL NULL
#define OPTION_VAL_175_EL NULL
#define OPTION_VAL_200_EL NULL
#define OPTION_VAL_225_EL NULL
#define OPTION_VAL_250_EL NULL
#define OPTION_VAL_275_EL NULL
#define OPTION_VAL_300_EL NULL
#define OPTION_VAL_325_EL NULL
#define OPTION_VAL_350_EL NULL
#define OPTION_VAL_375_EL NULL
#define OPTION_VAL_400_EL NULL
#define OPTION_VAL_425_EL NULL
#define OPTION_VAL_450_EL NULL
#define OPTION_VAL_475_EL NULL
#define OPTION_VAL_500_EL NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_EL NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_EL NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_EL NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_EL NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_EL NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_EL NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_EL NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_EL NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_EL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_EL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_EL NULL

struct retro_core_option_v2_category option_cats_el[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_EL,
      CATEGORY_SYSTEM_INFO_0_EL
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_EL,
      CATEGORY_VIDEO_INFO_0_EL
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_EL,
      CATEGORY_AUDIO_INFO_0_EL
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_EL,
      CATEGORY_INPUT_INFO_0_EL
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_EL,
      CATEGORY_HACKS_INFO_0_EL
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_EL,
      CATEGORY_CHANNEL_VOLUME_INFO_0_EL
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_el[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_EL,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_EL                 },
         { "sg-1000",              OPTION_VAL_SG_1000_EL              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_EL           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_EL},
         { "mark-III",             OPTION_VAL_MARK_III_EL             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_EL        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_EL     },
         { "game gear",            OPTION_VAL_GAME_GEAR_EL            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_EL   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_EL,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_EL   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_EL },
         { "pal",     OPTION_VAL_PAL_EL    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_EL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_EL,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_EL },
         { "50hz",  OPTION_VAL_50HZ_EL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_EL,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_EL,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_EL },
         { "per game", OPTION_VAL_PER_GAME_EL },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_EL,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_EL },
         { "per game", OPTION_VAL_PER_GAME_EL },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_EL,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_EL  },
         { "256k",     OPTION_VAL_256K_EL  },
         { "512k",     OPTION_VAL_512K_EL  },
         { "1meg",     OPTION_VAL_1MEG_EL    },
         { "2meg",     OPTION_VAL_2MEG_EL    },
         { "4meg",     OPTION_VAL_4MEG_EL    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_EL,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_EL },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_EL },
         { "megasd",       OPTION_VAL_MEGASD_EL },
         { "none",         OPTION_VAL_NONE_EL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_EL,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_EL },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_EL },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_EL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_EL,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_EL },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_EL },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_EL },
         { "4:3",  OPTION_VAL_4_3_EL },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_EL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_EL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_EL },
         { "left/right", OPTION_VAL_LEFT_RIGHT_EL },
         { "full",       OPTION_VAL_FULL_EL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_EL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_EL },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_EL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_EL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_EL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_EL },
         { "composite",  OPTION_VAL_COMPOSITE_EL },
         { "svideo",     OPTION_VAL_SVIDEO_EL },
         { "rgb",        OPTION_VAL_RGB_EL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_EL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_EL,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_EL },
         { "double field", OPTION_VAL_DOUBLE_FIELD_EL },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_EL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_EL },
         { "manual",   OPTION_VAL_MANUAL_EL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_EL,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_EL,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_EL },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_EL,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_EL },
         { "nuked", OPTION_VAL_NUKED_EL },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_EL,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_EL,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_EL,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_EL },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_EL },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_EL },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_EL },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_EL },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_EL,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_EL },
         { "mono",   OPTION_VAL_MONO_EL },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_EL,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_EL },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_EL },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_EL,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_EL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_EL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_EL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_EL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_EL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_EL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_EL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_EL,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_EL },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_EL },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_EL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_EL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_EL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_EL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_EL,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_EL,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_EL },
         { "125", OPTION_VAL_125_EL },
         { "150", OPTION_VAL_150_EL },
         { "175", OPTION_VAL_175_EL },
         { "200", OPTION_VAL_200_EL },
         { "225", OPTION_VAL_225_EL },
         { "250", OPTION_VAL_250_EL },
         { "275", OPTION_VAL_275_EL },
         { "300", OPTION_VAL_300_EL },
         { "325", OPTION_VAL_325_EL },
         { "350", OPTION_VAL_350_EL },
         { "375", OPTION_VAL_375_EL },
         { "400", OPTION_VAL_400_EL },
         { "425", OPTION_VAL_425_EL },
         { "450", OPTION_VAL_450_EL },
         { "475", OPTION_VAL_475_EL },
         { "500", OPTION_VAL_500_EL },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_EL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_EL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_EL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_EL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_EL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_EL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_el = {
   option_cats_el,
   option_defs_el
};

/* RETRO_LANGUAGE_EN */

#define CATEGORY_SYSTEM_LABEL_EN NULL
#define CATEGORY_SYSTEM_INFO_0_EN NULL
#define CATEGORY_VIDEO_LABEL_EN NULL
#define CATEGORY_VIDEO_INFO_0_EN NULL
#define CATEGORY_AUDIO_LABEL_EN NULL
#define CATEGORY_AUDIO_INFO_0_EN NULL
#define CATEGORY_INPUT_LABEL_EN NULL
#define CATEGORY_INPUT_INFO_0_EN NULL
#define CATEGORY_HACKS_LABEL_EN NULL
#define CATEGORY_HACKS_INFO_0_EN "Change processor over-clocking and emulation accuracy settings that affect low-level performance and compatibility."
#define CATEGORY_CHANNEL_VOLUME_LABEL_EN NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_EN NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_EN NULL
#define OPTION_VAL_AUTO_EN NULL
#define OPTION_VAL_SG_1000_EN NULL
#define OPTION_VAL_SG_1000_II_EN NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_EN NULL
#define OPTION_VAL_MARK_III_EN NULL
#define OPTION_VAL_MASTER_SYSTEM_EN NULL
#define OPTION_VAL_MASTER_SYSTEM_II_EN NULL
#define OPTION_VAL_GAME_GEAR_EN NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_EN NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_EN NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_EN NULL
#define OPTION_VAL_NTSC_U_EN NULL
#define OPTION_VAL_PAL_EN NULL
#define OPTION_VAL_NTSC_J_EN NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_EN NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_EN NULL
#define OPTION_VAL_60HZ_EN NULL
#define OPTION_VAL_50HZ_EN NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_EN NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_EN NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_EN NULL
#define OPTION_VAL_PER_BIOS_EN NULL
#define OPTION_VAL_PER_GAME_EN NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_EN NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_EN NULL
#define OPTION_VAL_PER_CART_EN NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_EN NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_EN NULL
#define OPTION_VAL_128K_EN NULL
#define OPTION_VAL_256K_EN NULL
#define OPTION_VAL_512K_EN NULL
#define OPTION_VAL_1MEG_EN NULL
#define OPTION_VAL_2MEG_EN NULL
#define OPTION_VAL_4MEG_EN NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_EN NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_EN NULL
#define OPTION_VAL_SEGA_MEGA_CD_EN NULL
#define OPTION_VAL_MEGASD_EN "Mega-SD"
#define OPTION_VAL_NONE_EN NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_EN NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_EN NULL
#define OPTION_VAL_GAME_GENIE_EN NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_EN NULL
#define OPTION_VAL_SONIC_KNUCKLES_EN NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_EN NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_EN NULL
#define OPTION_VAL_NTSC_PAR_EN NULL
#define OPTION_VAL_PAL_PAR_EN NULL
#define OPTION_VAL_4_3_EN NULL
#define OPTION_VAL_UNCORRECTED_EN NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_EN NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_EN NULL
#define OPTION_VAL_TOP_BOTTOM_EN NULL
#define OPTION_VAL_LEFT_RIGHT_EN NULL
#define OPTION_VAL_FULL_EN NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_EN NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_EN NULL
#define OPTION_VAL_LEFT_BORDER_EN NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_EN NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_EN NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_EN NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_EN NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_EN NULL
#define OPTION_VAL_MONOCHROME_EN NULL
#define OPTION_VAL_COMPOSITE_EN NULL
#define OPTION_VAL_SVIDEO_EN NULL
#define OPTION_VAL_RGB_EN NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_EN NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_EN NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_EN NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_EN "Interlaced Mode 2 allows the Mega Drive/Genesis to output a double height (high resolution) 320x448 image by drawing alternate scan lines each frame (this is used by Sonic the Hedgehog 2 and Combat Cars multi-player modes). 'Double Field' mimics original hardware, producing a sharp image with flickering/interlacing artefacts. 'Single Field' applies a de-interlacing filter, which stabilises the image but causes mild blurring."
#define OPTION_VAL_SINGLE_FIELD_EN NULL
#define OPTION_VAL_DOUBLE_FIELD_EN NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_EN "Frame-skip"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_EN "Skip frames to avoid audio buffer under-run (crackling). Improves performance at the expense of visual smoothness. 'Auto' skips frames when advised by the front-end. 'Manual' utilizes the 'Frame-skip Threshold (%)' setting."
#define OPTION_VAL_MANUAL_EN NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_EN "Frame-skip Threshold (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_EN "When 'Frame-skip' is set to 'Manual', this specifies the audio buffer occupancy threshold (percentage) below which frames will be skipped. Higher values reduce the risk of crackling by causing frames to be dropped more frequently."
#define GENESIS_PLUS_GX_YM2413_LABEL_EN NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_EN NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_EN NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_EN NULL
#define OPTION_VAL_MAME_EN NULL
#define OPTION_VAL_NUKED_EN NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_EN NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_EN "Select method used to emulate the FM synthesiser (main sound generator) of the Mega Drive/Genesis. 'MAME' options are fast, and run full speed on most systems. 'Nuked' options are cycle accurate, very high quality, and have substantial CPU requirements. The YM2612 chip is used by the original Model 1 Mega Drive/Genesis. The YM3438 is used in later Mega Drive/Genesis revisions."
#define GENESIS_PLUS_GX_YM2612_INFO_1_EN "Select method used to emulate the FM synthesiser (main sound generator) of the Mega Drive/Genesis. The YM2612 chip is used by the original Model 1 Mega Drive/Genesis. The YM3438 is used in later Mega Drive/Genesis revisions."
#define OPTION_VAL_MAME_YM2612_EN NULL
#define OPTION_VAL_MAME_ASIC_YM3438_EN NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_EN NULL
#define OPTION_VAL_NUKED_YM2612_EN NULL
#define OPTION_VAL_NUKED_YM3438_EN NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_EN NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_EN "Select Stereo or Mono sound playback."
#define OPTION_VAL_STEREO_EN NULL
#define OPTION_VAL_MONO_EN NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_EN NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_EN NULL
#define OPTION_VAL_LOW_PASS_EN NULL
#define OPTION_VAL_EQ_EN NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_EN NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_EN NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_EN NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_EN NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_EN NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_EN "Set the audio preamplifier level of the emulated Mega Drive/Genesis FM sound synthesiser or Sega Mark III/Master System FM Sound Unit."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_EN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_EN "Adjust the low range band of the internal audio equaliser."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_EN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_EN "Adjust the middle range band of the internal audio equaliser."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_EN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_EN "Adjust the high range band of the internal audio equaliser."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_EN NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_EN NULL
#define OPTION_VAL_LIGHTGUN_EN NULL
#define OPTION_VAL_TOUCHSCREEN_EN NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_EN NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_EN "Display light gun cross-hairs when using the MD Menacer, MD Justifiers and MS Light Phaser input device types."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_EN NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_EN NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_EN NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_EN "Removes the original sprite-per-scan-line hardware limit. This reduces flickering but can cause visual glitches, as some games exploit the hardware limit to generate special effects."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_EN NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_EN NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_EN NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_EN NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_EN NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_EN "Over-clock the emulated CPU. Can reduce slowdown, but may cause glitches."
#define OPTION_VAL_100_EN NULL
#define OPTION_VAL_125_EN NULL
#define OPTION_VAL_150_EN NULL
#define OPTION_VAL_175_EN NULL
#define OPTION_VAL_200_EN NULL
#define OPTION_VAL_225_EN NULL
#define OPTION_VAL_250_EN NULL
#define OPTION_VAL_275_EN NULL
#define OPTION_VAL_300_EN NULL
#define OPTION_VAL_325_EN NULL
#define OPTION_VAL_350_EN NULL
#define OPTION_VAL_375_EN NULL
#define OPTION_VAL_400_EN NULL
#define OPTION_VAL_425_EN NULL
#define OPTION_VAL_450_EN NULL
#define OPTION_VAL_475_EN NULL
#define OPTION_VAL_500_EN NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_EN NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_EN "Emulate system lock-ups that occur on real hardware when performing illegal address access. This should only be disabled when playing certain demos and home-brew that rely on illegal behaviour for correct operation."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_EN NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_EN "The Mega Drive/Genesis main CPU (Motorola 68000) generates an Address Error exception (crash) when attempting to perform unaligned memory access. Enabling this will simulate this behaviour. It should only be disabled when playing ROM hacks, since these are typically developed using less accurate emulators and may rely on invalid RAM access for correct operation."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_EN NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_EN "Simulate original CD hardware latency when initiating a read or seeking to a specific location on loaded disc. This is required by a few CD games that crash if CD data is available too soon and also fixes CD audio de-sync issues in some games. Disabling this can be useful with MSU-MD games as it makes CD audio tracks loops more seamless."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_EN NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_EN NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_EN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_EN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_EN NULL

struct retro_core_option_v2_category option_cats_en[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_EN,
      CATEGORY_SYSTEM_INFO_0_EN
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_EN,
      CATEGORY_VIDEO_INFO_0_EN
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_EN,
      CATEGORY_AUDIO_INFO_0_EN
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_EN,
      CATEGORY_INPUT_INFO_0_EN
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_EN,
      CATEGORY_HACKS_INFO_0_EN
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_EN,
      CATEGORY_CHANNEL_VOLUME_INFO_0_EN
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_en[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_EN,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_EN                 },
         { "sg-1000",              OPTION_VAL_SG_1000_EN              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_EN           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_EN},
         { "mark-III",             OPTION_VAL_MARK_III_EN             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_EN        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_EN     },
         { "game gear",            OPTION_VAL_GAME_GEAR_EN            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_EN   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_EN,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_EN   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_EN },
         { "pal",     OPTION_VAL_PAL_EN    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_EN },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_EN,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_EN },
         { "50hz",  OPTION_VAL_50HZ_EN },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_EN,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_EN,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_EN },
         { "per game", OPTION_VAL_PER_GAME_EN },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_EN,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_EN },
         { "per game", OPTION_VAL_PER_GAME_EN },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_EN,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_EN  },
         { "256k",     OPTION_VAL_256K_EN  },
         { "512k",     OPTION_VAL_512K_EN  },
         { "1meg",     OPTION_VAL_1MEG_EN    },
         { "2meg",     OPTION_VAL_2MEG_EN    },
         { "4meg",     OPTION_VAL_4MEG_EN    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_EN,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_EN },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_EN },
         { "megasd",       OPTION_VAL_MEGASD_EN },
         { "none",         OPTION_VAL_NONE_EN },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_EN,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_EN },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_EN },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_EN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_EN,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_EN },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_EN },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_EN },
         { "4:3",  OPTION_VAL_4_3_EN },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_EN },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_EN,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_EN },
         { "left/right", OPTION_VAL_LEFT_RIGHT_EN },
         { "full",       OPTION_VAL_FULL_EN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_EN,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_EN },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_EN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_EN,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_EN,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_EN },
         { "composite",  OPTION_VAL_COMPOSITE_EN },
         { "svideo",     OPTION_VAL_SVIDEO_EN },
         { "rgb",        OPTION_VAL_RGB_EN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_EN,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_EN,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_EN },
         { "double field", OPTION_VAL_DOUBLE_FIELD_EN },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_EN,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_EN },
         { "manual",   OPTION_VAL_MANUAL_EN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_EN,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_EN,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_EN },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_EN,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_EN },
         { "nuked", OPTION_VAL_NUKED_EN },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_EN,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_EN,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_EN,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_EN },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_EN },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_EN },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_EN },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_EN },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_EN,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_EN },
         { "mono",   OPTION_VAL_MONO_EN },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_EN,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_EN },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_EN },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_EN,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_EN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_EN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_EN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_EN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_EN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_EN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_EN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_EN,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_EN },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_EN },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_EN,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_EN,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_EN,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_EN,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_EN,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_EN,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_EN },
         { "125", OPTION_VAL_125_EN },
         { "150", OPTION_VAL_150_EN },
         { "175", OPTION_VAL_175_EN },
         { "200", OPTION_VAL_200_EN },
         { "225", OPTION_VAL_225_EN },
         { "250", OPTION_VAL_250_EN },
         { "275", OPTION_VAL_275_EN },
         { "300", OPTION_VAL_300_EN },
         { "325", OPTION_VAL_325_EN },
         { "350", OPTION_VAL_350_EN },
         { "375", OPTION_VAL_375_EN },
         { "400", OPTION_VAL_400_EN },
         { "425", OPTION_VAL_425_EN },
         { "450", OPTION_VAL_450_EN },
         { "475", OPTION_VAL_475_EN },
         { "500", OPTION_VAL_500_EN },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_EN,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_EN,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_EN,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_EN,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_EN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_EN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_en = {
   option_cats_en,
   option_defs_en
};

/* RETRO_LANGUAGE_EO */

#define CATEGORY_SYSTEM_LABEL_EO NULL
#define CATEGORY_SYSTEM_INFO_0_EO NULL
#define CATEGORY_VIDEO_LABEL_EO "Video Driver"
#define CATEGORY_VIDEO_INFO_0_EO NULL
#define CATEGORY_AUDIO_LABEL_EO "Audio Driver"
#define CATEGORY_AUDIO_INFO_0_EO NULL
#define CATEGORY_INPUT_LABEL_EO "Input Driver"
#define CATEGORY_INPUT_INFO_0_EO NULL
#define CATEGORY_HACKS_LABEL_EO NULL
#define CATEGORY_HACKS_INFO_0_EO NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_EO NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_EO NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_EO NULL
#define OPTION_VAL_AUTO_EO NULL
#define OPTION_VAL_SG_1000_EO NULL
#define OPTION_VAL_SG_1000_II_EO NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_EO NULL
#define OPTION_VAL_MARK_III_EO NULL
#define OPTION_VAL_MASTER_SYSTEM_EO NULL
#define OPTION_VAL_MASTER_SYSTEM_II_EO NULL
#define OPTION_VAL_GAME_GEAR_EO NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_EO NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_EO NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_EO NULL
#define OPTION_VAL_NTSC_U_EO NULL
#define OPTION_VAL_PAL_EO NULL
#define OPTION_VAL_NTSC_J_EO NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_EO NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_EO NULL
#define OPTION_VAL_60HZ_EO NULL
#define OPTION_VAL_50HZ_EO NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_EO NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_EO NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_EO NULL
#define OPTION_VAL_PER_BIOS_EO NULL
#define OPTION_VAL_PER_GAME_EO NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_EO NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_EO NULL
#define OPTION_VAL_PER_CART_EO NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_EO NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_EO NULL
#define OPTION_VAL_128K_EO NULL
#define OPTION_VAL_256K_EO NULL
#define OPTION_VAL_512K_EO NULL
#define OPTION_VAL_1MEG_EO NULL
#define OPTION_VAL_2MEG_EO NULL
#define OPTION_VAL_4MEG_EO NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_EO NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_EO NULL
#define OPTION_VAL_SEGA_MEGA_CD_EO NULL
#define OPTION_VAL_MEGASD_EO NULL
#define OPTION_VAL_NONE_EO NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_EO NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_EO NULL
#define OPTION_VAL_GAME_GENIE_EO NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_EO NULL
#define OPTION_VAL_SONIC_KNUCKLES_EO NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_EO NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_EO NULL
#define OPTION_VAL_NTSC_PAR_EO NULL
#define OPTION_VAL_PAL_PAR_EO NULL
#define OPTION_VAL_4_3_EO NULL
#define OPTION_VAL_UNCORRECTED_EO NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_EO NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_EO NULL
#define OPTION_VAL_TOP_BOTTOM_EO NULL
#define OPTION_VAL_LEFT_RIGHT_EO NULL
#define OPTION_VAL_FULL_EO NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_EO NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_EO NULL
#define OPTION_VAL_LEFT_BORDER_EO NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_EO NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_EO NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_EO NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_EO NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_EO NULL
#define OPTION_VAL_MONOCHROME_EO NULL
#define OPTION_VAL_COMPOSITE_EO NULL
#define OPTION_VAL_SVIDEO_EO NULL
#define OPTION_VAL_RGB_EO NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_EO NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_EO NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_EO NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_EO NULL
#define OPTION_VAL_SINGLE_FIELD_EO NULL
#define OPTION_VAL_DOUBLE_FIELD_EO NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_EO NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_EO NULL
#define OPTION_VAL_MANUAL_EO NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_EO NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_EO NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_EO NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_EO NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_EO NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_EO NULL
#define OPTION_VAL_MAME_EO NULL
#define OPTION_VAL_NUKED_EO NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_EO NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_EO NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_EO NULL
#define OPTION_VAL_MAME_YM2612_EO NULL
#define OPTION_VAL_MAME_ASIC_YM3438_EO NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_EO NULL
#define OPTION_VAL_NUKED_YM2612_EO NULL
#define OPTION_VAL_NUKED_YM3438_EO NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_EO NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_EO NULL
#define OPTION_VAL_STEREO_EO NULL
#define OPTION_VAL_MONO_EO NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_EO NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_EO NULL
#define OPTION_VAL_LOW_PASS_EO NULL
#define OPTION_VAL_EQ_EO NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_EO NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_EO NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_EO NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_EO NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_EO NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_EO NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_EO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_EO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_EO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_EO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_EO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_EO NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_EO NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_EO NULL
#define OPTION_VAL_LIGHTGUN_EO NULL
#define OPTION_VAL_TOUCHSCREEN_EO NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_EO NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_EO NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_EO NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_EO NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_EO NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_EO NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_EO NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_EO NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_EO NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_EO NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_EO NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_EO NULL
#define OPTION_VAL_100_EO NULL
#define OPTION_VAL_125_EO NULL
#define OPTION_VAL_150_EO NULL
#define OPTION_VAL_175_EO NULL
#define OPTION_VAL_200_EO NULL
#define OPTION_VAL_225_EO "225 %"
#define OPTION_VAL_250_EO "250 %"
#define OPTION_VAL_275_EO "275 %"
#define OPTION_VAL_300_EO "300 %"
#define OPTION_VAL_325_EO "325 %"
#define OPTION_VAL_350_EO "350 %"
#define OPTION_VAL_375_EO "375 %"
#define OPTION_VAL_400_EO "400 %"
#define OPTION_VAL_425_EO "425 %"
#define OPTION_VAL_450_EO "450 %"
#define OPTION_VAL_475_EO "475 %"
#define OPTION_VAL_500_EO "500 %"
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_EO NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_EO NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_EO NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_EO NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_EO NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_EO NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_EO NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_EO NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_EO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_EO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_EO NULL

struct retro_core_option_v2_category option_cats_eo[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_EO,
      CATEGORY_SYSTEM_INFO_0_EO
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_EO,
      CATEGORY_VIDEO_INFO_0_EO
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_EO,
      CATEGORY_AUDIO_INFO_0_EO
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_EO,
      CATEGORY_INPUT_INFO_0_EO
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_EO,
      CATEGORY_HACKS_INFO_0_EO
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_EO,
      CATEGORY_CHANNEL_VOLUME_INFO_0_EO
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_eo[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_EO,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_EO                 },
         { "sg-1000",              OPTION_VAL_SG_1000_EO              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_EO           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_EO},
         { "mark-III",             OPTION_VAL_MARK_III_EO             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_EO        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_EO     },
         { "game gear",            OPTION_VAL_GAME_GEAR_EO            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_EO   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_EO,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_EO   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_EO },
         { "pal",     OPTION_VAL_PAL_EO    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_EO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_EO,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_EO },
         { "50hz",  OPTION_VAL_50HZ_EO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_EO,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_EO,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_EO },
         { "per game", OPTION_VAL_PER_GAME_EO },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_EO,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_EO },
         { "per game", OPTION_VAL_PER_GAME_EO },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_EO,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_EO  },
         { "256k",     OPTION_VAL_256K_EO  },
         { "512k",     OPTION_VAL_512K_EO  },
         { "1meg",     OPTION_VAL_1MEG_EO    },
         { "2meg",     OPTION_VAL_2MEG_EO    },
         { "4meg",     OPTION_VAL_4MEG_EO    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_EO,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_EO },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_EO },
         { "megasd",       OPTION_VAL_MEGASD_EO },
         { "none",         OPTION_VAL_NONE_EO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_EO,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_EO },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_EO },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_EO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_EO,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_EO },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_EO },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_EO },
         { "4:3",  OPTION_VAL_4_3_EO },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_EO },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_EO,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_EO },
         { "left/right", OPTION_VAL_LEFT_RIGHT_EO },
         { "full",       OPTION_VAL_FULL_EO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_EO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_EO },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_EO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_EO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_EO,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_EO },
         { "composite",  OPTION_VAL_COMPOSITE_EO },
         { "svideo",     OPTION_VAL_SVIDEO_EO },
         { "rgb",        OPTION_VAL_RGB_EO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_EO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_EO,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_EO },
         { "double field", OPTION_VAL_DOUBLE_FIELD_EO },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_EO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_EO },
         { "manual",   OPTION_VAL_MANUAL_EO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_EO,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_EO,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_EO },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_EO,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_EO },
         { "nuked", OPTION_VAL_NUKED_EO },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_EO,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_EO,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_EO,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_EO },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_EO },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_EO },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_EO },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_EO },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_EO,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_EO },
         { "mono",   OPTION_VAL_MONO_EO },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_EO,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_EO },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_EO },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_EO,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_EO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_EO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_EO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_EO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_EO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_EO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_EO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_EO,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_EO },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_EO },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_EO,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_EO,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_EO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_EO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_EO,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_EO,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_EO },
         { "125", OPTION_VAL_125_EO },
         { "150", OPTION_VAL_150_EO },
         { "175", OPTION_VAL_175_EO },
         { "200", OPTION_VAL_200_EO },
         { "225", OPTION_VAL_225_EO },
         { "250", OPTION_VAL_250_EO },
         { "275", OPTION_VAL_275_EO },
         { "300", OPTION_VAL_300_EO },
         { "325", OPTION_VAL_325_EO },
         { "350", OPTION_VAL_350_EO },
         { "375", OPTION_VAL_375_EO },
         { "400", OPTION_VAL_400_EO },
         { "425", OPTION_VAL_425_EO },
         { "450", OPTION_VAL_450_EO },
         { "475", OPTION_VAL_475_EO },
         { "500", OPTION_VAL_500_EO },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_EO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_EO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_EO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_EO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_EO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_EO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_eo = {
   option_cats_eo,
   option_defs_eo
};

/* RETRO_LANGUAGE_ES */

#define CATEGORY_SYSTEM_LABEL_ES "Sistema"
#define CATEGORY_SYSTEM_INFO_0_ES "Cambia las opciones del hardware base, la región, su BIOS y el archivo de guardado de Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_ES "Vídeo"
#define CATEGORY_VIDEO_INFO_0_ES "Cambia las opciones de relación de aspecto, recorte de imagen, filtros de vídeo y omisión de fotogramas."
#define CATEGORY_AUDIO_LABEL_ES NULL
#define CATEGORY_AUDIO_INFO_0_ES "Cambia los ajustes de los dispositivos de audio."
#define CATEGORY_INPUT_LABEL_ES "Entrada"
#define CATEGORY_INPUT_INFO_0_ES "Cambia las opciones de las pistolas de luz o la entrada del ratón."
#define CATEGORY_HACKS_LABEL_ES "Arreglos de emulación"
#define CATEGORY_HACKS_INFO_0_ES "Cambia las opciones de velocidad del procesador y de precisión de la emulación que afectan al rendimiento a bajo nivel y a la compatibilidad."
#define CATEGORY_CHANNEL_VOLUME_LABEL_ES "Ajustes avanzados del volumen de los canales"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_ES "Cambia el volumen de los canales individuales de audio del hardware."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_ES "Hardware del sistema"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_ES "Ejecuta el contenido cargado utilizando una consola emulada concreta. «Selección automática» seleccionará el sistema más adecuado para cada juego."
#define OPTION_VAL_AUTO_ES "Automático"
#define OPTION_VAL_SG_1000_ES NULL
#define OPTION_VAL_SG_1000_II_ES NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_ES "SG-1000 II + expansión de RAM"
#define OPTION_VAL_MARK_III_ES NULL
#define OPTION_VAL_MASTER_SYSTEM_ES NULL
#define OPTION_VAL_MASTER_SYSTEM_II_ES NULL
#define OPTION_VAL_GAME_GEAR_ES NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_ES NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_ES "Región del sistema"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_ES "Especifica la región para la que se ha fabricado el sistema. A excepción de la Game Gear, la opción PAL hará que las consolas muestren una imagen a 50 Hz, mientras que las opciones NTSC la mostrarán a 60 Hz. Si seleccionas una región incorrecta, los juegos podrían ejecutarse más rápidos o lentos de lo normal."
#define OPTION_VAL_NTSC_U_ES NULL
#define OPTION_VAL_PAL_ES NULL
#define OPTION_VAL_NTSC_J_ES NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_ES "Forzar modo del VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_ES "Reemplaza el modo del VDP para obligarlo a ejecutarse en el modo NTSC a 60 Hz o PAL a 50 Hz sin importar la región del sistema."
#define OPTION_VAL_60HZ_ES "NTSC (60 Hz)"
#define OPTION_VAL_50HZ_ES "PAL (50 Hz)"
#define GENESIS_PLUS_GX_BIOS_LABEL_ES "ROM de arranque del sistema"
#define GENESIS_PLUS_GX_BIOS_INFO_0_ES "Utiliza un cargador de arranque o BIOS oficiales para la emulación si se encuentran en el directorio del sistema de RetroArch. Se mostrará la secuencia específica de inicio de la consola y luego se ejecutará el contenido cargado."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_ES "BRAM del sistema de CD (es necesario reiniciar)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_ES "Al ejecutar contenidos para Mega-CD/Sega CD, especifica si se debe compartir un archivo de guardado entre todos los juegos de la misma región («Una por BIOS») o si se debe crear un archivo de guardado individual para cada juego («Una por cada juego»). Nota: la Mega-CD/Sega CD tiene un almacenamiento interno limitado, suficiente para unos pocos títulos. Se recomienda seleccionar «Una por cada juego» para que no te quedes sin espacio libre."
#define OPTION_VAL_PER_BIOS_ES "Uno por BIOS"
#define OPTION_VAL_PER_GAME_ES "Uno por cada juego"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_ES "Cartucho de BRAM de CD (es necesario reiniciar)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_ES "Al ejecutar contenidos para Mega-CD/Sega CD, especifica si se debe compartir un cartucho de RAM para guardados entre todos los juegos de la misma región («Una por cartucho») o si se debe crear un archivo de guardado individual para cada juego («Una por cada juego»)."
#define OPTION_VAL_PER_CART_ES "Una por cartucho"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_ES "Tamaño del cartucho de BRAM de CD (es necesario reiniciar)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_ES "Establece el tamaño del cartucho de RAM para los contenidos de Sega CD/Mega-CD. Este ajuste es ideal si se utiliza un archivo de cartucho de RAM por cada juego para así no tener varios cartuchos de gran tamaño."
#define OPTION_VAL_128K_ES "128 Kbit"
#define OPTION_VAL_256K_ES "256 Kbit"
#define OPTION_VAL_512K_ES "512 Kbit"
#define OPTION_VAL_1MEG_ES "1 Mbit"
#define OPTION_VAL_2MEG_ES "2 Mbit"
#define OPTION_VAL_4MEG_ES "4 Mbit"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_ES "Módulo de CD (modo MD, es necesario reiniciar)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_ES "Especifica el módulo que se ha de utilizar para la reproducción de audio de CD en los juegos compatibles de Mega Drive/Genesis."
#define OPTION_VAL_SEGA_MEGA_CD_ES "Sega CD/Mega-CD"
#define OPTION_VAL_MEGASD_ES NULL
#define OPTION_VAL_NONE_ES "No compartir"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_ES "Lock-On/Ensamblaje entre cartuchos"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_ES "La tecnología Lock-On/de ensamblaje es una característica de Mega Drive/Genesis que permitía a un juego antiguo conectarse a la ranura de un cartucho especial para alterar o ampliar su contenido. Esta opción especifica el tipo concreto de ensamblaje o «Lock-On» emulado. Es necesario incluir el archivo de la BIOS correspondiente en el directorio del sistema de RetroArch."
#define OPTION_VAL_GAME_GENIE_ES NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_ES NULL
#define OPTION_VAL_SONIC_KNUCKLES_ES NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_ES "Relación de aspecto del núcleo"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_ES "Selecciona la relación de aspecto del contenido. Esta opción solo surtirá efecto cuando la relación de aspecto de RetroArch, en el apartado de ajustes de Vídeo, esté configurada como «Asignada por el núcleo»."
#define OPTION_VAL_NTSC_PAR_ES "Relación de aspecto de píxeles NTSC"
#define OPTION_VAL_PAL_PAR_ES "Relación de aspecto de píxeles PAL"
#define OPTION_VAL_4_3_ES NULL
#define OPTION_VAL_UNCORRECTED_ES "Sin corregir"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_ES "Bordes"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_ES "Activa esta opción para mostrar las regiones de sobrebarrido en las partes superior e inferior o izquierda y derecha de la pantalla. Una televisión de definición estándar suele ocultarlas con el borde de la pantalla."
#define OPTION_VAL_TOP_BOTTOM_ES "Superior/inferior"
#define OPTION_VAL_LEFT_RIGHT_ES "Izquierda/derecha"
#define OPTION_VAL_FULL_ES "Completa"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_ES "Ocultar los bordes laterales de Master System"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_ES "Corta 8 píxeles del lateral izquierdo de la pantalla o de ambos laterales al ejecutar juegos para Master System."
#define OPTION_VAL_LEFT_BORDER_ES "Solo el borde izquierdo"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_ES "Bordes izquierdo y derecho"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_ES "Extender imagen de Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_ES "Fuerza a los juegos para Game Gear a ejecutarse en el modo SMS con una resolución incrementada de 256x192. Tal vez se muestren más contenidos, pero lo normal es que se muestre un borde de datos de imagen dañados o indeseables."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_ES "Filtro NTSC de Blargg"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_ES "Aplica un filtro de vídeo para imitar varios tipos de señales de imagen NTSC."
#define OPTION_VAL_MONOCHROME_ES "Monocromático"
#define OPTION_VAL_COMPOSITE_ES "Vídeo compuesto"
#define OPTION_VAL_SVIDEO_ES NULL
#define OPTION_VAL_RGB_ES NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_ES "Filtro de efecto fantasma («ghosting») de LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_ES "Aplica un filtro de efecto fantasma («ghosting») a la imagen para simular las características de los paneles LCD de Game Gear y Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_ES "Modo de entrelazado de vídeo 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_ES "El modo de entrelazado de vídeo 2 permite a la Mega Drive/Genesis generar una imagen que duplica su altura original a 320x448 (alta resolución) dibujando líneas de barrido alternativas en cada fotograma (usado por los modos multijugador de Sonic the Hedgehog 2 y de Combat Cars). «Dos campos» imita el hardware original: produce una imagen nítida con artefactos de parpadeos o de entrelazado. «Un campo» aplica un filtro de desentrelazado para estabilizar la imagen, pero la hará algo borrosa."
#define OPTION_VAL_SINGLE_FIELD_ES "Un campo"
#define OPTION_VAL_DOUBLE_FIELD_ES "Dos campos"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_ES "Omisión de fotogramas"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_ES "Omite fotogramas para no saturar el búfer de audio (chasquidos en el sonido). Mejora el rendimiento a costa de perder fluidez visual. Selección automática omite fotogramas según lo aconseje el front-end. El valor Manual utiliza el ajuste Umbral de omisión de fotogramas (%)."
#define OPTION_VAL_MANUAL_ES NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_ES "Umbral de omisión de fotogramas (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_ES "Cuando la omisión de fotogramas esté configurada como Manual, este ajuste especifica el umbral de ocupación del búfer de audio (en porcentaje) por debajo del cual se omitirán fotogramas si el valor. Un valor más elevado reduce el riesgo de chasquidos omitiendo fotogramas con una mayor frecuencia."
#define GENESIS_PLUS_GX_YM2413_LABEL_ES "Sonido por síntesis FM de Master System (YM2413)"
#define GENESIS_PLUS_GX_YM2413_INFO_0_ES "Activa la emulación de la unidad de sonido FM que usan algunos juegos concretos de Sega Mark III/Master System para mejorar su salida de audio."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_ES "Núcleo del sonido FM de Master System (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_ES "Selecciona el método con el que emular la unidad de sonido FM de la Sega Mark III/Master System. «MAME» es rápido y se ejecuta a la máxima velocidad en la mayoría de sistemas. «Nuked» ofrece una emulación precisa, con una calidad y requisitos de CPU elevados."
#define OPTION_VAL_MAME_ES NULL
#define OPTION_VAL_NUKED_ES NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_ES "Sonido por síntesis FM de Mega Drive/Genesis"
#define GENESIS_PLUS_GX_YM2612_INFO_0_ES "Selecciona el método con el que emular el sintetizador FM (el generador principal de sonido) de la Mega Drive/Genesis. Las opciones de MAME son rápidas y se ejecutan a la máxima velocidad en la mayoría de sistemas. Las opciones Nuked ofrecen una emulación precisa en cuanto a ciclos, con una calidad y requisitos de CPU elevados. El chip YM26132 es el que llevan los Model 1 originales de Mega Drive/Genesis. El chip YM3438 es el que se utilizó en las revisiones posteriores de Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_ES "Selecciona el método con el que emular el sintetizador FM (el generador principal de sonido) de la Mega Drive/Genesis. El chip YM26132 es el que llevan los Model 1 originales de Mega Drive/Genesis. El chip YM3438 es el que se utilizó en las revisiones posteriores de Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_ES NULL
#define OPTION_VAL_MAME_ASIC_YM3438_ES NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_ES "MAME (YM3438 mejorado)"
#define OPTION_VAL_NUKED_YM2612_ES NULL
#define OPTION_VAL_NUKED_YM3438_ES NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_ES "Salida de sonido"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_ES "Selecciona la reproducción de sonido monoaural o estéreo."
#define OPTION_VAL_STEREO_ES "Estéreo"
#define OPTION_VAL_MONO_ES "Monoaural"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_ES "Filtro de audio"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_ES "Aplica un filtro de paso bajo de audio para simular mejor el sonido característico de una Mega Drive/Genesis Model 1."
#define OPTION_VAL_LOW_PASS_ES "Paso bajo"
#define OPTION_VAL_EQ_ES "Ecualizador"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_ES "Porcentaje del filtro de paso bajo"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_ES "Especifica el umbral de frecuencias del filtro de paso bajo de audio. Un valor más elevado aumentará la «fuerza» percibida del filtro, atenuando un mayor rango de frecuencias altas."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_ES "Nivel de preamplificación del PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_ES "Ajusta el nivel de preamplificación de audio del PSG (generador programable de sonidos) SN76496 de cuatro canales que utilizan las SG-1000, Sega Mark III, Master System, Game Gear y Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_ES "Nivel de preamplificación de FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_ES "Ajusta el nivel de preamplificado de audio del sintetizador de sonido FM de Mega Drive/Genesis o de la unidad de sonido FM de las Sega Mark III/Master System."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_ES "Volumen de CD audio (CD-DA)"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_ES "Ajusta el volumen de mezcla de la salida de audio CD emulada."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_ES "Volumen de onda PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_ES "Ajusta el volumen de mezcla de la salida de audio del generador PCM RF5C164 emulado de la Sega CD/Mega-CD."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_ES "Ecualización de graves"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_ES "Ajusta la banda de tonos graves del ecualizador interno de audio."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_ES "Ecualización de medios"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_ES "Ajusta la banda de tonos medios del ecualizador interno de audio."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_ES "Ecualización de agudos"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_ES "Ajusta la banda de tonos agudos del ecualizador interno de audio."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_ES "Entrada de pistola de luz"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_ES "Utiliza un ratón o una pantalla táctil para controlar una pistola de luz."
#define OPTION_VAL_LIGHTGUN_ES "Pistola de luz"
#define OPTION_VAL_TOUCHSCREEN_ES "Pantalla táctil"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_ES "Mostrar punto de mira de las pistolas de luz"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_ES "Muestra los puntos de mira de las pistolas de luz al utilizar los dispositivos de entrada MD Menacer, MD Justifier y MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_ES "Invertir eje Y del ratón"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_ES "Invierte el eje vertical del dispositivo de entrada MD Mouse."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_ES "Eliminar límite de sprites por línea"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_ES "Elimina el límite de sprites por líneas de barrido que tenía el hardware original. Reduce los parpadeos, pero puede provocar fallos gráficos, ya que algunos juegos aprovechan esta limitación para generar efectos especiales."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_ES "Mejorar desplazamiento vertical de «tiles»"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_ES "Permite que cada celda individual pueda desplazarse en vertical de forma fluida en vez de hacerlo por parejas de 16 píxeles, haciendo un promedio del valor «vscroll» de las celdas colindantes. Este arreglo solo afecta a unos pocos juegos que utilizan el modo de desplazamiento vertical por parejas de dos celdas."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_ES "Límite de la mejora del desplazamiento vertical de «tiles»"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_ES "Esta opción solo se aplicará si la mejora del desplazamiento vertical de «tiles» está activada. Ajusta el límite de esta mejora. Cuando la diferencia del valor «vscroll» entre celdas colindantes sea superior a este límite, se desactivará la mejora."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_ES "Velocidad de la CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_ES "Aumenta la velocidad de la CPU emulada. Puede reducir las ralentizaciones, pero también podría provocar fallos gráficos."
#define OPTION_VAL_100_ES "100 %"
#define OPTION_VAL_125_ES "125 %"
#define OPTION_VAL_150_ES "150 %"
#define OPTION_VAL_175_ES "175 %"
#define OPTION_VAL_200_ES "200 %"
#define OPTION_VAL_225_ES "225 %"
#define OPTION_VAL_250_ES "250 %"
#define OPTION_VAL_275_ES "275 %"
#define OPTION_VAL_300_ES "300 %"
#define OPTION_VAL_325_ES "325 %"
#define OPTION_VAL_350_ES "350 %"
#define OPTION_VAL_375_ES "375 %"
#define OPTION_VAL_400_ES "400 %"
#define OPTION_VAL_425_ES "425 %"
#define OPTION_VAL_450_ES "450 %"
#define OPTION_VAL_475_ES "475 %"
#define OPTION_VAL_500_ES "500 %"
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_ES "Bloqueos del sistema"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_ES "Emula los bloqueos del sistema que se producirían en el hardware real al realizar accesos ilegales a memoria. Solo se debe desactivar esta opción para jugar con demos y aplicaciones homebrew que necesiten este comportamiento ilegal para funcionar correctamente."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_ES "Error de dirección del 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_ES "La CPU principal de la Mega Drive/Genesis (el Motorola 68000) genera una excepción (cuelgue) de error de memoria al intentar acceder a una memoria no alineada. Activa esta opción para simular este comportamiento. Solo debe desactivarse para jugar a modificaciones de juegos, ya que estas suelen desarrollarse con emuladores menos precisos y pueden depender de accesos a RAM no válidos para funcionar correctamente."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_ES "Tiempo de acceso al CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_ES "Simula la latencia del lector original de CD al empezar a leer o buscar una ubicación concreta del disco que esté cargado. Esto es necesario para algunos juegos en formato CD que se colgarán si los datos aparecen demasiado pronto, también corrige problemas de desincronización del audio de CD en algunos juegos. Desactivar esta opción podría venir bien para juegos MSU-MD, ya que hará que los bucles en las pistas de audio de CD queden más disimulados."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_ES "Cachear imagen del CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_ES "Carga la imagen del CD a la memoria al iniciar la emulación. Solo se admiten imágenes CHD. Es necesario reiniciar."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_ES "Mostrar Ajustes avanzados de volumen de audio (es necesario reabrir el menú)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_ES "Permite configurar los parámetros de los canales de audio a un bajo nivel. NOTA: es necesario salir y volver a entrar del menú rápido para que el cambio surta efecto."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_ES "Volumen del canal tonal 0 del PSG (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_ES "Reduce el volumen del canal tonal 0 del PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_ES "Volumen del canal tonal 1 del PSG (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_ES "Reduce el volumen del canal tonal 1 del PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_ES "Volumen del canal tonal 2 del PSG (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_ES "Reduce el volumen del canal tonal 2 del PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_ES "Volumen del canal de ruido 3 del PSG (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_ES "Reduce el volumen del canal de ruido 3 del PSG."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_ES "Volumen del canal FM 0 de Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_ES "Reduce el volumen del canal 0 de FM de Mega Drive/Genesis. Solo surtirá efecto con los emuladores MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_ES "Volumen del canal FM 1 de Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_ES "Reduce el volumen del canal 1 de FM de Mega Drive/Genesis. Solo surtirá efecto con los emuladores MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_ES "Volumen del canal FM 2 de Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_ES "Reduce el volumen del canal 2 de FM de Mega Drive/Genesis. Solo surtirá efecto con los emuladores MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_ES "Volumen del canal FM 3 de Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_ES "Reduce el volumen del canal 3 de FM de Mega Drive/Genesis. Solo surtirá efecto con los emuladores MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_ES "Volumen del canal FM 4 de Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_ES "Reduce el volumen del canal 4 de FM de Mega Drive/Genesis. Solo surtirá efecto con los emuladores MAME de FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_ES "Volumen del canal FM 5 de Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_ES "Reduce el volumen del canal 5 de FM de Mega Drive/Genesis. Solo surtirá efecto con los emuladores MAME de FM."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_ES "Volumen del canal 0 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_ES "Reduce el volumen del canal 0 de FM de Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_ES "Volumen del canal 1 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_ES "Reduce el volumen del canal 1 de FM de Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_ES "Volumen del canal 2 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_ES "Reduce el volumen del canal 2 de FM de Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_ES "Volumen del canal 3 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_ES "Reduce el volumen del canal 3 de FM de Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_ES "Volumen del canal 4 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_ES "Reduce el volumen del canal 4 de FM de Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_ES "Volumen del canal 5 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_ES "Reduce el volumen del canal 5 de FM de Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_ES "Volumen del canal 6 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_ES "Reduce el volumen del canal 6 de FM de Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_ES "Volumen del canal 7 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_ES "Reduce el volumen del canal 7 de FM de Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_ES "Volumen del canal 8 FM de Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_ES "Reduce el volumen del canal 8 de FM de Master System."

struct retro_core_option_v2_category option_cats_es[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_ES,
      CATEGORY_SYSTEM_INFO_0_ES
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_ES,
      CATEGORY_VIDEO_INFO_0_ES
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_ES,
      CATEGORY_AUDIO_INFO_0_ES
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_ES,
      CATEGORY_INPUT_INFO_0_ES
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_ES,
      CATEGORY_HACKS_INFO_0_ES
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_ES,
      CATEGORY_CHANNEL_VOLUME_INFO_0_ES
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_es[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_ES,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_ES                 },
         { "sg-1000",              OPTION_VAL_SG_1000_ES              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_ES           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_ES},
         { "mark-III",             OPTION_VAL_MARK_III_ES             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_ES        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_ES     },
         { "game gear",            OPTION_VAL_GAME_GEAR_ES            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_ES   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_ES,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_ES   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_ES },
         { "pal",     OPTION_VAL_PAL_ES    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_ES },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_ES,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_ES },
         { "50hz",  OPTION_VAL_50HZ_ES },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_ES,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_ES,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_ES },
         { "per game", OPTION_VAL_PER_GAME_ES },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_ES,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_ES },
         { "per game", OPTION_VAL_PER_GAME_ES },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_ES,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_ES  },
         { "256k",     OPTION_VAL_256K_ES  },
         { "512k",     OPTION_VAL_512K_ES  },
         { "1meg",     OPTION_VAL_1MEG_ES    },
         { "2meg",     OPTION_VAL_2MEG_ES    },
         { "4meg",     OPTION_VAL_4MEG_ES    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_ES,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_ES },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_ES },
         { "megasd",       OPTION_VAL_MEGASD_ES },
         { "none",         OPTION_VAL_NONE_ES },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_ES,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_ES },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_ES },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_ES },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_ES,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_ES },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_ES },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_ES },
         { "4:3",  OPTION_VAL_4_3_ES },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_ES },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_ES,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_ES },
         { "left/right", OPTION_VAL_LEFT_RIGHT_ES },
         { "full",       OPTION_VAL_FULL_ES },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_ES,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_ES },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_ES },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_ES,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_ES,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_ES },
         { "composite",  OPTION_VAL_COMPOSITE_ES },
         { "svideo",     OPTION_VAL_SVIDEO_ES },
         { "rgb",        OPTION_VAL_RGB_ES },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_ES,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_ES,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_ES },
         { "double field", OPTION_VAL_DOUBLE_FIELD_ES },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_ES,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_ES },
         { "manual",   OPTION_VAL_MANUAL_ES },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_ES,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_ES,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_ES },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_ES,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_ES },
         { "nuked", OPTION_VAL_NUKED_ES },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_ES,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_ES,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_ES,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_ES },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_ES },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_ES },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_ES },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_ES },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_ES,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_ES },
         { "mono",   OPTION_VAL_MONO_ES },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_ES,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_ES },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_ES },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_ES,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_ES,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_ES,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_ES,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_ES,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_ES,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_ES,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_ES,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_ES,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_ES },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_ES },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_ES,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_ES,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_ES,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_ES,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_ES,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_ES,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_ES },
         { "125", OPTION_VAL_125_ES },
         { "150", OPTION_VAL_150_ES },
         { "175", OPTION_VAL_175_ES },
         { "200", OPTION_VAL_200_ES },
         { "225", OPTION_VAL_225_ES },
         { "250", OPTION_VAL_250_ES },
         { "275", OPTION_VAL_275_ES },
         { "300", OPTION_VAL_300_ES },
         { "325", OPTION_VAL_325_ES },
         { "350", OPTION_VAL_350_ES },
         { "375", OPTION_VAL_375_ES },
         { "400", OPTION_VAL_400_ES },
         { "425", OPTION_VAL_425_ES },
         { "450", OPTION_VAL_450_ES },
         { "475", OPTION_VAL_475_ES },
         { "500", OPTION_VAL_500_ES },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_ES,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_ES,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_ES,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_ES,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_ES,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_ES,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_es = {
   option_cats_es,
   option_defs_es
};

/* RETRO_LANGUAGE_FA */

#define CATEGORY_SYSTEM_LABEL_FA "سیستم"
#define CATEGORY_SYSTEM_INFO_0_FA NULL
#define CATEGORY_VIDEO_LABEL_FA "ویدیو"
#define CATEGORY_VIDEO_INFO_0_FA NULL
#define CATEGORY_AUDIO_LABEL_FA "صدا"
#define CATEGORY_AUDIO_INFO_0_FA NULL
#define CATEGORY_INPUT_LABEL_FA "ورودی"
#define CATEGORY_INPUT_INFO_0_FA NULL
#define CATEGORY_HACKS_LABEL_FA NULL
#define CATEGORY_HACKS_INFO_0_FA NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_FA NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_FA NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_FA NULL
#define OPTION_VAL_AUTO_FA "خودکار"
#define OPTION_VAL_SG_1000_FA NULL
#define OPTION_VAL_SG_1000_II_FA NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_FA NULL
#define OPTION_VAL_MARK_III_FA NULL
#define OPTION_VAL_MASTER_SYSTEM_FA NULL
#define OPTION_VAL_MASTER_SYSTEM_II_FA NULL
#define OPTION_VAL_GAME_GEAR_FA NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_FA NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_FA NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_FA NULL
#define OPTION_VAL_NTSC_U_FA NULL
#define OPTION_VAL_PAL_FA NULL
#define OPTION_VAL_NTSC_J_FA NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_FA NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_FA NULL
#define OPTION_VAL_60HZ_FA NULL
#define OPTION_VAL_50HZ_FA NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_FA NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_FA NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_FA NULL
#define OPTION_VAL_PER_BIOS_FA NULL
#define OPTION_VAL_PER_GAME_FA NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_FA NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_FA NULL
#define OPTION_VAL_PER_CART_FA NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_FA NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_FA NULL
#define OPTION_VAL_128K_FA NULL
#define OPTION_VAL_256K_FA NULL
#define OPTION_VAL_512K_FA NULL
#define OPTION_VAL_1MEG_FA NULL
#define OPTION_VAL_2MEG_FA NULL
#define OPTION_VAL_4MEG_FA NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_FA NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_FA NULL
#define OPTION_VAL_SEGA_MEGA_CD_FA NULL
#define OPTION_VAL_MEGASD_FA NULL
#define OPTION_VAL_NONE_FA "هیچکدام"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_FA NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_FA NULL
#define OPTION_VAL_GAME_GENIE_FA NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_FA NULL
#define OPTION_VAL_SONIC_KNUCKLES_FA NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_FA "نسبت تصویر فراهم‌شده توسط هسته"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_FA NULL
#define OPTION_VAL_NTSC_PAR_FA NULL
#define OPTION_VAL_PAL_PAR_FA NULL
#define OPTION_VAL_4_3_FA NULL
#define OPTION_VAL_UNCORRECTED_FA NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_FA NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_FA NULL
#define OPTION_VAL_TOP_BOTTOM_FA NULL
#define OPTION_VAL_LEFT_RIGHT_FA NULL
#define OPTION_VAL_FULL_FA NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_FA NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_FA NULL
#define OPTION_VAL_LEFT_BORDER_FA NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_FA NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_FA NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_FA NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_FA NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_FA NULL
#define OPTION_VAL_MONOCHROME_FA NULL
#define OPTION_VAL_COMPOSITE_FA NULL
#define OPTION_VAL_SVIDEO_FA NULL
#define OPTION_VAL_RGB_FA NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_FA NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_FA NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_FA NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_FA NULL
#define OPTION_VAL_SINGLE_FIELD_FA NULL
#define OPTION_VAL_DOUBLE_FIELD_FA NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_FA "پرش فریم"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_FA "برای جلوگیری از اجرا شدن بافر صوتی (ترق زدن) از فریم‌ها پرش کنید. عملکرد را در ازای صاف‌بودن تصویر بهبود می‌بخشد. حالت «خودکار»هنگام توصیهٔ پیشانه از روی فریم‌ها می‌پرد. حالت «دستی» تنظیم «آستانهٔ پرش فریم (٪)» را فعال می‌کند."
#define OPTION_VAL_MANUAL_FA "دستی"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_FA "آستانهٔ پرش فریم (٪)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_FA "زمانی که «پرش فریم» روی «دستی» تنظیم شده باشد، آستانهٔ (درصد) اشغال بافر صوتی را برای پرش از روی فریم‌ها تنظیم می‌کند. مقادیر بالاتر احتمال ترق خوردن صدا را با رها کردن فریم‌های بیشتر، کاهش می‌دهد."
#define GENESIS_PLUS_GX_YM2413_LABEL_FA NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_FA NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_FA NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_FA NULL
#define OPTION_VAL_MAME_FA NULL
#define OPTION_VAL_NUKED_FA NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_FA NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_FA NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_FA NULL
#define OPTION_VAL_MAME_YM2612_FA NULL
#define OPTION_VAL_MAME_ASIC_YM3438_FA NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_FA NULL
#define OPTION_VAL_NUKED_YM2612_FA NULL
#define OPTION_VAL_NUKED_YM3438_FA NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_FA NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_FA NULL
#define OPTION_VAL_STEREO_FA NULL
#define OPTION_VAL_MONO_FA NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_FA "پالایهٔ صدا"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_FA NULL
#define OPTION_VAL_LOW_PASS_FA NULL
#define OPTION_VAL_EQ_FA NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_FA NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_FA NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_FA NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_FA NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_FA NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_FA NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_FA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_FA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_FA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_FA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_FA NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_FA NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_FA NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_FA NULL
#define OPTION_VAL_LIGHTGUN_FA NULL
#define OPTION_VAL_TOUCHSCREEN_FA NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_FA NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_FA NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_FA NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_FA NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_FA NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_FA NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_FA NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_FA NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_FA NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_FA NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_FA NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_FA NULL
#define OPTION_VAL_100_FA NULL
#define OPTION_VAL_125_FA NULL
#define OPTION_VAL_150_FA NULL
#define OPTION_VAL_175_FA NULL
#define OPTION_VAL_200_FA NULL
#define OPTION_VAL_225_FA NULL
#define OPTION_VAL_250_FA NULL
#define OPTION_VAL_275_FA NULL
#define OPTION_VAL_300_FA NULL
#define OPTION_VAL_325_FA NULL
#define OPTION_VAL_350_FA NULL
#define OPTION_VAL_375_FA NULL
#define OPTION_VAL_400_FA NULL
#define OPTION_VAL_425_FA NULL
#define OPTION_VAL_450_FA NULL
#define OPTION_VAL_475_FA NULL
#define OPTION_VAL_500_FA NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_FA NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_FA NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_FA NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_FA NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_FA NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_FA NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_FA NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_FA NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_FA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_FA NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_FA NULL

struct retro_core_option_v2_category option_cats_fa[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_FA,
      CATEGORY_SYSTEM_INFO_0_FA
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_FA,
      CATEGORY_VIDEO_INFO_0_FA
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_FA,
      CATEGORY_AUDIO_INFO_0_FA
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_FA,
      CATEGORY_INPUT_INFO_0_FA
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_FA,
      CATEGORY_HACKS_INFO_0_FA
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_FA,
      CATEGORY_CHANNEL_VOLUME_INFO_0_FA
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_fa[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_FA,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_FA                 },
         { "sg-1000",              OPTION_VAL_SG_1000_FA              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_FA           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_FA},
         { "mark-III",             OPTION_VAL_MARK_III_FA             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_FA        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_FA     },
         { "game gear",            OPTION_VAL_GAME_GEAR_FA            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_FA   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_FA,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_FA   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_FA },
         { "pal",     OPTION_VAL_PAL_FA    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_FA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_FA,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_FA },
         { "50hz",  OPTION_VAL_50HZ_FA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_FA,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_FA,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_FA },
         { "per game", OPTION_VAL_PER_GAME_FA },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_FA,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_FA },
         { "per game", OPTION_VAL_PER_GAME_FA },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_FA,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_FA  },
         { "256k",     OPTION_VAL_256K_FA  },
         { "512k",     OPTION_VAL_512K_FA  },
         { "1meg",     OPTION_VAL_1MEG_FA    },
         { "2meg",     OPTION_VAL_2MEG_FA    },
         { "4meg",     OPTION_VAL_4MEG_FA    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_FA,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_FA },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_FA },
         { "megasd",       OPTION_VAL_MEGASD_FA },
         { "none",         OPTION_VAL_NONE_FA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_FA,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_FA },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_FA },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_FA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_FA,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_FA },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_FA },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_FA },
         { "4:3",  OPTION_VAL_4_3_FA },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_FA },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_FA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_FA },
         { "left/right", OPTION_VAL_LEFT_RIGHT_FA },
         { "full",       OPTION_VAL_FULL_FA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_FA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_FA },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_FA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_FA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_FA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_FA },
         { "composite",  OPTION_VAL_COMPOSITE_FA },
         { "svideo",     OPTION_VAL_SVIDEO_FA },
         { "rgb",        OPTION_VAL_RGB_FA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_FA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_FA,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_FA },
         { "double field", OPTION_VAL_DOUBLE_FIELD_FA },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_FA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_FA },
         { "manual",   OPTION_VAL_MANUAL_FA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_FA,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_FA,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_FA },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_FA,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_FA },
         { "nuked", OPTION_VAL_NUKED_FA },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_FA,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_FA,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_FA,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_FA },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_FA },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_FA },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_FA },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_FA },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_FA,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_FA },
         { "mono",   OPTION_VAL_MONO_FA },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_FA,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_FA },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_FA },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_FA,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_FA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_FA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_FA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_FA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_FA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_FA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_FA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_FA,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_FA },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_FA },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_FA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_FA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_FA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_FA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_FA,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_FA,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_FA },
         { "125", OPTION_VAL_125_FA },
         { "150", OPTION_VAL_150_FA },
         { "175", OPTION_VAL_175_FA },
         { "200", OPTION_VAL_200_FA },
         { "225", OPTION_VAL_225_FA },
         { "250", OPTION_VAL_250_FA },
         { "275", OPTION_VAL_275_FA },
         { "300", OPTION_VAL_300_FA },
         { "325", OPTION_VAL_325_FA },
         { "350", OPTION_VAL_350_FA },
         { "375", OPTION_VAL_375_FA },
         { "400", OPTION_VAL_400_FA },
         { "425", OPTION_VAL_425_FA },
         { "450", OPTION_VAL_450_FA },
         { "475", OPTION_VAL_475_FA },
         { "500", OPTION_VAL_500_FA },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_FA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_FA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_FA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_FA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_FA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_FA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_fa = {
   option_cats_fa,
   option_defs_fa
};

/* RETRO_LANGUAGE_FI */

#define CATEGORY_SYSTEM_LABEL_FI "Järjestelmä"
#define CATEGORY_SYSTEM_INFO_0_FI "Vaihda peruslaitteiston valintaa, aluetta, BIOS ja Sega-CD/Mega-CD tallennustiedoston asetuksia."
#define CATEGORY_VIDEO_LABEL_FI NULL
#define CATEGORY_VIDEO_INFO_0_FI "Muuta kuvasuhdetta, näytön rajausta, videosuodatusta ja kuvanohitusasetuksia."
#define CATEGORY_AUDIO_LABEL_FI "Ääni"
#define CATEGORY_AUDIO_INFO_0_FI "Muuta äänilaitteen asetuksia."
#define CATEGORY_INPUT_LABEL_FI "Syöte"
#define CATEGORY_INPUT_INFO_0_FI "Muuta \"Light gun\" ja/tai hiiren syötön asetuksia"
#define CATEGORY_HACKS_LABEL_FI "Emulointikikat"
#define CATEGORY_HACKS_INFO_0_FI "Muuta prosessorin ylikellotus- ja emulointitarkkuusasetuksia, jotka vaikuttavat matalan tason suorituskykyyn ja yhteensopivuuteen."
#define CATEGORY_CHANNEL_VOLUME_LABEL_FI "Kanavan äänenvoimakkuuden lisäasetukset"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_FI "Muuta yksittäisten laitteistoäänikanavien äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_FI "Järjestelmä laitteisto"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_FI "Suorittaa ladattua sisältöä tietyllä emuloidulla konsolilla. \"Autotomaattinen\" valitsee sopivimman järjestelmän nykyiselle pelille."
#define OPTION_VAL_AUTO_FI "Automaattinen"
#define OPTION_VAL_SG_1000_FI NULL
#define OPTION_VAL_SG_1000_II_FI NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_FI "SG-1000 II + Lisä-RAM-moduuli"
#define OPTION_VAL_MARK_III_FI NULL
#define OPTION_VAL_MASTER_SYSTEM_FI NULL
#define OPTION_VAL_MASTER_SYSTEM_II_FI NULL
#define OPTION_VAL_GAME_GEAR_FI NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_FI NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_FI "Järjestelmän alue"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_FI "Määritä, miltä alueelta järjestelmä on. Muille konsoleille kuin Game Gear, \"PAL\" on 50 Hz, kun taas \"NTSC\" 60 Hz. Pelit saattavat pyöriä nopeammin tai hitaammin jos väärä alue on valittu."
#define OPTION_VAL_NTSC_U_FI NULL
#define OPTION_VAL_PAL_FI NULL
#define OPTION_VAL_NTSC_J_FI NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_FI "Pakota VDP-tila"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_FI NULL
#define OPTION_VAL_60HZ_FI "NTSC (60 Hz)"
#define OPTION_VAL_50HZ_FI "PAL (50 Hz)"
#define GENESIS_PLUS_GX_BIOS_LABEL_FI "Järjestelmän käynnistys ROM"
#define GENESIS_PLUS_GX_BIOS_INFO_0_FI "Käytä virallista BIOS/bootloader-ohjelmaa emuloiduille laitteelle, jos sellainen löytyy RetroArchin järjestelmäkansiosta. Näyttää konsolikohtaisen käynnistyslatauksen/animaation ja ajaa sitten ladatun sisällön."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_FI "CD-järjestelmän BRAM (uudelleenkäynnistys vaaditaan)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_FI "Määrittää Sega CD- ja Mega-CD:n sisältöä ajettaessa, jaetaanko yksi tallennustiedoston tietyn alueen kaikkien pelien välillä (BIOS-kohtainen) vai luodaanko jokaiselle pelille erillinen tallennustiedosto (Pelikohtainen). Huomaa, että Sega CD/Mega-CD:llä on rajallinen sisäinen tallennustila, riittäen vain muutamiin peleihin. Jotta tallennustila ei loppuisi, suositellaan \"Pelikohtainen\" asetusta."
#define OPTION_VAL_PER_BIOS_FI "BIOS-kohtainen"
#define OPTION_VAL_PER_GAME_FI "Pelikohtainen"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_FI "CD-järjestelmän varmuuskopio kasetin BRAM (uudelleenkäynnistys vaaditaan)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_FI "Määrittelee Sega CD- ja Mega-CD-sisältöä ajettaessa, jaetaanko yksi varmuuskopio RAM-kasetti kaikille peleille (Kasettikohtainen) vai luodaanko erillinen varmuuskopio RAM-kasetti jokaiselle pelille (Pelikohtainen)."
#define OPTION_VAL_PER_CART_FI "Kasettikohtainen"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_FI "CD-varmuuskopiokasetin BRAM-koko (Uudelleenkäynnistys vaaditaan)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_FI "Valitse varmuuskopiokasetin koko, kun ajetaan Sega CD/Mega-CD sisältöä. Hyödyllinen, kun asetetaan varmuuskopiokasetti pelikohtaiseksi, jolloin voidaan välttää useita suuria kasetteja."
#define OPTION_VAL_128K_FI "128 kbit"
#define OPTION_VAL_256K_FI "256 kbit"
#define OPTION_VAL_512K_FI "512 kbit"
#define OPTION_VAL_1MEG_FI "1 Mbit"
#define OPTION_VAL_2MEG_FI "2 Mbit"
#define OPTION_VAL_4MEG_FI "4 Mbit"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_FI "CD-lisäosa (MD-tila) (vaatii uudelleenkäynnistyksen)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_FI "Märittelee, mitä lisäosaa käytetään CD:n audio toistamiseen tuetuilla Mega Drive/Genesis -peleillä."
#define OPTION_VAL_SEGA_MEGA_CD_FI "Sega/Mega-CD"
#define OPTION_VAL_MEGASD_FI NULL
#define OPTION_VAL_NONE_FI "Ei mitään"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_FI "Lock-On -kasetti"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_FI "Lock-On Technology on Mega Drive/Genesis -toiminto, joka sallii vanhemman pelin muodostaa yhteyden erityisen kasetin läpikulkuporttiin laajennettua tai muutettua pelattavuutta varten. Tämä valinta määrittelee, minkä tyyppistä '\"lock-on\" kasettia emuloidaan. Vastaavan bios-tiedoston on oltava RetroArchin järjestelmäkansiossa."
#define OPTION_VAL_GAME_GENIE_FI NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_FI NULL
#define OPTION_VAL_SONIC_KNUCKLES_FI NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_FI "Ytimen määrittämä kuvasuhde"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_FI "Valitse haluamasi sisällön kuvasuhde. Tämä pätee vain kun RetroArchin kuvasuhde on asetettu videoasetuksissa \"Ytimen asettama\"."
#define OPTION_VAL_NTSC_PAR_FI NULL
#define OPTION_VAL_PAL_PAR_FI NULL
#define OPTION_VAL_4_3_FI NULL
#define OPTION_VAL_UNCORRECTED_FI "Ei korjattu"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_FI "Reunukset"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_FI "Ota tämä käyttöön näyttääksesi näytön ylä-, ala- ja/tai vasemman/oikeanpuoleiset yliskannauksen alueet. Tavallisesti ne on piilossa keyksissä, joka on standardin mukaan määritellyn television reunan takana."
#define OPTION_VAL_TOP_BOTTOM_FI "Ylä/Ala"
#define OPTION_VAL_LEFT_RIGHT_FI "Vasen/Oikea"
#define OPTION_VAL_FULL_FI "Täysi"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_FI "Piilota Master Systemin sivurajat"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_FI "Leikkaa 8 pikseliä näytön vasemmalta puolelta tai vasemmalta että oikealta puolelta, kun ajetaan Master System -pelejä."
#define OPTION_VAL_LEFT_BORDER_FI "Vain vasen reuna"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_FI "Vasen ja oikea reuna"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_FI "Game Gear laajennettu näyttö"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_FI "Pakottaa Game Gear pelit ajettavaksi SMS-tilassa, lisääntyneellä 256 x 192 resoluutiolla. Saattaa näyttää ylimääräistä sisältöä, mutta usein näyttää vain rajan korruptoituneita/ei-toivottuja kuvatietoja."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_FI "Blargg NTSC suodatin"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_FI "Käytä videosuodatinta erilaisten NTSC TV-signaalien jäljittelemiseen."
#define OPTION_VAL_MONOCHROME_FI "Yksivärinen"
#define OPTION_VAL_COMPOSITE_FI "Komposiitti"
#define OPTION_VAL_SVIDEO_FI NULL
#define OPTION_VAL_RGB_FI NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_FI "LCD Ghosting -suodatin"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_FI "Käytä \"ghosting\" kuva suodatinta jäljittelemään Game Gear ja Genesis Nomad LCD-näyttöpaneelien ominaisuuksia."
#define GENESIS_PLUS_GX_RENDER_LABEL_FI NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_FI NULL
#define OPTION_VAL_SINGLE_FIELD_FI NULL
#define OPTION_VAL_DOUBLE_FIELD_FI NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_FI "Kuvanohitus"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_FI "Ohita kuvia välttääksesi äänipuskurin ali ajon (säröily). Parantaa suorituskykyä visuaalisen tasaisuuden kustannuksella. \"Automaatti\" ohittaa kehykset käyttöliittymän asetusten mukaan. \"Manuaalinen\" käyttää \"Kuvienohituksen arvo (%)\" -asetusta."
#define OPTION_VAL_MANUAL_FI "Manuaalinen"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_FI "Kuvienohituksen arvo (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_FI "Kun \"kehyksen ohitus\" on asetettu \"manuaaliksi\", määrittää äänipuskuri käyttökynnyksen (prosentteina), jonka alapuolella kehykset ohitetaan. Korkeammat arvot vähentävät särkymisen riskiä siten, että kehykset putoavat useammin."
#define GENESIS_PLUS_GX_YM2413_LABEL_FI NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_FI "Ota käyttöön tiettyjen Sega Mark III/Master System -pelien käyttämä FM-äänimoduulin emulointi äänen ulostulon ehostamista varten."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_FI "Master System FM (YM2413) ydin"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_FI NULL
#define OPTION_VAL_MAME_FI NULL
#define OPTION_VAL_NUKED_FI NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_FI NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_FI NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_FI NULL
#define OPTION_VAL_MAME_YM2612_FI NULL
#define OPTION_VAL_MAME_ASIC_YM3438_FI NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_FI "MAME (Paranneltu YM3438)"
#define OPTION_VAL_NUKED_YM2612_FI NULL
#define OPTION_VAL_NUKED_YM3438_FI NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_FI "Äänen ulostulo"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_FI "Valitse stereo- tai monoäänen toisto."
#define OPTION_VAL_STEREO_FI NULL
#define OPTION_VAL_MONO_FI NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_FI "Äänisuodatin"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_FI "Ota käyttöön alipäästösuodatin simuloidaksesi paremmin Mega Drive/Genesis mallin 1 ääniominaisuuksia."
#define OPTION_VAL_LOW_PASS_FI "Alipäästö"
#define OPTION_VAL_EQ_FI "Taajuuskorjain"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_FI "Alipäästösuodatin %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_FI NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_FI NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_FI NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_FI NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_FI NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_FI NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_FI "PCM-äänenvoimakkuus"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_FI NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_FI NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_FI NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_FI NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_FI NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_FI NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_FI "Valoaseen syöte"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_FI NULL
#define OPTION_VAL_LIGHTGUN_FI "Valoase"
#define OPTION_VAL_TOUCHSCREEN_FI "Kosketusnäyttö"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_FI "Näytä valoaseen tähtäin"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_FI NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_FI NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_FI NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_FI NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_FI NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_FI NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_FI NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_FI NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_FI NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_FI "Suorittimen nopeus"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_FI "Ylikellotta emuloitua prosessoria. Voi vähentää hidastumista, mutta saattaa aiheuttaa virheitä."
#define OPTION_VAL_100_FI "100 %"
#define OPTION_VAL_125_FI "125 %"
#define OPTION_VAL_150_FI "150 %"
#define OPTION_VAL_175_FI "175 %"
#define OPTION_VAL_200_FI "200 %"
#define OPTION_VAL_225_FI "225 %"
#define OPTION_VAL_250_FI "250 %"
#define OPTION_VAL_275_FI "275 %"
#define OPTION_VAL_300_FI "300 %"
#define OPTION_VAL_325_FI "325 %"
#define OPTION_VAL_350_FI "350 %"
#define OPTION_VAL_375_FI "375 %"
#define OPTION_VAL_400_FI "400 %"
#define OPTION_VAL_425_FI "425 %"
#define OPTION_VAL_450_FI "450 %"
#define OPTION_VAL_475_FI "475 %"
#define OPTION_VAL_500_FI "500 %"
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_FI "Järjestelmän lukkiutumiset"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_FI NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_FI "68K-osoitevirhe"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_FI NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_FI NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_FI "Simuloi alkuperäinen CD-laitteiston lukunopeutta etsiessä tiettyä sijaintia levyltä. Tätä tarvitaan muutamia CD-pelejä varten, jotka kaatuvat, jos CD:n tiedot ovat saatavilla liian pian ja myös korjaa CD:n äänen ajoitusongelmia joissakin peleissä. Tämän poistaminen käytöstä voi olla hyödyllistä MSU-MD-peleissä, koska se tekee CD-ääniraitojen silmukoista saumattomampia."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_FI NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_FI NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_FI "Näytä äänenvoimakkuuden lisäasetukset (Avaa valikko uudestaan)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_FI "Ota käyttöön alhaisen tason äänikanavan parametrien asetukset. HUOM.: Pikavalikko pitää ottaa käyttöön tämän asetuksen käyttöönottamiseksi."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_FI NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_FI NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_FI NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_FI NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_FI "Mega Drive/Genesis FM-kanavan 0 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_FI "Mega Drive/Genesis FM-kanavan 1 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_FI "Mega Drive/Genesis FM-kanavan 2 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_FI "Mega Drive/Genesis FM-kanavan 3 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_FI NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_FI NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_FI NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_FI "Master System FM (YM2413) kanavan 0 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 0 äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_FI "Master System FM (YM2413) kanavan 1 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 1 äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_FI "Master System FM (YM2413) Kanava 2 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 2 äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_FI "Master System FM (YM2413) kanavan 3 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 3 äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_FI "Master System FM (YM2413) kanavan 4 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 4 äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_FI "Master System FM (YM2413) kanavan 5 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 5 äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_FI "Master System FM (YM2413) kanavan 6 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 6 äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_FI "Master System FM (YM2413) kanavan 7 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 7 äänenvoimakkuutta."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_FI "Master System FM (YM2413) kanavan 8 äänenvoimakkuus %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_FI "Vähennä Master System FM-kanavan 8 äänenvoimakkuutta."

struct retro_core_option_v2_category option_cats_fi[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_FI,
      CATEGORY_SYSTEM_INFO_0_FI
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_FI,
      CATEGORY_VIDEO_INFO_0_FI
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_FI,
      CATEGORY_AUDIO_INFO_0_FI
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_FI,
      CATEGORY_INPUT_INFO_0_FI
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_FI,
      CATEGORY_HACKS_INFO_0_FI
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_FI,
      CATEGORY_CHANNEL_VOLUME_INFO_0_FI
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_fi[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_FI,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_FI                 },
         { "sg-1000",              OPTION_VAL_SG_1000_FI              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_FI           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_FI},
         { "mark-III",             OPTION_VAL_MARK_III_FI             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_FI        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_FI     },
         { "game gear",            OPTION_VAL_GAME_GEAR_FI            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_FI   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_FI,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_FI   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_FI },
         { "pal",     OPTION_VAL_PAL_FI    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_FI },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_FI,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_FI },
         { "50hz",  OPTION_VAL_50HZ_FI },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_FI,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_FI,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_FI },
         { "per game", OPTION_VAL_PER_GAME_FI },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_FI,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_FI },
         { "per game", OPTION_VAL_PER_GAME_FI },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_FI,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_FI  },
         { "256k",     OPTION_VAL_256K_FI  },
         { "512k",     OPTION_VAL_512K_FI  },
         { "1meg",     OPTION_VAL_1MEG_FI    },
         { "2meg",     OPTION_VAL_2MEG_FI    },
         { "4meg",     OPTION_VAL_4MEG_FI    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_FI,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_FI },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_FI },
         { "megasd",       OPTION_VAL_MEGASD_FI },
         { "none",         OPTION_VAL_NONE_FI },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_FI,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_FI },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_FI },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_FI },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_FI,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_FI },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_FI },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_FI },
         { "4:3",  OPTION_VAL_4_3_FI },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_FI },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_FI,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_FI },
         { "left/right", OPTION_VAL_LEFT_RIGHT_FI },
         { "full",       OPTION_VAL_FULL_FI },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_FI,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_FI },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_FI },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_FI,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_FI,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_FI },
         { "composite",  OPTION_VAL_COMPOSITE_FI },
         { "svideo",     OPTION_VAL_SVIDEO_FI },
         { "rgb",        OPTION_VAL_RGB_FI },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_FI,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_FI,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_FI },
         { "double field", OPTION_VAL_DOUBLE_FIELD_FI },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_FI,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_FI },
         { "manual",   OPTION_VAL_MANUAL_FI },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_FI,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_FI,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_FI },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_FI,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_FI },
         { "nuked", OPTION_VAL_NUKED_FI },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_FI,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_FI,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_FI,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_FI },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_FI },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_FI },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_FI },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_FI },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_FI,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_FI },
         { "mono",   OPTION_VAL_MONO_FI },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_FI,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_FI },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_FI },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_FI,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_FI,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_FI,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_FI,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_FI,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_FI,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_FI,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_FI,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_FI,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_FI },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_FI },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_FI,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_FI,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_FI,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_FI,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_FI,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_FI,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_FI },
         { "125", OPTION_VAL_125_FI },
         { "150", OPTION_VAL_150_FI },
         { "175", OPTION_VAL_175_FI },
         { "200", OPTION_VAL_200_FI },
         { "225", OPTION_VAL_225_FI },
         { "250", OPTION_VAL_250_FI },
         { "275", OPTION_VAL_275_FI },
         { "300", OPTION_VAL_300_FI },
         { "325", OPTION_VAL_325_FI },
         { "350", OPTION_VAL_350_FI },
         { "375", OPTION_VAL_375_FI },
         { "400", OPTION_VAL_400_FI },
         { "425", OPTION_VAL_425_FI },
         { "450", OPTION_VAL_450_FI },
         { "475", OPTION_VAL_475_FI },
         { "500", OPTION_VAL_500_FI },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_FI,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_FI,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_FI,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_FI,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_FI,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_FI,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_fi = {
   option_cats_fi,
   option_defs_fi
};

/* RETRO_LANGUAGE_FR */

#define CATEGORY_SYSTEM_LABEL_FR "Système"
#define CATEGORY_SYSTEM_INFO_0_FR "Modifier les réglages de la sélection du matériel de base, la région, du BIOS et des fichiers de sauvegarde Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_FR "Vidéo"
#define CATEGORY_VIDEO_INFO_0_FR "Modifier les réglages du rapport d'aspect, du recadrage de l'affichage, du filtre vidéo et du saut d'images."
#define CATEGORY_AUDIO_LABEL_FR "Audio "
#define CATEGORY_AUDIO_INFO_0_FR "Modifier les réglages du périphérique audio."
#define CATEGORY_INPUT_LABEL_FR "Entrées"
#define CATEGORY_INPUT_INFO_0_FR "Modifier les réglages des entrées pistolet et/ou souris."
#define CATEGORY_HACKS_LABEL_FR "Hacks d'émulation"
#define CATEGORY_HACKS_INFO_0_FR "Modifier les réglages d'overclocking du processeur et de la précision d'émulation qui affectent les performances de bas niveau et la compatibilité."
#define CATEGORY_CHANNEL_VOLUME_LABEL_FR "Réglages avancés du volume des canaux"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_FR "Modifier le volume des canaux audio matériels individuels."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_FR "Matériel système"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_FR "Exécute du contenu chargé avec une console émulée spécifique. 'Auto' sélectionnera le système le plus approprié pour le jeu en cours."
#define OPTION_VAL_AUTO_FR NULL
#define OPTION_VAL_SG_1000_FR NULL
#define OPTION_VAL_SG_1000_II_FR NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_FR "SG-1000 II + Ext. RAM"
#define OPTION_VAL_MARK_III_FR NULL
#define OPTION_VAL_MASTER_SYSTEM_FR NULL
#define OPTION_VAL_MASTER_SYSTEM_II_FR NULL
#define OPTION_VAL_GAME_GEAR_FR NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_FR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_FR "Région du système"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_FR "Spécifie de quelle région le système provient. Pour les consoles autres que la Game Gear, 'PAL' est à 50 Hz alors que 'NTSC' est à 60 Hz. Les jeux peuvent tourner plus vite ou plus lentement que la normale si la région incorrecte est sélectionnée."
#define OPTION_VAL_NTSC_U_FR NULL
#define OPTION_VAL_PAL_FR NULL
#define OPTION_VAL_NTSC_J_FR NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_FR "Forcer le mode VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_FR "Outrepasse le mode VDP pour le forcer à fonctionner en NTSC 60 Hz ou PAL 50 Hz, quelle que soit la région du système."
#define OPTION_VAL_60HZ_FR "NTSC (60 Hz)"
#define OPTION_VAL_50HZ_FR "PAL (50 Hz)"
#define GENESIS_PLUS_GX_BIOS_LABEL_FR "ROM de démarrage du système"
#define GENESIS_PLUS_GX_BIOS_INFO_0_FR "Utiliser le BIOS/bootloader officiel pour le matériel émulé, s'il est présent dans le répertoire système de RetroArch. Affiche une séquence de démarrage/animation spécifique à la console, puis lance le contenu chargé."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_FR "BRAM du système de CD (Redémarrage requis)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_FR "Lors de l'exécution de contenu Sega CD/Mega-CD, spécifie s'il faut partager un seul fichier de sauvegarde entre tous les jeux d'une région spécifique (Par BIOS) ou créer un fichier de sauvegarde séparé pour chaque jeu (Par jeu). Notez que le Sega CD/Mega-CD a un stockage interne limité, suffisant seulement pour une poignée de titres. Pour éviter de manquer d'espace, le paramètre 'Par jeu' est recommandé."
#define OPTION_VAL_PER_BIOS_FR "Par BIOS"
#define OPTION_VAL_PER_GAME_FR "Par jeu"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_FR "BRAM de la cartouche de sauvegarde du CD (Redémarrage requis)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_FR "Lorsque vous exécutez du contenu Sega CD/Mega-CD, cette option spécifie si vous voulez partager une seule cartouche de sauvegarde pour tous les jeux (Par cartouche) ou créer une cartouche de sauvegarde séparée pour chaque jeu (Par jeu)."
#define OPTION_VAL_PER_CART_FR "Par cartouche"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_FR "Quantité de BRAM de la cartouche de sauvegarde du CD (Redémarrage requis)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_FR "Définit la quantité de ram de la cartouche de sauvegarde lors de l'exécution du contenu Sega CD/Mega-CD. Utile lors du réglage de la cartouche de sauvegarde sur 'Par jeu' pour éviter plusieurs tailles de cartouches plus grandes."
#define OPTION_VAL_128K_FR "128 kbit"
#define OPTION_VAL_256K_FR "256 kbit"
#define OPTION_VAL_512K_FR "512 kbit"
#define OPTION_VAL_1MEG_FR "1 Mbit"
#define OPTION_VAL_2MEG_FR "2 Mbit"
#define OPTION_VAL_4MEG_FR "4 Mbit"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_FR "Module CD complémentaire (mode MD) (Redémarrage requis)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_FR "Spécifie quel module complémentaire utiliser pour la lecture audio de CD avec les jeux Mega Drive/Genesis pris en charge."
#define OPTION_VAL_SEGA_MEGA_CD_FR NULL
#define OPTION_VAL_MEGASD_FR NULL
#define OPTION_VAL_NONE_FR "Ne pas partager"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_FR "Cartouche lock-on"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_FR "La technologie lock-on est une fonctionnalité de la Mega Drive/Genesis qui permettait à un jeu plus ancien de se connecter au port de transit d'une cartouche spéciale pour un jeu prolongé ou modifié. Cette option spécifie quel type de cartouche 'lock-on' spéciale émuler. Un fichier BIOS correspondant doit être présent dans le dossier système de RetroArch."
#define OPTION_VAL_GAME_GENIE_FR NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_FR NULL
#define OPTION_VAL_SONIC_KNUCKLES_FR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_FR "Rapport d'aspect fourni par le cœur"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_FR "Choisir le rapport d'aspect préféré pour le contenu. Cela ne s'applique que lorsque le rapport d'aspect de RetroArch est réglé sur 'Fourni par le cœur' (Core provided) dans les paramètres vidéo."
#define OPTION_VAL_NTSC_PAR_FR "Rapport d'aspect préféré NTSC"
#define OPTION_VAL_PAL_PAR_FR "Rapport d'aspect préféré PAL"
#define OPTION_VAL_4_3_FR NULL
#define OPTION_VAL_UNCORRECTED_FR "Non corrigé"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_FR "Bordures"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_FR "Activer cette option pour afficher les régions de surbalayage en haut/bas et/ou à gauche/droite de l'écran. Celles-ci seraient normalement cachées par le biseau autour du bord d'une télévision définition standard."
#define OPTION_VAL_TOP_BOTTOM_FR "Haut/bas"
#define OPTION_VAL_LEFT_RIGHT_FR "Gauche/droite"
#define OPTION_VAL_FULL_FR "Complète"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_FR "Masquer les bordures latérales de la Master System"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_FR "Coupe 8 pixels soit du côté gauche de l'écran, soit des côtés gauche et droit lors du lancement de jeux Master System."
#define OPTION_VAL_LEFT_BORDER_FR "Bordure de gauche uniquement"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_FR "Bordures gauche et droite"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_FR "Ecran étendu pour la Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_FR "Force les jeux Game Gear à fonctionner en mode SMS, avec une résolution accrue de 256x192. Peut afficher du contenu supplémentaire, mais affiche généralement une bordure de données d'image corrompues ou indésirables."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_FR "Filtre NTSC de Blargg"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_FR "Applique un filtre vidéo pour imiter différents signaux TV NTSC."
#define OPTION_VAL_MONOCHROME_FR NULL
#define OPTION_VAL_COMPOSITE_FR NULL
#define OPTION_VAL_SVIDEO_FR NULL
#define OPTION_VAL_RGB_FR "RVB"
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_FR "Filtre de rémanence LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_FR "Applique un filtre de 'rémanence' d'image pour imiter les caractéristiques d'écran de la Game Gear et des panneaux LCD de la Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_FR "Sortie Mode 2 entrelacée"
#define GENESIS_PLUS_GX_RENDER_INFO_0_FR "Le Mode 2 entrelacé permet à la Mega Drive/Genesis de produire une image de hauteur doublée (haute résolution) à 320x448 en dessinant des lignes de balayage alternatives à chaque image (utilisé par les modes multi-joueurs de Sonic the Hedgehog 2 et Combat Cars). 'Double champ' imite le matériel original, produisant une image nette avec des artefacts de scintillement/entrelacement. 'Un seul champ' applique un filtre de désentrelacement, qui stabilise l'image mais provoque un flou léger."
#define OPTION_VAL_SINGLE_FIELD_FR "Un seul champ"
#define OPTION_VAL_DOUBLE_FIELD_FR "Double champ"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_FR "Saut d'images"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_FR "Sauter des images pour éviter que le tampon audio ne soit sous-exécuté (crépitements). Améliore les performances au détriment de la fluidité visuelle. 'Auto' saute des images lorsque l'interface le conseille. 'Manuel' utilise le paramètre 'Seuil de saut d'images (%)'."
#define OPTION_VAL_MANUAL_FR "Manuel"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_FR "Seuil de saut d'images (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_FR "Lorsque 'Saut d'images' est réglé sur 'Manuel', spécifie le seuil d'occupation du tampon audio (pourcentage) en dessous duquel des images seront sautées. Des valeurs plus élevées réduisent le risque de crépitements en faisant sauter des images plus fréquemment."
#define GENESIS_PLUS_GX_YM2413_LABEL_FR "FM Master System (YM2413)"
#define GENESIS_PLUS_GX_YM2413_INFO_0_FR "Activer l'émulation du FM Sound Unit utilisé par certains jeux Sega Mark III/Master System pour une sortie audio améliorée."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_FR "Cœur FM Master System (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_FR "Sélectionner la méthode utilisée pour émuler le FM Sound Unit de la Sega Mark III/Master System. L'option 'MAME' est rapide, et fonctionne à pleine vitesse sur la plupart des systèmes. L'option 'Nuked' est précise au cycle près, de très haute qualité, et a des exigences substantielles en matière de processeur."
#define OPTION_VAL_MAME_FR NULL
#define OPTION_VAL_NUKED_FR NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_FR "FM Mega Drive/Genesis"
#define GENESIS_PLUS_GX_YM2612_INFO_0_FR "Sélectionner la méthode utilisée pour émuler le synthétiseur FM (générateur principal de son) de la Mega Drive/Genesis. Les options 'MAME' sont rapides, et fonctionnent à pleine vitesse sur la plupart des systèmes. Les options 'Nuked' sont précises au cycle près, de très haute qualité, et ont plus d'exigences en matière de processeur. La puce YM2612 est utilisée par la version originale du modèle 1 de Mega Drive/Genesis. La YM3438 est utilisée par les révisions suivantes de Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_FR "Sélectionner la méthode utilisée pour émuler le synthétiseur FM (générateur principal de son) de la Mega Drive/Genesis. La puce YM2612 est utilisée par la version originale du modèle 1 de Mega Drive/Genesis. La YM3438 est utilisée par les révisions suivantes de Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_FR NULL
#define OPTION_VAL_MAME_ASIC_YM3438_FR NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_FR "MAME (YM3438 amélioré)"
#define OPTION_VAL_NUKED_YM2612_FR NULL
#define OPTION_VAL_NUKED_YM3438_FR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_FR "Sortie audio"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_FR "Sélectionner la lecture du son stéréo ou mono."
#define OPTION_VAL_STEREO_FR "Stéréo"
#define OPTION_VAL_MONO_FR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_FR "Filtre audio"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_FR "Active un filtre audio passe-bas pour mieux simuler le son caractéristique d'une Mega Drive/Genesis."
#define OPTION_VAL_LOW_PASS_FR "Passe-bas"
#define OPTION_VAL_EQ_FR "Égaliseur"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_FR "Filtre passe-bas (%)"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_FR "Spécifie la fréquence de coupure du filtre passe-bas audio. Une valeur plus élevée accroît la 'force' perçue du filtre, car une gamme plus large du spectre des hautes fréquences est atténuée."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_FR "Niveau du préampli PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_FR "Règle le niveau du préampli audio du générateur de son programmable 4 canaux SN76496 émulé trouvé dans la SG-1000, Sega Mark III, Master System, Game Gear et Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_FR "Niveau du préampli FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_FR "Règle le niveau du préampli audio du synthétiseur FM de la Mega Drive/Genesis ou du FM Sound Unit de la Sega Mark III/Master System émulés."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_FR "Volume CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_FR "Ajuste le volume de mixage de la sortie de lecture audio CD émulée."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_FR "Volume PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_FR "Ajuste le volume de mixage de la sortie du générateur de son PCM RF5C164 émulé du Sega CD/Mega-CD."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_FR "Égaliseur - graves"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_FR "Ajuste la bande des basses fréquences de l'égaliseur audio interne."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_FR "Égaliseur - médium"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_FR "Ajuste la bande des moyennes fréquences de l'égaliseur audio interne."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_FR "Égaliseur - aigus"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_FR "Ajuste la bande des hautes fréquences de l'égaliseur audio interne."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_FR "Entrée du pistolet"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_FR "Utiliser une entrée 'Pistolet' contrôlée par la souris ou 'Écran tactile'."
#define OPTION_VAL_LIGHTGUN_FR "Pistolet"
#define OPTION_VAL_TOUCHSCREEN_FR "Écran tactile"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_FR "Afficher le réticule du pistolet"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_FR "Affiche les réticules de visée du pistolet lorsque vous utilisez les types de périphériques d'entrée MD Menacer, MD Justifiers et MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_FR "Inverser l'axe Y de la souris"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_FR "Inverse l'axe Y du type de périphérique d'entrée Souris MD."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_FR "Supprimer la limite de sprites par ligne"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_FR "Supprime la limite matérielle originale de sprites par ligne de balayage. Cela réduit le scintillement mais peut causer des bugs visuels, car certains jeux exploitent la limite matérielle pour générer des effets spéciaux."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_FR "Défilement vertical par tile amélioré"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_FR "Permet à chaque cellule de défiler verticalement, au lieu de 2 cellules de 16 px, en faisant la moyenne avec la valeur de défilement de la cellule voisine. Ce hack ne s'applique qu'à quelques jeux qui utilisent le mode défilement vertical à 2 cellules."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_FR "Limite du défilement vertical par tile amélioré"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_FR "Uniquement lorsque le défilement vertical par tile est activé. Ajuste la limite de l'amélioration du défilement vertical. Lorsque la différence de vscroll entre les tiles voisines est plus grande que cette limite, l'amélioration est désactivée."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_FR "Vitesse du processeur"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_FR "Overclocker le processeur émulé. Peut réduire le ralentissement, mais peut causer des bugs."
#define OPTION_VAL_100_FR NULL
#define OPTION_VAL_125_FR NULL
#define OPTION_VAL_150_FR NULL
#define OPTION_VAL_175_FR NULL
#define OPTION_VAL_200_FR NULL
#define OPTION_VAL_225_FR NULL
#define OPTION_VAL_250_FR NULL
#define OPTION_VAL_275_FR NULL
#define OPTION_VAL_300_FR NULL
#define OPTION_VAL_325_FR NULL
#define OPTION_VAL_350_FR NULL
#define OPTION_VAL_375_FR NULL
#define OPTION_VAL_400_FR NULL
#define OPTION_VAL_425_FR NULL
#define OPTION_VAL_450_FR NULL
#define OPTION_VAL_475_FR NULL
#define OPTION_VAL_500_FR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_FR "Blocages du système"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_FR "Émuler les blocages du système qui se produisent sur du vrai matériel lors d'un accès illégal aux adresses. Cela ne devrait être désactivé que lorsque vous jouez à certaines démos et homebrews qui dépendent d'un comportement illégal pour un fonctionnement correct."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_FR "Erreur d'adresse 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_FR "Le processeur principal de la Mega Drive/Genesis (Motorola 68000) génère une exception d'erreur d'adresse (plantage) lors d'une tentative d'accès à la mémoire non alignée. Activer cette option simule ce comportement. Cela ne devrait être désactivé que lorsque vous jouez à des hacks de ROM, car ils sont généralement développés en utilisant des émulateurs moins précis et peuvent dépendre d'un accès non valide à la mémoire vive pour une opération correcte."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_FR "Temps d'accès au CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_FR "Simule la latence matérielle du CD original lors du lancement d'une lecture ou de la recherche d'un emplacement spécifique sur un disque chargé. Ceci est requis par quelques jeux CD qui plantent si les données CD sont disponibles trop tôt et corrige également les problèmes de désynchronisation audio dans certains jeux. Désactiver ceci peut être utile avec les jeux MSU-MD car cela rend les boucles de pistes audio CD plus fluides."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_FR "Cache de l'image CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_FR "Charger l'image CD en mémoire au démarrage. CHD pris en charge uniquement. Redémarrage requis."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_FR "Afficher les paramètres avancés du volume audio (Réouvrir le menu)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_FR "Active la configuration des paramètres de bas niveau des canaux audio. REMARQUE : le menu rapide doit être réouvert pour que cette option prenne effet."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_FR "Volume du canal de tonalité PSG 0 (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_FR "Réduit le volume du canal de tonalité PSG 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_FR "Volume du canal de tonalité PSG 1 (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_FR "Réduit le volume du canal de tonalité PSG 1."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_FR "Volume du canal de tonalité PSG 2 (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_FR "Réduit le volume du canal de tonalité PSG 2."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_FR "Volume du canal de bruit PSG 3 (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_FR "Réduit le volume du canal de bruit PSG 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_FR "Volume du canal FM 0 de la Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_FR "Réduit le volume du canal FM 0 de la Mega Drive/Genesis. Ne fonctionne qu'avec les émulateurs FM MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_FR "Volume du canal FM 1 de la Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_FR "Réduit le volume du canal FM 1 de la Mega Drive/Genesis. Ne fonctionne qu'avec les émulateurs FM MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_FR "Volume du canal FM 2 de la Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_FR "Réduit le volume du canal FM 2 de la Mega Drive/Genesis. Ne fonctionne qu'avec les émulateurs FM MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_FR "Volume du canal FM 3 de la Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_FR "Réduit le volume du canal FM 3 de la Mega Drive/Genesis. Ne fonctionne qu'avec les émulateurs FM MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_FR "Volume du canal FM 4 de la Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_FR "Réduit le volume du canal FM 4 de la Mega Drive/Genesis. Ne fonctionne qu'avec les émulateurs FM MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_FR "Volume du canal FM 5 de la Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_FR "Réduit le volume du canal FM 5 de la Mega Drive/Genesis. Ne fonctionne qu'avec les émulateurs FM MAME."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 0 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_FR "Réduit le volume du canal FM 0 de la Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 1 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_FR "Réduit le volume du canal FM 1 de la Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 2 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_FR "Réduit le volume du canal FM 2 de la Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 3 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_FR "Réduit le volume du canal FM 3 de la Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 4 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_FR "Réduit le volume du canal FM 4 de la Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 5 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_FR "Réduit le volume du canal FM 5 de la Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 6 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_FR "Réduit le volume du canal FM 6 de la Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 7 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_FR "Réduit le volume du canal FM 7 de la Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_FR "Volume du canal FM (YM2413) 8 de la Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_FR "Réduit le volume du canal FM 8 de la Master System."

struct retro_core_option_v2_category option_cats_fr[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_FR,
      CATEGORY_SYSTEM_INFO_0_FR
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_FR,
      CATEGORY_VIDEO_INFO_0_FR
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_FR,
      CATEGORY_AUDIO_INFO_0_FR
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_FR,
      CATEGORY_INPUT_INFO_0_FR
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_FR,
      CATEGORY_HACKS_INFO_0_FR
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_FR,
      CATEGORY_CHANNEL_VOLUME_INFO_0_FR
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_fr[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_FR,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_FR                 },
         { "sg-1000",              OPTION_VAL_SG_1000_FR              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_FR           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_FR},
         { "mark-III",             OPTION_VAL_MARK_III_FR             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_FR        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_FR     },
         { "game gear",            OPTION_VAL_GAME_GEAR_FR            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_FR   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_FR,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_FR   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_FR },
         { "pal",     OPTION_VAL_PAL_FR    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_FR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_FR,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_FR },
         { "50hz",  OPTION_VAL_50HZ_FR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_FR,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_FR,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_FR },
         { "per game", OPTION_VAL_PER_GAME_FR },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_FR,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_FR },
         { "per game", OPTION_VAL_PER_GAME_FR },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_FR,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_FR  },
         { "256k",     OPTION_VAL_256K_FR  },
         { "512k",     OPTION_VAL_512K_FR  },
         { "1meg",     OPTION_VAL_1MEG_FR    },
         { "2meg",     OPTION_VAL_2MEG_FR    },
         { "4meg",     OPTION_VAL_4MEG_FR    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_FR,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_FR },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_FR },
         { "megasd",       OPTION_VAL_MEGASD_FR },
         { "none",         OPTION_VAL_NONE_FR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_FR,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_FR },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_FR },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_FR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_FR,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_FR },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_FR },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_FR },
         { "4:3",  OPTION_VAL_4_3_FR },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_FR },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_FR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_FR },
         { "left/right", OPTION_VAL_LEFT_RIGHT_FR },
         { "full",       OPTION_VAL_FULL_FR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_FR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_FR },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_FR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_FR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_FR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_FR },
         { "composite",  OPTION_VAL_COMPOSITE_FR },
         { "svideo",     OPTION_VAL_SVIDEO_FR },
         { "rgb",        OPTION_VAL_RGB_FR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_FR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_FR,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_FR },
         { "double field", OPTION_VAL_DOUBLE_FIELD_FR },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_FR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_FR },
         { "manual",   OPTION_VAL_MANUAL_FR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_FR,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_FR,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_FR },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_FR,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_FR },
         { "nuked", OPTION_VAL_NUKED_FR },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_FR,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_FR,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_FR,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_FR },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_FR },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_FR },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_FR },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_FR },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_FR,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_FR },
         { "mono",   OPTION_VAL_MONO_FR },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_FR,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_FR },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_FR },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_FR,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_FR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_FR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_FR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_FR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_FR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_FR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_FR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_FR,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_FR },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_FR },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_FR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_FR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_FR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_FR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_FR,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_FR,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_FR },
         { "125", OPTION_VAL_125_FR },
         { "150", OPTION_VAL_150_FR },
         { "175", OPTION_VAL_175_FR },
         { "200", OPTION_VAL_200_FR },
         { "225", OPTION_VAL_225_FR },
         { "250", OPTION_VAL_250_FR },
         { "275", OPTION_VAL_275_FR },
         { "300", OPTION_VAL_300_FR },
         { "325", OPTION_VAL_325_FR },
         { "350", OPTION_VAL_350_FR },
         { "375", OPTION_VAL_375_FR },
         { "400", OPTION_VAL_400_FR },
         { "425", OPTION_VAL_425_FR },
         { "450", OPTION_VAL_450_FR },
         { "475", OPTION_VAL_475_FR },
         { "500", OPTION_VAL_500_FR },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_FR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_FR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_FR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_FR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_FR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_FR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_fr = {
   option_cats_fr,
   option_defs_fr
};

/* RETRO_LANGUAGE_GA */

#define CATEGORY_SYSTEM_LABEL_GA "Córas"
#define CATEGORY_SYSTEM_INFO_0_GA "Athraigh an rogha crua-earraí bunúsach, an réigiún, an BIOS agus socruithe comhaid sábhála Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_GA "Físeán"
#define CATEGORY_VIDEO_INFO_0_GA "Athraigh cóimheas gné, bearradh taispeána, scagaire físe agus socruithe scipeála frámaí."
#define CATEGORY_AUDIO_LABEL_GA "Fuaim"
#define CATEGORY_AUDIO_INFO_0_GA "Athraigh socruithe gléis fuaime."
#define CATEGORY_INPUT_LABEL_GA "Ionchur"
#define CATEGORY_INPUT_INFO_0_GA "Athraigh socruithe ionchuir an ghunna solais agus/nó an luiche."
#define CATEGORY_HACKS_LABEL_GA "Cleasanna Aithrise"
#define CATEGORY_HACKS_INFO_0_GA "Athraigh socruithe róchlogála agus cruinneas aithrise próiseálaí a mbíonn tionchar acu ar fheidhmíocht agus comhoiriúnacht íseal-leibhéil."
#define CATEGORY_CHANNEL_VOLUME_LABEL_GA "Socruithe Ardleibhéil Imleabhair Cainéal"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_GA "Athraigh toirt na gcainéal fuaime crua-earraí aonair."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_GA "Crua-earraí an Chórais"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_GA "Rith ábhar luchtaithe le consól aithriste ar leith. Roghnóidh 'Auto' an córas is oiriúnaí don chluiche reatha."
#define OPTION_VAL_AUTO_GA "Uathoibríoch"
#define OPTION_VAL_SG_1000_GA NULL
#define OPTION_VAL_SG_1000_II_GA NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_GA NULL
#define OPTION_VAL_MARK_III_GA NULL
#define OPTION_VAL_MASTER_SYSTEM_GA NULL
#define OPTION_VAL_MASTER_SYSTEM_II_GA NULL
#define OPTION_VAL_GAME_GEAR_GA NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_GA NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_GA "Réigiún an Chórais"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_GA "Sonraigh cén réigiún as a bhfuil an córas. I gcás consóil seachas an Game Gear, is é 50 Hz an 'PAL', agus is é 60 Hz an 'NTSC'. Féadfaidh cluichí rith níos tapúla nó níos moille ná mar is gnách má roghnaítear an réigiún mícheart."
#define OPTION_VAL_NTSC_U_GA NULL
#define OPTION_VAL_PAL_GA NULL
#define OPTION_VAL_NTSC_J_GA NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_GA "Mód VDP Fórsála"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_GA "Sáraíonn sé an modh VDP chun é a chur ag rith ag NTSC 60Hz nó PAL 50Hz, beag beann ar réigiún an chórais."
#define OPTION_VAL_60HZ_GA NULL
#define OPTION_VAL_50HZ_GA NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_GA "ROM Tosaithe Córais"
#define GENESIS_PLUS_GX_BIOS_INFO_0_GA "Bain úsáid as an BIOS/tosaitheoir oifigiúil le haghaidh crua-earraí aithriste, má tá sé i láthair in eolaire córais RetroArch. Taispeánann sé seicheamh/beochan tosaithe atá sainiúil don chonsól, agus ansin ritheann sé ábhar luchtaithe."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_GA "Córas CD BRAM (Atosú Éilitheach)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_GA "Agus ábhar Sega CD/Mega-CD á rith, sonraítear an ndéanfar comhad sábhála aonair a roinnt idir na cluichí go léir ó réigiún ar leith (In aghaidh an BIOS) nó comhad sábhála ar leith a chruthú do gach cluiche (In aghaidh an Chluiche). Tabhair faoi deara go bhfuil stóráil inmheánach theoranta ag an Sega CD/Mega-CD, nach leor ach do roinnt teidil. Chun nach rithfidh tú as spás, moltar an socrú 'In aghaidh an Chluiche'."
#define OPTION_VAL_PER_BIOS_GA "In aghaidh an BIOS"
#define OPTION_VAL_PER_GAME_GA "In aghaidh an Chluiche"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_GA "Cairt Cúltaca CD BRAM (Atosú Éilitheach)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_GA "Agus ábhar Sega CD/Mega-CD á rith, sonraítear ann an ndéanfar cairt RAM cúltaca aonair a roinnt do gach cluiche (In aghaidh an Chairt) nó cairt RAM cúltaca ar leith a chruthú do gach cluiche (In aghaidh an Chluiche)."
#define OPTION_VAL_PER_CART_GA "In aghaidh an cartúis"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_GA "Méid BRAM Cairt Cúltaca CD (Atosú Éilitheach)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_GA "Socraíonn sé seo méid an chairt reithe cúltaca agus ábhar Sega CD/Mega-CD á rith. Úsáideach nuair a shocraítear an chairt reithe cúltaca go In aghaidh an Chluiche chun méideanna cairte níos mó iolracha a sheachaint."
#define OPTION_VAL_128K_GA NULL
#define OPTION_VAL_256K_GA NULL
#define OPTION_VAL_512K_GA NULL
#define OPTION_VAL_1MEG_GA NULL
#define OPTION_VAL_2MEG_GA NULL
#define OPTION_VAL_4MEG_GA NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_GA "Breiseán CD (mód MD) (Éilíonn Atosú)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_GA "Sonraigh cén breiseán atá le húsáid le haghaidh athsheinm fuaime CD le cluichí Mega Drive/Genesis a dtacaítear leo."
#define OPTION_VAL_SEGA_MEGA_CD_GA NULL
#define OPTION_VAL_MEGASD_GA NULL
#define OPTION_VAL_NONE_GA "Dada"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_GA "Glasáil Cartús-Ar"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_GA "Is gné Mega Drive/Genesis í an Teicneolaíocht Glasála a chuir ar chumas cluiche níos sine ceangal le port pas-trí cartús speisialta le haghaidh súgartha sínte nó athraithe. Sonraíonn an rogha seo cén cineál cartús speisialta 'glasála' atá le haithris. Ní mór comhad bios comhfhreagrach a bheith i láthair in eolaire córais RetroArch."
#define OPTION_VAL_GAME_GENIE_GA NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_GA NULL
#define OPTION_VAL_SONIC_KNUCKLES_GA NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_GA "Cóimheas Gnéithe arna Sholáthrú ag an gCroí"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_GA "Roghnaigh an cóimheas gné ábhair is fearr leat. Ní bheidh feidhm ag seo ach amháin nuair a bheidh cóimheas gné RetroArch socraithe go 'Croílár curtha ar fáil' sna socruithe Físeáin."
#define OPTION_VAL_NTSC_PAR_GA NULL
#define OPTION_VAL_PAL_PAR_GA NULL
#define OPTION_VAL_4_3_GA NULL
#define OPTION_VAL_UNCORRECTED_GA "Gan cheartú"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_GA "Teorainneacha"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_GA "Cumasaigh é seo chun na réigiúin ró-scan a thaispeáint ag barr/bun agus/nó ar chlé/ar dheis an scáileáin. De ghnáth, bheadh ​​siad seo i bhfolach ag an mbezel timpeall imeall teilifíse caighdeánach sainmhínithe."
#define OPTION_VAL_TOP_BOTTOM_GA "Barr/Bun"
#define OPTION_VAL_LEFT_RIGHT_GA "Clé/Deas"
#define OPTION_VAL_FULL_GA "Lán"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_GA "Folaigh Teorainneacha Taobh an Mháistirchórais"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_GA "Gearrann sé 8 bpicteil ó thaobh clé an scáileáin, nó ón dá thaobh clé agus deas agus cluichí Master System á reáchtáil."
#define OPTION_VAL_LEFT_BORDER_GA "Imeall Clé Amháin"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_GA "Teorainneacha Clé & Deis"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_GA "Scáileán Leathnaithe Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_GA "Éiríonn sé seo le teidil Game Gear a rith i mód SMS, le taifeach méadaithe de 256x192. Féadfaidh sé ábhar breise a thaispeáint, ach de ghnáth taispeánann sé teorainn de shonraí íomhá truaillithe/nach dteastaíonn."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_GA "Scagaire NTSC Blargg"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_GA "Cuir scagaire físe i bhfeidhm chun comharthaí teilifíse NTSC éagsúla a aithris."
#define OPTION_VAL_MONOCHROME_GA "Monacrómach"
#define OPTION_VAL_COMPOSITE_GA "Ilchodach"
#define OPTION_VAL_SVIDEO_GA "S-Físeán"
#define OPTION_VAL_RGB_GA NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_GA "Scagaire Taibhse LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_GA "Cuir scagaire 'taibhsithe' íomhá i bhfeidhm chun tréithe taispeána phainéil LCD Game Gear agus Genesis Nomad a aithris."
#define GENESIS_PLUS_GX_RENDER_LABEL_GA "Aschur Mód Idirfhite 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_GA "Ligeann Mód Idirfhite 2 don Mega Drive/Genesis íomhá 320x448 airde dhúbailte (ardtaifigh) a aschur trí línte scanadh malartacha a tharraingt i ngach fráma (úsáideann modhanna il-imreora Sonic the Hedgehog 2 agus Combat Cars é seo). Déanann 'Double Field' aithris ar chrua-earraí bunaidh, ag táirgeadh íomhá ghéar le déantáin splancacha/idirfhite. Cuireann 'Single Field' scagaire dí-idirfhite i bhfeidhm, rud a chobhsaíonn an íomhá ach a chruthaíonn doiléiriú beag."
#define OPTION_VAL_SINGLE_FIELD_GA "Réimse Aonair"
#define OPTION_VAL_DOUBLE_FIELD_GA "Réimse Dúbailte"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_GA "Fráma-léim"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_GA "Léim frámaí chun fo-rith maoláin fuaime (crágáil) a sheachaint. Feabhsaíonn sé feidhmíocht ar chostas réidhe amhairc. Léimeann 'Uath' frámaí nuair a thugann an tosaitheoir comhairle. Úsáideann 'Lámhleabhar' an socrú 'Tairseach Léim Frámaí (%)'."
#define OPTION_VAL_MANUAL_GA "Lámhleabhar"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_GA "Tairseach Léim Fráma (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_GA "Nuair a shocraítear 'Frameskip' go 'Lámhleabhar', sonraítear an tairseach áitíochta maoláin fuaime (céatadán) faoina mbeidh frámaí á scipeáil. Laghdaíonn luachanna níos airde an baol go mbeidh frámaí ag scoilteadh trína chur faoi deara go gcaillfear frámaí níos minice."
#define GENESIS_PLUS_GX_YM2413_LABEL_GA NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_GA "Cumasaigh aithris ar an Aonad Fuaime FM a úsáideann cluichí áirithe Sega Mark III/Master System le haghaidh aschur fuaime feabhsaithe."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_GA "Croílár an Mháistirchórais FM (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_GA "Roghnaigh an modh a úsáidtear chun Aonad Fuaime FM an Chórais Sega Mark III/Master a aithris. Tá an rogha 'MAME' gasta, agus ritheann sé ar lánluas ar fhormhór na gcóras. Tá an rogha 'Nuked' cruinn ó thaobh timthrialla de, ardchaighdeáin, agus tá riachtanais shuntasacha LAP aige."
#define OPTION_VAL_MAME_GA NULL
#define OPTION_VAL_NUKED_GA NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_GA NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_GA "Roghnaigh an modh a úsáidtear chun sintéiseoir FM (príomhghineadóir fuaime) an Mega Drive/Genesis a aithris. Tá roghanna 'MAME' gasta, agus ritheann siad ar lánluas ar fhormhór na gcóras. Tá roghanna 'Nuked' cruinn ó thaobh timthrialla de, ardchaighdeáin, agus tá riachtanais shuntasacha LAP acu. Úsáideann an Model 1 Mega Drive/Genesis bunaidh an tslis YM2612. Úsáidtear an YM3438 in athbhreithnithe níos déanaí ar Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_GA "Roghnaigh an modh a úsáidtear chun sintéiseoir FM (príomhghineadóir fuaime) an Mega Drive/Genesis a aithris. Úsáideann an Mega Drive/Genesis bunaidh an tslis YM2612. Úsáidtear an YM3438 in athbhreithnithe níos déanaí ar an Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_GA NULL
#define OPTION_VAL_MAME_ASIC_YM3438_GA NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_GA "MAME (YM3438 Feabhsaithe)"
#define OPTION_VAL_NUKED_YM2612_GA NULL
#define OPTION_VAL_NUKED_YM3438_GA NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_GA "Aschur Fuaime"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_GA "Roghnaigh athsheinm fuaime steiréó nó mona."
#define OPTION_VAL_STEREO_GA "Steiréó"
#define OPTION_VAL_MONO_GA NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_GA "Scagaire Fuaime"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_GA "Cumasaigh scagaire fuaime ísealpas chun fuaim shainiúil Model 1 Mega Drive/Genesis a insamhladh níos fearr."
#define OPTION_VAL_LOW_PASS_GA "Íseal-Phas"
#define OPTION_VAL_EQ_GA NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_GA "Scagaire Íseal-Phas %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_GA "Sonraigh minicíocht scoite an scagaire íseal-phas fuaime. Méadaíonn luach níos airde 'neart' braite an scagaire, ós rud é go laghdaítear raon níos leithne den speictream ardmhinicíochta."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_GA "Leibhéal Réamh-Amp PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_GA "Socraigh leibhéal an réamh-aimplitheora fuaime don Ghineadóir Fuaime In-ríomhchláraithe 4-chainéil SN76496 aithriste atá le fáil sa SG-1000, Sega Mark III, Master System, Game Gear agus Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_GA "Leibhéal Réamh-Aimplitheoir FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_GA "Socraigh leibhéal an réamh-aimplitheora fuaime don sintéiseoir fuaime aithrisithe Mega Drive/Genesis FM nó don Aonad Fuaime FM Sega Mark III/Master System."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_GA "Imleabhar CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_GA "Coigeartaigh toirt mheasctha aschur athsheinm fuaime an CD aithrisithe."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_GA "Imleabhar PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_GA "Coigeartaigh toirt mheasctha aschur gineadóir fuaime Sega CD/Mega-CD RF5C164 PCM aithrisithe."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_GA "Cothromóir Íseal"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_GA "Coigeartaigh an banda íseal-raoin den chothromóir fuaime inmheánaigh."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_GA "EQ Lár"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_GA "Coigeartaigh banda lár-raoin an chothromóra fuaime inmheánaigh."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_GA "Ard-EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_GA "Coigeartaigh an banda ard-raoin den chothromóir fuaime inmheánaigh."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_GA "Ionchur Gunna Solais"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_GA "Bain úsáid as ionchur 'Gunna Solais' nó 'Scáileán Tadhaill' atá rialaithe ag an luch."
#define OPTION_VAL_LIGHTGUN_GA "Gunna Solais"
#define OPTION_VAL_TOUCHSCREEN_GA "Scáileán tadhaill"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_GA "Taispeáin Crosghruaig Gunna Solais"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_GA "Taispeáin crosrianta gunna solais agus na cineálacha gléasanna ionchuir MD Menacer, MD Justifiers agus MS Light Phaser in úsáid."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_GA "Inbhéartaigh Ais-Y na Luiche"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_GA "Déanann sé ais-Y an chineáil gléis ionchuir Luch MD a aisiompú."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_GA "Bain Teorainn Sprite In Aghaidh na Líne"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_GA "Baintear an teorainn crua-earraí bunaidh sprite-in-aghaidh-scannánlíne. Laghdaíonn sé seo an caochadh ach is féidir leis fabhtanna amhairc a chur faoi deara, toisc go mbaintear leas as an teorainn crua-earraí i roinnt cluichí chun éifeachtaí speisialta a ghiniúint."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_GA "Scrollaigh ingearach feabhsaithe in aghaidh an tíle"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_GA "Ceadaíonn sé seo gach cill aonair a scrollú go hingearach, in ionad 16px 2-chill, trí mheán a bhaint amach le luach vscroll na cille comharsanachta. Ní bhaineann an cleas seo ach le cúpla cluiche a úsáideann mód scrollú ingearach 2-chill."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_GA "Teorainn scrollaithe ingearach feabhsaithe in aghaidh an tíle"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_GA "Nuair a bhíonn scrolla ingearach feabhsaithe in aghaidh an tíle cumasaithe amháin. Coigeartaíonn sé teorainn an fheabhsaithe scrolla ingearach. Nuair a bhíonn an difríocht vscroll idir tíleanna comharsanacha níos mó ná an teorainn seo, díchumasaítear an feabhsú."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_GA "Luas LAP"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_GA "Róchlogáil an LAP aithrisithe. Is féidir leis an moilliú a laghdú, ach d'fhéadfadh sé go mbeadh teipeanna mar thoradh air."
#define OPTION_VAL_100_GA NULL
#define OPTION_VAL_125_GA NULL
#define OPTION_VAL_150_GA NULL
#define OPTION_VAL_175_GA NULL
#define OPTION_VAL_200_GA NULL
#define OPTION_VAL_225_GA NULL
#define OPTION_VAL_250_GA NULL
#define OPTION_VAL_275_GA NULL
#define OPTION_VAL_300_GA NULL
#define OPTION_VAL_325_GA NULL
#define OPTION_VAL_350_GA NULL
#define OPTION_VAL_375_GA NULL
#define OPTION_VAL_400_GA NULL
#define OPTION_VAL_425_GA NULL
#define OPTION_VAL_450_GA NULL
#define OPTION_VAL_475_GA NULL
#define OPTION_VAL_500_GA NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_GA "Glasálacha Córais"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_GA "Déan aithris ar ghlasálacha córais a tharlaíonn ar chrua-earraí fíor agus rochtain neamhdhleathach seoltaí á déanamh. Níor cheart é seo a dhíchumasú ach amháin agus taispeántais agus grúdaireacht bhaile áirithe á n-imirt a bhraitheann ar iompar neamhdhleathach le haghaidh oibriú ceart."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_GA "Earráid Seoladh 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_GA "Gineann príomh-LAP Mega Drive/Genesis (Motorola 68000) eisceacht Earráid Seolta (tuairteáil) agus iarracht á déanamh rochtain neamhailínithe ar chuimhne. Má chumasaítear é seo, déanfar an t-iompar seo a insamhladh. Níor cheart é a dhíchumasú ach amháin agus hacks ROM á n-imirt, ós rud é go bhforbraítear iad seo de ghnáth ag baint úsáide as aithriseoirí nach bhfuil chomh cruinn agus go bhféadfadh siad brath ar rochtain RAM neamhbhailí le haghaidh oibriú ceart."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_GA "Am Rochtana CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_GA "Insamhladh a dhéanamh ar mhoill chrua-earraí bunaidh CD agus léamh á thosú nó nuair a bhíonn suíomh ar leith á lorg ar dhiosca luchtaithe. Tá sé seo riachtanach i gcás roinnt cluichí CD a thuairteálann má bhíonn sonraí CD ar fáil ró-luath agus réitíonn sé fadhbanna díshioncrónaithe fuaime CD i roinnt cluichí freisin. Is féidir é seo a dhíchumasú a bheith úsáideach le cluichí MSU-MD mar go ndéanann sé lúba rianta fuaime CD níos gan uaim."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_GA "Taisce Íomhá CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_GA "Luchtaigh íomhá CD isteach sa chuimhne ag am tosaithe. Tacaítear le CHD amháin. Atosú Riachtanach."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_GA "Taispeáin Socruithe Ardleibhéil Imleabhair Fuaime (Athoscail an roghchlár)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_GA "Cumasaigh cumraíocht paraiméadair chainéil fuaime íseal-leibhéil. TABHAIR FAOI DEARA: Ní mór an Roghchlár Tapa a athrú chun go dtiocfaidh an socrú seo i bhfeidhm."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_GA "Cainéal Ton PSG 0 Imleabhar %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal Tóin PSG 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_GA "% Imleabhar Cainéal 1 Ton PSG"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 1 Tóin PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_GA "% Imleabhar Cainéal 2 Ton PSG"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 2 Tone PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_GA "Torann PSG Cainéal 3 Imleabhar %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal Torainn PSG 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_GA "Cainéal Mega Drive/Genesis FM 0 % Imleabhar"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_GA "Laghdaigh toirt Cainéal 0 Mega Drive/Genesis FM. Ní oibríonn sé ach le hinslitheoirí MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_GA "Cainéal 1 Mega Drive/Genesis FM % Toirt"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_GA "Laghdaigh toirt Cainéal 1 Mega Drive/Genesis FM. Ní oibríonn sé ach le hinslitheoirí MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_GA "Cainéal 2 Mega Drive/Genesis FM % Toirt"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_GA "Laghdaigh toirt Cainéal 2 Mega Drive/Genesis FM. Ní oibríonn sé ach le hinslitheoirí MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_GA "Cainéal 3 Mega Drive/Genesis FM % Toirt"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_GA "Laghdaigh toirt Cainéal 3 Mega Drive/Genesis FM. Ní oibríonn sé ach le hinslitheoirí MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_GA "Mega Drive/Genesis FM Cainéal 4 % Toirt"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_GA "Laghdaigh toirt Cainéal 4 Mega Drive/Genesis FM. Ní oibríonn sé ach le hinslitheoirí MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_GA "Cainéal 5 Mega Drive/Genesis FM % Toirt"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_GA "Laghdaigh toirt Cainéal 5 Mega Drive/Genesis FM. Ní oibríonn sé ach le hinslitheoirí MAME FM."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 0 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal FM 0 an Mháistirchórais."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 1 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 1 FM an Mháistirchórais."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 2 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 2 FM an Mháistirchórais."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 3 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 3 FM an Mháistirchórais."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 4 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_GA "Laghdaigh toirt Cainéal 4 FM an Mháistirchórais."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 5 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 5 FM an Mháistirchórais."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 6 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 6 FM an Mháistirchórais."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 7 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 7 FM an Mháistirchórais."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_GA "Córas Máistir FM (YM2413) Cainéal 8 Imleabhar %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_GA "Laghdaigh toirt Chainéal 8 FM an Mháistirchórais."

struct retro_core_option_v2_category option_cats_ga[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_GA,
      CATEGORY_SYSTEM_INFO_0_GA
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_GA,
      CATEGORY_VIDEO_INFO_0_GA
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_GA,
      CATEGORY_AUDIO_INFO_0_GA
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_GA,
      CATEGORY_INPUT_INFO_0_GA
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_GA,
      CATEGORY_HACKS_INFO_0_GA
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_GA,
      CATEGORY_CHANNEL_VOLUME_INFO_0_GA
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_ga[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_GA,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_GA                 },
         { "sg-1000",              OPTION_VAL_SG_1000_GA              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_GA           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_GA},
         { "mark-III",             OPTION_VAL_MARK_III_GA             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_GA        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_GA     },
         { "game gear",            OPTION_VAL_GAME_GEAR_GA            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_GA   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_GA,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_GA   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_GA },
         { "pal",     OPTION_VAL_PAL_GA    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_GA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_GA,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_GA },
         { "50hz",  OPTION_VAL_50HZ_GA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_GA,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_GA,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_GA },
         { "per game", OPTION_VAL_PER_GAME_GA },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_GA,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_GA },
         { "per game", OPTION_VAL_PER_GAME_GA },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_GA,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_GA  },
         { "256k",     OPTION_VAL_256K_GA  },
         { "512k",     OPTION_VAL_512K_GA  },
         { "1meg",     OPTION_VAL_1MEG_GA    },
         { "2meg",     OPTION_VAL_2MEG_GA    },
         { "4meg",     OPTION_VAL_4MEG_GA    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_GA,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_GA },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_GA },
         { "megasd",       OPTION_VAL_MEGASD_GA },
         { "none",         OPTION_VAL_NONE_GA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_GA,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_GA },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_GA },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_GA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_GA,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_GA },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_GA },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_GA },
         { "4:3",  OPTION_VAL_4_3_GA },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_GA },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_GA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_GA },
         { "left/right", OPTION_VAL_LEFT_RIGHT_GA },
         { "full",       OPTION_VAL_FULL_GA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_GA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_GA },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_GA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_GA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_GA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_GA },
         { "composite",  OPTION_VAL_COMPOSITE_GA },
         { "svideo",     OPTION_VAL_SVIDEO_GA },
         { "rgb",        OPTION_VAL_RGB_GA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_GA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_GA,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_GA },
         { "double field", OPTION_VAL_DOUBLE_FIELD_GA },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_GA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_GA },
         { "manual",   OPTION_VAL_MANUAL_GA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_GA,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_GA,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_GA },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_GA,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_GA },
         { "nuked", OPTION_VAL_NUKED_GA },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_GA,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_GA,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_GA,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_GA },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_GA },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_GA },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_GA },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_GA },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_GA,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_GA },
         { "mono",   OPTION_VAL_MONO_GA },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_GA,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_GA },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_GA },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_GA,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_GA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_GA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_GA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_GA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_GA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_GA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_GA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_GA,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_GA },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_GA },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_GA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_GA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_GA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_GA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_GA,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_GA,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_GA },
         { "125", OPTION_VAL_125_GA },
         { "150", OPTION_VAL_150_GA },
         { "175", OPTION_VAL_175_GA },
         { "200", OPTION_VAL_200_GA },
         { "225", OPTION_VAL_225_GA },
         { "250", OPTION_VAL_250_GA },
         { "275", OPTION_VAL_275_GA },
         { "300", OPTION_VAL_300_GA },
         { "325", OPTION_VAL_325_GA },
         { "350", OPTION_VAL_350_GA },
         { "375", OPTION_VAL_375_GA },
         { "400", OPTION_VAL_400_GA },
         { "425", OPTION_VAL_425_GA },
         { "450", OPTION_VAL_450_GA },
         { "475", OPTION_VAL_475_GA },
         { "500", OPTION_VAL_500_GA },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_GA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_GA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_GA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_GA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_GA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_GA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_ga = {
   option_cats_ga,
   option_defs_ga
};

/* RETRO_LANGUAGE_GL */

#define CATEGORY_SYSTEM_LABEL_GL "Sistema"
#define CATEGORY_SYSTEM_INFO_0_GL "Cambia a selección de hardware base, a rexión, a BIOS e a configuración do ficheiro de gardar Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_GL "Vídeo"
#define CATEGORY_VIDEO_INFO_0_GL "Cambia a relación de aspecto, o recorte da pantalla, o filtro de vídeo e a configuración de saltar de fotogramas."
#define CATEGORY_AUDIO_LABEL_GL "Son"
#define CATEGORY_AUDIO_INFO_0_GL "Cambiar a configuración do dispositivo de audio."
#define CATEGORY_INPUT_LABEL_GL "Entrada"
#define CATEGORY_INPUT_INFO_0_GL "Cambia a configuración de entrada de pistola e/ou rato."
#define CATEGORY_HACKS_LABEL_GL "Hacks de emulación"
#define CATEGORY_HACKS_INFO_0_GL "Cambia a configuración de overclocking e precisión de emulación do procesador que afectan ao rendemento e á compatibilidade de baixo nivel."
#define CATEGORY_CHANNEL_VOLUME_LABEL_GL "Configuración avanzada de volume da canle"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_GL "Cambia o volume das canles de audio de hardware individuais."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_GL "Hardware do sistema"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_GL "Executa o contido cargado cunha consola emulada específica. \"Automático\" seleccionará o sistema máis axeitado para o xogo actual."
#define OPTION_VAL_AUTO_GL NULL
#define OPTION_VAL_SG_1000_GL NULL
#define OPTION_VAL_SG_1000_II_GL NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_GL NULL
#define OPTION_VAL_MARK_III_GL NULL
#define OPTION_VAL_MASTER_SYSTEM_GL NULL
#define OPTION_VAL_MASTER_SYSTEM_II_GL NULL
#define OPTION_VAL_GAME_GEAR_GL NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_GL NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_GL "Rexión do sistema"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_GL "Especifique de que rexión é o sistema. Para consolas que non sexan Game Gear, \"PAL\" é de 50 Hz, mentres que \"NTSC\" é de 60 Hz. Os xogos poden executarse máis rápido ou máis lento do normal se se selecciona a rexión incorrecta."
#define OPTION_VAL_NTSC_U_GL NULL
#define OPTION_VAL_PAL_GL NULL
#define OPTION_VAL_NTSC_J_GL NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_GL "Forzar o Modo VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_GL "Sustituír o modo VDP para forzalo a funcionar a 60Hz NTSC ou 50Hz PAL, independentemente da rexión do sistema."
#define OPTION_VAL_60HZ_GL NULL
#define OPTION_VAL_50HZ_GL NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_GL "ROM de arranque do sistema"
#define GENESIS_PLUS_GX_BIOS_INFO_0_GL "Use o BIOS/cargador de arranque oficial para o hardware emulado, se está presente no directorio do sistema de RetroArch. Mostra a secuencia de inicio/animación específica da consola e, a continuación, executa o contido cargado."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_GL "Sistema de CD BRAM (require reinicio)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_GL "Ao executar contido de CD/Mega-CD de Sega, especifica se se debe compartir un único ficheiro de gardado entre todos os xogos dunha rexión específica (por BIOS) ou se se crea un ficheiro de gardado separado para cada xogo (por xogo). Teña en conta que o Sega CD/Mega-CD ten almacenamento interno limitado, suficiente só para un puñado de títulos. Para evitar quedar sen espazo, recoméndase a configuración \"Por xogo\"."
#define OPTION_VAL_PER_BIOS_GL "Por-BIOS"
#define OPTION_VAL_PER_GAME_GL "Por xogo"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_GL "CD Backup carro de BRAM (require reinicio)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_GL "Ao executar contido de CD/Mega-CD de Sega, especifica se se debe compartir un único carro de copia de seguridade para todos os xogos (por carro) ou se se debe crear un carro de copia de seguridade para cada xogo (por xogo)."
#define OPTION_VAL_PER_CART_GL "Por carro"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_GL "Tamaño BRAM do carro de copia de seguridade de CD (require reinicio)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_GL "Establece o tamaño do carro de memoria RAM de copia de seguridade ao executar contido de Sega CD/Mega-CD. Útil ao configurar o carro de copia de seguridade en Por-xogo para evitar varios tamaños de carro máis grandes."
#define OPTION_VAL_128K_GL NULL
#define OPTION_VAL_256K_GL NULL
#define OPTION_VAL_512K_GL NULL
#define OPTION_VAL_1MEG_GL NULL
#define OPTION_VAL_2MEG_GL NULL
#define OPTION_VAL_4MEG_GL NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_GL "Complemento de CD (modo MD) (require reinicio)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_GL "Especifique que complemento usar para a reprodución de audio de CD cos xogos de Mega Drive/Genesis compatibles."
#define OPTION_VAL_SEGA_MEGA_CD_GL NULL
#define OPTION_VAL_MEGASD_GL NULL
#define OPTION_VAL_NONE_GL "Ningún"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_GL "Bloqueo do cartucho"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_GL "A tecnoloxía Lock-On é unha función de Mega Drive/Genesis que permitía a un xogo máis antigo conectarse ao porto de paso dun cartucho especial para ampliar ou modificar o xogo. Esta opción especifica que tipo de cartucho especial \"bloqueado\" quere emular. O ficheiro de bios correspondente debe estar presente no directorio do sistema de RetroArch."
#define OPTION_VAL_GAME_GENIE_GL "Xogo Genie"
#define OPTION_VAL_ACTION_REPLAY_PRO_GL "Reprodución de accións (Pro)"
#define OPTION_VAL_SONIC_KNUCKLES_GL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_GL "Relación de aspecto proporcionada polo núcleo"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_GL "Escolla a relación de aspecto do contido preferida. Isto só se aplicará cando a relación de aspecto de RetroArch estea definida como \"Núcleo proporcionado\" na configuración de vídeo."
#define OPTION_VAL_NTSC_PAR_GL NULL
#define OPTION_VAL_PAL_PAR_GL NULL
#define OPTION_VAL_4_3_GL NULL
#define OPTION_VAL_UNCORRECTED_GL "Sen corrixir"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_GL "Bordos"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_GL "Activa isto para mostrar as rexións de sobreescaneo na parte superior/abaixo e/ou á esquerda/dereita da pantalla. Estes normalmente estarían ocultos polo bisel ao redor do bordo dun televisor de definición estándar."
#define OPTION_VAL_TOP_BOTTOM_GL "Arriba/Abaixo"
#define OPTION_VAL_LEFT_RIGHT_GL "Esquerda/dereita"
#define OPTION_VAL_FULL_GL "Cheo"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_GL "Ocultar bordos laterais do sistema mestre"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_GL "Corta 8 píxeles do lado esquerdo da pantalla ou dos lados esquerdo e dereito cando se executan xogos de Master System."
#define OPTION_VAL_LEFT_BORDER_GL "Só o bordo esquerdo"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_GL "Bordes esquerdo e dereito"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_GL "Game Gear pantalla estendida"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_GL "Obriga aos títulos de Game Gear a executarse en modo SMS, cunha resolución aumentada de 256 x 192. Pode mostrar contido adicional, pero normalmente mostra un bordo de datos de imaxe corruptos/non desexados."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_GL "Filtro NTSC Blargg"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_GL "Aplique un filtro de vídeo para imitar varios sinais de TV NTSC."
#define OPTION_VAL_MONOCHROME_GL "Monocromo"
#define OPTION_VAL_COMPOSITE_GL "Composto"
#define OPTION_VAL_SVIDEO_GL NULL
#define OPTION_VAL_RGB_GL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_GL "Filtro de pantalla fantasma LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_GL "Aplica un filtro de imaxe fantasma para imitar as características de visualización dos paneis LCD Game Gear e Genesis Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_GL "Saída do modo 2 entrelazado"
#define GENESIS_PLUS_GX_RENDER_INFO_0_GL "O modo entrelazado 2 permite que Mega Drive/Genesis produza unha imaxe de 320 x 448 de dobre altura (alta resolución) debuxando liñas de exploración alternativas en cada fotograma (isto é usado polos modos multixogador de Sonic the Hedgehog 2 e Combat Cars). \"Double Field\" imita o hardware orixinal, producindo unha imaxe nítida con artefactos parpadeantes/entrelazados. \"Campo único\" aplica un filtro de desentrelazado, que estabiliza a imaxe pero provoca un lixeiro borroso."
#define OPTION_VAL_SINGLE_FIELD_GL "Campo único"
#define OPTION_VAL_DOUBLE_FIELD_GL "Dobre Campo"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_GL "Omitir Fotograma"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_GL "Omita fotogramas para evitar que o búfer de audio non se execute (crepitamento). Mellora o rendemento a costa da suavidade visual. \"Automático\" omite fotogramas cando o aconselle a interface. \"Manual\" utiliza a configuración \"Limiar de omisión de fotogramas (%)\"."
#define OPTION_VAL_MANUAL_GL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_GL "Limiar de salto de fotogramas (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_GL "Cando a omisión de fotogramas sexa configurada en 'Manual', este axuste especifíca o umbral de ocupación do búfer de audio (en porcentaxe). Os valores altos reducen o risco de aparición de chasquidos omitindo fotogramas de forma máis frecuente."
#define GENESIS_PLUS_GX_YM2413_LABEL_GL NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_GL "Activa a emulación da unidade de son FM utilizada por certos xogos de Sega Mark III/Master System para mellorar a saída de audio."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_GL "Núcleo Master System FM (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_GL "Seleccione o método utilizado para emular a unidade de son FM do sistema Sega Mark III/Master. A opción \"MAME\" é rápida e funciona a toda velocidade na maioría dos sistemas. A opción \"Nuked\" é precisa do ciclo, de moi alta calidade e ten requisitos substanciais de CPU."
#define OPTION_VAL_MAME_GL NULL
#define OPTION_VAL_NUKED_GL NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_GL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_GL "Seleccione o método utilizado para emular o sintetizador FM (xerador de son principal) do Mega Drive/Genesis. As opcións \"MAME\" son rápidas e funcionan a toda velocidade na maioría dos sistemas. As opcións \"Nuked\" son precisas en ciclos, de moi alta calidade e teñen requisitos de CPU substanciais. O chip YM2612 é usado polo modelo 1 Mega Drive/Genesis orixinal. O YM3438 úsase nas revisións posteriores de Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_GL "Seleccione o método utilizado para emular o sintetizador FM (xerador de son principal) do Mega Drive/Genesis. O chip YM2612 é usado polo modelo 1 Mega Drive/Genesis orixinal. O YM3438 úsase nas revisións posteriores de Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_GL NULL
#define OPTION_VAL_MAME_ASIC_YM3438_GL NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_GL NULL
#define OPTION_VAL_NUKED_YM2612_GL NULL
#define OPTION_VAL_NUKED_YM3438_GL NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_GL "Saída de son"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_GL "Seleccione a reprodución de son estéreo ou mono."
#define OPTION_VAL_STEREO_GL "Estéreo"
#define OPTION_VAL_MONO_GL NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_GL "Filtro de son"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_GL "Activa un filtro de audio de paso baixo para simular mellor o son característico dun modelo 1 Mega Drive/Genesis."
#define OPTION_VAL_LOW_PASS_GL "Paso baixo"
#define OPTION_VAL_EQ_GL NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_GL "Filtro de paso baixo %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_GL "Especifique a frecuencia de corte do filtro pasabaixo de audio. Un valor máis alto aumenta a \"forza\" percibida do filtro, xa que se atenúa un rango máis amplo do espectro de alta frecuencia."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_GL "Nivel de preamplificador PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_GL "Establece o nivel do preamplificador de audio do xerador de son programable de 4 canles SN76496 emulado que se atopa no SG-1000, Sega Mark III, Master System, Game Gear e Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_GL "Nivel de preamplificador FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_GL "Establece o nivel do preamplificador de audio do sintetizador de son Mega Drive/Genesis FM emulado ou da Unidade de son Sega Mark III/Master System FM."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_GL NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_GL "Axuste o volume de mestura da saída de reprodución de audio do CD emulado."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_GL "Volume PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_GL "Axuste o volume de mestura da saída do xerador de son Sega CD/Mega-CD RF5C164 PCM emulado."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_GL "EQ Baixo"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_GL "Axuste a banda de rango baixo do ecualizador de audio interno."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_GL "EQ Med"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_GL "Axuste a banda de rango medio do ecualizador de audio interno."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_GL "EQ alto"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_GL "Axuste a banda de rango alto do ecualizador de audio interno."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_GL "Entrada de pistola lixeira"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_GL "Use unha entrada \"Light Gun\" ou \"Touchscreen\" controlada co rato."
#define OPTION_VAL_LIGHTGUN_GL "Pistola lixeira"
#define OPTION_VAL_TOUCHSCREEN_GL "Pantalla táctil"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_GL "Mostrar Light Gun Crosshair"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_GL "Mostra o punto de mira de pistola lixeira ao usar os tipos de dispositivos de entrada MD Menacer, MD Justifiers e MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_GL "Inverte o eixe Y do rato"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_GL "Inverte o eixe Y do tipo de dispositivo de entrada MD Mouse."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_GL "Eliminar o límite de Sprite por liña"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_GL "Elimina o límite orixinal de hardware de sprite por exploración. Isto reduce o parpadeo pero pode causar fallos visuais, xa que algúns xogos explotan o límite de hardware para xerar efectos especiais."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_GL "Desprazamento vertical por mosaico mellorado"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_GL "Permite que cada cela individual se desprace verticalmente, en lugar de 2 celas de 16 píxeles, facendo unha media co valor vscroll da cela veciña. Este truco só se aplica a poucos xogos que usan o modo de desprazamento vertical de 2 celas."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_GL "Límite de desprazamento vertical por mosaico mellorado"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_GL "Só cando o desprazamento vertical por mosaico mellorado está activado. Axusta o límite da mellora do desprazamento vertical. Cando a diferenza de vscroll entre as pezas veciñas é maior que este límite, a mellora está desactivada."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_GL "Velocidade da CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_GL "Overclock a CPU emulada. Pode reducir a desaceleración, pero pode causar fallos."
#define OPTION_VAL_100_GL NULL
#define OPTION_VAL_125_GL NULL
#define OPTION_VAL_150_GL NULL
#define OPTION_VAL_175_GL NULL
#define OPTION_VAL_200_GL NULL
#define OPTION_VAL_225_GL NULL
#define OPTION_VAL_250_GL NULL
#define OPTION_VAL_275_GL NULL
#define OPTION_VAL_300_GL NULL
#define OPTION_VAL_325_GL NULL
#define OPTION_VAL_350_GL NULL
#define OPTION_VAL_375_GL NULL
#define OPTION_VAL_400_GL NULL
#define OPTION_VAL_425_GL NULL
#define OPTION_VAL_450_GL NULL
#define OPTION_VAL_475_GL NULL
#define OPTION_VAL_500_GL NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_GL "Bloqueos do sistema"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_GL "Emule os bloqueos do sistema que se producen no hardware real cando se realiza un acceso ilegal a enderezos. Isto só debería desactivarse cando se reproducen certas demostracións e homebrew que dependen dun comportamento ilegal para o correcto funcionamento."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_GL "Erro de enderezo 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_GL "A CPU principal de Mega Drive/Genesis (Motorola 68000) xera unha excepción de erro de enderezo (falla) ao tentar realizar un acceso á memoria non aliñado. Activar isto simulará este comportamento. Só debería desactivarse cando se reproducen hackeos de ROM, xa que normalmente se desenvolven mediante emuladores menos precisos e poden depender dun acceso RAM non válido para o correcto funcionamento."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_GL "Tempo de Acceso ao CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_GL "Simula a latencia do hardware do CD orixinal ao iniciar unha lectura ou buscar unha localización específica no disco cargado. Isto é necesario para algúns xogos de CD que fallan se os datos do CD están dispoñibles demasiado pronto e tamén solucionan os problemas de desincronización de audio de CD nalgúns xogos. Desactivar isto pode ser útil cos xogos de MSU-MD, xa que fai que as pistas de audio do CD sexan máis fluidas."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_GL "Caché da Imaxe do CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_GL "Cargar a imaxe do CD na memoria ao iniciar. Soporte CHD unicamente. Reinicio necesario."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_GL "Mostrar configuración avanzada de volume de audio (volver abrir o menú)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_GL "Activa a configuración dos parámetros da canle de audio de baixo nivel. NOTA: Debe activarse o menú rápido para que esta configuración teña efecto."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_GL "Canle de tons do PSG 0 % de volume"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_GL "Reduce o volume do PSG Tone Channel 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_GL "Canle de tons do PSG 1 % de volume"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_GL "Reduce o volume do PSG Tone Channel 1."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_GL "Canle de tons do PSG 2 % de volume"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_GL "Reduce o volume do PSG Tone Channel 2."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_GL "% do volume do PSG Noise Channel 3"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_GL "Reduce o volume do PSG Noise Channel 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_GL "Canle FM Mega Drive/Genesis 0 % de volume"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_GL "Reduce o volume do Mega Drive/Genesis FM Channel 0. Só funciona con emuladores MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_GL "Mega Drive/Genesis FM Channel 1 % volume"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_GL "Reduce o volume da canle 1 de Mega Drive/Genesis FM. Só funciona con emuladores MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_GL "Mega Drive/Genesis FM Channel 2 % volume"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_GL "Reduce o volume do Mega Drive/Genesis FM Channel 2. Só funciona con emuladores MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_GL "Mega Drive/Genesis FM Channel 3 % volume"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_GL "Reduce o volume do Mega Drive/Genesis FM Channel 3. Só funciona con emuladores MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_GL "Mega Drive/Genesis FM Channel 4 % volume"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_GL "Reduce o volume do Mega Drive/Genesis FM Channel 4. Só funciona con emuladores MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_GL "Mega Drive/Genesis FM Channel 5 % volume"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_GL "Reduce o volume do Mega Drive/Genesis FM Channel 5. Só funciona con emuladores MAME FM."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_GL "Sistema principal FM (YM2413) Canle 0 % volume"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 0."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_GL "Master System FM (YM2413) Canle 1 Volume %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 1."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_GL "Master System FM (YM2413) Canle 2 Volume %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 2."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_GL "Master System FM (YM2413) Canle 3 % do volume"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 3."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_GL "Master System FM (YM2413) Canle 4 % do volume"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 4."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_GL "Master System FM (YM2413) Canle 5 % do volume"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 5."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_GL "Master System FM (YM2413) Canle 6 % do volume"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 6."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_GL "Master System FM (YM2413) Canle 7 % do volume"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 7."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_GL "Master System FM (YM2413) Canle 8 % do volume"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_GL "Reduce o volume do Master System FM Channel 8."

struct retro_core_option_v2_category option_cats_gl[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_GL,
      CATEGORY_SYSTEM_INFO_0_GL
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_GL,
      CATEGORY_VIDEO_INFO_0_GL
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_GL,
      CATEGORY_AUDIO_INFO_0_GL
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_GL,
      CATEGORY_INPUT_INFO_0_GL
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_GL,
      CATEGORY_HACKS_INFO_0_GL
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_GL,
      CATEGORY_CHANNEL_VOLUME_INFO_0_GL
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_gl[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_GL,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_GL                 },
         { "sg-1000",              OPTION_VAL_SG_1000_GL              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_GL           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_GL},
         { "mark-III",             OPTION_VAL_MARK_III_GL             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_GL        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_GL     },
         { "game gear",            OPTION_VAL_GAME_GEAR_GL            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_GL   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_GL,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_GL   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_GL },
         { "pal",     OPTION_VAL_PAL_GL    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_GL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_GL,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_GL },
         { "50hz",  OPTION_VAL_50HZ_GL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_GL,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_GL,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_GL },
         { "per game", OPTION_VAL_PER_GAME_GL },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_GL,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_GL },
         { "per game", OPTION_VAL_PER_GAME_GL },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_GL,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_GL  },
         { "256k",     OPTION_VAL_256K_GL  },
         { "512k",     OPTION_VAL_512K_GL  },
         { "1meg",     OPTION_VAL_1MEG_GL    },
         { "2meg",     OPTION_VAL_2MEG_GL    },
         { "4meg",     OPTION_VAL_4MEG_GL    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_GL,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_GL },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_GL },
         { "megasd",       OPTION_VAL_MEGASD_GL },
         { "none",         OPTION_VAL_NONE_GL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_GL,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_GL },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_GL },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_GL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_GL,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_GL },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_GL },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_GL },
         { "4:3",  OPTION_VAL_4_3_GL },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_GL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_GL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_GL },
         { "left/right", OPTION_VAL_LEFT_RIGHT_GL },
         { "full",       OPTION_VAL_FULL_GL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_GL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_GL },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_GL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_GL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_GL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_GL },
         { "composite",  OPTION_VAL_COMPOSITE_GL },
         { "svideo",     OPTION_VAL_SVIDEO_GL },
         { "rgb",        OPTION_VAL_RGB_GL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_GL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_GL,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_GL },
         { "double field", OPTION_VAL_DOUBLE_FIELD_GL },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_GL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_GL },
         { "manual",   OPTION_VAL_MANUAL_GL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_GL,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_GL,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_GL },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_GL,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_GL },
         { "nuked", OPTION_VAL_NUKED_GL },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_GL,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_GL,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_GL,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_GL },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_GL },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_GL },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_GL },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_GL },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_GL,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_GL },
         { "mono",   OPTION_VAL_MONO_GL },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_GL,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_GL },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_GL },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_GL,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_GL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_GL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_GL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_GL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_GL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_GL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_GL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_GL,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_GL },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_GL },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_GL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_GL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_GL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_GL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_GL,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_GL,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_GL },
         { "125", OPTION_VAL_125_GL },
         { "150", OPTION_VAL_150_GL },
         { "175", OPTION_VAL_175_GL },
         { "200", OPTION_VAL_200_GL },
         { "225", OPTION_VAL_225_GL },
         { "250", OPTION_VAL_250_GL },
         { "275", OPTION_VAL_275_GL },
         { "300", OPTION_VAL_300_GL },
         { "325", OPTION_VAL_325_GL },
         { "350", OPTION_VAL_350_GL },
         { "375", OPTION_VAL_375_GL },
         { "400", OPTION_VAL_400_GL },
         { "425", OPTION_VAL_425_GL },
         { "450", OPTION_VAL_450_GL },
         { "475", OPTION_VAL_475_GL },
         { "500", OPTION_VAL_500_GL },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_GL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_GL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_GL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_GL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_GL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_GL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_gl = {
   option_cats_gl,
   option_defs_gl
};

/* RETRO_LANGUAGE_HE */

#define CATEGORY_SYSTEM_LABEL_HE NULL
#define CATEGORY_SYSTEM_INFO_0_HE NULL
#define CATEGORY_VIDEO_LABEL_HE "וידאו"
#define CATEGORY_VIDEO_INFO_0_HE NULL
#define CATEGORY_AUDIO_LABEL_HE "שמע"
#define CATEGORY_AUDIO_INFO_0_HE NULL
#define CATEGORY_INPUT_LABEL_HE "קלט"
#define CATEGORY_INPUT_INFO_0_HE NULL
#define CATEGORY_HACKS_LABEL_HE NULL
#define CATEGORY_HACKS_INFO_0_HE NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_HE NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_HE NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_HE NULL
#define OPTION_VAL_AUTO_HE NULL
#define OPTION_VAL_SG_1000_HE NULL
#define OPTION_VAL_SG_1000_II_HE NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_HE NULL
#define OPTION_VAL_MARK_III_HE NULL
#define OPTION_VAL_MASTER_SYSTEM_HE NULL
#define OPTION_VAL_MASTER_SYSTEM_II_HE NULL
#define OPTION_VAL_GAME_GEAR_HE NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_HE NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_HE NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_HE NULL
#define OPTION_VAL_NTSC_U_HE NULL
#define OPTION_VAL_PAL_HE NULL
#define OPTION_VAL_NTSC_J_HE NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_HE NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_HE NULL
#define OPTION_VAL_60HZ_HE NULL
#define OPTION_VAL_50HZ_HE NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_HE NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_HE NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_HE NULL
#define OPTION_VAL_PER_BIOS_HE NULL
#define OPTION_VAL_PER_GAME_HE NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_HE NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_HE NULL
#define OPTION_VAL_PER_CART_HE NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_HE NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_HE NULL
#define OPTION_VAL_128K_HE NULL
#define OPTION_VAL_256K_HE NULL
#define OPTION_VAL_512K_HE NULL
#define OPTION_VAL_1MEG_HE NULL
#define OPTION_VAL_2MEG_HE NULL
#define OPTION_VAL_4MEG_HE NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_HE NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_HE NULL
#define OPTION_VAL_SEGA_MEGA_CD_HE NULL
#define OPTION_VAL_MEGASD_HE NULL
#define OPTION_VAL_NONE_HE NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_HE NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_HE NULL
#define OPTION_VAL_GAME_GENIE_HE NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_HE NULL
#define OPTION_VAL_SONIC_KNUCKLES_HE NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_HE NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_HE NULL
#define OPTION_VAL_NTSC_PAR_HE NULL
#define OPTION_VAL_PAL_PAR_HE NULL
#define OPTION_VAL_4_3_HE NULL
#define OPTION_VAL_UNCORRECTED_HE NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_HE NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_HE NULL
#define OPTION_VAL_TOP_BOTTOM_HE NULL
#define OPTION_VAL_LEFT_RIGHT_HE NULL
#define OPTION_VAL_FULL_HE NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_HE NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_HE NULL
#define OPTION_VAL_LEFT_BORDER_HE NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_HE NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_HE NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_HE NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_HE NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_HE NULL
#define OPTION_VAL_MONOCHROME_HE NULL
#define OPTION_VAL_COMPOSITE_HE NULL
#define OPTION_VAL_SVIDEO_HE NULL
#define OPTION_VAL_RGB_HE NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_HE NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_HE NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_HE NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_HE NULL
#define OPTION_VAL_SINGLE_FIELD_HE NULL
#define OPTION_VAL_DOUBLE_FIELD_HE NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_HE NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_HE NULL
#define OPTION_VAL_MANUAL_HE NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_HE NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_HE NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_HE NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_HE NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_HE NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_HE NULL
#define OPTION_VAL_MAME_HE NULL
#define OPTION_VAL_NUKED_HE NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_HE NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_HE NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_HE NULL
#define OPTION_VAL_MAME_YM2612_HE NULL
#define OPTION_VAL_MAME_ASIC_YM3438_HE NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_HE NULL
#define OPTION_VAL_NUKED_YM2612_HE NULL
#define OPTION_VAL_NUKED_YM3438_HE NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_HE NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_HE NULL
#define OPTION_VAL_STEREO_HE NULL
#define OPTION_VAL_MONO_HE NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_HE NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_HE NULL
#define OPTION_VAL_LOW_PASS_HE NULL
#define OPTION_VAL_EQ_HE NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_HE NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_HE NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_HE NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_HE NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_HE NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_HE NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_HE NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_HE NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_HE NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_HE NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_HE NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_HE NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_HE NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_HE NULL
#define OPTION_VAL_LIGHTGUN_HE NULL
#define OPTION_VAL_TOUCHSCREEN_HE NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_HE NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_HE NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_HE NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_HE NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_HE NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_HE NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_HE NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_HE NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_HE NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_HE NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_HE NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_HE NULL
#define OPTION_VAL_100_HE NULL
#define OPTION_VAL_125_HE NULL
#define OPTION_VAL_150_HE NULL
#define OPTION_VAL_175_HE NULL
#define OPTION_VAL_200_HE NULL
#define OPTION_VAL_225_HE NULL
#define OPTION_VAL_250_HE NULL
#define OPTION_VAL_275_HE NULL
#define OPTION_VAL_300_HE NULL
#define OPTION_VAL_325_HE NULL
#define OPTION_VAL_350_HE NULL
#define OPTION_VAL_375_HE NULL
#define OPTION_VAL_400_HE NULL
#define OPTION_VAL_425_HE NULL
#define OPTION_VAL_450_HE NULL
#define OPTION_VAL_475_HE NULL
#define OPTION_VAL_500_HE NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_HE NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_HE NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_HE NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_HE NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_HE NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_HE NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_HE NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_HE NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_HE NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_HE NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_HE NULL

struct retro_core_option_v2_category option_cats_he[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_HE,
      CATEGORY_SYSTEM_INFO_0_HE
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_HE,
      CATEGORY_VIDEO_INFO_0_HE
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_HE,
      CATEGORY_AUDIO_INFO_0_HE
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_HE,
      CATEGORY_INPUT_INFO_0_HE
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_HE,
      CATEGORY_HACKS_INFO_0_HE
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_HE,
      CATEGORY_CHANNEL_VOLUME_INFO_0_HE
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_he[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_HE,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_HE                 },
         { "sg-1000",              OPTION_VAL_SG_1000_HE              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_HE           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_HE},
         { "mark-III",             OPTION_VAL_MARK_III_HE             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_HE        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_HE     },
         { "game gear",            OPTION_VAL_GAME_GEAR_HE            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_HE   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_HE,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_HE   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_HE },
         { "pal",     OPTION_VAL_PAL_HE    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_HE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_HE,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_HE },
         { "50hz",  OPTION_VAL_50HZ_HE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_HE,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_HE,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_HE },
         { "per game", OPTION_VAL_PER_GAME_HE },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_HE,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_HE },
         { "per game", OPTION_VAL_PER_GAME_HE },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_HE,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_HE  },
         { "256k",     OPTION_VAL_256K_HE  },
         { "512k",     OPTION_VAL_512K_HE  },
         { "1meg",     OPTION_VAL_1MEG_HE    },
         { "2meg",     OPTION_VAL_2MEG_HE    },
         { "4meg",     OPTION_VAL_4MEG_HE    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_HE,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_HE },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_HE },
         { "megasd",       OPTION_VAL_MEGASD_HE },
         { "none",         OPTION_VAL_NONE_HE },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_HE,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_HE },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_HE },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_HE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_HE,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_HE },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_HE },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_HE },
         { "4:3",  OPTION_VAL_4_3_HE },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_HE },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_HE,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_HE },
         { "left/right", OPTION_VAL_LEFT_RIGHT_HE },
         { "full",       OPTION_VAL_FULL_HE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_HE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_HE },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_HE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_HE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_HE,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_HE },
         { "composite",  OPTION_VAL_COMPOSITE_HE },
         { "svideo",     OPTION_VAL_SVIDEO_HE },
         { "rgb",        OPTION_VAL_RGB_HE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_HE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_HE,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_HE },
         { "double field", OPTION_VAL_DOUBLE_FIELD_HE },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_HE,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_HE },
         { "manual",   OPTION_VAL_MANUAL_HE },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_HE,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_HE,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_HE },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_HE,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_HE },
         { "nuked", OPTION_VAL_NUKED_HE },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_HE,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_HE,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_HE,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_HE },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_HE },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_HE },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_HE },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_HE },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_HE,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_HE },
         { "mono",   OPTION_VAL_MONO_HE },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_HE,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_HE },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_HE },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_HE,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_HE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_HE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_HE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_HE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_HE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_HE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_HE,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_HE,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_HE },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_HE },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_HE,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_HE,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_HE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_HE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_HE,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_HE,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_HE },
         { "125", OPTION_VAL_125_HE },
         { "150", OPTION_VAL_150_HE },
         { "175", OPTION_VAL_175_HE },
         { "200", OPTION_VAL_200_HE },
         { "225", OPTION_VAL_225_HE },
         { "250", OPTION_VAL_250_HE },
         { "275", OPTION_VAL_275_HE },
         { "300", OPTION_VAL_300_HE },
         { "325", OPTION_VAL_325_HE },
         { "350", OPTION_VAL_350_HE },
         { "375", OPTION_VAL_375_HE },
         { "400", OPTION_VAL_400_HE },
         { "425", OPTION_VAL_425_HE },
         { "450", OPTION_VAL_450_HE },
         { "475", OPTION_VAL_475_HE },
         { "500", OPTION_VAL_500_HE },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_HE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_HE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_HE,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_HE,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_HE,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_HE,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_he = {
   option_cats_he,
   option_defs_he
};

/* RETRO_LANGUAGE_HR */

#define CATEGORY_SYSTEM_LABEL_HR NULL
#define CATEGORY_SYSTEM_INFO_0_HR NULL
#define CATEGORY_VIDEO_LABEL_HR NULL
#define CATEGORY_VIDEO_INFO_0_HR NULL
#define CATEGORY_AUDIO_LABEL_HR "Zvuk"
#define CATEGORY_AUDIO_INFO_0_HR NULL
#define CATEGORY_INPUT_LABEL_HR NULL
#define CATEGORY_INPUT_INFO_0_HR NULL
#define CATEGORY_HACKS_LABEL_HR NULL
#define CATEGORY_HACKS_INFO_0_HR NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_HR NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_HR NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_HR NULL
#define OPTION_VAL_AUTO_HR NULL
#define OPTION_VAL_SG_1000_HR NULL
#define OPTION_VAL_SG_1000_II_HR NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_HR NULL
#define OPTION_VAL_MARK_III_HR NULL
#define OPTION_VAL_MASTER_SYSTEM_HR NULL
#define OPTION_VAL_MASTER_SYSTEM_II_HR NULL
#define OPTION_VAL_GAME_GEAR_HR NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_HR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_HR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_HR NULL
#define OPTION_VAL_NTSC_U_HR NULL
#define OPTION_VAL_PAL_HR NULL
#define OPTION_VAL_NTSC_J_HR NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_HR NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_HR NULL
#define OPTION_VAL_60HZ_HR NULL
#define OPTION_VAL_50HZ_HR NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_HR NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_HR NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_HR NULL
#define OPTION_VAL_PER_BIOS_HR NULL
#define OPTION_VAL_PER_GAME_HR NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_HR NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_HR NULL
#define OPTION_VAL_PER_CART_HR NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_HR NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_HR NULL
#define OPTION_VAL_128K_HR NULL
#define OPTION_VAL_256K_HR NULL
#define OPTION_VAL_512K_HR NULL
#define OPTION_VAL_1MEG_HR NULL
#define OPTION_VAL_2MEG_HR NULL
#define OPTION_VAL_4MEG_HR NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_HR NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_HR NULL
#define OPTION_VAL_SEGA_MEGA_CD_HR NULL
#define OPTION_VAL_MEGASD_HR NULL
#define OPTION_VAL_NONE_HR "Ništa"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_HR NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_HR NULL
#define OPTION_VAL_GAME_GENIE_HR NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_HR NULL
#define OPTION_VAL_SONIC_KNUCKLES_HR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_HR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_HR NULL
#define OPTION_VAL_NTSC_PAR_HR NULL
#define OPTION_VAL_PAL_PAR_HR NULL
#define OPTION_VAL_4_3_HR NULL
#define OPTION_VAL_UNCORRECTED_HR NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_HR NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_HR NULL
#define OPTION_VAL_TOP_BOTTOM_HR NULL
#define OPTION_VAL_LEFT_RIGHT_HR NULL
#define OPTION_VAL_FULL_HR NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_HR NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_HR NULL
#define OPTION_VAL_LEFT_BORDER_HR NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_HR NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_HR NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_HR NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_HR NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_HR NULL
#define OPTION_VAL_MONOCHROME_HR NULL
#define OPTION_VAL_COMPOSITE_HR NULL
#define OPTION_VAL_SVIDEO_HR NULL
#define OPTION_VAL_RGB_HR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_HR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_HR NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_HR NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_HR NULL
#define OPTION_VAL_SINGLE_FIELD_HR NULL
#define OPTION_VAL_DOUBLE_FIELD_HR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_HR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_HR NULL
#define OPTION_VAL_MANUAL_HR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_HR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_HR NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_HR NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_HR NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_HR NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_HR NULL
#define OPTION_VAL_MAME_HR NULL
#define OPTION_VAL_NUKED_HR NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_HR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_HR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_HR NULL
#define OPTION_VAL_MAME_YM2612_HR NULL
#define OPTION_VAL_MAME_ASIC_YM3438_HR NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_HR NULL
#define OPTION_VAL_NUKED_YM2612_HR NULL
#define OPTION_VAL_NUKED_YM3438_HR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_HR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_HR NULL
#define OPTION_VAL_STEREO_HR NULL
#define OPTION_VAL_MONO_HR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_HR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_HR NULL
#define OPTION_VAL_LOW_PASS_HR NULL
#define OPTION_VAL_EQ_HR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_HR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_HR NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_HR NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_HR NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_HR NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_HR NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_HR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_HR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_HR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_HR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_HR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_HR NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_HR NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_HR NULL
#define OPTION_VAL_LIGHTGUN_HR NULL
#define OPTION_VAL_TOUCHSCREEN_HR NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_HR NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_HR NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_HR NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_HR NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_HR NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_HR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_HR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_HR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_HR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_HR NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_HR NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_HR NULL
#define OPTION_VAL_100_HR NULL
#define OPTION_VAL_125_HR NULL
#define OPTION_VAL_150_HR NULL
#define OPTION_VAL_175_HR NULL
#define OPTION_VAL_200_HR NULL
#define OPTION_VAL_225_HR NULL
#define OPTION_VAL_250_HR NULL
#define OPTION_VAL_275_HR NULL
#define OPTION_VAL_300_HR NULL
#define OPTION_VAL_325_HR NULL
#define OPTION_VAL_350_HR NULL
#define OPTION_VAL_375_HR NULL
#define OPTION_VAL_400_HR NULL
#define OPTION_VAL_425_HR NULL
#define OPTION_VAL_450_HR NULL
#define OPTION_VAL_475_HR NULL
#define OPTION_VAL_500_HR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_HR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_HR NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_HR NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_HR NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_HR NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_HR NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_HR NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_HR NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_HR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_HR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_HR NULL

struct retro_core_option_v2_category option_cats_hr[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_HR,
      CATEGORY_SYSTEM_INFO_0_HR
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_HR,
      CATEGORY_VIDEO_INFO_0_HR
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_HR,
      CATEGORY_AUDIO_INFO_0_HR
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_HR,
      CATEGORY_INPUT_INFO_0_HR
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_HR,
      CATEGORY_HACKS_INFO_0_HR
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_HR,
      CATEGORY_CHANNEL_VOLUME_INFO_0_HR
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_hr[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_HR,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_HR                 },
         { "sg-1000",              OPTION_VAL_SG_1000_HR              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_HR           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_HR},
         { "mark-III",             OPTION_VAL_MARK_III_HR             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_HR        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_HR     },
         { "game gear",            OPTION_VAL_GAME_GEAR_HR            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_HR   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_HR,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_HR   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_HR },
         { "pal",     OPTION_VAL_PAL_HR    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_HR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_HR,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_HR },
         { "50hz",  OPTION_VAL_50HZ_HR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_HR,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_HR,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_HR },
         { "per game", OPTION_VAL_PER_GAME_HR },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_HR,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_HR },
         { "per game", OPTION_VAL_PER_GAME_HR },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_HR,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_HR  },
         { "256k",     OPTION_VAL_256K_HR  },
         { "512k",     OPTION_VAL_512K_HR  },
         { "1meg",     OPTION_VAL_1MEG_HR    },
         { "2meg",     OPTION_VAL_2MEG_HR    },
         { "4meg",     OPTION_VAL_4MEG_HR    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_HR,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_HR },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_HR },
         { "megasd",       OPTION_VAL_MEGASD_HR },
         { "none",         OPTION_VAL_NONE_HR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_HR,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_HR },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_HR },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_HR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_HR,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_HR },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_HR },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_HR },
         { "4:3",  OPTION_VAL_4_3_HR },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_HR },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_HR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_HR },
         { "left/right", OPTION_VAL_LEFT_RIGHT_HR },
         { "full",       OPTION_VAL_FULL_HR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_HR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_HR },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_HR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_HR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_HR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_HR },
         { "composite",  OPTION_VAL_COMPOSITE_HR },
         { "svideo",     OPTION_VAL_SVIDEO_HR },
         { "rgb",        OPTION_VAL_RGB_HR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_HR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_HR,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_HR },
         { "double field", OPTION_VAL_DOUBLE_FIELD_HR },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_HR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_HR },
         { "manual",   OPTION_VAL_MANUAL_HR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_HR,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_HR,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_HR },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_HR,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_HR },
         { "nuked", OPTION_VAL_NUKED_HR },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_HR,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_HR,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_HR,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_HR },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_HR },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_HR },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_HR },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_HR },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_HR,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_HR },
         { "mono",   OPTION_VAL_MONO_HR },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_HR,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_HR },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_HR },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_HR,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_HR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_HR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_HR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_HR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_HR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_HR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_HR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_HR,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_HR },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_HR },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_HR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_HR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_HR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_HR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_HR,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_HR,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_HR },
         { "125", OPTION_VAL_125_HR },
         { "150", OPTION_VAL_150_HR },
         { "175", OPTION_VAL_175_HR },
         { "200", OPTION_VAL_200_HR },
         { "225", OPTION_VAL_225_HR },
         { "250", OPTION_VAL_250_HR },
         { "275", OPTION_VAL_275_HR },
         { "300", OPTION_VAL_300_HR },
         { "325", OPTION_VAL_325_HR },
         { "350", OPTION_VAL_350_HR },
         { "375", OPTION_VAL_375_HR },
         { "400", OPTION_VAL_400_HR },
         { "425", OPTION_VAL_425_HR },
         { "450", OPTION_VAL_450_HR },
         { "475", OPTION_VAL_475_HR },
         { "500", OPTION_VAL_500_HR },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_HR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_HR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_HR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_HR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_HR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_HR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_hr = {
   option_cats_hr,
   option_defs_hr
};

/* RETRO_LANGUAGE_HU */

#define CATEGORY_SYSTEM_LABEL_HU "Rendszer"
#define CATEGORY_SYSTEM_INFO_0_HU "A hardver alap, régió, BIOS, és a Sega CD/Mega-CD mentés beállításai."
#define CATEGORY_VIDEO_LABEL_HU "Kép"
#define CATEGORY_VIDEO_INFO_0_HU "A képarány, képvágás, videoszűrő és képkocka kihagyás beállításai."
#define CATEGORY_AUDIO_LABEL_HU "Hang"
#define CATEGORY_AUDIO_INFO_0_HU "A hangeszköz beállításai."
#define CATEGORY_INPUT_LABEL_HU "Bemenet"
#define CATEGORY_INPUT_INFO_0_HU "A fénypisztoly és/vagy egér bemenet beállításai."
#define CATEGORY_HACKS_LABEL_HU "Emulációs trükkök"
#define CATEGORY_HACKS_INFO_0_HU "A processzor túlhajtás és az emuláció pontosságának beállításai, amelyek befolyásolják az alacsonyszintű teljesítményt és a kompatibilitást."
#define CATEGORY_CHANNEL_VOLUME_LABEL_HU "Csatorna hangerő haladó beállításai"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_HU "A hardver hangcsatornáinak egymástól független beállításai."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_HU "Rendszerhardver"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_HU "A tartalom futtatásához emulált konzoltípus. Az \"Automatikus\" beállítás kiválasztja az adott játéknak legjobban megfelelőt."
#define OPTION_VAL_AUTO_HU "Automatikus"
#define OPTION_VAL_SG_1000_HU NULL
#define OPTION_VAL_SG_1000_II_HU NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_HU "SG-1000 II + RAM bőv."
#define OPTION_VAL_MARK_III_HU NULL
#define OPTION_VAL_MASTER_SYSTEM_HU NULL
#define OPTION_VAL_MASTER_SYSTEM_II_HU NULL
#define OPTION_VAL_GAME_GEAR_HU NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_HU NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_HU "Régió"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_HU "A rendszer régiója. A Game Gear-en kívül a PAL rendszerek 50 Hz-esek, az NTSC-sek pedig 60 Hz-esek. Nem megfelelő régió kiválasztása esetén a játékok a megszokottnál gyorsabban vagy lassabban futhatnak."
#define OPTION_VAL_NTSC_U_HU NULL
#define OPTION_VAL_PAL_HU NULL
#define OPTION_VAL_NTSC_J_HU NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_HU "VDP mód rögzítése"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_HU "A VDP mód felülbírálata, a rendszer régiójától függetlenül NTSC 60 Hz vagy PAL 50 Hz frekvenciára."
#define OPTION_VAL_60HZ_HU NULL
#define OPTION_VAL_50HZ_HU NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_HU "Rendszer boot ROM"
#define GENESIS_PLUS_GX_BIOS_INFO_0_HU "A hivatalos BIOS / bootbetöltő használata az emulált hardverhez, ha az megtalálható a RetroArch rendszerkönyvtárában. Megjeleníti a konzoltól függő indítási szekvenciát / animációt, majd utána indítja a betöltött tartalmat."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_HU "CD System BRAM (újraindítás szükséges)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_HU "Sega CD / Mega-CD tartalmak esetében a mentések tárolása régió (BIOS) szerint egy helyen vagy játékok szerint külön. Figyelem, a Sega CD / Mega-CD korlátozott belső tárhellyel bír, csak néhány cím fér rá. Javasolt a \"Játékonként\" beállítás, hogy ne fogyjon el a hely."
#define OPTION_VAL_PER_BIOS_HU "BIOS régiónként"
#define OPTION_VAL_PER_GAME_HU "Játékonként"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_HU "CD Backup cartridge BRAM (újraindítás szükséges)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_HU "Sega CD / Mega-CD tartalmak esetében minden játékhoz egy közös RAM cartridge használata, vagy játékok szerint külön RAM cartridge létrehozása."
#define OPTION_VAL_PER_CART_HU "Cartridge szerint (közös)"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_HU "CD Backup cartridge BRAM méret (újraindítás szükséges)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_HU "A mentési memória (backup RAM) mérete Sega CD / Mega-CD tartalmakhoz. A játékonkénti beállításhoz hasznos, elkerülhető vele a nagyobb méret sokszorozása."
#define OPTION_VAL_128K_HU NULL
#define OPTION_VAL_256K_HU NULL
#define OPTION_VAL_512K_HU NULL
#define OPTION_VAL_1MEG_HU NULL
#define OPTION_VAL_2MEG_HU NULL
#define OPTION_VAL_4MEG_HU NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_HU "CD add-on (MD mód) (újraindítás szükséges)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_HU "Az add-on típusa CD hanglejátszáshoz, támogatott Mega Drive / Genesis játékok esetén."
#define OPTION_VAL_SEGA_MEGA_CD_HU NULL
#define OPTION_VAL_MEGASD_HU NULL
#define OPTION_VAL_NONE_HU "Nincs"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_HU NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_HU "A Lock-On technológia egy Mega Drive / Genesis sajátosság, aminek a segítségével egy régebbi játék egy speciális cartridge átmenő csatlakozójába volt illeszthető kibővített vagy megváltoztatott játékmenethez. Ez a beállítás meghatározza az emulált \"lock-on\" cartridge típusát. Az ennek megfelelő BIOS fájl jelen kell legyen a RetroArch rendszerkönyvtárban."
#define OPTION_VAL_GAME_GENIE_HU NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_HU NULL
#define OPTION_VAL_SONIC_KNUCKLES_HU NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_HU "Mag által meghatározott képarány"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_HU "A tartalom kívánt képaránya. Csak akkor lép életbe, ha a RetroArch saját képarány beállítása \"Mag által meghatározott\" értékre van állítva a kép beállításainál."
#define OPTION_VAL_NTSC_PAR_HU NULL
#define OPTION_VAL_PAL_PAR_HU NULL
#define OPTION_VAL_4_3_HU NULL
#define OPTION_VAL_UNCORRECTED_HU "Korrigálatlan"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_HU "Keretek"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_HU "A képernyő alsó/felső és bal/jobb oldalán az overscan tartomány megjelenítése. Ezt egy standard felbontású tévékészülék kávája rendszerint eltakarja."
#define OPTION_VAL_TOP_BOTTOM_HU "Alul/felül"
#define OPTION_VAL_LEFT_RIGHT_HU "Bal/jobb"
#define OPTION_VAL_FULL_HU "Teljes"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_HU "Master System oldalsó keretének elrejtése"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_HU "Levág a képernyő bal vagy mindkét oldaláról 8 pixelt Master System játékok futtatásakor."
#define OPTION_VAL_LEFT_BORDER_HU "Csak a bal keret"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_HU "Bal és jobb keret"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_HU "Game Gear kiterjesztett képernyő"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_HU "A Game Gear címeket SMS módban futtatja, megnövelt 256x192-es felbontásban. Lehet hozzáadott tartalma, de rendszerint egy nemkívánatos / hibás adattal teli keretet jelenít meg."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_HU "Blargg NTSC szűrő"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_HU "Videoszűrő alkalmazása különféle NTSC TV jelek utánzásához."
#define OPTION_VAL_MONOCHROME_HU "Egyszínű"
#define OPTION_VAL_COMPOSITE_HU "Kompozit"
#define OPTION_VAL_SVIDEO_HU NULL
#define OPTION_VAL_RGB_HU NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_HU "LCD szellemkép szűrő"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_HU "\"Szellemkép\" szűrő alkalmazása a Game Gear és Genesis Nomad LCD panelek képének utánzásához."
#define GENESIS_PLUS_GX_RENDER_LABEL_HU "Interlaced 2-es mód kimenete"
#define GENESIS_PLUS_GX_RENDER_INFO_0_HU "Az interlaced 2-es módban a Mega Drive / Genesis képes kiadni egy dupla magas (nagyfelbontású) 320x448-as képet úgy, hogy minden képkockában váltakozó sorokat rajzol ki (ezt a Sonic the Hedgehog 2 és a Combat Cars többjátékosos módjai használják). A \"Dupla mező\" az eredeti hardvert utánozva éles képet, de villódzást/csíkozást jelenít meg. A \"Szimpla mező\" deinterlace szűrőt használva stabilizálja a képet, de némi elmosódást okoz."
#define OPTION_VAL_SINGLE_FIELD_HU "Szimpla mező"
#define OPTION_VAL_DOUBLE_FIELD_HU "Dupla mező"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_HU "Képkocka kihagyás"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_HU "A hangbuffer kiürülése (recsegés) elkerülésére képkockák eldobása. Javít a teljesítményen a vizuális folyamatosság kárára. Az \"Automatikus\" beállítás akkor dob képkockát, ha a frontend azt javasolja. A \"Kézi\" a \"Képkocka kihagyás határértéke (%)\" beállítást használja."
#define OPTION_VAL_MANUAL_HU "Kézi"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_HU "Képkocka kihagyás határértéke (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_HU "Ha a \"Képkocka kihagyás\" \"Kézi\" értékre van állítva, ez határozza meg a hangpuffer telítettségi határát (százalékban), amely alatt képkockákat dob el. Nagyobb érték csökkenti a recsegés kockázatát azáltal, hogy gyakrabban dob el képkockát."
#define GENESIS_PLUS_GX_YM2413_LABEL_HU NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_HU "A néhány Sega Mark III / Master System játék által használt FM Sound Unit emulálása a jobb hang érdekében."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_HU "Master System FM (YM2413) mag"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_HU "A Sega Mark III / Master System FM Sound Unit emulációjához használt eljárás. A \"MAME\" lehetőség gyors, és a legtöbb eszközön teljes sebességgel fut. A \"Nuked\" lehetőség órajelre pontos, nagyon jó minőségű, és jelentős CPU igénye van."
#define OPTION_VAL_MAME_HU NULL
#define OPTION_VAL_NUKED_HU NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_HU NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_HU "A Mega Drive / Genesis FM szintetizátora (fő hanggenerátora) emulálásához használt eljárás. A \"MAME\" lehetőség gyors, és a legtöbb eszközön teljes sebességgel fut. A \"Nuked\" lehetőség órajelre pontos, nagyon jó minőségű, és jelentős CPU igénye van. Az eredeti Model 1-es Mega Drive / Genesis-ben YM2612 chip volt, a későbbi Mega Drive / Genesis változatokban pedig YM3438."
#define GENESIS_PLUS_GX_YM2612_INFO_1_HU "A Mega Drive / Genesis FM szintetizátora (fő hanggenerátora) emulálásához használt eljárás. Az eredeti Model 1-es Mega Drive / Genesis-ben YM2612 chip volt, a későbbi Mega Drive / Genesis változatokban pedig YM3438."
#define OPTION_VAL_MAME_YM2612_HU NULL
#define OPTION_VAL_MAME_ASIC_YM3438_HU NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_HU NULL
#define OPTION_VAL_NUKED_YM2612_HU NULL
#define OPTION_VAL_NUKED_YM3438_HU NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_HU "Hangkimenet"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_HU "Monó vagy sztereó hangvisszaadás."
#define OPTION_VAL_STEREO_HU "Sztereó"
#define OPTION_VAL_MONO_HU "Monó"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_HU "Hangszűrő"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_HU "Aluláteresztő hangszűrő használata a Model 1-es Mega Drive / Genesis jellegzetes hangjának utánzásához."
#define OPTION_VAL_LOW_PASS_HU "Aluláteresztő"
#define OPTION_VAL_EQ_HU "Hangszínszabályzó"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_HU "Aluláteresztő szűrő %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_HU "Az aluláteresztő hangszűrő vágási frekvenciája. Nagyobb érték \"erősebb\" szűrésként hallatszik, mivel a magastartomány szélesebb sávja halkul el."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_HU "PSG előerősítő jelszint"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_HU "Az SG-1000, Sega Mark III, Master System, Game Gear és Mega Drive/Genesis modellekben megtalálható SN76496 négycsatornás programozható hanggenerátor előerősítő jelszintje."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_HU "FM előerősítő jelszint"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_HU "A Mega Drive / Genesis FM szintetizátor vagy a Sega Mark III / Master System FM Sound Unit előerősítőjének jelszintje."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_HU "CD-DA hangerő"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_HU "Az emulált CD hanglejátszás bekeverési hangereje."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_HU "PCM hangerő"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_HU "Az emulált Sega CD / Mega-CD RF5C164 PCM hanggenerátor kimenetének bekeverési hangereje."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_HU "Mély EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_HU "A belső hangszínszabályzó mély sávjának beállítása."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_HU "Közép EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_HU "A belső hangszínszabályzó középső sávjának beállítása."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_HU "Magas EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_HU "A belső hangszínszabályzó magas sávjának beállítása."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_HU "Fénypisztoly bemenet"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_HU "\"Fénypisztoly\" vagy \"Érintőképernyő\" bemenet használata, egér irányítással."
#define OPTION_VAL_LIGHTGUN_HU "Fénypisztoly"
#define OPTION_VAL_TOUCHSCREEN_HU "Érintőképernyő"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_HU "Fénypisztoly célkeresztje"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_HU "Megjeleníti a fénypisztoly célkeresztjét, ha MD Menacer, MD Justifier vagy MS Light Phaser típusú bemeneti eszköz van használatban."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_HU "Egér Y tengelyének megfordítása"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_HU "Megfordítja az MD Mouse bemeneti eszköz Y tengelyének irányát."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_HU "Soronkénti sprite korlátozás eltávolítása"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_HU "Megszünteti a hardver soronkénti sprite maximum korlátozását. Csökkenti a villódzást, de grafikai hibákat okozhat, mivel néhány játék a hardverkorlátozást speciális effektekhez használja fel."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_HU "Feljavított függőleges görgetés csempénként"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_HU "A 16 pixeles kétcellás görgetés helyett minden cella egyesével görgethető függőlegesen, a szomszéd cellák átlagolásával. Csak azon pár játékra van hatással, amelyek a kétcellás függőleges görgetést használják."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_HU "Feljavított függőleges görgetés korlátja"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_HU NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_HU "CPU sebesség"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_HU "Az emulált CPU túlhajtása. Csökkentheti a belassulást, de hibákat okozhat."
#define OPTION_VAL_100_HU NULL
#define OPTION_VAL_125_HU NULL
#define OPTION_VAL_150_HU NULL
#define OPTION_VAL_175_HU NULL
#define OPTION_VAL_200_HU NULL
#define OPTION_VAL_225_HU NULL
#define OPTION_VAL_250_HU NULL
#define OPTION_VAL_275_HU NULL
#define OPTION_VAL_300_HU NULL
#define OPTION_VAL_325_HU NULL
#define OPTION_VAL_350_HU NULL
#define OPTION_VAL_375_HU NULL
#define OPTION_VAL_400_HU NULL
#define OPTION_VAL_425_HU NULL
#define OPTION_VAL_450_HU NULL
#define OPTION_VAL_475_HU NULL
#define OPTION_VAL_500_HU NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_HU "Rendszerlefagyás"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_HU "Az eredeti gépen illegális címhez hozzáféréskor bekövetkező lefagyás emulálása. Csak olyan demók és homebrew programok lejátszásakor kapcsoljuk ki, amik csak ezzel a helytelen viselkedéssel működnek jól."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_HU NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_HU "A Mega Drive / Genesis fő CPU-ja (Motorola 68000) egy Address Error megszakítást (összeomlást) generál nem jól pozicionált memóriahozzáféréskor. Ezzel az opcióval ez emulálható. Csak ROM hackek lejátszásakor kapcsoljuk ki, mivel ezek tipikusan kevésbé pontos emulátorokon voltak fejlesztve és elvárhatják az érvénytelen RAM hozzáférést a helyes működéshez."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_HU "CD hozzáférés ideje"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_HU "Az eredeti CD hardver késleltetésének szimulációja a betöltött lemez olvasásakor vagy pozícióváltásakor. Néhány CD játék igényli, amelyek összeomlanak, ha a CD adat túl hamar érhető el, és néhány játék CD hang szinkronproblémáit is megoldja. Az MSU-MD játékoknál érdemes kikapcsolni, mivel a CD hangsávok hurkolása így folyamatosabb."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_HU "CD lemezkép gyorsítótár"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_HU "A CD lemezkép betöltése memóriába indításkor. Csak CHD-vel támogatott. Újraindítás szükséges."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_HU "A hangerő haladó beállításai (újra meg kell nyitni a menüt)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_HU "A hangcsatornák alacsonyszintű paramétereinek beállításai. Figyelem: ennek a beállításnak az aktiválásához ki-be kell kapcsolni a gyorsmenüt."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_HU "PSG Tone 0. csatorna hangerő %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_HU "A PSG Tone 0. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_HU "PSG Tone 1. csatorna hangerő %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_HU "A PSG Tone 1. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_HU "PSG Tone 2. csatorna hangerő %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_HU "A PSG Tone 2. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_HU "PSG 3. zajcsatorna hangerő %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_HU "A PSG 3. zajcsatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_HU "Mega Drive/Genesis 0. FM csatorna hangerő %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_HU "A Mega Drive/Genesis 0. FM csatorna hangerejének csökkentése. Csak a MAME FM emulátorokkal működik."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_HU "Mega Drive/Genesis 1. FM csatorna hangerő %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_HU "A Mega Drive/Genesis 1. FM csatorna hangerejének csökkentése. Csak a MAME FM emulátorokkal működik."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_HU "Mega Drive/Genesis 2. FM csatorna hangerő %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_HU "A Mega Drive/Genesis 2. FM csatorna hangerejének csökkentése. Csak a MAME FM emulátorokkal működik."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_HU "Mega Drive/Genesis 3. FM csatorna hangerő %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_HU "A Mega Drive/Genesis 3. FM csatorna hangerejének csökkentése. Csak a MAME FM emulátorokkal működik."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_HU "Mega Drive/Genesis 4. FM csatorna hangerő %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_HU "A Mega Drive/Genesis 4. FM csatorna hangerejének csökkentése. Csak a MAME FM emulátorokkal működik."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_HU "Mega Drive/Genesis 5. FM csatorna hangerő %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_HU "A Mega Drive/Genesis 5. FM csatorna hangerejének csökkentése. Csak a MAME FM emulátorokkal működik."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_HU "Master System FM (YM2413) 0. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_HU "A Master System FM 0. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_HU "Master System FM (YM2413) 1. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_HU "A Master System FM 1. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_HU "Master System FM (YM2413) 2. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_HU "A Master System FM 2. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_HU "Master System FM (YM2413) 3. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_HU "A Master System FM 3. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_HU "Master System FM (YM2413) 4. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_HU "A Master System FM 4. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_HU "Master System FM (YM2413) 5. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_HU "A Master System FM 5. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_HU "Master System FM (YM2413) 6. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_HU "A Master System FM 6. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_HU "Master System FM (YM2413) 7. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_HU "A Master System FM 7. csatorna hangerejének csökkentése."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_HU "Master System FM (YM2413) 8. csatorna hangerő %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_HU "A Master System FM 8. csatorna hangerejének csökkentése."

struct retro_core_option_v2_category option_cats_hu[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_HU,
      CATEGORY_SYSTEM_INFO_0_HU
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_HU,
      CATEGORY_VIDEO_INFO_0_HU
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_HU,
      CATEGORY_AUDIO_INFO_0_HU
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_HU,
      CATEGORY_INPUT_INFO_0_HU
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_HU,
      CATEGORY_HACKS_INFO_0_HU
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_HU,
      CATEGORY_CHANNEL_VOLUME_INFO_0_HU
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_hu[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_HU,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_HU                 },
         { "sg-1000",              OPTION_VAL_SG_1000_HU              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_HU           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_HU},
         { "mark-III",             OPTION_VAL_MARK_III_HU             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_HU        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_HU     },
         { "game gear",            OPTION_VAL_GAME_GEAR_HU            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_HU   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_HU,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_HU   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_HU },
         { "pal",     OPTION_VAL_PAL_HU    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_HU },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_HU,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_HU },
         { "50hz",  OPTION_VAL_50HZ_HU },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_HU,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_HU,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_HU },
         { "per game", OPTION_VAL_PER_GAME_HU },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_HU,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_HU },
         { "per game", OPTION_VAL_PER_GAME_HU },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_HU,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_HU  },
         { "256k",     OPTION_VAL_256K_HU  },
         { "512k",     OPTION_VAL_512K_HU  },
         { "1meg",     OPTION_VAL_1MEG_HU    },
         { "2meg",     OPTION_VAL_2MEG_HU    },
         { "4meg",     OPTION_VAL_4MEG_HU    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_HU,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_HU },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_HU },
         { "megasd",       OPTION_VAL_MEGASD_HU },
         { "none",         OPTION_VAL_NONE_HU },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_HU,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_HU },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_HU },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_HU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_HU,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_HU },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_HU },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_HU },
         { "4:3",  OPTION_VAL_4_3_HU },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_HU },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_HU,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_HU },
         { "left/right", OPTION_VAL_LEFT_RIGHT_HU },
         { "full",       OPTION_VAL_FULL_HU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_HU,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_HU },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_HU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_HU,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_HU,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_HU },
         { "composite",  OPTION_VAL_COMPOSITE_HU },
         { "svideo",     OPTION_VAL_SVIDEO_HU },
         { "rgb",        OPTION_VAL_RGB_HU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_HU,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_HU,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_HU },
         { "double field", OPTION_VAL_DOUBLE_FIELD_HU },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_HU,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_HU },
         { "manual",   OPTION_VAL_MANUAL_HU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_HU,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_HU,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_HU },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_HU,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_HU },
         { "nuked", OPTION_VAL_NUKED_HU },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_HU,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_HU,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_HU,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_HU },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_HU },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_HU },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_HU },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_HU },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_HU,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_HU },
         { "mono",   OPTION_VAL_MONO_HU },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_HU,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_HU },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_HU },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_HU,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_HU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_HU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_HU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_HU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_HU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_HU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_HU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_HU,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_HU },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_HU },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_HU,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_HU,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_HU,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_HU,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_HU,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_HU,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_HU },
         { "125", OPTION_VAL_125_HU },
         { "150", OPTION_VAL_150_HU },
         { "175", OPTION_VAL_175_HU },
         { "200", OPTION_VAL_200_HU },
         { "225", OPTION_VAL_225_HU },
         { "250", OPTION_VAL_250_HU },
         { "275", OPTION_VAL_275_HU },
         { "300", OPTION_VAL_300_HU },
         { "325", OPTION_VAL_325_HU },
         { "350", OPTION_VAL_350_HU },
         { "375", OPTION_VAL_375_HU },
         { "400", OPTION_VAL_400_HU },
         { "425", OPTION_VAL_425_HU },
         { "450", OPTION_VAL_450_HU },
         { "475", OPTION_VAL_475_HU },
         { "500", OPTION_VAL_500_HU },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_HU,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_HU,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_HU,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_HU,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_HU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_HU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_hu = {
   option_cats_hu,
   option_defs_hu
};

/* RETRO_LANGUAGE_ID */

#define CATEGORY_SYSTEM_LABEL_ID "Sistem"
#define CATEGORY_SYSTEM_INFO_0_ID "Mengubah peranti keras dasar, daerah, BIOS, dan pengaturan simpanan Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_ID NULL
#define CATEGORY_VIDEO_INFO_0_ID "Mengubah pengaturan rasio aspek, pangkas layar, saring video, dan pelewatan bingkai."
#define CATEGORY_AUDIO_LABEL_ID "Suara"
#define CATEGORY_AUDIO_INFO_0_ID NULL
#define CATEGORY_INPUT_LABEL_ID "Masukan"
#define CATEGORY_INPUT_INFO_0_ID NULL
#define CATEGORY_HACKS_LABEL_ID "Peretasan Emulasi"
#define CATEGORY_HACKS_INFO_0_ID NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_ID NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_ID "Mengubah terpisah volume saluran audio peranti keras."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_ID "Peranti Keras Sistem"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_ID NULL
#define OPTION_VAL_AUTO_ID "Otomatis"
#define OPTION_VAL_SG_1000_ID NULL
#define OPTION_VAL_SG_1000_II_ID NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_ID NULL
#define OPTION_VAL_MARK_III_ID NULL
#define OPTION_VAL_MASTER_SYSTEM_ID NULL
#define OPTION_VAL_MASTER_SYSTEM_II_ID NULL
#define OPTION_VAL_GAME_GEAR_ID NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_ID NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_ID NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_ID NULL
#define OPTION_VAL_NTSC_U_ID NULL
#define OPTION_VAL_PAL_ID NULL
#define OPTION_VAL_NTSC_J_ID NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_ID NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_ID NULL
#define OPTION_VAL_60HZ_ID NULL
#define OPTION_VAL_50HZ_ID NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_ID NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_ID "BRAM Sistem CD (Perlu Mulai Ulang)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_ID NULL
#define OPTION_VAL_PER_BIOS_ID NULL
#define OPTION_VAL_PER_GAME_ID NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_ID "BRAM Memori CD (Perlu Mulai Ulang)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_ID NULL
#define OPTION_VAL_PER_CART_ID NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_ID "Ukuran BRAM Memori CD (Perlu Mulai Ulang)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_ID NULL
#define OPTION_VAL_128K_ID NULL
#define OPTION_VAL_256K_ID NULL
#define OPTION_VAL_512K_ID NULL
#define OPTION_VAL_1MEG_ID NULL
#define OPTION_VAL_2MEG_ID NULL
#define OPTION_VAL_4MEG_ID NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_ID "Pengaya CD di mode MD (Perlu Mulai Ulang)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_ID NULL
#define OPTION_VAL_SEGA_MEGA_CD_ID NULL
#define OPTION_VAL_MEGASD_ID NULL
#define OPTION_VAL_NONE_ID "Tak ada"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_ID NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_ID NULL
#define OPTION_VAL_GAME_GENIE_ID NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_ID NULL
#define OPTION_VAL_SONIC_KNUCKLES_ID NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_ID NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_ID NULL
#define OPTION_VAL_NTSC_PAR_ID NULL
#define OPTION_VAL_PAL_PAR_ID NULL
#define OPTION_VAL_4_3_ID NULL
#define OPTION_VAL_UNCORRECTED_ID NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_ID NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_ID NULL
#define OPTION_VAL_TOP_BOTTOM_ID NULL
#define OPTION_VAL_LEFT_RIGHT_ID NULL
#define OPTION_VAL_FULL_ID NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_ID NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_ID NULL
#define OPTION_VAL_LEFT_BORDER_ID NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_ID NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_ID NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_ID NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_ID NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_ID NULL
#define OPTION_VAL_MONOCHROME_ID NULL
#define OPTION_VAL_COMPOSITE_ID NULL
#define OPTION_VAL_SVIDEO_ID NULL
#define OPTION_VAL_RGB_ID NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_ID NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_ID NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_ID "Keluaran Selang-Seling Mode 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_ID "Mode 2 Selang-Seling mengizinkan Mega Drive/Genesis berkeluaran gambar 320x448 dwiganda (resolusi tinggi) dengan menggambar garis pindai di tiap bingkai (seperti di mode main rangkap Sonic the Hedgehog 2 dan Combat Cars). 'Medan Ganda' meniru peranti keras asli, bergambar tajam dengan artifak selang-seling/kelap-kelip. 'Medan Tunggal' menerapkan saring deinterlasi untuk menstabilkan gambar tapi sedikit buram."
#define OPTION_VAL_SINGLE_FIELD_ID NULL
#define OPTION_VAL_DOUBLE_FIELD_ID NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_ID NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_ID NULL
#define OPTION_VAL_MANUAL_ID NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_ID NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_ID "Saat 'Lewati Bingkai' diatur ke 'Manual', tentukan (persentase) ambang batas hunian dapar audio di bawah untuk melewati berapa bingkai. Nilai lebih tinggi akan mengurangi bunyi derak dengan cara membuat laju bingkai sering anjlok."
#define GENESIS_PLUS_GX_YM2413_LABEL_ID NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_ID NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_ID NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_ID NULL
#define OPTION_VAL_MAME_ID NULL
#define OPTION_VAL_NUKED_ID NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_ID NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_ID NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_ID NULL
#define OPTION_VAL_MAME_YM2612_ID NULL
#define OPTION_VAL_MAME_ASIC_YM3438_ID NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_ID "MAME (Berpeningkat YM3438)"
#define OPTION_VAL_NUKED_YM2612_ID NULL
#define OPTION_VAL_NUKED_YM3438_ID NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_ID NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_ID NULL
#define OPTION_VAL_STEREO_ID NULL
#define OPTION_VAL_MONO_ID NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_ID "Saring Audio"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_ID NULL
#define OPTION_VAL_LOW_PASS_ID NULL
#define OPTION_VAL_EQ_ID NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_ID NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_ID NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_ID NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_ID NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_ID NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_ID NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_ID NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_ID NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_ID NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_ID NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_ID NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_ID NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_ID NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_ID NULL
#define OPTION_VAL_LIGHTGUN_ID NULL
#define OPTION_VAL_TOUCHSCREEN_ID "Layar Sentuh"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_ID NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_ID NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_ID NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_ID NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_ID NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_ID "Melepas batas asli sprite tiap garis pindai peranti keras. Ini mengurangi kelap-kelip tapi visual akan kacau, beberapa permainan memanfaatkan batas peranti keras untuk efek khusus."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_ID "Gulir menegak berpeningkat"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_ID NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_ID "Batas gulir menegak berpeningkat"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_ID NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_ID NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_ID NULL
#define OPTION_VAL_100_ID NULL
#define OPTION_VAL_125_ID NULL
#define OPTION_VAL_150_ID NULL
#define OPTION_VAL_175_ID NULL
#define OPTION_VAL_200_ID NULL
#define OPTION_VAL_225_ID NULL
#define OPTION_VAL_250_ID NULL
#define OPTION_VAL_275_ID NULL
#define OPTION_VAL_300_ID NULL
#define OPTION_VAL_325_ID NULL
#define OPTION_VAL_350_ID NULL
#define OPTION_VAL_375_ID NULL
#define OPTION_VAL_400_ID NULL
#define OPTION_VAL_425_ID NULL
#define OPTION_VAL_450_ID NULL
#define OPTION_VAL_475_ID NULL
#define OPTION_VAL_500_ID NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_ID NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_ID NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_ID NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_ID NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_ID "Waktu Akses CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_ID NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_ID "Tembolok Citra CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_ID "Memuat citra CD ke memori saat awal buka. Hanya mendukung CHD. Perlu Mulai Ulang."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_ID NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_ID NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_ID NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_ID NULL

struct retro_core_option_v2_category option_cats_id[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_ID,
      CATEGORY_SYSTEM_INFO_0_ID
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_ID,
      CATEGORY_VIDEO_INFO_0_ID
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_ID,
      CATEGORY_AUDIO_INFO_0_ID
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_ID,
      CATEGORY_INPUT_INFO_0_ID
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_ID,
      CATEGORY_HACKS_INFO_0_ID
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_ID,
      CATEGORY_CHANNEL_VOLUME_INFO_0_ID
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_id[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_ID,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_ID                 },
         { "sg-1000",              OPTION_VAL_SG_1000_ID              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_ID           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_ID},
         { "mark-III",             OPTION_VAL_MARK_III_ID             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_ID        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_ID     },
         { "game gear",            OPTION_VAL_GAME_GEAR_ID            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_ID   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_ID,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_ID   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_ID },
         { "pal",     OPTION_VAL_PAL_ID    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_ID },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_ID,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_ID },
         { "50hz",  OPTION_VAL_50HZ_ID },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_ID,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_ID,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_ID },
         { "per game", OPTION_VAL_PER_GAME_ID },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_ID,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_ID },
         { "per game", OPTION_VAL_PER_GAME_ID },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_ID,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_ID  },
         { "256k",     OPTION_VAL_256K_ID  },
         { "512k",     OPTION_VAL_512K_ID  },
         { "1meg",     OPTION_VAL_1MEG_ID    },
         { "2meg",     OPTION_VAL_2MEG_ID    },
         { "4meg",     OPTION_VAL_4MEG_ID    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_ID,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_ID },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_ID },
         { "megasd",       OPTION_VAL_MEGASD_ID },
         { "none",         OPTION_VAL_NONE_ID },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_ID,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_ID },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_ID },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_ID },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_ID,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_ID },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_ID },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_ID },
         { "4:3",  OPTION_VAL_4_3_ID },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_ID },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_ID,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_ID },
         { "left/right", OPTION_VAL_LEFT_RIGHT_ID },
         { "full",       OPTION_VAL_FULL_ID },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_ID,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_ID },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_ID },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_ID,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_ID,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_ID },
         { "composite",  OPTION_VAL_COMPOSITE_ID },
         { "svideo",     OPTION_VAL_SVIDEO_ID },
         { "rgb",        OPTION_VAL_RGB_ID },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_ID,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_ID,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_ID },
         { "double field", OPTION_VAL_DOUBLE_FIELD_ID },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_ID,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_ID },
         { "manual",   OPTION_VAL_MANUAL_ID },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_ID,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_ID,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_ID },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_ID,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_ID },
         { "nuked", OPTION_VAL_NUKED_ID },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_ID,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_ID,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_ID,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_ID },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_ID },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_ID },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_ID },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_ID },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_ID,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_ID },
         { "mono",   OPTION_VAL_MONO_ID },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_ID,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_ID },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_ID },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_ID,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_ID,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_ID,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_ID,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_ID,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_ID,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_ID,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_ID,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_ID,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_ID },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_ID },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_ID,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_ID,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_ID,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_ID,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_ID,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_ID,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_ID },
         { "125", OPTION_VAL_125_ID },
         { "150", OPTION_VAL_150_ID },
         { "175", OPTION_VAL_175_ID },
         { "200", OPTION_VAL_200_ID },
         { "225", OPTION_VAL_225_ID },
         { "250", OPTION_VAL_250_ID },
         { "275", OPTION_VAL_275_ID },
         { "300", OPTION_VAL_300_ID },
         { "325", OPTION_VAL_325_ID },
         { "350", OPTION_VAL_350_ID },
         { "375", OPTION_VAL_375_ID },
         { "400", OPTION_VAL_400_ID },
         { "425", OPTION_VAL_425_ID },
         { "450", OPTION_VAL_450_ID },
         { "475", OPTION_VAL_475_ID },
         { "500", OPTION_VAL_500_ID },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_ID,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_ID,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_ID,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_ID,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_ID,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_ID,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_id = {
   option_cats_id,
   option_defs_id
};

/* RETRO_LANGUAGE_IT */

#define CATEGORY_SYSTEM_LABEL_IT "Sistema"
#define CATEGORY_SYSTEM_INFO_0_IT "Cambia la selezione hardware di base, regione, BIOS e Sega CD/Mega-CD impostazioni di salvataggio dei file."
#define CATEGORY_VIDEO_LABEL_IT NULL
#define CATEGORY_VIDEO_INFO_0_IT "Cambia le proporzioni, il ritaglio, il filtro video e le impostazioni di salto dei fotogrammi."
#define CATEGORY_AUDIO_LABEL_IT NULL
#define CATEGORY_AUDIO_INFO_0_IT "Cambia le impostazioni del dispositivo audio."
#define CATEGORY_INPUT_LABEL_IT NULL
#define CATEGORY_INPUT_INFO_0_IT "Cambia le impostazioni di input della pistola leggera e/o del mouse."
#define CATEGORY_HACKS_LABEL_IT "Hack di Emulazione"
#define CATEGORY_HACKS_INFO_0_IT "Cambia le impostazioni di overclocking e di accuratezza dell'emulazione del processore che influenzano le prestazioni e la compatibilità di basso livello."
#define CATEGORY_CHANNEL_VOLUME_LABEL_IT "Impostazioni Avanzate Del Volume Dei Canali"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_IT "Cambia il volume dei singoli canali audio hardware."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_IT "Hardware Di Sistema"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_IT "Esegue il contenuto caricato con una specifica console emulata. 'Auto' selezionerà il sistema più appropriato per il gioco corrente."
#define OPTION_VAL_AUTO_IT NULL
#define OPTION_VAL_SG_1000_IT NULL
#define OPTION_VAL_SG_1000_II_IT NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_IT NULL
#define OPTION_VAL_MARK_III_IT NULL
#define OPTION_VAL_MASTER_SYSTEM_IT NULL
#define OPTION_VAL_MASTER_SYSTEM_II_IT NULL
#define OPTION_VAL_GAME_GEAR_IT NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_IT NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_IT "Regione Di Sistema"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_IT "Specifica la regione da cui proviene il sistema. Per console diverse dal Game Gear, 'PAL' è 50 hz mentre 'NTSC' è 60 hz. I giochi possono essere più veloci o più lenti del normale se la regione errata è selezionata."
#define OPTION_VAL_NTSC_U_IT NULL
#define OPTION_VAL_PAL_IT NULL
#define OPTION_VAL_NTSC_J_IT NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_IT "Forza Modalità VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_IT "Sostituisce la modalità VDP per forzarla a funzionare sia a NTSC 60Hz che a PAL 50Hz, indipendentemente dalla regione del sistema."
#define OPTION_VAL_60HZ_IT NULL
#define OPTION_VAL_50HZ_IT NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_IT "ROM Di Avvio Di Sistema"
#define GENESIS_PLUS_GX_BIOS_INFO_0_IT "Usa BIOS/bootloader ufficiale per l'hardware emulato, se presente nella directory di sistema di RetroArch. Visualizza la sequenza di avvio/animazione specifica della console, quindi esegue il contenuto caricato."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_IT "BRAM Del Sistema Cd (Richiede Il Riavvio)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_IT "Quando si esegue il contenuto di Sega CD/Mega-CD, specifica se condividere un singolo file di salvataggio tra tutti i giochi di una regione specifica (Per-BIOS) o creare un file di salvataggio separato per ogni partita (Per-Game). Si noti che il CD Sega / Mega-CD ha una limitata memoria interna, sufficiente solo per una manciata di titoli. Per evitare di esaurire lo spazio, si raccomanda l'impostazione 'Per-Game'."
#define OPTION_VAL_PER_BIOS_IT NULL
#define OPTION_VAL_PER_GAME_IT NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_IT "BRAM Del Carrello Di Backup Del CD (Richiede Il Riavvio)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_IT "Quando si esegue il contenuto di Sega CD/Mega-CD, specifica se condividere un singolo carrello di ram di backup per tutti i giochi (Per-Cartuccia) o creare un carrello di ram di backup separato per ogni partita (Per-Gioco)."
#define OPTION_VAL_PER_CART_IT "Per-Cartuccia"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_IT "Dimensione BRAM Del Carrello Backup Del CD (Richiede Il Riavvio)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_IT "Imposta la dimensione del carrello del ram di backup quando si esegue Sega CD/Mega-CD contenuto. Utile quando si imposta il carrello del ram di backup su Per-Game per evitare più dimensioni del carrello più grandi."
#define OPTION_VAL_128K_IT NULL
#define OPTION_VAL_256K_IT NULL
#define OPTION_VAL_512K_IT NULL
#define OPTION_VAL_1MEG_IT NULL
#define OPTION_VAL_2MEG_IT NULL
#define OPTION_VAL_4MEG_IT NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_IT "CD add-on (modalità MD) (Richiede il riavvio)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_IT "Specifica quale componente aggiuntivo usare per la riproduzione di CD audio con i giochi Mega Drive/Genesis supportati."
#define OPTION_VAL_SEGA_MEGA_CD_IT NULL
#define OPTION_VAL_MEGASD_IT NULL
#define OPTION_VAL_NONE_IT "Nessuno"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_IT "Cartuccia Lock-On"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_IT "Lock-On Technology è una funzione Mega Drive/Genesis che ha permesso a un gioco più vecchio di connettersi alla porta pass-through di una cartuccia speciale per un gioco esteso o alterato. Questa opzione specifica il tipo di cartuccia speciale 'lock-on' da emulare. Un file bios corrispondente deve essere presente nella directory di sistema di RetroArch."
#define OPTION_VAL_GAME_GENIE_IT NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_IT NULL
#define OPTION_VAL_SONIC_KNUCKLES_IT NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_IT "Rapporto Dimensioni fornito dal Core"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_IT "Definisce la proporzione scelta per il rapporto d'aspetto. Questo valore viene applicato correttamente solo se il rapporto d'aspetto nelle Impostazioni Video di RetroArch è configurato su 'Fornito dal Core'."
#define OPTION_VAL_NTSC_PAR_IT NULL
#define OPTION_VAL_PAL_PAR_IT NULL
#define OPTION_VAL_4_3_IT NULL
#define OPTION_VAL_UNCORRECTED_IT "Non Corretto"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_IT "Bordi"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_IT "Abilita questa opzione per visualizzare le regioni di sovrascrittura in alto/in basso e/o a sinistra/destra dello schermo. Questi sarebbero normalmente nascosti dalla lunetta intorno al bordo di un televisore a definizione standard."
#define OPTION_VAL_TOP_BOTTOM_IT "Alto/Basso"
#define OPTION_VAL_LEFT_RIGHT_IT "Sinistra/Destra"
#define OPTION_VAL_FULL_IT "Pieno"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_IT "Nascondi Bordi Laterali Del Sistema Principale"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_IT "Taglia 8 pixel da entrambi i lati sinistro dello schermo, o entrambi i lati sinistro e destro quando si eseguono i giochi Master System."
#define OPTION_VAL_LEFT_BORDER_IT "Solo Bordo Sinistro"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_IT "Bordi Sinistra E Destra"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_IT "Game Gear Schermo esteso"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_IT "Forza i titoli di Game Gear a funzionare in modalità SMS, con una risoluzione aumentata di 256x192. Può mostrare contenuti aggiuntivi, ma in genere visualizza un bordo di dati di immagine corrotti / indesiderati."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_IT "Filtro Blargg NTSC"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_IT "Applicare un filtro video per imitare vari segnali TV NTSC."
#define OPTION_VAL_MONOCHROME_IT "Monocromatico"
#define OPTION_VAL_COMPOSITE_IT "Composito"
#define OPTION_VAL_SVIDEO_IT NULL
#define OPTION_VAL_RGB_IT NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_IT "Filtro Lcd Ghosting"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_IT "Applicare un filtro immagine \"ghosting\" per imitare le caratteristiche di visualizzazione dei pannelli LCD di Game Gear e Genesis Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_IT "Uscita Modalità Interlacciata 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_IT "La modalità interlacciata 2 permette al Mega Drive/Genesis di produrre un'immagine a doppia altezza (alta risoluzione) 320x448 disegnando linee di scansione alternative ogni fotogramma (questo è usato da Sonic il riccio 2 e Combat Cars modalità multiplayer). 'Double Field' imita l'hardware originale, producendo un'immagine nitida con artefatti sfarfallanti/interlacciati. 'Campo singolo' applica un filtro di deinterlacciamento, che stabilizza l'immagine ma provoca una lieve sfocatura."
#define OPTION_VAL_SINGLE_FIELD_IT "Campo Singolo"
#define OPTION_VAL_DOUBLE_FIELD_IT "Doppio Campo"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_IT "Salta fotogramma"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_IT "Salta i fotogrammi per evitare la sottoesecuzione del buffer audio (crackling). Migliora le prestazioni a scapito della fluidità visiva. 'Auto' salta i quadri quando consigliato dal frontend. 'Manuale' utilizza l'impostazione 'Frameskip Threshold (%)'."
#define OPTION_VAL_MANUAL_IT "Manuale"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_IT "Soglia salto fotogrammi (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_IT "Quando 'Sakta fotogramma' è impostato a 'Manuale', specifica la soglia di occupazione del buffer audio (percentuale) al di sotto della quale i quadri verranno saltati. Valori più elevati riducono il rischio di rompere causando un calo più frequente dei fotogrammi."
#define GENESIS_PLUS_GX_YM2413_LABEL_IT NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_IT "Abilita l'emulazione dell'unità sonora FM utilizzata da alcuni giochi Sega Mark III/Master System per un'uscita audio migliorata."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_IT NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_IT "Selezionare il metodo utilizzato per emulare l'unità sonora FM del Sega Mark III/Master System. L'opzione 'MAME' è veloce e funziona a piena velocità sulla maggior parte dei sistemi. 'Nuked' opzione è ciclo accurato, qualità molto alta e ha requisiti di CPU sostanziali."
#define OPTION_VAL_MAME_IT NULL
#define OPTION_VAL_NUKED_IT NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_IT NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_IT "Selezionare il metodo utilizzato per emulare il sintetizzatore FM (generatore di suono principale) del Mega Drive/Genesis. Le opzioni 'MAME' sono veloci e funzionano a piena velocità sulla maggior parte dei sistemi. Le opzioni 'Nuked' sono ciclo accurato, qualità molto alta e hanno requisiti di CPU sostanziali. Il chip YM2612 viene utilizzato dal modello originale 1 Mega Drive/Genesis. Lo YM3438 viene utilizzato nelle successive revisioni di Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_IT "Selezionare il metodo utilizzato per emulare il sintetizzatore FM (generatore di suono principale) del Mega Drive/Genesis. Il chip YM2612 viene utilizzato dal modello originale 1 Mega Drive/Genesis. Lo YM3438 viene utilizzato nelle successive revisioni di Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_IT NULL
#define OPTION_VAL_MAME_ASIC_YM3438_IT NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_IT "MAME (YM3438 potenziato)"
#define OPTION_VAL_NUKED_YM2612_IT NULL
#define OPTION_VAL_NUKED_YM3438_IT NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_IT "Uscita Suono"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_IT "Seleziona riproduzione audio stereo o mono."
#define OPTION_VAL_STEREO_IT NULL
#define OPTION_VAL_MONO_IT NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_IT "Filtro Audio"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_IT "Abilita un filtro audio passa-basso per simulare meglio il suono caratteristico di un Megadrive/Genesis Modello 1."
#define OPTION_VAL_LOW_PASS_IT "Passo-basso"
#define OPTION_VAL_EQ_IT NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_IT "Filtro passo-basso %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_IT "Specificare la frequenza di cut-off del filtro passa-basso audio. Un valore più elevato aumenta la 'forza' percepita del filtro, poiché una gamma più ampia dello spettro ad alta frequenza è attenuata."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_IT "Livello Preamplificatore PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_IT "Imposta il livello del preamplificatore audio del generatore audio programmabile a 4 canali SN76496 emulato trovato nello SG-1000, Sega Mark III, Master System, Game Gear e Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_IT "Livello Preamplificatore FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_IT "Imposta il livello del preamplificatore audio del sintetizzatore sonoro Mega Drive/Genesis FM emulato o dell'unità sonora Sega Mark III/Master System FM."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_IT "Volume CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_IT "Regola il volume di miscelazione dell'uscita di riproduzione audio CD emulato."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_IT "Volume PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_IT "Regolare il volume di miscelazione dell'emulata uscita del generatore di suono Sega CD/Mega-CD RF5C164 PCM."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_IT "EQ Basso"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_IT "Regola la banda a basso raggio dell'equalizzatore audio interno."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_IT "EQ Medio"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_IT "Regola la banda di intervallo medio dell'equalizzatore audio interno."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_IT "EQ Alto"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_IT "Regola la banda di alta gamma dell'equalizzatore audio interno."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_IT "Ingresso Pistola Ottica"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_IT "Usa un ingresso 'Pistola Ottica' o 'Schermo tattile\" controllato dal mouse."
#define OPTION_VAL_LIGHTGUN_IT "Pistola Ottica"
#define OPTION_VAL_TOUCHSCREEN_IT "Schermo tattile"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_IT "Mostra Il Mirino Della Pistola Ottica"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_IT "Mostra i mirini della pistola leggera quando si utilizzano i tipi di dispositivo di ingresso MD Menacer, MD Justifiers e MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_IT "Inverti Asse Y Del Mouse"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_IT "Inverte l'asse Y del tipo di dispositivo di ingresso MD Mouse."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_IT "Rimuovi Limite Sprite Per Linea"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_IT "Rimuove il limite hardware originale sprite-per-scanline. Questo riduce lo sfarfallio ma può causare problemi visivi, poiché alcuni giochi sfruttano il limite hardware per generare effetti speciali."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_IT "Scorrimento verticale per piastrelle migliorato"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_IT "Consente ad ogni singola cella di scorrere verticalmente, invece di 16px 2-cell, calcolando la media con il valore vscroll della cella vicina. Questo hack si applica solo a pochi giochi che utilizzano la modalità di scorrimento verticale a 2 celle."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_IT "Limite di scorrimento verticale migliorato per tile"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_IT "Solo quando è abilitato lo scorrimento verticale per tile migliorato. Regola il limite dell'aumento dello scorrimento verticale. Quando la differenza di vscroll tra le tessere vicine è più grande di questo limite, il miglioramento è disabilitato."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_IT "Velocità CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_IT "Sovrascrivi la CPU emulata. Può ridurre il rallentamento, ma può causare glitch."
#define OPTION_VAL_100_IT NULL
#define OPTION_VAL_125_IT NULL
#define OPTION_VAL_150_IT NULL
#define OPTION_VAL_175_IT NULL
#define OPTION_VAL_200_IT NULL
#define OPTION_VAL_225_IT NULL
#define OPTION_VAL_250_IT NULL
#define OPTION_VAL_275_IT NULL
#define OPTION_VAL_300_IT NULL
#define OPTION_VAL_325_IT NULL
#define OPTION_VAL_350_IT NULL
#define OPTION_VAL_375_IT NULL
#define OPTION_VAL_400_IT NULL
#define OPTION_VAL_425_IT NULL
#define OPTION_VAL_450_IT NULL
#define OPTION_VAL_475_IT NULL
#define OPTION_VAL_500_IT NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_IT "Blocchi Di Sistema"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_IT "Emulare i blocchi di sistema che si verificano sull'hardware reale quando si esegue l'accesso illegale agli indirizzi. Questo dovrebbe essere disabilitato solo durante la riproduzione di alcune demo e homebrew che si basano su comportamenti illegali per il corretto funzionamento."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_IT "Errore Indirizzo 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_IT "La CPU principale Mega Drive/Genesis (Motorola 68000) genera un'eccezione di errore di indirizzo (crash) quando si tenta di eseguire l'accesso alla memoria non allineato. Abilitando questo si simulerà questo comportamento. Dovrebbe essere disabilitato solo durante la riproduzione di hack ROM, dal momento che questi sono in genere sviluppati utilizzando emulatori meno accurati e possono fare affidamento su un accesso RAM non valido per il corretto funzionamento."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_IT "Tempo Di Accesso Cd"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_IT "Simula la latenza originale dell'hardware del CD quando si avvia una lettura o si cerca di trovare una posizione specifica sul disco caricato. Questo è richiesto da alcuni giochi CD che si bloccano se i dati CD sono disponibili troppo presto e risolve anche problemi di desincronizzazione audio CD in alcuni giochi. Disabilitare questo può essere utile con i giochi MSU-MD in quanto rende le tracce audio CD cicli più senza soluzione di continuità."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_IT "Cache Immagine CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_IT "Carica l'immagine CD sulla memoria all'avvio. Solo CHD. Riavvia richiesto."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_IT "Mostra le impostazioni avanzate del volume audio (riapri il menu)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_IT "Abilita la configurazione dei parametri del canale audio a basso livello. NOTA: il menu rapido deve essere attivato perché questa impostazione abbia effetto."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_IT "Volume % del Tono PSG del Canale 0"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_IT "Riduce il volume del tono PSG del canale 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_IT "Volume % del Tono PSG del Canale 1"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_IT "Riduce il volume del tono PSG del canale 1."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_IT "Volume % del Tono PSG del Canale 2"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_IT "Riduce il volume del tono PSG del canale 2."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_IT "Volume % del Tono PSG del Canale 3"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_IT "Riduce il volume del tono PSG del canale 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_IT "Volume % del Mega Drive/Genesis FM Canale 0"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_IT "Riduce il volume del Mega Drive/Genesis FM Canale 0. Funziona solo con gli emulatori MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_IT "Volume % del Mega Drive/Genesis FM Canale 1"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_IT "Riduce il volume del Mega Drive/Genesis FM Canale 1. Funziona solo con gli emulatori MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_IT "Volume % del Mega Drive/Genesis FM Canale 2"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_IT "Riduce il volume del Mega Drive/Genesis FM Canale 2. Funziona solo con gli emulatori MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_IT "Volume % del Mega Drive/Genesis FM Canale 3"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_IT "Riduce il volume del Mega Drive/Genesis FM Canale 3. Funziona solo con gli emulatori MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_IT "Volume % del Mega Drive/Genesis FM Canale 4"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_IT "Riduce il volume del Mega Drive/Genesis FM Canale 4. Funziona solo con gli emulatori MAME FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_IT "Volume % del Mega Drive/Genesis FM Canale 5"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_IT "Riduce il volume del Mega Drive/Genesis FM Canale 5. Funziona solo con gli emulatori MAME FM."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 0"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_IT "Riduce il Volume del Master System FM del Canale 0."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 1"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_IT "Riduci il volume del Master System FM Canale 1."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 2"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_IT "Riduci il volume del Master System FM Canale 2."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 3"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_IT "Riduci il volume del Master System FM Canale 3."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 4"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_IT "Riduci il volume del Master System FM Canale 4."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 5"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_IT "Riduci il volume del Master System FM Canale 5."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 6"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_IT "Riduci il volume del Master System FM Canale 6."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 7"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_IT "Riduci il volume del Master System FM Canale 7."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_IT "Volume % del Master System FM (YM2413) del Canale 8"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_IT "Riduci il volume del Master System FM Canale 8."

struct retro_core_option_v2_category option_cats_it[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_IT,
      CATEGORY_SYSTEM_INFO_0_IT
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_IT,
      CATEGORY_VIDEO_INFO_0_IT
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_IT,
      CATEGORY_AUDIO_INFO_0_IT
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_IT,
      CATEGORY_INPUT_INFO_0_IT
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_IT,
      CATEGORY_HACKS_INFO_0_IT
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_IT,
      CATEGORY_CHANNEL_VOLUME_INFO_0_IT
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_it[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_IT,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_IT                 },
         { "sg-1000",              OPTION_VAL_SG_1000_IT              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_IT           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_IT},
         { "mark-III",             OPTION_VAL_MARK_III_IT             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_IT        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_IT     },
         { "game gear",            OPTION_VAL_GAME_GEAR_IT            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_IT   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_IT,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_IT   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_IT },
         { "pal",     OPTION_VAL_PAL_IT    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_IT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_IT,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_IT },
         { "50hz",  OPTION_VAL_50HZ_IT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_IT,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_IT,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_IT },
         { "per game", OPTION_VAL_PER_GAME_IT },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_IT,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_IT },
         { "per game", OPTION_VAL_PER_GAME_IT },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_IT,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_IT  },
         { "256k",     OPTION_VAL_256K_IT  },
         { "512k",     OPTION_VAL_512K_IT  },
         { "1meg",     OPTION_VAL_1MEG_IT    },
         { "2meg",     OPTION_VAL_2MEG_IT    },
         { "4meg",     OPTION_VAL_4MEG_IT    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_IT,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_IT },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_IT },
         { "megasd",       OPTION_VAL_MEGASD_IT },
         { "none",         OPTION_VAL_NONE_IT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_IT,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_IT },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_IT },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_IT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_IT,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_IT },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_IT },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_IT },
         { "4:3",  OPTION_VAL_4_3_IT },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_IT },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_IT,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_IT },
         { "left/right", OPTION_VAL_LEFT_RIGHT_IT },
         { "full",       OPTION_VAL_FULL_IT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_IT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_IT },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_IT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_IT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_IT,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_IT },
         { "composite",  OPTION_VAL_COMPOSITE_IT },
         { "svideo",     OPTION_VAL_SVIDEO_IT },
         { "rgb",        OPTION_VAL_RGB_IT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_IT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_IT,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_IT },
         { "double field", OPTION_VAL_DOUBLE_FIELD_IT },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_IT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_IT },
         { "manual",   OPTION_VAL_MANUAL_IT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_IT,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_IT,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_IT },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_IT,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_IT },
         { "nuked", OPTION_VAL_NUKED_IT },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_IT,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_IT,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_IT,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_IT },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_IT },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_IT },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_IT },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_IT },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_IT,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_IT },
         { "mono",   OPTION_VAL_MONO_IT },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_IT,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_IT },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_IT },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_IT,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_IT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_IT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_IT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_IT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_IT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_IT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_IT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_IT,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_IT },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_IT },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_IT,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_IT,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_IT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_IT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_IT,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_IT,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_IT },
         { "125", OPTION_VAL_125_IT },
         { "150", OPTION_VAL_150_IT },
         { "175", OPTION_VAL_175_IT },
         { "200", OPTION_VAL_200_IT },
         { "225", OPTION_VAL_225_IT },
         { "250", OPTION_VAL_250_IT },
         { "275", OPTION_VAL_275_IT },
         { "300", OPTION_VAL_300_IT },
         { "325", OPTION_VAL_325_IT },
         { "350", OPTION_VAL_350_IT },
         { "375", OPTION_VAL_375_IT },
         { "400", OPTION_VAL_400_IT },
         { "425", OPTION_VAL_425_IT },
         { "450", OPTION_VAL_450_IT },
         { "475", OPTION_VAL_475_IT },
         { "500", OPTION_VAL_500_IT },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_IT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_IT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_IT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_IT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_IT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_IT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_it = {
   option_cats_it,
   option_defs_it
};

/* RETRO_LANGUAGE_JA */

#define CATEGORY_SYSTEM_LABEL_JA "システム"
#define CATEGORY_SYSTEM_INFO_0_JA "基本となるハードウェアの選択、地域、BIOS およびメガ CD セーブファイルの設定を変更します。"
#define CATEGORY_VIDEO_LABEL_JA "ビデオ"
#define CATEGORY_VIDEO_INFO_0_JA "アスペクト比、画面のトリミング、ビデオフィルターおよびフレームスキップの設定を変更します。"
#define CATEGORY_AUDIO_LABEL_JA "オーディオ"
#define CATEGORY_AUDIO_INFO_0_JA "オーディオデバイスの設定を変更します。"
#define CATEGORY_INPUT_LABEL_JA "入力"
#define CATEGORY_INPUT_INFO_0_JA "ライトガンやマウスの入力設定を変更します。"
#define CATEGORY_HACKS_LABEL_JA "エミュレーションハック"
#define CATEGORY_HACKS_INFO_0_JA "低レベルパフォーマンスと互換性に影響する、プロセッサのオーバークロックとエミュレーション精度の設定を変更します。"
#define CATEGORY_CHANNEL_VOLUME_LABEL_JA "高度なチャンネル音量設定"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_JA "個々のハードウェアオーディオチャンネルの音量を変更します。"
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_JA "システムハードウェア"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_JA "特定のエミュレートされたコンソールで読み込まれたコンテンツを実行します。「自動」は現在のゲームに最適なシステムを選択します。"
#define OPTION_VAL_AUTO_JA "自動"
#define OPTION_VAL_SG_1000_JA NULL
#define OPTION_VAL_SG_1000_II_JA NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_JA NULL
#define OPTION_VAL_MARK_III_JA "マーク III"
#define OPTION_VAL_MASTER_SYSTEM_JA "マスターシステム"
#define OPTION_VAL_MASTER_SYSTEM_II_JA "マスターシステム II"
#define OPTION_VAL_GAME_GEAR_JA "ゲームギア"
#define OPTION_VAL_MEGA_DRIVE_GENESIS_JA "メガドライブ"
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_JA "システム地域"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_JA "システムの地域を指定します。ゲームギア以外のゲーム機の場合、[PAL] は 50 Hz、[NTSC] は 60 Hz で動作します。誤った地域を選択した場合、ゲームの動作が通常より早くなったり遅くなったりすることがあります。"
#define OPTION_VAL_NTSC_U_JA NULL
#define OPTION_VAL_PAL_JA NULL
#define OPTION_VAL_NTSC_J_JA NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_JA "強制 VDP モード"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_JA "VDP モードをオーバーライドして、システム地域に関係なく NTSC 60Hz または PAL 50Hz のいずれかで動作するようにします。"
#define OPTION_VAL_60HZ_JA NULL
#define OPTION_VAL_50HZ_JA NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_JA "システムブート ROM"
#define GENESIS_PLUS_GX_BIOS_INFO_0_JA "エミュレートされたハードウェアで公式の BIOS/ブートローダーを使用します。RetroArch のシステムディレクトリにファイルが存在する場合、コンテンツのロード時にコンソール固有の起動画面/アニメーションを表示してからコンテンツを実行します。"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_JA "CD システム BRAM (再起動が必要)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_JA "メガ CD のコンテンツを実行する際に、特定の地域のすべてのゲーム間で 1 つのセーブファイルを共有するか (BIOS ごと)、各ゲームごとに個別のセーブファイルを作成するか (ゲームごと) を指定します。メガ CD の内蔵ストレージには限りがあるため、容量不足を避けるために [ゲームごと] に設定することをおすすめします。"
#define OPTION_VAL_PER_BIOS_JA "BIOS ごと"
#define OPTION_VAL_PER_GAME_JA "ゲームごと"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_JA "CD バックアップカートリッジ BRAM (再起動が必要)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_JA "メガ CD コンテンツを実行する際に、すべてのゲームで 1 つのバックアップ RAM カートリッジを共有する (カートリッジごと) か、ゲームごとに別のバックアップ RAM カートリッジを作成するか (ゲームごと) を指定します。"
#define OPTION_VAL_PER_CART_JA "カートリッジごと"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_JA "CD バックアップカートリッジ BRAM サイズ (再起動が必要)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_JA "メガ CD コンテンツを実行する際のバックアップ RAM カートリッジのサイズを設定します。ゲームごとにバックアップ RAM カートリッジを作成する設定にしている場合、カートリッジサイズの増大を抑えることができます。"
#define OPTION_VAL_128K_JA NULL
#define OPTION_VAL_256K_JA NULL
#define OPTION_VAL_512K_JA NULL
#define OPTION_VAL_1MEG_JA NULL
#define OPTION_VAL_2MEG_JA NULL
#define OPTION_VAL_4MEG_JA NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_JA "CD アドオン (MD モード) (再起動が必要)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_JA "対応するメガドライブゲームで CD オーディオ再生に使用するアドオンを指定します。"
#define OPTION_VAL_SEGA_MEGA_CD_JA "メガ CD"
#define OPTION_VAL_MEGASD_JA NULL
#define OPTION_VAL_NONE_JA "なし"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_JA "ロックオンカートリッジ"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_JA "ロックオンシステムとは、特殊な構造をしたカートリッジの上部にある端子に他のカートリッジを接続することで、もとのゲームに新たな内容や機能を追加するメガドライブの機能です。このオプションは、エミュレートする特殊な [ロックオン] カートリッジの種類を指定します。RetroArch のシステムディレクトリに対応する BIOS ファイルが存在する必要があります。"
#define OPTION_VAL_GAME_GENIE_JA NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_JA "アクションリプレイ (Pro)"
#define OPTION_VAL_SONIC_KNUCKLES_JA "ソニック & ナックルズ"
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_JA "コア提供アスペクト比"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_JA "コンテンツの優先アスペクト比を選択します。RetroArch のアスペクト比がビデオ設定で [コア提供] に設定されている場合にのみ適用されます。"
#define OPTION_VAL_NTSC_PAR_JA NULL
#define OPTION_VAL_PAL_PAR_JA NULL
#define OPTION_VAL_4_3_JA NULL
#define OPTION_VAL_UNCORRECTED_JA "補正なし"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_JA "外枠"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_JA "これを有効にすると、画面の上下と左右のオーバースキャン領域を表示できます。これらは通常、標準画質テレビの端にあるベゼルによって隠されます。"
#define OPTION_VAL_TOP_BOTTOM_JA "上/下"
#define OPTION_VAL_LEFT_RIGHT_JA "左/右"
#define OPTION_VAL_FULL_JA "フル"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_JA "マスターシステムの横枠を隠す"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_JA "マスターシステムのゲームを実行する際、画面の左側から 8 ピクセル、または左側と右側の両方から 8 ピクセルを切り取ります。"
#define OPTION_VAL_LEFT_BORDER_JA "左枠のみ"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_JA "左右の枠"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_JA "ゲームギア拡張画面"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_JA "ゲームギアタイトルを強制的に SMS モードで実行し、解像度を 256x192 に向上させます。追加のコンテンツを表示することもありますが、通常は破損した/不要なイメージデータが外枠として表示されます。"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_JA "Blargg NTSC フィルター"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_JA "さまざまな NTSC TV 信号を再現するためにビデオフィルターを適用します。"
#define OPTION_VAL_MONOCHROME_JA "白黒"
#define OPTION_VAL_COMPOSITE_JA "コンポジット"
#define OPTION_VAL_SVIDEO_JA "S端子"
#define OPTION_VAL_RGB_JA NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_JA "液晶ディスプレイ残像フィルター"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_JA "ゲームギアの液晶ディスプレイの残像感を再現するために、イメージに [残像] フィルターを適用します。"
#define GENESIS_PLUS_GX_RENDER_LABEL_JA "インターレースモード 2 出力"
#define GENESIS_PLUS_GX_RENDER_INFO_0_JA "インターレースモード 2 は、フレームごとに交互に走査線を描画することで、通常の 2 倍の高さの 320x448 画像を出力できます。[ダブルフィールド] は元のハードウェアを再現し、ちらつきやインターレースのアーティファクトを伴うシャープな画像を、[シングルフィールド] はインターレース解除フィルターを適用し、軽度のぼやけを代償に安定した画像を生成します。"
#define OPTION_VAL_SINGLE_FIELD_JA "シングルフィールド"
#define OPTION_VAL_DOUBLE_FIELD_JA "ダブルフィールド"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_JA "フレームスキップ"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_JA "フレームをスキップしてオーディオバッファアンダーラン (音割れ) を回避します。視覚的な滑らかさを犠牲にしてパフォーマンスを向上させます。[自動] はフロントエンドによって指示された場合にフレームをスキップします。[手動] は [フレームスキップしきい値 (%)] 設定を使用します。"
#define OPTION_VAL_MANUAL_JA "手動"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_JA "フレームスキップしきい値 (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_JA "[フレームスキップ] が [手動] に設定されている場合、フレームがスキップされるオーディオバッファ占有しきい値 (%) を指定します。値を高くするほど、より頻繁にフレームを落とすことで音割れが発生するリスクを軽減します。"
#define GENESIS_PLUS_GX_YM2413_LABEL_JA "マスターシステム FM (YM2413)"
#define GENESIS_PLUS_GX_YM2413_INFO_0_JA "いくつかのセガ・マークIII/マスターシステムゲームで使用される FM サウンドのエミュレーションを有効にして、オーディオ出力を強化します。"
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_JA "マスターシステム FM (YM2413) コア"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_JA "セガ・マーク III/マスターシステムの FM サウンドユニットをエミュレートするために使用する方式を選択します。[MAME] オプションは高速で、ほとんどのシステムで最高速度で動作します。[Nuked] オプションはサイクル精度が高く、非常に高品質ですが、高い CPU 性能を要求します。"
#define OPTION_VAL_MAME_JA NULL
#define OPTION_VAL_NUKED_JA NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_JA "メガドライブ FM"
#define GENESIS_PLUS_GX_YM2612_INFO_0_JA "メガドライブの FM シンセサイザーをエミュレートするために使用する方式を選択します。[MAME] オプションは高速で、ほとんどのシステムで最高速度で動作します。[Nuked] はサイクル精度が高く、非常に高品質ですが、高い CPU 性能を要求します。YM2612 チップは初期型メガドライブ/Genesis で使用され、YM3438 は後期型メガドライブ/Genesis で使用されました。"
#define GENESIS_PLUS_GX_YM2612_INFO_1_JA "メガドライブの FM シンセサイザーをエミュレートするために使用する方式を選択します。YM2612 チップは初期型メガドライブで使用され、YM3438 は後期型メガドライブで使用されました。"
#define OPTION_VAL_MAME_YM2612_JA NULL
#define OPTION_VAL_MAME_ASIC_YM3438_JA NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_JA NULL
#define OPTION_VAL_NUKED_YM2612_JA NULL
#define OPTION_VAL_NUKED_YM3438_JA NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_JA "サウンド出力"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_JA "サウンド再生をステレオにするかモノラルにするかを選択します。"
#define OPTION_VAL_STEREO_JA "ステレオ"
#define OPTION_VAL_MONO_JA "モノラル"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_JA "オーディオフィルター"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_JA "モデル 1 メガドライブの特徴的な音をよりよくシミュレートするために、ローパスオーディオフィルターを有効にします。"
#define OPTION_VAL_LOW_PASS_JA "ローパス"
#define OPTION_VAL_EQ_JA NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_JA "ローパスフィルター %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_JA "ローパスオーディオフィルターのカットオフ周波数を指定します。値を大きくするほど、高周波スペクトルの広い範囲が減衰するため、フィルターの「強さ」を感じやすくなります。"
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_JA "PSG プリアンプレベル"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_JA "エミュレートされた SN76496 4 チャンネルプログラマブルサウンドジェネレータのオーディオプリアンプレベルを設定します。このサウンドジェネレータは、SG-1000、セガ・マーク III、マスターシステム、ゲームギアおよびメガドライブに搭載されています。"
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_JA "FM プリアンプレベル"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_JA "エミュレートされたメガドライブ FM サウンドシンセサイザーまたはセガ・マーク III/マスターシステム FM サウンドユニットのオーディオプリアンプレベルを設定します。"
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_JA "CD-DA 音量"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_JA "エミュレートされた CD オーディオ再生出力のミキシング音量を調整します。"
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_JA "PCM 音量"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_JA "エミュレートされたメガ CD RF5C164 PCM サウンドジェネレータのミキシングボリュームを調整します。"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_JA "EQ 低"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_JA "内部オーディオイコライザの低音域を調整します。"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_JA "EQ 中"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_JA "内部オーディオイコライザの中音域を調整します。"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_JA "EQ 高"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_JA "内部オーディオイコライザの高音域を調整します。"
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_JA "ライトガン入力"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_JA "マウス操作の [ライトガン] または [タッチスクリーン] 入力を使用します。"
#define OPTION_VAL_LIGHTGUN_JA "ライトガン"
#define OPTION_VAL_TOUCHSCREEN_JA "タッチスクリーン"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_JA "ライトガンクロスヘアを表示"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_JA "入力デバイスの種類に [MD Menacer]、[MD Justifiers] または [MS Light Phaser] が設定されている場合、ライトガンのクロスヘアを表示します。"
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_JA "マウスの Y 軸を反転"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_JA "[MD Mouse] 入力デバイスの Y 軸を反転します。"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_JA "ラインごとのスプライト制限を削除"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_JA "スキャンライン/スプライトのハードウェア制限を解除します。チラつきを軽減しますが、一部のゲームはこの制限を描画に利用しているため、解除することで描画バグが発生する可能性があります。"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_JA "タイルごとの垂直スクロールの拡張"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_JA "隣接するセルの vscroll 値で平均化することで、各セルを 16px 2 セル の代わりに垂直にスクロールさせることができます。このハックは、2 セルの垂直スクロールモードを使用するゲームにのみ適用されます。"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_JA "タイルごとの垂直スクロールの拡張制限"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_JA "タイルごとの垂直スクロールの拡張が有効な場合にのみ、垂直スクロールの拡張制限を調整します。隣接するタイル間の vscroll の差がこの制限よりも大きい場合、拡張は無効になります。"
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_JA "CPU 速度"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_JA "エミュレートされた CPU をオーバークロックします。実行速度の低下を軽減できますが、不具合を引き起こす可能性があります。"
#define OPTION_VAL_100_JA NULL
#define OPTION_VAL_125_JA NULL
#define OPTION_VAL_150_JA NULL
#define OPTION_VAL_175_JA NULL
#define OPTION_VAL_200_JA NULL
#define OPTION_VAL_225_JA NULL
#define OPTION_VAL_250_JA NULL
#define OPTION_VAL_275_JA NULL
#define OPTION_VAL_300_JA NULL
#define OPTION_VAL_325_JA NULL
#define OPTION_VAL_350_JA NULL
#define OPTION_VAL_375_JA NULL
#define OPTION_VAL_400_JA NULL
#define OPTION_VAL_425_JA NULL
#define OPTION_VAL_450_JA NULL
#define OPTION_VAL_475_JA NULL
#define OPTION_VAL_500_JA NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_JA "システムロック"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_JA "不正なアドレスアクセスを実行する際に実際のハードウェア上で発生するシステムロックをエミュレートします。正常に動作させるために不正な動作に依存する特定のデモや Homebrew をプレイする場合にのみ無効にすることをお勧めします。"
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_JA "68K アドレスエラー"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_JA "メガドライブのメイン CPU (Motorola 68000) は、アラインされていないメモリアクセスを実行しようとするとアドレスエラー例外を生成します。有効にすると、この動作をシミュレートします。 ROM ハックをプレイする場合にのみ無効にしてください。精度の低いエミュレータで開発された ROM ハックは、正しく動作させるために無効な RAM アクセスに依存することがあります。"
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_JA "CD アクセス時間"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_JA "ロードされたディスクの特定領域への読み込みまたはシークを開始する際に、元の CD ハードウェアの遅延をシミュレートします。CD データが利用可能になるタイミングが早すぎるとクラッシュするゲームや、一部のゲームで発生する CD オーディオの同期ずれを修正するために必要となります。"
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_JA "CD イメージキャッシュ"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_JA "起動時に CD イメージをメモリにロードします。CHD でのみサポートされています。再起動が必要です。"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_JA "高度なオーディオ音量設定を表示 (メニューを再表示)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_JA "低レベルオーディオチャンネルパラメータの設定を有効にします。注意: この設定を反映するにはクイックメニューを切り替える必要があります。"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_JA "PSG トーンチャンネル 0 音量 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_JA "PSG トーンチャンネル 0 の音量を下げます。"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_JA "PSG トーンチャンネル 1 音量 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_JA "PSG トーンチャンネル 1 の音量を下げます。"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_JA "PSG トーンチャンネル 2 音量 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_JA "PSG トーンチャンネル 2 の音量を下げます。"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_JA "PSG ノイズチャンネル 3 音量 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_JA "PSG ノイズチャンネル 3 の音量を下げます。"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_JA "メガドライブ FM チャンネル 0 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_JA "メガドライブ FM チャンネル 0 の音量を下げます。MAME FM エミュレータでのみ動作します。"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_JA "メガドライブ FM チャンネル 1 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_JA "メガドライブ FM チャンネル 1 の音量を下げます。MAME FM エミュレータでのみ動作します。"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_JA "メガドライブ FM チャンネル 2 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_JA "メガドライブ FM チャンネル 2 の音量を下げます。MAME FM エミュレータでのみ動作します。"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_JA "メガドライブ FM チャンネル 3 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_JA "メガドライブ FM チャンネル 3 の音量を下げます。MAME FM エミュレータでのみ動作します。"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_JA "メガドライブ FM チャンネル 4 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_JA "メガドライブ FM チャンネル 4 の音量を下げます。MAME FM エミュレータでのみ動作します。"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_JA "メガドライブ FM チャンネル 5 音量 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_JA "メガドライブ FM チャンネル 5 の音量を下げます。MAME FM エミュレータでのみ動作します。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 0 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 0 の音量を下げます。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 1 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 1 の音量を下げます。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 2 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 2 の音量を下げます。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 3 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 3 の音量を下げます。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 4 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 4 の音量を下げます。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 5 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 5 の音量を下げます。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 6 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 6 の音量を下げます。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 7 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 7 の音量を下げます。"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_JA "マスターシステム FM (YM2413) チャンネル 8 音量 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_JA "マスターシステム FM チャンネル 8 の音量を下げます。"

struct retro_core_option_v2_category option_cats_ja[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_JA,
      CATEGORY_SYSTEM_INFO_0_JA
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_JA,
      CATEGORY_VIDEO_INFO_0_JA
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_JA,
      CATEGORY_AUDIO_INFO_0_JA
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_JA,
      CATEGORY_INPUT_INFO_0_JA
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_JA,
      CATEGORY_HACKS_INFO_0_JA
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_JA,
      CATEGORY_CHANNEL_VOLUME_INFO_0_JA
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_ja[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_JA,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_JA                 },
         { "sg-1000",              OPTION_VAL_SG_1000_JA              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_JA           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_JA},
         { "mark-III",             OPTION_VAL_MARK_III_JA             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_JA        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_JA     },
         { "game gear",            OPTION_VAL_GAME_GEAR_JA            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_JA   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_JA,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_JA   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_JA },
         { "pal",     OPTION_VAL_PAL_JA    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_JA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_JA,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_JA },
         { "50hz",  OPTION_VAL_50HZ_JA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_JA,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_JA,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_JA },
         { "per game", OPTION_VAL_PER_GAME_JA },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_JA,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_JA },
         { "per game", OPTION_VAL_PER_GAME_JA },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_JA,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_JA  },
         { "256k",     OPTION_VAL_256K_JA  },
         { "512k",     OPTION_VAL_512K_JA  },
         { "1meg",     OPTION_VAL_1MEG_JA    },
         { "2meg",     OPTION_VAL_2MEG_JA    },
         { "4meg",     OPTION_VAL_4MEG_JA    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_JA,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_JA },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_JA },
         { "megasd",       OPTION_VAL_MEGASD_JA },
         { "none",         OPTION_VAL_NONE_JA },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_JA,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_JA },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_JA },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_JA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_JA,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_JA },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_JA },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_JA },
         { "4:3",  OPTION_VAL_4_3_JA },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_JA },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_JA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_JA },
         { "left/right", OPTION_VAL_LEFT_RIGHT_JA },
         { "full",       OPTION_VAL_FULL_JA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_JA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_JA },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_JA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_JA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_JA,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_JA },
         { "composite",  OPTION_VAL_COMPOSITE_JA },
         { "svideo",     OPTION_VAL_SVIDEO_JA },
         { "rgb",        OPTION_VAL_RGB_JA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_JA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_JA,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_JA },
         { "double field", OPTION_VAL_DOUBLE_FIELD_JA },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_JA,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_JA },
         { "manual",   OPTION_VAL_MANUAL_JA },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_JA,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_JA,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_JA },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_JA,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_JA },
         { "nuked", OPTION_VAL_NUKED_JA },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_JA,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_JA,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_JA,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_JA },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_JA },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_JA },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_JA },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_JA },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_JA,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_JA },
         { "mono",   OPTION_VAL_MONO_JA },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_JA,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_JA },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_JA },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_JA,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_JA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_JA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_JA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_JA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_JA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_JA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_JA,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_JA,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_JA },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_JA },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_JA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_JA,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_JA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_JA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_JA,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_JA,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_JA },
         { "125", OPTION_VAL_125_JA },
         { "150", OPTION_VAL_150_JA },
         { "175", OPTION_VAL_175_JA },
         { "200", OPTION_VAL_200_JA },
         { "225", OPTION_VAL_225_JA },
         { "250", OPTION_VAL_250_JA },
         { "275", OPTION_VAL_275_JA },
         { "300", OPTION_VAL_300_JA },
         { "325", OPTION_VAL_325_JA },
         { "350", OPTION_VAL_350_JA },
         { "375", OPTION_VAL_375_JA },
         { "400", OPTION_VAL_400_JA },
         { "425", OPTION_VAL_425_JA },
         { "450", OPTION_VAL_450_JA },
         { "475", OPTION_VAL_475_JA },
         { "500", OPTION_VAL_500_JA },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_JA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_JA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_JA,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_JA,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_JA,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_JA,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_ja = {
   option_cats_ja,
   option_defs_ja
};

/* RETRO_LANGUAGE_KO */

#define CATEGORY_SYSTEM_LABEL_KO "시스템"
#define CATEGORY_SYSTEM_INFO_0_KO "기본 하드웨어, 지역, BIOS, Sega CD/Mega-CD 저장 파일 등의 설정을 변경합니다."
#define CATEGORY_VIDEO_LABEL_KO "비디오"
#define CATEGORY_VIDEO_INFO_0_KO "화면비, 잘라내기, 비디오 필터, 프레임 스킵 등의 설정을 변경합니다."
#define CATEGORY_AUDIO_LABEL_KO "오디오"
#define CATEGORY_AUDIO_INFO_0_KO "오디오 장치 설정을 변경합니다."
#define CATEGORY_INPUT_LABEL_KO "입력"
#define CATEGORY_INPUT_INFO_0_KO "라이트 건 및 마우스 설정을 변경합니다."
#define CATEGORY_HACKS_LABEL_KO "에뮬레이션 핵"
#define CATEGORY_HACKS_INFO_0_KO "성능과 호환성에 영향을 끼치는 프로세서 오버클러킹 및 에뮬레이션 정확도 설정 등을 변경합니다."
#define CATEGORY_CHANNEL_VOLUME_LABEL_KO "고급 채널 볼륨 설정"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_KO "개별 하드웨어 오디오 채널의 볼륨을 변경합니다."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_KO "시스템 하드웨어"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_KO "불러온 컨텐츠를 실행할 콘솔을 선택합니다. '자동'으로 설정하면 게임에 가장 적절한 시스템을 자동으로 선택합니다."
#define OPTION_VAL_AUTO_KO "자동"
#define OPTION_VAL_SG_1000_KO NULL
#define OPTION_VAL_SG_1000_II_KO NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_KO "SG-1000 II + 램확장팩"
#define OPTION_VAL_MARK_III_KO NULL
#define OPTION_VAL_MASTER_SYSTEM_KO NULL
#define OPTION_VAL_MASTER_SYSTEM_II_KO NULL
#define OPTION_VAL_GAME_GEAR_KO NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_KO NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_KO "시스템 지역"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_KO "시스템의 지역을 선택합니다. Game Gear를 제외한 다른 콘솔들에게 'PAL'은 50 Hz, 'NTSC'는 60 Hz입니다. 잘못된 지역을 선택할 경우 게임이 정상 속도보다 빠르거나 느리게 실행될 수 있습니다."
#define OPTION_VAL_NTSC_U_KO NULL
#define OPTION_VAL_PAL_KO NULL
#define OPTION_VAL_NTSC_J_KO NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_KO "강제 VDP 모드"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_KO "VDP 모드를 재정의하여 시스템 지역에 관계없이 NTSC 60Hz 또는 PAL 50Hz에서 강제로 실행되도록 합니다."
#define OPTION_VAL_60HZ_KO NULL
#define OPTION_VAL_50HZ_KO NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_KO "시스템 부트 롬"
#define GENESIS_PLUS_GX_BIOS_INFO_0_KO "하드웨어의 공식 BIOS/부트로더를 사용합니다. 해당되는 파일이 RetroArch의 시스템 디렉토리에 존재해야 합니다. 콘솔 특유의 시작 시퀀스/애니메이션을 표시하고 컨텐츠를 실행합니다."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_KO "CD 시스템 BRAM (재시작 필요)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_KO "Sega CD/Mega-CD 컨텐츠를 실행할 때, 특정 지역의 모든 게임 간에 단일 세이브 파일을 사용할지(BIOS별), 각 게임마다 별도의 세이브 파일을 사용할지(게임별)를 선택합니다. Sega CD/Mega-CD의 내부 저장소는 아주 작아 게임 몇 개의 데이터만 저장할 수 있으므로, 용량 부족 방지를 위해 '게임별' 설정을 사용할 것을 권장합니다."
#define OPTION_VAL_PER_BIOS_KO "BIOS별"
#define OPTION_VAL_PER_GAME_KO "게임별"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_KO "CD 백업 카트리지 BRAM (재시작 필요)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_KO "Sega CD/Mega-CD 컨텐츠를 실행할 때, 모든 게임 간에 단일 백업 RAM 카트리지를 사용할지(카트리지별), 각 게임마다 별도의 백업 RAM 카트리지를 사용할지(게임별)를 선택합니다."
#define OPTION_VAL_PER_CART_KO "카트리지별"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_KO "CD 백업 카트리지 BRAM 크기 (재시작 필요)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_KO "Sega CD/Mega-CD 컨텐츠를 실행할 때 사용할 백업 RAM 카트리지의 크기를 설정합니다. 게임별 백업 RAM 카트리지 사용 시 여러 크기의 카트리지가 생기는 것을 방지하고자 할 때 유용합니다."
#define OPTION_VAL_128K_KO NULL
#define OPTION_VAL_256K_KO NULL
#define OPTION_VAL_512K_KO NULL
#define OPTION_VAL_1MEG_KO NULL
#define OPTION_VAL_2MEG_KO NULL
#define OPTION_VAL_4MEG_KO NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_KO "CD 애드온 (MD 모드) (재시작 필요)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_KO "지원되는 Mega Drive/Genesis 게임의 CD 오디오 재생을 위해 사용할 애드온을 선택합니다."
#define OPTION_VAL_SEGA_MEGA_CD_KO NULL
#define OPTION_VAL_MEGASD_KO NULL
#define OPTION_VAL_NONE_KO "없음"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_KO "카트리지 록온"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_KO "록온 기술은 특별한 카트리지의 패스스루 포트에 다른 게임을 연결해 추가적인 게임플레이를 구현하는 Mega Drive/Genesis의 기능입니다. 이 옵션은 어떤 '락온' 카트리지를 사용할지 설정합니다. 해당되는 BIOS 파일이 RetroArch의 시스템 디렉토리에 존재해야 합니다."
#define OPTION_VAL_GAME_GENIE_KO NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_KO NULL
#define OPTION_VAL_SONIC_KNUCKLES_KO NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_KO "코어 제공 화면비"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_KO "선호하는 콘텐츠 화면비를 선택합니다. RetroArch의 비디오 설정에서 화면비가 'Core provided'로 설정되어 있어야 적용됩니다."
#define OPTION_VAL_NTSC_PAR_KO NULL
#define OPTION_VAL_PAL_PAR_KO NULL
#define OPTION_VAL_4_3_KO NULL
#define OPTION_VAL_UNCORRECTED_KO "교정 안 됨"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_KO "테두리"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_KO "이 옵션을 활성화하면 화면의 위/아래 또는 좌/우 오버스캔 지역을 표시합니다. 이 지역은 일반적으로 텔레비전의 베젤에 가려져 표시되지 않습니다."
#define OPTION_VAL_TOP_BOTTOM_KO "위/아래"
#define OPTION_VAL_LEFT_RIGHT_KO "좌/우"
#define OPTION_VAL_FULL_KO "모두"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_KO "Master System 테두리 숨기기"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_KO "Master System 게임을 실행할 때 화면을 왼쪽 또는 왼쪽과 오른쪽에서 8픽셀씩 잘라냅니다."
#define OPTION_VAL_LEFT_BORDER_KO "왼쪽만"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_KO "왼쪽 및 오른쪽"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_KO "Game Gear 화면 확장"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_KO "Game Gear 게임을 강제로 256x192의 확장된 해상도를 가지는 SMS 모드로 실행합니다. 더 많은 컨텐츠를 보여줄 수도 있지만, 일반적으로 망가진 이미지 데이터로 이루어진 테두리가 표시됩니다."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_KO "Blargg NTSC 필터"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_KO "다양한 NTSC TV 신호를 흉내내는 비디오 필터를 적용합니다."
#define OPTION_VAL_MONOCHROME_KO "흑백"
#define OPTION_VAL_COMPOSITE_KO "컴포지트"
#define OPTION_VAL_SVIDEO_KO "S-비디오"
#define OPTION_VAL_RGB_KO NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_KO "LCD 고스팅 필터"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_KO "Game Gear 또는 Genesis Nomad의 LCD 패널에서 나타나는 이미지 '고스팅' 현상을 흉내내는 비디오 필터를 적용합니다."
#define GENESIS_PLUS_GX_RENDER_LABEL_KO "인터레이스 모드 2 출력"
#define GENESIS_PLUS_GX_RENDER_INFO_0_KO "인터레이스 모드 2는 Mega Drive/Genesis가 매 프레임마다 다른 스캔라인을 사용하여 기존 해상도의 2배인 320x448의 고해상도를 사용할 수 있게 합니다. 이 기술은 Sonic the Hedgehog 2와 Combat Cars의 멀티플레이어 모드에 사용되었습니다. '이중 필드'는 원본 하드웨어의 동작을 따라하여 날카롭지만 깜빡이며 지저분한 이미지를 표시합니다. '단일 필드'는 디인터레이싱 필터를 적용하여 안정적이지만 다소 부드러운 이미지를 표시합니다."
#define OPTION_VAL_SINGLE_FIELD_KO "단일 필드"
#define OPTION_VAL_DOUBLE_FIELD_KO "이중 필드"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_KO "프레임 스킵"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_KO "오디오 버퍼 언더런(소리깨짐) 을 줄이기 위해 프레임 건너뛰기를 합니다. 시각적인 부드러움을 포기하는 대신 성능이 향상됩니다. '자동'은 프론트엔드의 추천값으로 실행되고 '사용자 설정'은 '프레임 스킵 임계값(%)' 설정을 이용해 실행됩니다."
#define OPTION_VAL_MANUAL_KO "수동"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_KO "프레임 스킵 임계값 (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_KO "'프레임 건너뛰기'가 '사용자 설정'일 경우 건너뛸 프레임에 대한 오디오 버퍼 점유 임계점 (퍼센트) 을 설정하게됩니다. 값이 높을 수록 프레임은 떨어지고 그 대신 소리 깨짐 현상은 줄어들게 됩니다."
#define GENESIS_PLUS_GX_YM2413_LABEL_KO NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_KO "세가 Mark III/Master System에 사용된 FM 사운드 유닛의 에뮬레이션을 활성화하여 오디오 출력을 향상시킵니다."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_KO "Master System FM (YM2413) 코어"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_KO "세가 Mark III/Master System의 FM 사운드 유닛을 에뮬레이트할 방식을 선택합니다. 'MAME' 옵션은 빠르고 거의 모든 시스템에서 풀 스피드로 구동됩니다. 'Nuked' 옵션은 사이클 수준 정확도를 가지며, 매우 높은 품질을 제공하지만 강력한 CPU를 필요로 합니다."
#define OPTION_VAL_MAME_KO NULL
#define OPTION_VAL_NUKED_KO NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_KO NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_KO "Mega Drive/Genesis의 FM 신시사이저(주 사운드 생성기)를 에뮬레이트할 방식을 선택합니다. 'MAME' 옵션은 빠르고 거의 모든 시스템에서 풀 스피드로 구동됩니다. 'Nuked' 옵션은 사이클 수준 정확도를 가지며, 매우 높은 품질을 제공하지만 강력한 CPU를 필요로 합니다. YM2612 칩은 원조 모델 1 Mega Drive/Genesis에서 사용된 칩이며 YM3438은 후기 Mega Drive/Genesis 리비전에서 사용된 칩입니다."
#define GENESIS_PLUS_GX_YM2612_INFO_1_KO "Mega Drive/Genesis의 FM 신시사이저(주 사운드 생성기)를 에뮬레이트할 방식을 선택합니다. YM2612 칩은 원조 모델 1 Mega Drive/Genesis에서 사용된 칩이며 YM3438은 후기 Mega Drive/Genesis 리비전에서 사용된 칩입니다."
#define OPTION_VAL_MAME_YM2612_KO NULL
#define OPTION_VAL_MAME_ASIC_YM3438_KO NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_KO "MAME (개선된 YM3438)"
#define OPTION_VAL_NUKED_YM2612_KO NULL
#define OPTION_VAL_NUKED_YM3438_KO NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_KO "소리 출력"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_KO "스테레오/모노 소리 재생을 선택합니다."
#define OPTION_VAL_STEREO_KO "스테레오"
#define OPTION_VAL_MONO_KO "모노"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_KO "오디오 필터"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_KO "로우패스 오디오 필터를 사용하여 모델 1 Mega Drive/Genesis의 소리 특징을 더욱 정확히 구현합니다."
#define OPTION_VAL_LOW_PASS_KO "로우패스"
#define OPTION_VAL_EQ_KO NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_KO "로우패스 필터 %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_KO "오디오 로우패스 필터의 컷오프 주파수를 지정합니다. 높은 값은 더 넓은 범위의 고주파음을 차단하여 필터의 '강도'를 높입니다."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_KO "PSG 프리앰프 수준"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_KO "SG-1000, Sega Mark III, Master System, Game Gear, Mega Drive/Genesis에서 사용되는 SN76496 4채널 PSG의 에뮬레이션의 프리앰프 수준을 설정합니다."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_KO "FM 프리앰프 수준"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_KO "Mega Drive/Genesis FM 신시사이저 및 Sega Mark III/Master System FM 사운드 유닛의 에뮬레이션의 프리앰프 수준을 설정합니다."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_KO "CD-DA 음량"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_KO "에뮬레이트된 CD 오디오 출력의 믹싱 볼륨을 조절합니다."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_KO "PCM 볼륨"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_KO "에뮬레이트된 Sega CD/Mega-CD RF5C164 PCM 사운드 발생기 출력의 믹싱 볼륨을 조절합니다."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_KO "EQ 저음"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_KO "내장 오디오 이퀄라이저의 저음 영역을 조정합니다."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_KO "EQ 중음"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_KO "내장 오디오 이퀄라이저의 중음 영역을 조정합니다."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_KO "EQ 고음"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_KO "내장 오디오 이퀄라이저의 고음 영역을 조정합니다."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_KO "라이트 건 입력"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_KO "마우스로 조종되는 '라이트 건' 또는 '터치스크린' 입력을 사용합니다."
#define OPTION_VAL_LIGHTGUN_KO "라이트 건"
#define OPTION_VAL_TOUCHSCREEN_KO "터치스크린"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_KO "라이트 건 조준선 표시"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_KO "MD Menacer, MD Justifiers, MS Light Phaser 등의 입력 장치를 사용할 때 라이트 건 조준선을 표시합니다."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_KO "마우스 Y축 반전"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_KO "MD Mouse 등의 입력 장치를 사용할 때 Y축 입력을 반전시킵니다."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_KO "스캔라인 당 스프라이트 제한 제거"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_KO "원본 하드웨어에 존재하는 스캔라인 당 스프라이트 제한을 제거합니다. 깜빡임을 줄여주지만 이러한 제한을 활용해 특별한 효과를 만들어내는 게임에서는 그래픽 오류가 일어날 수 있습니다."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_KO "타일 수직 스크롤 향상"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_KO "16픽셀 2셀 대신 인접한 셀의 세로 스크롤 값을 평균내어 각각의 개별 셀이 수직 스크롤 되도록 해줍니다. 이 핵은 2셀 세로 스크롤 모드를 사용하는 소수의 게임에만 적용됩니다."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_KO "타일 수직 스크롤 향상 제한"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_KO "타일별 세로 스크롤 향상을 활성화한 경우에만 해당합니다. 세로 스크롤 향상 한도를 조정합니다. 인접한 타일 간의 세로 스크롤 차이가 이 제한보다 크면 향상 기능이 비활성화됩니다."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_KO "CPU 속도"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_KO "에뮬레이트되는 CPU를 오버클럭합니다. 느려지는 현상을 줄일 수 있지만 버그가 발생할 수 있습니다."
#define OPTION_VAL_100_KO NULL
#define OPTION_VAL_125_KO NULL
#define OPTION_VAL_150_KO NULL
#define OPTION_VAL_175_KO NULL
#define OPTION_VAL_200_KO NULL
#define OPTION_VAL_225_KO NULL
#define OPTION_VAL_250_KO NULL
#define OPTION_VAL_275_KO NULL
#define OPTION_VAL_300_KO NULL
#define OPTION_VAL_325_KO NULL
#define OPTION_VAL_350_KO NULL
#define OPTION_VAL_375_KO NULL
#define OPTION_VAL_400_KO NULL
#define OPTION_VAL_425_KO NULL
#define OPTION_VAL_450_KO NULL
#define OPTION_VAL_475_KO NULL
#define OPTION_VAL_500_KO NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_KO "시스템 중단"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_KO "실제 하드웨어에서 잘못된 주소에 접근 시 발생하는 시스템 중단을 구현합니다. 이러한 미정의 행동을 올바르게 활용하는 일부 데모 또는 홈브루를 구동할 때만 비활성화되어야 합니다."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_KO "68K 주소 오류"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_KO "Mega Drive/Genesis의 주 CPU(Motorola 68000)는 정렬되지 않은 메모리 접근을 수행할 경우 주소 오류 예외(크래시)를 발생시킵니다. 이 옵션을 활성화하면 이 동작이 구현됩니다. 부정확한 에뮬레이터에서 개발되어 잘못된 메모리 접근을 활용하는 일부 ROM 핵을 구동할 때만 비활성화되어야 합니다."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_KO "CD 접속 시간"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_KO "읽기를 시작하거나 불러온 디스크의 특정 위치를 찾을 때 원본 CD 하드웨어 대기 시간을 시뮬레이션합니다. CD 데이터를 너무 빨리 불러와서 충돌이 발생하는 일부 CD 게임에 필요하며 또한 CD 오디오 비동기화 문제도 수정합니다. 이 기능을 비활성화하면 CD 오디오 트랙이 더 매끄럽게 반복되므로 MSU-MD 게임에 유용할 수 있습니다."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_KO "CD 이미지 캐시"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_KO "시작 시 CD 이미지를 메모리에 로드합니다. CHD만 지원됩니다. 다시 시작이 필요합니다."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_KO "고급 오디오 볼륨 설정 표시 (메뉴 다시 열기 필요)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_KO "저수준 오디오 채널 변수 설정을 활성화합니다. 주의: 이 설정은 빠른 메뉴를 껐다 켜야 반영됩니다."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_KO "PSG 소리 채널 0 볼륨 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_KO "PSG 소리 채널 0의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_KO "PSG 소리 채널 1 볼륨 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_KO "PSG 소리 채널 1의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_KO "PSG 소리 채널 2 볼륨 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_KO "PSG 소리 채널 2의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_KO "PSG 노이즈 채널 3 볼륨 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_KO "PSG 노이즈 채널 3의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_KO "Mega Drive/Genesis FM 채널 0 볼륨 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_KO "Mega Drive/Genesis FM 채널 0의 볼륨을 감소시킵니다. MAME FM 에뮬레이터에만 적용됩니다."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_KO "Mega Drive/Genesis FM 채널 1 볼륨 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_KO "Mega Drive/Genesis FM 채널 1의 볼륨을 감소시킵니다. MAME FM 에뮬레이터에만 적용됩니다."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_KO "Mega Drive/Genesis FM 채널 2 볼륨 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_KO "Mega Drive/Genesis FM 채널 2의 볼륨을 감소시킵니다. MAME FM 에뮬레이터에만 적용됩니다."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_KO "Mega Drive/Genesis FM 채널 3 볼륨 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_KO "Mega Drive/Genesis FM 채널 3의 볼륨을 감소시킵니다. MAME FM 에뮬레이터에만 적용됩니다."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_KO "Mega Drive/Genesis FM 채널 4 볼륨 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_KO "Mega Drive/Genesis FM 채널 4의 볼륨을 감소시킵니다. MAME FM 에뮬레이터에만 적용됩니다."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_KO "Mega Drive/Genesis FM 채널 5 볼륨 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_KO "Mega Drive/Genesis FM 채널 5의 볼륨을 감소시킵니다. MAME FM 에뮬레이터에만 적용됩니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 0 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_KO "Master System FM 채널 0의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 1 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_KO "Master System FM 채널 1의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 2 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_KO "Master System FM 채널 2의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 3 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_KO "Master System FM 채널 3의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 4 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_KO "Master System FM 채널 4의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 5 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_KO "Master System FM 채널 5의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 6 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_KO "Master System FM 채널 6의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 7 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_KO "Master System FM 채널 7의 볼륨을 감소시킵니다."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_KO "Master System FM (YM2413) 채널 8 볼륨 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_KO "Master System FM 채널 8의 볼륨을 감소시킵니다."

struct retro_core_option_v2_category option_cats_ko[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_KO,
      CATEGORY_SYSTEM_INFO_0_KO
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_KO,
      CATEGORY_VIDEO_INFO_0_KO
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_KO,
      CATEGORY_AUDIO_INFO_0_KO
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_KO,
      CATEGORY_INPUT_INFO_0_KO
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_KO,
      CATEGORY_HACKS_INFO_0_KO
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_KO,
      CATEGORY_CHANNEL_VOLUME_INFO_0_KO
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_ko[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_KO,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_KO                 },
         { "sg-1000",              OPTION_VAL_SG_1000_KO              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_KO           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_KO},
         { "mark-III",             OPTION_VAL_MARK_III_KO             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_KO        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_KO     },
         { "game gear",            OPTION_VAL_GAME_GEAR_KO            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_KO   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_KO,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_KO   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_KO },
         { "pal",     OPTION_VAL_PAL_KO    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_KO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_KO,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_KO },
         { "50hz",  OPTION_VAL_50HZ_KO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_KO,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_KO,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_KO },
         { "per game", OPTION_VAL_PER_GAME_KO },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_KO,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_KO },
         { "per game", OPTION_VAL_PER_GAME_KO },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_KO,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_KO  },
         { "256k",     OPTION_VAL_256K_KO  },
         { "512k",     OPTION_VAL_512K_KO  },
         { "1meg",     OPTION_VAL_1MEG_KO    },
         { "2meg",     OPTION_VAL_2MEG_KO    },
         { "4meg",     OPTION_VAL_4MEG_KO    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_KO,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_KO },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_KO },
         { "megasd",       OPTION_VAL_MEGASD_KO },
         { "none",         OPTION_VAL_NONE_KO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_KO,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_KO },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_KO },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_KO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_KO,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_KO },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_KO },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_KO },
         { "4:3",  OPTION_VAL_4_3_KO },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_KO },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_KO,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_KO },
         { "left/right", OPTION_VAL_LEFT_RIGHT_KO },
         { "full",       OPTION_VAL_FULL_KO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_KO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_KO },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_KO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_KO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_KO,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_KO },
         { "composite",  OPTION_VAL_COMPOSITE_KO },
         { "svideo",     OPTION_VAL_SVIDEO_KO },
         { "rgb",        OPTION_VAL_RGB_KO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_KO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_KO,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_KO },
         { "double field", OPTION_VAL_DOUBLE_FIELD_KO },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_KO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_KO },
         { "manual",   OPTION_VAL_MANUAL_KO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_KO,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_KO,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_KO },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_KO,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_KO },
         { "nuked", OPTION_VAL_NUKED_KO },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_KO,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_KO,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_KO,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_KO },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_KO },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_KO },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_KO },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_KO },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_KO,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_KO },
         { "mono",   OPTION_VAL_MONO_KO },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_KO,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_KO },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_KO },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_KO,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_KO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_KO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_KO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_KO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_KO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_KO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_KO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_KO,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_KO },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_KO },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_KO,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_KO,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_KO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_KO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_KO,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_KO,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_KO },
         { "125", OPTION_VAL_125_KO },
         { "150", OPTION_VAL_150_KO },
         { "175", OPTION_VAL_175_KO },
         { "200", OPTION_VAL_200_KO },
         { "225", OPTION_VAL_225_KO },
         { "250", OPTION_VAL_250_KO },
         { "275", OPTION_VAL_275_KO },
         { "300", OPTION_VAL_300_KO },
         { "325", OPTION_VAL_325_KO },
         { "350", OPTION_VAL_350_KO },
         { "375", OPTION_VAL_375_KO },
         { "400", OPTION_VAL_400_KO },
         { "425", OPTION_VAL_425_KO },
         { "450", OPTION_VAL_450_KO },
         { "475", OPTION_VAL_475_KO },
         { "500", OPTION_VAL_500_KO },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_KO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_KO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_KO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_KO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_KO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_KO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_ko = {
   option_cats_ko,
   option_defs_ko
};

/* RETRO_LANGUAGE_NL */

#define CATEGORY_SYSTEM_LABEL_NL "Systeem"
#define CATEGORY_SYSTEM_INFO_0_NL NULL
#define CATEGORY_VIDEO_LABEL_NL NULL
#define CATEGORY_VIDEO_INFO_0_NL NULL
#define CATEGORY_AUDIO_LABEL_NL "Geluid"
#define CATEGORY_AUDIO_INFO_0_NL NULL
#define CATEGORY_INPUT_LABEL_NL "Invoer"
#define CATEGORY_INPUT_INFO_0_NL NULL
#define CATEGORY_HACKS_LABEL_NL NULL
#define CATEGORY_HACKS_INFO_0_NL NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_NL NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_NL NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_NL NULL
#define OPTION_VAL_AUTO_NL "Automatisch"
#define OPTION_VAL_SG_1000_NL NULL
#define OPTION_VAL_SG_1000_II_NL NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_NL NULL
#define OPTION_VAL_MARK_III_NL NULL
#define OPTION_VAL_MASTER_SYSTEM_NL NULL
#define OPTION_VAL_MASTER_SYSTEM_II_NL NULL
#define OPTION_VAL_GAME_GEAR_NL NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_NL NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_NL NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_NL NULL
#define OPTION_VAL_NTSC_U_NL NULL
#define OPTION_VAL_PAL_NL NULL
#define OPTION_VAL_NTSC_J_NL NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_NL NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_NL NULL
#define OPTION_VAL_60HZ_NL NULL
#define OPTION_VAL_50HZ_NL NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_NL NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_NL NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_NL NULL
#define OPTION_VAL_PER_BIOS_NL NULL
#define OPTION_VAL_PER_GAME_NL NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_NL NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_NL NULL
#define OPTION_VAL_PER_CART_NL NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_NL NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_NL NULL
#define OPTION_VAL_128K_NL NULL
#define OPTION_VAL_256K_NL NULL
#define OPTION_VAL_512K_NL NULL
#define OPTION_VAL_1MEG_NL NULL
#define OPTION_VAL_2MEG_NL NULL
#define OPTION_VAL_4MEG_NL NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_NL NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_NL NULL
#define OPTION_VAL_SEGA_MEGA_CD_NL NULL
#define OPTION_VAL_MEGASD_NL NULL
#define OPTION_VAL_NONE_NL "Geen"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_NL NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_NL NULL
#define OPTION_VAL_GAME_GENIE_NL NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_NL NULL
#define OPTION_VAL_SONIC_KNUCKLES_NL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_NL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_NL NULL
#define OPTION_VAL_NTSC_PAR_NL NULL
#define OPTION_VAL_PAL_PAR_NL NULL
#define OPTION_VAL_4_3_NL NULL
#define OPTION_VAL_UNCORRECTED_NL NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_NL NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_NL NULL
#define OPTION_VAL_TOP_BOTTOM_NL NULL
#define OPTION_VAL_LEFT_RIGHT_NL NULL
#define OPTION_VAL_FULL_NL NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_NL NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_NL NULL
#define OPTION_VAL_LEFT_BORDER_NL NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_NL NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_NL NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_NL NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_NL NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_NL NULL
#define OPTION_VAL_MONOCHROME_NL NULL
#define OPTION_VAL_COMPOSITE_NL NULL
#define OPTION_VAL_SVIDEO_NL NULL
#define OPTION_VAL_RGB_NL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_NL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_NL NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_NL NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_NL NULL
#define OPTION_VAL_SINGLE_FIELD_NL NULL
#define OPTION_VAL_DOUBLE_FIELD_NL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_NL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_NL NULL
#define OPTION_VAL_MANUAL_NL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_NL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_NL NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_NL NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_NL NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_NL NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_NL NULL
#define OPTION_VAL_MAME_NL NULL
#define OPTION_VAL_NUKED_NL NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_NL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_NL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_NL NULL
#define OPTION_VAL_MAME_YM2612_NL NULL
#define OPTION_VAL_MAME_ASIC_YM3438_NL NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_NL NULL
#define OPTION_VAL_NUKED_YM2612_NL NULL
#define OPTION_VAL_NUKED_YM3438_NL NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_NL NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_NL NULL
#define OPTION_VAL_STEREO_NL NULL
#define OPTION_VAL_MONO_NL NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_NL NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_NL NULL
#define OPTION_VAL_LOW_PASS_NL NULL
#define OPTION_VAL_EQ_NL NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_NL NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_NL NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_NL NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_NL NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_NL NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_NL NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_NL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_NL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_NL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_NL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_NL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_NL NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_NL NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_NL NULL
#define OPTION_VAL_LIGHTGUN_NL NULL
#define OPTION_VAL_TOUCHSCREEN_NL NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_NL NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_NL NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_NL NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_NL NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_NL NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_NL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_NL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_NL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_NL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_NL NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_NL NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_NL NULL
#define OPTION_VAL_100_NL NULL
#define OPTION_VAL_125_NL NULL
#define OPTION_VAL_150_NL NULL
#define OPTION_VAL_175_NL NULL
#define OPTION_VAL_200_NL NULL
#define OPTION_VAL_225_NL NULL
#define OPTION_VAL_250_NL NULL
#define OPTION_VAL_275_NL NULL
#define OPTION_VAL_300_NL NULL
#define OPTION_VAL_325_NL NULL
#define OPTION_VAL_350_NL NULL
#define OPTION_VAL_375_NL NULL
#define OPTION_VAL_400_NL NULL
#define OPTION_VAL_425_NL NULL
#define OPTION_VAL_450_NL NULL
#define OPTION_VAL_475_NL NULL
#define OPTION_VAL_500_NL NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_NL NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_NL NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_NL NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_NL NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_NL NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_NL NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_NL NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_NL NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_NL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_NL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_NL NULL

struct retro_core_option_v2_category option_cats_nl[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_NL,
      CATEGORY_SYSTEM_INFO_0_NL
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_NL,
      CATEGORY_VIDEO_INFO_0_NL
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_NL,
      CATEGORY_AUDIO_INFO_0_NL
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_NL,
      CATEGORY_INPUT_INFO_0_NL
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_NL,
      CATEGORY_HACKS_INFO_0_NL
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_NL,
      CATEGORY_CHANNEL_VOLUME_INFO_0_NL
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_nl[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_NL,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_NL                 },
         { "sg-1000",              OPTION_VAL_SG_1000_NL              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_NL           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_NL},
         { "mark-III",             OPTION_VAL_MARK_III_NL             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_NL        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_NL     },
         { "game gear",            OPTION_VAL_GAME_GEAR_NL            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_NL   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_NL,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_NL   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_NL },
         { "pal",     OPTION_VAL_PAL_NL    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_NL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_NL,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_NL },
         { "50hz",  OPTION_VAL_50HZ_NL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_NL,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_NL,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_NL },
         { "per game", OPTION_VAL_PER_GAME_NL },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_NL,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_NL },
         { "per game", OPTION_VAL_PER_GAME_NL },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_NL,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_NL  },
         { "256k",     OPTION_VAL_256K_NL  },
         { "512k",     OPTION_VAL_512K_NL  },
         { "1meg",     OPTION_VAL_1MEG_NL    },
         { "2meg",     OPTION_VAL_2MEG_NL    },
         { "4meg",     OPTION_VAL_4MEG_NL    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_NL,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_NL },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_NL },
         { "megasd",       OPTION_VAL_MEGASD_NL },
         { "none",         OPTION_VAL_NONE_NL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_NL,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_NL },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_NL },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_NL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_NL,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_NL },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_NL },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_NL },
         { "4:3",  OPTION_VAL_4_3_NL },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_NL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_NL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_NL },
         { "left/right", OPTION_VAL_LEFT_RIGHT_NL },
         { "full",       OPTION_VAL_FULL_NL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_NL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_NL },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_NL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_NL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_NL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_NL },
         { "composite",  OPTION_VAL_COMPOSITE_NL },
         { "svideo",     OPTION_VAL_SVIDEO_NL },
         { "rgb",        OPTION_VAL_RGB_NL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_NL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_NL,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_NL },
         { "double field", OPTION_VAL_DOUBLE_FIELD_NL },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_NL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_NL },
         { "manual",   OPTION_VAL_MANUAL_NL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_NL,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_NL,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_NL },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_NL,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_NL },
         { "nuked", OPTION_VAL_NUKED_NL },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_NL,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_NL,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_NL,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_NL },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_NL },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_NL },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_NL },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_NL },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_NL,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_NL },
         { "mono",   OPTION_VAL_MONO_NL },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_NL,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_NL },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_NL },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_NL,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_NL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_NL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_NL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_NL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_NL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_NL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_NL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_NL,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_NL },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_NL },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_NL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_NL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_NL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_NL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_NL,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_NL,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_NL },
         { "125", OPTION_VAL_125_NL },
         { "150", OPTION_VAL_150_NL },
         { "175", OPTION_VAL_175_NL },
         { "200", OPTION_VAL_200_NL },
         { "225", OPTION_VAL_225_NL },
         { "250", OPTION_VAL_250_NL },
         { "275", OPTION_VAL_275_NL },
         { "300", OPTION_VAL_300_NL },
         { "325", OPTION_VAL_325_NL },
         { "350", OPTION_VAL_350_NL },
         { "375", OPTION_VAL_375_NL },
         { "400", OPTION_VAL_400_NL },
         { "425", OPTION_VAL_425_NL },
         { "450", OPTION_VAL_450_NL },
         { "475", OPTION_VAL_475_NL },
         { "500", OPTION_VAL_500_NL },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_NL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_NL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_NL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_NL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_NL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_NL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_nl = {
   option_cats_nl,
   option_defs_nl
};

/* RETRO_LANGUAGE_NO */

#define CATEGORY_SYSTEM_LABEL_NO NULL
#define CATEGORY_SYSTEM_INFO_0_NO NULL
#define CATEGORY_VIDEO_LABEL_NO NULL
#define CATEGORY_VIDEO_INFO_0_NO NULL
#define CATEGORY_AUDIO_LABEL_NO "Lyd"
#define CATEGORY_AUDIO_INFO_0_NO NULL
#define CATEGORY_INPUT_LABEL_NO "Inndata"
#define CATEGORY_INPUT_INFO_0_NO NULL
#define CATEGORY_HACKS_LABEL_NO NULL
#define CATEGORY_HACKS_INFO_0_NO NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_NO NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_NO NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_NO NULL
#define OPTION_VAL_AUTO_NO NULL
#define OPTION_VAL_SG_1000_NO NULL
#define OPTION_VAL_SG_1000_II_NO NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_NO NULL
#define OPTION_VAL_MARK_III_NO NULL
#define OPTION_VAL_MASTER_SYSTEM_NO NULL
#define OPTION_VAL_MASTER_SYSTEM_II_NO NULL
#define OPTION_VAL_GAME_GEAR_NO NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_NO NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_NO NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_NO NULL
#define OPTION_VAL_NTSC_U_NO NULL
#define OPTION_VAL_PAL_NO NULL
#define OPTION_VAL_NTSC_J_NO NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_NO NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_NO NULL
#define OPTION_VAL_60HZ_NO NULL
#define OPTION_VAL_50HZ_NO NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_NO NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_NO NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_NO NULL
#define OPTION_VAL_PER_BIOS_NO NULL
#define OPTION_VAL_PER_GAME_NO NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_NO NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_NO NULL
#define OPTION_VAL_PER_CART_NO NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_NO NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_NO NULL
#define OPTION_VAL_128K_NO NULL
#define OPTION_VAL_256K_NO NULL
#define OPTION_VAL_512K_NO NULL
#define OPTION_VAL_1MEG_NO NULL
#define OPTION_VAL_2MEG_NO NULL
#define OPTION_VAL_4MEG_NO NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_NO NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_NO NULL
#define OPTION_VAL_SEGA_MEGA_CD_NO NULL
#define OPTION_VAL_MEGASD_NO NULL
#define OPTION_VAL_NONE_NO "Ingen"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_NO NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_NO NULL
#define OPTION_VAL_GAME_GENIE_NO NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_NO NULL
#define OPTION_VAL_SONIC_KNUCKLES_NO NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_NO NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_NO NULL
#define OPTION_VAL_NTSC_PAR_NO NULL
#define OPTION_VAL_PAL_PAR_NO NULL
#define OPTION_VAL_4_3_NO NULL
#define OPTION_VAL_UNCORRECTED_NO NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_NO NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_NO NULL
#define OPTION_VAL_TOP_BOTTOM_NO NULL
#define OPTION_VAL_LEFT_RIGHT_NO NULL
#define OPTION_VAL_FULL_NO NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_NO NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_NO NULL
#define OPTION_VAL_LEFT_BORDER_NO NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_NO NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_NO NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_NO NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_NO NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_NO NULL
#define OPTION_VAL_MONOCHROME_NO NULL
#define OPTION_VAL_COMPOSITE_NO NULL
#define OPTION_VAL_SVIDEO_NO NULL
#define OPTION_VAL_RGB_NO NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_NO NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_NO NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_NO NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_NO NULL
#define OPTION_VAL_SINGLE_FIELD_NO NULL
#define OPTION_VAL_DOUBLE_FIELD_NO NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_NO NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_NO NULL
#define OPTION_VAL_MANUAL_NO "Manuell"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_NO NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_NO NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_NO NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_NO NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_NO NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_NO NULL
#define OPTION_VAL_MAME_NO NULL
#define OPTION_VAL_NUKED_NO NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_NO NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_NO NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_NO NULL
#define OPTION_VAL_MAME_YM2612_NO NULL
#define OPTION_VAL_MAME_ASIC_YM3438_NO NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_NO NULL
#define OPTION_VAL_NUKED_YM2612_NO NULL
#define OPTION_VAL_NUKED_YM3438_NO NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_NO NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_NO NULL
#define OPTION_VAL_STEREO_NO NULL
#define OPTION_VAL_MONO_NO NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_NO NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_NO NULL
#define OPTION_VAL_LOW_PASS_NO NULL
#define OPTION_VAL_EQ_NO NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_NO NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_NO NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_NO NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_NO NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_NO NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_NO NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_NO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_NO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_NO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_NO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_NO NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_NO NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_NO NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_NO NULL
#define OPTION_VAL_LIGHTGUN_NO NULL
#define OPTION_VAL_TOUCHSCREEN_NO NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_NO NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_NO NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_NO NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_NO NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_NO NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_NO NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_NO NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_NO NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_NO NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_NO NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_NO NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_NO NULL
#define OPTION_VAL_100_NO NULL
#define OPTION_VAL_125_NO NULL
#define OPTION_VAL_150_NO NULL
#define OPTION_VAL_175_NO NULL
#define OPTION_VAL_200_NO NULL
#define OPTION_VAL_225_NO NULL
#define OPTION_VAL_250_NO NULL
#define OPTION_VAL_275_NO NULL
#define OPTION_VAL_300_NO NULL
#define OPTION_VAL_325_NO NULL
#define OPTION_VAL_350_NO NULL
#define OPTION_VAL_375_NO NULL
#define OPTION_VAL_400_NO NULL
#define OPTION_VAL_425_NO NULL
#define OPTION_VAL_450_NO NULL
#define OPTION_VAL_475_NO NULL
#define OPTION_VAL_500_NO NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_NO NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_NO NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_NO NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_NO NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_NO NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_NO NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_NO NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_NO NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_NO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_NO NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_NO NULL

struct retro_core_option_v2_category option_cats_no[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_NO,
      CATEGORY_SYSTEM_INFO_0_NO
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_NO,
      CATEGORY_VIDEO_INFO_0_NO
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_NO,
      CATEGORY_AUDIO_INFO_0_NO
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_NO,
      CATEGORY_INPUT_INFO_0_NO
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_NO,
      CATEGORY_HACKS_INFO_0_NO
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_NO,
      CATEGORY_CHANNEL_VOLUME_INFO_0_NO
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_no[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_NO,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_NO                 },
         { "sg-1000",              OPTION_VAL_SG_1000_NO              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_NO           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_NO},
         { "mark-III",             OPTION_VAL_MARK_III_NO             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_NO        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_NO     },
         { "game gear",            OPTION_VAL_GAME_GEAR_NO            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_NO   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_NO,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_NO   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_NO },
         { "pal",     OPTION_VAL_PAL_NO    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_NO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_NO,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_NO },
         { "50hz",  OPTION_VAL_50HZ_NO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_NO,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_NO,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_NO },
         { "per game", OPTION_VAL_PER_GAME_NO },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_NO,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_NO },
         { "per game", OPTION_VAL_PER_GAME_NO },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_NO,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_NO  },
         { "256k",     OPTION_VAL_256K_NO  },
         { "512k",     OPTION_VAL_512K_NO  },
         { "1meg",     OPTION_VAL_1MEG_NO    },
         { "2meg",     OPTION_VAL_2MEG_NO    },
         { "4meg",     OPTION_VAL_4MEG_NO    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_NO,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_NO },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_NO },
         { "megasd",       OPTION_VAL_MEGASD_NO },
         { "none",         OPTION_VAL_NONE_NO },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_NO,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_NO },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_NO },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_NO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_NO,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_NO },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_NO },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_NO },
         { "4:3",  OPTION_VAL_4_3_NO },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_NO },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_NO,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_NO },
         { "left/right", OPTION_VAL_LEFT_RIGHT_NO },
         { "full",       OPTION_VAL_FULL_NO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_NO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_NO },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_NO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_NO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_NO,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_NO },
         { "composite",  OPTION_VAL_COMPOSITE_NO },
         { "svideo",     OPTION_VAL_SVIDEO_NO },
         { "rgb",        OPTION_VAL_RGB_NO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_NO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_NO,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_NO },
         { "double field", OPTION_VAL_DOUBLE_FIELD_NO },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_NO,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_NO },
         { "manual",   OPTION_VAL_MANUAL_NO },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_NO,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_NO,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_NO },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_NO,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_NO },
         { "nuked", OPTION_VAL_NUKED_NO },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_NO,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_NO,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_NO,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_NO },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_NO },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_NO },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_NO },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_NO },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_NO,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_NO },
         { "mono",   OPTION_VAL_MONO_NO },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_NO,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_NO },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_NO },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_NO,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_NO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_NO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_NO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_NO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_NO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_NO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_NO,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_NO,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_NO },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_NO },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_NO,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_NO,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_NO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_NO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_NO,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_NO,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_NO },
         { "125", OPTION_VAL_125_NO },
         { "150", OPTION_VAL_150_NO },
         { "175", OPTION_VAL_175_NO },
         { "200", OPTION_VAL_200_NO },
         { "225", OPTION_VAL_225_NO },
         { "250", OPTION_VAL_250_NO },
         { "275", OPTION_VAL_275_NO },
         { "300", OPTION_VAL_300_NO },
         { "325", OPTION_VAL_325_NO },
         { "350", OPTION_VAL_350_NO },
         { "375", OPTION_VAL_375_NO },
         { "400", OPTION_VAL_400_NO },
         { "425", OPTION_VAL_425_NO },
         { "450", OPTION_VAL_450_NO },
         { "475", OPTION_VAL_475_NO },
         { "500", OPTION_VAL_500_NO },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_NO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_NO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_NO,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_NO,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_NO,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_NO,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_no = {
   option_cats_no,
   option_defs_no
};

/* RETRO_LANGUAGE_OR */

#define CATEGORY_SYSTEM_LABEL_OR NULL
#define CATEGORY_SYSTEM_INFO_0_OR NULL
#define CATEGORY_VIDEO_LABEL_OR "ଵିଡ଼ିଓ"
#define CATEGORY_VIDEO_INFO_0_OR NULL
#define CATEGORY_AUDIO_LABEL_OR "ଅଡ଼ିଓ"
#define CATEGORY_AUDIO_INFO_0_OR NULL
#define CATEGORY_INPUT_LABEL_OR NULL
#define CATEGORY_INPUT_INFO_0_OR NULL
#define CATEGORY_HACKS_LABEL_OR NULL
#define CATEGORY_HACKS_INFO_0_OR NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_OR NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_OR NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_OR NULL
#define OPTION_VAL_AUTO_OR NULL
#define OPTION_VAL_SG_1000_OR NULL
#define OPTION_VAL_SG_1000_II_OR NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_OR NULL
#define OPTION_VAL_MARK_III_OR NULL
#define OPTION_VAL_MASTER_SYSTEM_OR NULL
#define OPTION_VAL_MASTER_SYSTEM_II_OR NULL
#define OPTION_VAL_GAME_GEAR_OR NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_OR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_OR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_OR NULL
#define OPTION_VAL_NTSC_U_OR NULL
#define OPTION_VAL_PAL_OR NULL
#define OPTION_VAL_NTSC_J_OR NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_OR NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_OR NULL
#define OPTION_VAL_60HZ_OR NULL
#define OPTION_VAL_50HZ_OR NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_OR NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_OR NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_OR NULL
#define OPTION_VAL_PER_BIOS_OR NULL
#define OPTION_VAL_PER_GAME_OR NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_OR NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_OR NULL
#define OPTION_VAL_PER_CART_OR NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_OR NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_OR NULL
#define OPTION_VAL_128K_OR NULL
#define OPTION_VAL_256K_OR NULL
#define OPTION_VAL_512K_OR NULL
#define OPTION_VAL_1MEG_OR NULL
#define OPTION_VAL_2MEG_OR NULL
#define OPTION_VAL_4MEG_OR NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_OR NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_OR NULL
#define OPTION_VAL_SEGA_MEGA_CD_OR NULL
#define OPTION_VAL_MEGASD_OR NULL
#define OPTION_VAL_NONE_OR NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_OR NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_OR NULL
#define OPTION_VAL_GAME_GENIE_OR NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_OR NULL
#define OPTION_VAL_SONIC_KNUCKLES_OR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_OR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_OR NULL
#define OPTION_VAL_NTSC_PAR_OR NULL
#define OPTION_VAL_PAL_PAR_OR NULL
#define OPTION_VAL_4_3_OR NULL
#define OPTION_VAL_UNCORRECTED_OR NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_OR NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_OR NULL
#define OPTION_VAL_TOP_BOTTOM_OR NULL
#define OPTION_VAL_LEFT_RIGHT_OR NULL
#define OPTION_VAL_FULL_OR NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_OR NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_OR NULL
#define OPTION_VAL_LEFT_BORDER_OR NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_OR NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_OR NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_OR NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_OR NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_OR NULL
#define OPTION_VAL_MONOCHROME_OR NULL
#define OPTION_VAL_COMPOSITE_OR NULL
#define OPTION_VAL_SVIDEO_OR NULL
#define OPTION_VAL_RGB_OR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_OR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_OR NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_OR NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_OR NULL
#define OPTION_VAL_SINGLE_FIELD_OR NULL
#define OPTION_VAL_DOUBLE_FIELD_OR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_OR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_OR NULL
#define OPTION_VAL_MANUAL_OR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_OR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_OR NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_OR NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_OR NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_OR NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_OR NULL
#define OPTION_VAL_MAME_OR NULL
#define OPTION_VAL_NUKED_OR NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_OR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_OR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_OR NULL
#define OPTION_VAL_MAME_YM2612_OR NULL
#define OPTION_VAL_MAME_ASIC_YM3438_OR NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_OR NULL
#define OPTION_VAL_NUKED_YM2612_OR NULL
#define OPTION_VAL_NUKED_YM3438_OR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_OR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_OR NULL
#define OPTION_VAL_STEREO_OR NULL
#define OPTION_VAL_MONO_OR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_OR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_OR NULL
#define OPTION_VAL_LOW_PASS_OR NULL
#define OPTION_VAL_EQ_OR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_OR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_OR NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_OR NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_OR NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_OR NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_OR NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_OR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_OR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_OR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_OR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_OR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_OR NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_OR NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_OR NULL
#define OPTION_VAL_LIGHTGUN_OR NULL
#define OPTION_VAL_TOUCHSCREEN_OR NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_OR NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_OR NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_OR NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_OR NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_OR NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_OR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_OR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_OR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_OR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_OR NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_OR NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_OR NULL
#define OPTION_VAL_100_OR NULL
#define OPTION_VAL_125_OR NULL
#define OPTION_VAL_150_OR NULL
#define OPTION_VAL_175_OR NULL
#define OPTION_VAL_200_OR NULL
#define OPTION_VAL_225_OR NULL
#define OPTION_VAL_250_OR NULL
#define OPTION_VAL_275_OR NULL
#define OPTION_VAL_300_OR NULL
#define OPTION_VAL_325_OR NULL
#define OPTION_VAL_350_OR NULL
#define OPTION_VAL_375_OR NULL
#define OPTION_VAL_400_OR NULL
#define OPTION_VAL_425_OR NULL
#define OPTION_VAL_450_OR NULL
#define OPTION_VAL_475_OR NULL
#define OPTION_VAL_500_OR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_OR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_OR NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_OR NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_OR NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_OR NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_OR NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_OR NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_OR NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_OR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_OR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_OR NULL

struct retro_core_option_v2_category option_cats_or[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_OR,
      CATEGORY_SYSTEM_INFO_0_OR
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_OR,
      CATEGORY_VIDEO_INFO_0_OR
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_OR,
      CATEGORY_AUDIO_INFO_0_OR
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_OR,
      CATEGORY_INPUT_INFO_0_OR
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_OR,
      CATEGORY_HACKS_INFO_0_OR
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_OR,
      CATEGORY_CHANNEL_VOLUME_INFO_0_OR
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_or[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_OR,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_OR                 },
         { "sg-1000",              OPTION_VAL_SG_1000_OR              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_OR           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_OR},
         { "mark-III",             OPTION_VAL_MARK_III_OR             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_OR        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_OR     },
         { "game gear",            OPTION_VAL_GAME_GEAR_OR            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_OR   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_OR,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_OR   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_OR },
         { "pal",     OPTION_VAL_PAL_OR    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_OR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_OR,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_OR },
         { "50hz",  OPTION_VAL_50HZ_OR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_OR,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_OR,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_OR },
         { "per game", OPTION_VAL_PER_GAME_OR },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_OR,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_OR },
         { "per game", OPTION_VAL_PER_GAME_OR },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_OR,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_OR  },
         { "256k",     OPTION_VAL_256K_OR  },
         { "512k",     OPTION_VAL_512K_OR  },
         { "1meg",     OPTION_VAL_1MEG_OR    },
         { "2meg",     OPTION_VAL_2MEG_OR    },
         { "4meg",     OPTION_VAL_4MEG_OR    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_OR,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_OR },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_OR },
         { "megasd",       OPTION_VAL_MEGASD_OR },
         { "none",         OPTION_VAL_NONE_OR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_OR,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_OR },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_OR },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_OR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_OR,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_OR },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_OR },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_OR },
         { "4:3",  OPTION_VAL_4_3_OR },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_OR },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_OR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_OR },
         { "left/right", OPTION_VAL_LEFT_RIGHT_OR },
         { "full",       OPTION_VAL_FULL_OR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_OR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_OR },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_OR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_OR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_OR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_OR },
         { "composite",  OPTION_VAL_COMPOSITE_OR },
         { "svideo",     OPTION_VAL_SVIDEO_OR },
         { "rgb",        OPTION_VAL_RGB_OR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_OR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_OR,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_OR },
         { "double field", OPTION_VAL_DOUBLE_FIELD_OR },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_OR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_OR },
         { "manual",   OPTION_VAL_MANUAL_OR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_OR,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_OR,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_OR },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_OR,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_OR },
         { "nuked", OPTION_VAL_NUKED_OR },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_OR,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_OR,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_OR,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_OR },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_OR },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_OR },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_OR },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_OR },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_OR,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_OR },
         { "mono",   OPTION_VAL_MONO_OR },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_OR,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_OR },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_OR },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_OR,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_OR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_OR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_OR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_OR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_OR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_OR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_OR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_OR,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_OR },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_OR },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_OR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_OR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_OR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_OR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_OR,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_OR,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_OR },
         { "125", OPTION_VAL_125_OR },
         { "150", OPTION_VAL_150_OR },
         { "175", OPTION_VAL_175_OR },
         { "200", OPTION_VAL_200_OR },
         { "225", OPTION_VAL_225_OR },
         { "250", OPTION_VAL_250_OR },
         { "275", OPTION_VAL_275_OR },
         { "300", OPTION_VAL_300_OR },
         { "325", OPTION_VAL_325_OR },
         { "350", OPTION_VAL_350_OR },
         { "375", OPTION_VAL_375_OR },
         { "400", OPTION_VAL_400_OR },
         { "425", OPTION_VAL_425_OR },
         { "450", OPTION_VAL_450_OR },
         { "475", OPTION_VAL_475_OR },
         { "500", OPTION_VAL_500_OR },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_OR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_OR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_OR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_OR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_OR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_OR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_or = {
   option_cats_or,
   option_defs_or
};

/* RETRO_LANGUAGE_PL */

#define CATEGORY_SYSTEM_LABEL_PL NULL
#define CATEGORY_SYSTEM_INFO_0_PL "Zmień podstawowy wybór sprzętu, region, BIOS i Sega CD/Mega-CD ustawienia plików."
#define CATEGORY_VIDEO_LABEL_PL "Wideo"
#define CATEGORY_VIDEO_INFO_0_PL "Zmień proporcje obrazu, przycięcie obrazu, filtry wideo i ustawienia pomijania klatek."
#define CATEGORY_AUDIO_LABEL_PL "Dźwięk"
#define CATEGORY_AUDIO_INFO_0_PL "Zmień ustawienia urządzenia audio."
#define CATEGORY_INPUT_LABEL_PL "Wejście"
#define CATEGORY_INPUT_INFO_0_PL "Zmień ustawienia wprowadzania broni świetlnej i/lub myszy."
#define CATEGORY_HACKS_LABEL_PL "Hacki emulacyjne"
#define CATEGORY_HACKS_INFO_0_PL "Zmiana ustawień nadpisywania procesora i dokładności emulacji, które wpływają na niską wydajność i kompatybilność."
#define CATEGORY_CHANNEL_VOLUME_LABEL_PL "Zaawansowane ustawienia głośności kanału"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_PL "Zmień głośność poszczególnych kanałów audio."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_PL "Sprzęt systemu"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_PL "Uruchamia załadowaną zawartość z określoną emulowaną konsolą. 'Auto' wybierze najbardziej odpowiedni system dla bieżącej gry."
#define OPTION_VAL_AUTO_PL "Automatyczny"
#define OPTION_VAL_SG_1000_PL NULL
#define OPTION_VAL_SG_1000_II_PL NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_PL NULL
#define OPTION_VAL_MARK_III_PL NULL
#define OPTION_VAL_MASTER_SYSTEM_PL NULL
#define OPTION_VAL_MASTER_SYSTEM_II_PL NULL
#define OPTION_VAL_GAME_GEAR_PL NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_PL NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_PL "Region systemowy"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_PL "Określ z którego regionu system jest korzystny. Dla konsoli innych niż sprzęt do gry, 'PAL' to 50 Hz, a 'NTSC' to 60 Hz. Gry mogą działać szybciej lub wolniej niż normalnie, jeśli wybrany zostanie nieprawidłowy region."
#define OPTION_VAL_NTSC_U_PL NULL
#define OPTION_VAL_PAL_PL NULL
#define OPTION_VAL_NTSC_J_PL NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_PL "Wymuś tryb VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_PL NULL
#define OPTION_VAL_60HZ_PL NULL
#define OPTION_VAL_50HZ_PL NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_PL NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_PL NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_PL NULL
#define OPTION_VAL_PER_BIOS_PL NULL
#define OPTION_VAL_PER_GAME_PL NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_PL NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_PL NULL
#define OPTION_VAL_PER_CART_PL NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_PL NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_PL NULL
#define OPTION_VAL_128K_PL NULL
#define OPTION_VAL_256K_PL NULL
#define OPTION_VAL_512K_PL NULL
#define OPTION_VAL_1MEG_PL NULL
#define OPTION_VAL_2MEG_PL NULL
#define OPTION_VAL_4MEG_PL NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_PL "Dodatek CD (tryb MD) (wymaga restartu)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_PL NULL
#define OPTION_VAL_SEGA_MEGA_CD_PL NULL
#define OPTION_VAL_MEGASD_PL NULL
#define OPTION_VAL_NONE_PL "Brak"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_PL NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_PL NULL
#define OPTION_VAL_GAME_GENIE_PL NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_PL NULL
#define OPTION_VAL_SONIC_KNUCKLES_PL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_PL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_PL NULL
#define OPTION_VAL_NTSC_PAR_PL NULL
#define OPTION_VAL_PAL_PAR_PL NULL
#define OPTION_VAL_4_3_PL NULL
#define OPTION_VAL_UNCORRECTED_PL "Niepoprawione"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_PL "Krawędzie"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_PL NULL
#define OPTION_VAL_TOP_BOTTOM_PL "Góra/Dół"
#define OPTION_VAL_LEFT_RIGHT_PL "Lewo/Prawo"
#define OPTION_VAL_FULL_PL "Pełny"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_PL "Ukryj główne granice po stronie systemu"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_PL NULL
#define OPTION_VAL_LEFT_BORDER_PL "Tylko lewa ramka"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_PL NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_PL NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_PL NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_PL "Duży filtr NTSC"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_PL NULL
#define OPTION_VAL_MONOCHROME_PL "Monochromia"
#define OPTION_VAL_COMPOSITE_PL "Kompozytowy"
#define OPTION_VAL_SVIDEO_PL NULL
#define OPTION_VAL_RGB_PL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_PL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_PL NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_PL NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_PL NULL
#define OPTION_VAL_SINGLE_FIELD_PL NULL
#define OPTION_VAL_DOUBLE_FIELD_PL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_PL "Pomijanie klatek"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_PL NULL
#define OPTION_VAL_MANUAL_PL "Ręczny"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_PL "Próg pominięcia ramki (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_PL "Gdy 'Frameskip' jest ustawiony na 'Manual', określa próg zajęcia bufora audio (procent) poniżej którego ramki zostaną pominięte. Wyższe wartości zmniejszają ryzyko trzasków poprzez częstsze opuszczanie ramek."
#define GENESIS_PLUS_GX_YM2413_LABEL_PL NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_PL NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_PL "Rdzeń Master System FM (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_PL NULL
#define OPTION_VAL_MAME_PL NULL
#define OPTION_VAL_NUKED_PL NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_PL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_PL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_PL NULL
#define OPTION_VAL_MAME_YM2612_PL NULL
#define OPTION_VAL_MAME_ASIC_YM3438_PL NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_PL NULL
#define OPTION_VAL_NUKED_YM2612_PL NULL
#define OPTION_VAL_NUKED_YM3438_PL NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_PL "Wyjście dźwięku"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_PL "Wybierz odtwarzanie dźwięku stereo lub mono."
#define OPTION_VAL_STEREO_PL NULL
#define OPTION_VAL_MONO_PL NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_PL "Filtr audio"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_PL "Włącz filtr dźwiękowy o niskim biegu, aby lepiej symulować dźwięk charakterystyczny modelu 1 Mega Drive/Genesis."
#define OPTION_VAL_LOW_PASS_PL NULL
#define OPTION_VAL_EQ_PL NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_PL "Filtr dolnoprzepustowy %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_PL NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_PL NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_PL NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_PL NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_PL NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_PL "Głośność CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_PL "EQ Niski"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_PL "Dostosuj pasmo dolnego zasięgu wewnętrznego korektora dźwięku."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_PL "EQ Średni"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_PL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_PL "EQ Wysoki"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_PL NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_PL "Wejście pistoleta świetlnego"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_PL NULL
#define OPTION_VAL_LIGHTGUN_PL "Pistolet Świetlny"
#define OPTION_VAL_TOUCHSCREEN_PL "Ekran dotykowy"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_PL NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_PL NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_PL NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_PL NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_PL NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_PL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_PL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_PL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_PL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_PL "Tylko gdy ulepszone pionowe przewijanie w polu jest włączone. Dostosuj limit wzmocnienia przewijania w pionie. Gdy różnica pomiędzy sąsiednimi polami jest większa niż ten limit, wzmocnienie jest wyłączone."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_PL "Prędkość procesora"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_PL "Umożliwia przeciążenie emulowanego CPU. Może zmniejszyć spowolnienie, ale może powodować glitche."
#define OPTION_VAL_100_PL NULL
#define OPTION_VAL_125_PL NULL
#define OPTION_VAL_150_PL NULL
#define OPTION_VAL_175_PL NULL
#define OPTION_VAL_200_PL NULL
#define OPTION_VAL_225_PL NULL
#define OPTION_VAL_250_PL NULL
#define OPTION_VAL_275_PL NULL
#define OPTION_VAL_300_PL NULL
#define OPTION_VAL_325_PL NULL
#define OPTION_VAL_350_PL NULL
#define OPTION_VAL_375_PL NULL
#define OPTION_VAL_400_PL NULL
#define OPTION_VAL_425_PL NULL
#define OPTION_VAL_450_PL NULL
#define OPTION_VAL_475_PL NULL
#define OPTION_VAL_500_PL NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_PL "Blokada systemu"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_PL NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_PL "Błąd adresu 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_PL NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_PL "Czas dostępu CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_PL NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_PL "Pamięć podręczna obrazów CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_PL "Załaduj obraz CD do pamięci podczas uruchamiania. Obsługiwane tylko pliki CHD. Wymagane ponowne uruchomienie."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_PL "Pokaż zaawansowane ustawienia głośności dźwięku (Otwórz menu ponownie)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_PL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_PL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_PL NULL

struct retro_core_option_v2_category option_cats_pl[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_PL,
      CATEGORY_SYSTEM_INFO_0_PL
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_PL,
      CATEGORY_VIDEO_INFO_0_PL
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_PL,
      CATEGORY_AUDIO_INFO_0_PL
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_PL,
      CATEGORY_INPUT_INFO_0_PL
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_PL,
      CATEGORY_HACKS_INFO_0_PL
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_PL,
      CATEGORY_CHANNEL_VOLUME_INFO_0_PL
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_pl[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_PL,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_PL                 },
         { "sg-1000",              OPTION_VAL_SG_1000_PL              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_PL           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_PL},
         { "mark-III",             OPTION_VAL_MARK_III_PL             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_PL        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_PL     },
         { "game gear",            OPTION_VAL_GAME_GEAR_PL            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_PL   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_PL,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_PL   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_PL },
         { "pal",     OPTION_VAL_PAL_PL    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_PL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_PL,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_PL },
         { "50hz",  OPTION_VAL_50HZ_PL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_PL,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_PL,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_PL },
         { "per game", OPTION_VAL_PER_GAME_PL },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_PL,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_PL },
         { "per game", OPTION_VAL_PER_GAME_PL },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_PL,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_PL  },
         { "256k",     OPTION_VAL_256K_PL  },
         { "512k",     OPTION_VAL_512K_PL  },
         { "1meg",     OPTION_VAL_1MEG_PL    },
         { "2meg",     OPTION_VAL_2MEG_PL    },
         { "4meg",     OPTION_VAL_4MEG_PL    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_PL,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_PL },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_PL },
         { "megasd",       OPTION_VAL_MEGASD_PL },
         { "none",         OPTION_VAL_NONE_PL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_PL,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_PL },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_PL },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_PL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_PL,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_PL },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_PL },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_PL },
         { "4:3",  OPTION_VAL_4_3_PL },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_PL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_PL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_PL },
         { "left/right", OPTION_VAL_LEFT_RIGHT_PL },
         { "full",       OPTION_VAL_FULL_PL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_PL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_PL },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_PL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_PL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_PL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_PL },
         { "composite",  OPTION_VAL_COMPOSITE_PL },
         { "svideo",     OPTION_VAL_SVIDEO_PL },
         { "rgb",        OPTION_VAL_RGB_PL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_PL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_PL,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_PL },
         { "double field", OPTION_VAL_DOUBLE_FIELD_PL },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_PL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_PL },
         { "manual",   OPTION_VAL_MANUAL_PL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_PL,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_PL,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_PL },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_PL,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_PL },
         { "nuked", OPTION_VAL_NUKED_PL },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_PL,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_PL,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_PL,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_PL },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_PL },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_PL },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_PL },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_PL },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_PL,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_PL },
         { "mono",   OPTION_VAL_MONO_PL },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_PL,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_PL },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_PL },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_PL,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_PL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_PL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_PL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_PL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_PL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_PL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_PL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_PL,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_PL },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_PL },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_PL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_PL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_PL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_PL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_PL,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_PL,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_PL },
         { "125", OPTION_VAL_125_PL },
         { "150", OPTION_VAL_150_PL },
         { "175", OPTION_VAL_175_PL },
         { "200", OPTION_VAL_200_PL },
         { "225", OPTION_VAL_225_PL },
         { "250", OPTION_VAL_250_PL },
         { "275", OPTION_VAL_275_PL },
         { "300", OPTION_VAL_300_PL },
         { "325", OPTION_VAL_325_PL },
         { "350", OPTION_VAL_350_PL },
         { "375", OPTION_VAL_375_PL },
         { "400", OPTION_VAL_400_PL },
         { "425", OPTION_VAL_425_PL },
         { "450", OPTION_VAL_450_PL },
         { "475", OPTION_VAL_475_PL },
         { "500", OPTION_VAL_500_PL },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_PL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_PL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_PL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_PL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_PL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_PL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_pl = {
   option_cats_pl,
   option_defs_pl
};

/* RETRO_LANGUAGE_PT_BR */

#define CATEGORY_SYSTEM_LABEL_PT_BR "Sistema"
#define CATEGORY_SYSTEM_INFO_0_PT_BR "Altera as configurações de seleção de hardware básica, região, BIOS e arquivo de salvamento do Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_PT_BR "Vídeo"
#define CATEGORY_VIDEO_INFO_0_PT_BR "Altera as configurações de proporção de tela, corte de tela, filtro de vídeo e pulo de quadro."
#define CATEGORY_AUDIO_LABEL_PT_BR "Áudio"
#define CATEGORY_AUDIO_INFO_0_PT_BR "Altera as configurações de dispositivo de áudio."
#define CATEGORY_INPUT_LABEL_PT_BR "Entrada"
#define CATEGORY_INPUT_INFO_0_PT_BR "Altera as configurações de entrada de pistola de luz e/ou mouse."
#define CATEGORY_HACKS_LABEL_PT_BR "Hacks de emulação"
#define CATEGORY_HACKS_INFO_0_PT_BR "Altera as configurações de precisão de emulação e velocidade do processador (overclock), que afetam o desempenho de baixo nível e compatibilidade."
#define CATEGORY_CHANNEL_VOLUME_LABEL_PT_BR "Configurações avançadas de volume"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_PT_BR "Altera o volume de cada canal de áudio do hardware."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_PT_BR "Hardware do sistema"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_PT_BR "Executa o conteúdo em uma emulação de console específica. \"Automático\" selecionará o sistema mais apropriado."
#define OPTION_VAL_AUTO_PT_BR "Automático"
#define OPTION_VAL_SG_1000_PT_BR NULL
#define OPTION_VAL_SG_1000_II_PT_BR NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_PT_BR "SG-1000 II + Ext. de RAM"
#define OPTION_VAL_MARK_III_PT_BR NULL
#define OPTION_VAL_MASTER_SYSTEM_PT_BR NULL
#define OPTION_VAL_MASTER_SYSTEM_II_PT_BR NULL
#define OPTION_VAL_GAME_GEAR_PT_BR NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_PT_BR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_PT_BR "Região do sistema"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_PT_BR "Altera a região do sistema. Com exceção do Game Gear, o \"PAL\" é 50 Hz e o \"NTSC\" é 60 Hz. Os jogos podem rodar mais rápido ou mais lento do que o normal caso a região incorreta seja selecionada."
#define OPTION_VAL_NTSC_U_PT_BR NULL
#define OPTION_VAL_PAL_PT_BR NULL
#define OPTION_VAL_NTSC_J_PT_BR NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_PT_BR "Forçar sistema do VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_PT_BR "Força a execução em 60 Hz (NTSC) ou 50 Hz (PAL), ignorando a região do sistema."
#define OPTION_VAL_60HZ_PT_BR "NTSC (60 Hz)"
#define OPTION_VAL_50HZ_PT_BR "PAL (50 Hz)"
#define GENESIS_PLUS_GX_BIOS_LABEL_PT_BR "ROM de inicialização do sistema"
#define GENESIS_PLUS_GX_BIOS_INFO_0_PT_BR "Usa o BIOS/carregador de inicialização oficial no hardware emulado caso esteja no diretório de sistema do RetroArch. Exibe a sequência/animação da inicialização do console e executa o conteúdo."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_PT_BR "BRAM do sistema (requer reinício)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_PT_BR "Ao executar um contéudo de Sega CD/Mega-CD, especifica o tipo de salvamento — um único arquivo por região (BIOS) ou um arquivo para cada jogo (Jogo).\nOBSERVAÇÃO: Sega CD/Mega-CD têm um armazenamento interno limitado. Para evitar a falta de espaço, a configuração \"Jogo\" é recomendada."
#define OPTION_VAL_PER_BIOS_PT_BR "BIOS"
#define OPTION_VAL_PER_GAME_PT_BR "Jogo"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_PT_BR "BRAM do cartucho de backup (requer reinício)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_PT_BR "Ao executar um contéudo de Sega CD/Mega-CD, especifica o tipo de backup — um único backup para todos os jogos (Cartucho) ou criar um cartucho de backup para cada jogo (Jogo)."
#define OPTION_VAL_PER_CART_PT_BR "Cartucho"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_PT_BR "Tamanho do BRAM do cartucho de backup (requer reínicio)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_PT_BR "Define o tamanho do cartucho de backup ao executar um conteúdo de Sega CD/Mega-CD. Útil ao configurar o cartucho de backup como \"Jogo\", para evitar multiplos cartuchos grandes."
#define OPTION_VAL_128K_PT_BR "128 Kbit"
#define OPTION_VAL_256K_PT_BR "256 Kbit"
#define OPTION_VAL_512K_PT_BR "512 Kbit"
#define OPTION_VAL_1MEG_PT_BR "1 Mbit"
#define OPTION_VAL_2MEG_PT_BR "2 Mbit"
#define OPTION_VAL_4MEG_PT_BR "4 Mbit"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_PT_BR "Expansão (modo MD) (requer reinício)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_PT_BR "Especifica a expansão (add-on) que reproduzirar o áudio de CD em jogos compativeis do Mega Drive/Genesis."
#define OPTION_VAL_SEGA_MEGA_CD_PT_BR "Sega CD/Mega-CD"
#define OPTION_VAL_MEGASD_PT_BR NULL
#define OPTION_VAL_NONE_PT_BR "Nenhum"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_PT_BR "Cartucho Lock-On"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_PT_BR "Especifica o cartucho lock-on que será emulado. A tecnologia Lock-On é um recurso do Mega Drive/Genesis que permite que um jogo mais antigo se conecte à porta de passagem de um cartucho especial para uma jogabilidade estendida ou alterada. Um arquivo de BIOS correspondente deve estar presente no diretório do sistema do RetroArch."
#define OPTION_VAL_GAME_GENIE_PT_BR NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_PT_BR "Pro Action Replay"
#define OPTION_VAL_SONIC_KNUCKLES_PT_BR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_PT_BR "Proporção de tela do núcleo"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_PT_BR "Define a proporção de tela do conteúdo. Será aplicada somente quando a proporção de tela do RetroArch estiver configurada como \"Fornecida pelo núcleo\" nas configurações de vídeo."
#define OPTION_VAL_NTSC_PAR_PT_BR "PAR do NTSC"
#define OPTION_VAL_PAL_PAR_PT_BR "PAR do PAL"
#define OPTION_VAL_4_3_PT_BR NULL
#define OPTION_VAL_UNCORRECTED_PT_BR "Não corrigida"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_PT_BR "Bordas"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_PT_BR "Exibe as regiões de overscan na parte superior/inferior e/ou esquerda/direita da tela. Em uma televisão clássica, essas bordas são ocultadas pela moldura de televisão."
#define OPTION_VAL_TOP_BOTTOM_PT_BR "Superior/inferior"
#define OPTION_VAL_LEFT_RIGHT_PT_BR "Esquerda/direita"
#define OPTION_VAL_FULL_PT_BR "Todas"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_PT_BR "Ocultar bordas laterais do Master System"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_PT_BR "Corta 8 píxeis do lado esquerdo da tela, ou dos lados esquerdo e direito ao executar jogos do Master System."
#define OPTION_VAL_LEFT_BORDER_PT_BR "Apenas borda esquerda"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_PT_BR "Bordas esquerda e direita"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_PT_BR "Tela estendida do Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_PT_BR "Força os títulos do Game Gear a rodar no modo SMS com uma resolução aumentada de 256x192. Pode mostrar conteúdo adicional, mas geralmente exibe uma borda com dados corrompidos ou indesejados na imagem."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_PT_BR "Filtro NTSC (Blargg)"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_PT_BR "Aplica um filtro de vídeo para imitar vários sinais NTSC de televisão."
#define OPTION_VAL_MONOCHROME_PT_BR "Monocromático"
#define OPTION_VAL_COMPOSITE_PT_BR "Composto"
#define OPTION_VAL_SVIDEO_PT_BR NULL
#define OPTION_VAL_RGB_PT_BR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_PT_BR "Filtro fantasma LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_PT_BR "Aplica um filtro de efeito \"fantasma\" na imagem para imitar as características das telas de LCD do Game Gear e do Genesis Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_PT_BR "Saída de modo entrelaçado 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_PT_BR "O modo entrelaçado 2 permite que o Mega Drive/Genesis produza uma imagem 320x448 de altura dupla (alta resolução) ao desenhar linhas de varredura alternativas em cada quadro (usado no modo multijogador de Sonic the Hedgehog 2 e Combat Cars). \"Campo duplo\" imita o hardware original: produz uma imagem nítida com tremulação/entrelaçamento de artefatos. \"Campo único\" aplica um filtro de desentrelaçamento para estabilizar a imagem, mas causa um pequeno desfoque."
#define OPTION_VAL_SINGLE_FIELD_PT_BR "Campo único"
#define OPTION_VAL_DOUBLE_FIELD_PT_BR "Campo duplo"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_PT_BR "Pulo de quadro"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_PT_BR "Ignora quadros para evitar o esvaziamento da memória intermédia (buffer) do áudio (corte no áudio). Melhora o desempenho ao custo da suavidade visual. A opção \"Automático\" ignora os quadros quando aconselhado pela interface. \"Manual\" usa a configuração \"Limite do pulo de quadro (%)\"."
#define OPTION_VAL_MANUAL_PT_BR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_PT_BR "Limite do pulo de quadro (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_PT_BR "Ao configurar \"Pulo de quadro\" como \"Manual\", especifica o limite da memória intermédia (buffer) de áudio em porcentagem, os quadros fora da porcentagem serão ignorados. Valores maiores reduzem o risco de engasgo por descartar quadros com mais frequência."
#define GENESIS_PLUS_GX_YM2413_LABEL_PT_BR "Som FM do Master System (YM2413)"
#define GENESIS_PLUS_GX_YM2413_INFO_0_PT_BR "Ativa a emulação da Unidade de Som FM (FM Sound Unit), usada por alguns jogos de Sega Mark III/Master System para obter uma saída de áudio otimizada."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_PT_BR "Núcleo do som FM do Master System (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_PT_BR "Define o método usado para emular a Unidade de Som FM (FM Sound Unit) do Sega Mark III/Master System. A opção \"MAME\" é mais rápida e funciona em velocidade máxima na maioria dos sistemas. A opção \"Nuked\" é de ciclo-preciso, altíssima qualidade e tem requisitos de CPU superiores."
#define OPTION_VAL_MAME_PT_BR NULL
#define OPTION_VAL_NUKED_PT_BR NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_PT_BR "Som FM do Mega Drive/Genesis"
#define GENESIS_PLUS_GX_YM2612_INFO_0_PT_BR "Define o método usado para emular o sintetizador FM (gerador de som principal) do Mega Drive/Genesis. As opções \"MAME\" são rápidas e funcionam na velocidade máxima na maioria dos sistemas. As opções \"Nuked\" têm uma emulação de ciclo-preciso, altíssima qualidade e tem requisitos de CPU superiores. O chip \"YM2612\" é usado pelo primeiro modelo de Mega Drive/Genesis. O \"YM3438\" é usado em edições posteriores do Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_PT_BR "Define o método usado para emular o sintetizador de FM (gerador de som principal) do Mega Drive/Genesis. O chip \"YM2612\" é usado pelo primeiro modelo de Mega Drive/Genesis. O \"YM3438\" é usado em edições posteriores do Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_PT_BR NULL
#define OPTION_VAL_MAME_ASIC_YM3438_PT_BR NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_PT_BR "MAME (YM3438 otimizado)"
#define OPTION_VAL_NUKED_YM2612_PT_BR NULL
#define OPTION_VAL_NUKED_YM3438_PT_BR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_PT_BR "Saída de som"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_PT_BR "Define a reprodução de som entre estéreo ou mono."
#define OPTION_VAL_STEREO_PT_BR "Estéreo"
#define OPTION_VAL_MONO_PT_BR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_PT_BR "Filtro de áudio"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_PT_BR "Ativa um filtro de áudio passa-baixo para simular melhor o som característico do primeiro modelo de Mega Drive/Genesis."
#define OPTION_VAL_LOW_PASS_PT_BR "Passa-baixo"
#define OPTION_VAL_EQ_PT_BR "Equalização (EG)"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_PT_BR "Filtro passa-baixo (%)"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_PT_BR "Define a frequência de corte do filtro passo-baixo. Valores maiores aumentam a \"força\" percebida do filtro, uma vez que uma faixa mais ampla do espectro de alta frequência é atenuada."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_PT_BR "Nível de pré-amplificação do PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_PT_BR "Define o nível de pré-amplificação do Gerador de Som Programável (PSG) de 4 canais (SN76496), encontrado no SG-1000, Sega Mark III, Master System, Game Gear e Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_PT_BR "Nível de pré-amplificação do som FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_PT_BR "Define o nível de pré-amplificação do sintetizador de som FM do Mega Drive/Genesis ou da Unidade de Som FM (FM Sound Unit) do Sega Mark III/Master System."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_PT_BR "Volume do CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_PT_BR "Ajusta o volume de mixagem da saída de áudio do CD."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_PT_BR "Volume da PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_PT_BR "Ajusta o volume da mixagem da saída de áudio do gerador PCM RF5C164 do Sega CD/Mega-CD."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_PT_BR "Equalização de graves"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_PT_BR "Ajusta a faixa de baixa frequência do equalizador de áudio interno."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_PT_BR "Equalização de médios"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_PT_BR "Ajusta a faixa de média frequência do equalizador de áudio interno."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_PT_BR "Equalização de agudos"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_PT_BR "Ajusta a faixa de alta frequência do equalizador de áudio interno."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_PT_BR "Saída da pistola de luz"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_PT_BR "Usa uma entrada de \"Pistola de luz\" ou \"Tela sensível ao toque\", controladas pelo mouse."
#define OPTION_VAL_LIGHTGUN_PT_BR "Pistola de luz"
#define OPTION_VAL_TOUCHSCREEN_PT_BR "Tela sensível ao toque"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_PT_BR "Mostrar mira da pistola"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_PT_BR "Exibe a mira da pistola de luz ao usar dispositivos de entrada de Menacer (MD), Justifiers (MD) e Light Phaser (MS)."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_PT_BR "Inverter eixo Y do mouse"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_PT_BR "Inverte o eixo Y do dispositivo de entrada de Mouse (MD)."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_PT_BR "Remover limite de sprites por linha"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_PT_BR "Remove o limite de sprites por linha de varredura do hardware original. Isso reduz a tremulação (flickering), mas pode causar falhas gráficas, já que alguns jogos aproveitam esta limitação para gerar efeitos especiais."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_PT_BR "Otimizar rolagem vertical"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_PT_BR "Permite que cada célula seja rolada verticalmente, em vez de, a cada 2 células de 16 px, através da média com o valor vscroll da célula vizinha. Apenas é aplicada em alguns jogos que usam o modo de rolagem vertical de 2 células."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_PT_BR "Otimizar limite da rolagem vertical"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_PT_BR "Requer \"Otimizar rolagem vertical\" habilitada.\nAjusta o limite da otimização da rolagem vertical. Quando a diferença de vscroll entre os blocos (tiles) adjacentes é maior que o limite, a otimização é desativada."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_PT_BR "Velocidade da CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_PT_BR "Aumenta a velocidade (overclock) da CPU emulada. Pode reduzir a lentidão, mas pode causar falhas."
#define OPTION_VAL_100_PT_BR NULL
#define OPTION_VAL_125_PT_BR NULL
#define OPTION_VAL_150_PT_BR NULL
#define OPTION_VAL_175_PT_BR NULL
#define OPTION_VAL_200_PT_BR NULL
#define OPTION_VAL_225_PT_BR NULL
#define OPTION_VAL_250_PT_BR NULL
#define OPTION_VAL_275_PT_BR NULL
#define OPTION_VAL_300_PT_BR NULL
#define OPTION_VAL_325_PT_BR NULL
#define OPTION_VAL_350_PT_BR NULL
#define OPTION_VAL_375_PT_BR NULL
#define OPTION_VAL_400_PT_BR NULL
#define OPTION_VAL_425_PT_BR NULL
#define OPTION_VAL_450_PT_BR NULL
#define OPTION_VAL_475_PT_BR NULL
#define OPTION_VAL_500_PT_BR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_PT_BR "Bloqueios do sistema"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_PT_BR "Emula os bloqueios do sistema, que ocorrem no hardware original ao executar um acesso de endereço ilegal. Isso só deve ser desativado ao executar demos e homebrews, que dependem desse procedimento ilegal."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_PT_BR "Erro de endereço do 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_PT_BR "A CPU do Mega Drive/Genesis (Motorola 68000) produz um erro de endereço ao tentar acessar a memória não alinhada. Apenas deve ser desativado durante a execução de ROMs modificadas, pois geralmente são desenvolvidas usando emuladores menos precisos e podem depender do acesso inválido à RAM."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_PT_BR "Tempo de acesso do CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_PT_BR "Simula a latência de hardware original do CD ao iniciar a leitura ou a busca para um local específico do disco. É obrigatorio em alguns jogos que travam quando a informação é liberada muito rápida e também corrige erros de sicronização de áudio. A desativação pode ser útil em jogos de MSU-MD, pois os loops das faixas de áudio ficam mais contínuos."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_PT_BR "Cache de imagem do CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_PT_BR "Carrega a imagem do CD na memória ao iniciar. Apenas compatível com .CHD. Requer reiniciar."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_PT_BR "Mostrar configurações avançadas de volume de áudio (reabrir menu)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_PT_BR "Habilita a configuração dos parâmetros do canal de áudio de baixo nível.\nOBSERVAÇÃO: \"Menu rápido\" deve ser reaberto para exibir a mudança."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_PT_BR "Volume do canal de sintonia 0 do PSG (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de sintonia 0 do PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_PT_BR "Volume do canal de sintonia 1 do PSG (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de sintonia 1 do PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_PT_BR "Volume do canal de sintonia 2 do PSG (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de sintonia 2 do PSG."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_PT_BR "Volume do canal de sintonia 3 do PSG (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de sintonia 3 do PSG."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_PT_BR "Volume do canal de som FM 0 do Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 0 do Mega Drive/Genesis. Apenas em emuladores MAME de som FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_PT_BR "Volume do canal de som FM 1 do Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 1 do Mega Drive/Genesis. Apenas em emuladores MAME de som FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_PT_BR "Volume do canal de som FM 2 do Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 2 do Mega Drive/Genesis. Apenas em emuladores MAME de som FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_PT_BR "Volume do canal de som FM 3 do Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 3 do Mega Drive/Genesis. Apenas em emuladores MAME de som FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_PT_BR "Volume do canal de som FM 4 do Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 4 do Mega Drive/Genesis. Apenas em emuladores MAME de som FM."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_PT_BR "Volume do canal de som FM 5 do Mega Drive/Genesis (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 5 do Mega Drive/Genesis. Apenas em emuladores MAME de som FM."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_PT_BR "Volume do canal de som FM 0 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 0 do Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_PT_BR "Volume do canal de som FM 1 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 1 do Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_PT_BR "Volume do canal de som FM 2 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 2 do Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_PT_BR "Volume do canal de som FM 3 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 3 do Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_PT_BR "Volume do canal de som FM 4 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 4 do Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_PT_BR "Volume do canal de som FM 5 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 5 do Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_PT_BR "Volume do canal de som FM 6 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 6 do Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_PT_BR "Volume do canal de som FM 7 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 7 do Master System."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_PT_BR "Volume do canal de som FM 8 (YM2413) do Master System (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_PT_BR "Reduz o volume do canal de som FM 8 do Master System."

struct retro_core_option_v2_category option_cats_pt_br[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_PT_BR,
      CATEGORY_SYSTEM_INFO_0_PT_BR
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_PT_BR,
      CATEGORY_VIDEO_INFO_0_PT_BR
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_PT_BR,
      CATEGORY_AUDIO_INFO_0_PT_BR
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_PT_BR,
      CATEGORY_INPUT_INFO_0_PT_BR
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_PT_BR,
      CATEGORY_HACKS_INFO_0_PT_BR
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_PT_BR,
      CATEGORY_CHANNEL_VOLUME_INFO_0_PT_BR
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_pt_br[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_PT_BR                 },
         { "sg-1000",              OPTION_VAL_SG_1000_PT_BR              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_PT_BR           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_PT_BR},
         { "mark-III",             OPTION_VAL_MARK_III_PT_BR             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_PT_BR        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_PT_BR     },
         { "game gear",            OPTION_VAL_GAME_GEAR_PT_BR            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_PT_BR   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_PT_BR   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_PT_BR },
         { "pal",     OPTION_VAL_PAL_PT_BR    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_PT_BR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_PT_BR },
         { "50hz",  OPTION_VAL_50HZ_PT_BR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_PT_BR },
         { "per game", OPTION_VAL_PER_GAME_PT_BR },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_PT_BR },
         { "per game", OPTION_VAL_PER_GAME_PT_BR },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_PT_BR  },
         { "256k",     OPTION_VAL_256K_PT_BR  },
         { "512k",     OPTION_VAL_512K_PT_BR  },
         { "1meg",     OPTION_VAL_1MEG_PT_BR    },
         { "2meg",     OPTION_VAL_2MEG_PT_BR    },
         { "4meg",     OPTION_VAL_4MEG_PT_BR    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_PT_BR },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_PT_BR },
         { "megasd",       OPTION_VAL_MEGASD_PT_BR },
         { "none",         OPTION_VAL_NONE_PT_BR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_PT_BR,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_PT_BR },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_PT_BR },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_PT_BR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_PT_BR },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_PT_BR },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_PT_BR },
         { "4:3",  OPTION_VAL_4_3_PT_BR },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_PT_BR },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_PT_BR },
         { "left/right", OPTION_VAL_LEFT_RIGHT_PT_BR },
         { "full",       OPTION_VAL_FULL_PT_BR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_PT_BR },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_PT_BR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_PT_BR },
         { "composite",  OPTION_VAL_COMPOSITE_PT_BR },
         { "svideo",     OPTION_VAL_SVIDEO_PT_BR },
         { "rgb",        OPTION_VAL_RGB_PT_BR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_PT_BR },
         { "double field", OPTION_VAL_DOUBLE_FIELD_PT_BR },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_PT_BR },
         { "manual",   OPTION_VAL_MANUAL_PT_BR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_PT_BR,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_PT_BR },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_PT_BR },
         { "nuked", OPTION_VAL_NUKED_PT_BR },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_PT_BR,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_PT_BR,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_PT_BR,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_PT_BR },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_PT_BR },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_PT_BR },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_PT_BR },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_PT_BR },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_PT_BR },
         { "mono",   OPTION_VAL_MONO_PT_BR },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_PT_BR },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_PT_BR },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_PT_BR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_PT_BR,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_PT_BR },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_PT_BR },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_PT_BR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_PT_BR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_PT_BR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_PT_BR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_PT_BR,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_PT_BR,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_PT_BR },
         { "125", OPTION_VAL_125_PT_BR },
         { "150", OPTION_VAL_150_PT_BR },
         { "175", OPTION_VAL_175_PT_BR },
         { "200", OPTION_VAL_200_PT_BR },
         { "225", OPTION_VAL_225_PT_BR },
         { "250", OPTION_VAL_250_PT_BR },
         { "275", OPTION_VAL_275_PT_BR },
         { "300", OPTION_VAL_300_PT_BR },
         { "325", OPTION_VAL_325_PT_BR },
         { "350", OPTION_VAL_350_PT_BR },
         { "375", OPTION_VAL_375_PT_BR },
         { "400", OPTION_VAL_400_PT_BR },
         { "425", OPTION_VAL_425_PT_BR },
         { "450", OPTION_VAL_450_PT_BR },
         { "475", OPTION_VAL_475_PT_BR },
         { "500", OPTION_VAL_500_PT_BR },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_PT_BR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_PT_BR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_PT_BR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_PT_BR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_PT_BR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_PT_BR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_pt_br = {
   option_cats_pt_br,
   option_defs_pt_br
};

/* RETRO_LANGUAGE_PT_PT */

#define CATEGORY_SYSTEM_LABEL_PT_PT NULL
#define CATEGORY_SYSTEM_INFO_0_PT_PT NULL
#define CATEGORY_VIDEO_LABEL_PT_PT "Vídeo"
#define CATEGORY_VIDEO_INFO_0_PT_PT NULL
#define CATEGORY_AUDIO_LABEL_PT_PT "Áudio"
#define CATEGORY_AUDIO_INFO_0_PT_PT NULL
#define CATEGORY_INPUT_LABEL_PT_PT "Entrada"
#define CATEGORY_INPUT_INFO_0_PT_PT NULL
#define CATEGORY_HACKS_LABEL_PT_PT NULL
#define CATEGORY_HACKS_INFO_0_PT_PT NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_PT_PT NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_PT_PT NULL
#define OPTION_VAL_AUTO_PT_PT "Automático"
#define OPTION_VAL_SG_1000_PT_PT NULL
#define OPTION_VAL_SG_1000_II_PT_PT NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_PT_PT NULL
#define OPTION_VAL_MARK_III_PT_PT NULL
#define OPTION_VAL_MASTER_SYSTEM_PT_PT NULL
#define OPTION_VAL_MASTER_SYSTEM_II_PT_PT NULL
#define OPTION_VAL_GAME_GEAR_PT_PT NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_PT_PT NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_PT_PT NULL
#define OPTION_VAL_NTSC_U_PT_PT NULL
#define OPTION_VAL_PAL_PT_PT NULL
#define OPTION_VAL_NTSC_J_PT_PT NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_PT_PT NULL
#define OPTION_VAL_60HZ_PT_PT NULL
#define OPTION_VAL_50HZ_PT_PT NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_PT_PT NULL
#define OPTION_VAL_PER_BIOS_PT_PT NULL
#define OPTION_VAL_PER_GAME_PT_PT NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_PT_PT NULL
#define OPTION_VAL_PER_CART_PT_PT NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_PT_PT NULL
#define OPTION_VAL_128K_PT_PT NULL
#define OPTION_VAL_256K_PT_PT NULL
#define OPTION_VAL_512K_PT_PT NULL
#define OPTION_VAL_1MEG_PT_PT NULL
#define OPTION_VAL_2MEG_PT_PT NULL
#define OPTION_VAL_4MEG_PT_PT NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_PT_PT NULL
#define OPTION_VAL_SEGA_MEGA_CD_PT_PT NULL
#define OPTION_VAL_MEGASD_PT_PT NULL
#define OPTION_VAL_NONE_PT_PT "Não partilhar"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_PT_PT NULL
#define OPTION_VAL_GAME_GENIE_PT_PT NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_PT_PT NULL
#define OPTION_VAL_SONIC_KNUCKLES_PT_PT NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_PT_PT NULL
#define OPTION_VAL_NTSC_PAR_PT_PT NULL
#define OPTION_VAL_PAL_PAR_PT_PT NULL
#define OPTION_VAL_4_3_PT_PT NULL
#define OPTION_VAL_UNCORRECTED_PT_PT NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_PT_PT NULL
#define OPTION_VAL_TOP_BOTTOM_PT_PT NULL
#define OPTION_VAL_LEFT_RIGHT_PT_PT NULL
#define OPTION_VAL_FULL_PT_PT NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_PT_PT NULL
#define OPTION_VAL_LEFT_BORDER_PT_PT NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_PT_PT NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_PT_PT NULL
#define OPTION_VAL_MONOCHROME_PT_PT "Monocromático"
#define OPTION_VAL_COMPOSITE_PT_PT NULL
#define OPTION_VAL_SVIDEO_PT_PT NULL
#define OPTION_VAL_RGB_PT_PT NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_PT_PT NULL
#define OPTION_VAL_SINGLE_FIELD_PT_PT NULL
#define OPTION_VAL_DOUBLE_FIELD_PT_PT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_PT_PT NULL
#define OPTION_VAL_MANUAL_PT_PT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_PT_PT NULL
#define OPTION_VAL_MAME_PT_PT NULL
#define OPTION_VAL_NUKED_PT_PT NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_PT_PT NULL
#define OPTION_VAL_MAME_YM2612_PT_PT NULL
#define OPTION_VAL_MAME_ASIC_YM3438_PT_PT NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_PT_PT NULL
#define OPTION_VAL_NUKED_YM2612_PT_PT NULL
#define OPTION_VAL_NUKED_YM3438_PT_PT NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_PT_PT NULL
#define OPTION_VAL_STEREO_PT_PT NULL
#define OPTION_VAL_MONO_PT_PT NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_PT_PT "Filtro de som"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_PT_PT NULL
#define OPTION_VAL_LOW_PASS_PT_PT NULL
#define OPTION_VAL_EQ_PT_PT NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_PT_PT NULL
#define OPTION_VAL_LIGHTGUN_PT_PT NULL
#define OPTION_VAL_TOUCHSCREEN_PT_PT NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_PT_PT NULL
#define OPTION_VAL_100_PT_PT NULL
#define OPTION_VAL_125_PT_PT NULL
#define OPTION_VAL_150_PT_PT NULL
#define OPTION_VAL_175_PT_PT NULL
#define OPTION_VAL_200_PT_PT NULL
#define OPTION_VAL_225_PT_PT NULL
#define OPTION_VAL_250_PT_PT NULL
#define OPTION_VAL_275_PT_PT NULL
#define OPTION_VAL_300_PT_PT NULL
#define OPTION_VAL_325_PT_PT NULL
#define OPTION_VAL_350_PT_PT NULL
#define OPTION_VAL_375_PT_PT NULL
#define OPTION_VAL_400_PT_PT NULL
#define OPTION_VAL_425_PT_PT NULL
#define OPTION_VAL_450_PT_PT NULL
#define OPTION_VAL_475_PT_PT NULL
#define OPTION_VAL_500_PT_PT NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_PT_PT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_PT_PT NULL

struct retro_core_option_v2_category option_cats_pt_pt[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_PT_PT,
      CATEGORY_SYSTEM_INFO_0_PT_PT
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_PT_PT,
      CATEGORY_VIDEO_INFO_0_PT_PT
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_PT_PT,
      CATEGORY_AUDIO_INFO_0_PT_PT
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_PT_PT,
      CATEGORY_INPUT_INFO_0_PT_PT
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_PT_PT,
      CATEGORY_HACKS_INFO_0_PT_PT
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_PT_PT,
      CATEGORY_CHANNEL_VOLUME_INFO_0_PT_PT
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_pt_pt[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_PT_PT                 },
         { "sg-1000",              OPTION_VAL_SG_1000_PT_PT              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_PT_PT           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_PT_PT},
         { "mark-III",             OPTION_VAL_MARK_III_PT_PT             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_PT_PT        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_PT_PT     },
         { "game gear",            OPTION_VAL_GAME_GEAR_PT_PT            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_PT_PT   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_PT_PT   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_PT_PT },
         { "pal",     OPTION_VAL_PAL_PT_PT    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_PT_PT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_PT_PT },
         { "50hz",  OPTION_VAL_50HZ_PT_PT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_PT_PT },
         { "per game", OPTION_VAL_PER_GAME_PT_PT },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_PT_PT },
         { "per game", OPTION_VAL_PER_GAME_PT_PT },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_PT_PT  },
         { "256k",     OPTION_VAL_256K_PT_PT  },
         { "512k",     OPTION_VAL_512K_PT_PT  },
         { "1meg",     OPTION_VAL_1MEG_PT_PT    },
         { "2meg",     OPTION_VAL_2MEG_PT_PT    },
         { "4meg",     OPTION_VAL_4MEG_PT_PT    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_PT_PT },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_PT_PT },
         { "megasd",       OPTION_VAL_MEGASD_PT_PT },
         { "none",         OPTION_VAL_NONE_PT_PT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_PT_PT,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_PT_PT },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_PT_PT },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_PT_PT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_PT_PT },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_PT_PT },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_PT_PT },
         { "4:3",  OPTION_VAL_4_3_PT_PT },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_PT_PT },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_PT_PT },
         { "left/right", OPTION_VAL_LEFT_RIGHT_PT_PT },
         { "full",       OPTION_VAL_FULL_PT_PT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_PT_PT },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_PT_PT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_PT_PT },
         { "composite",  OPTION_VAL_COMPOSITE_PT_PT },
         { "svideo",     OPTION_VAL_SVIDEO_PT_PT },
         { "rgb",        OPTION_VAL_RGB_PT_PT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_PT_PT },
         { "double field", OPTION_VAL_DOUBLE_FIELD_PT_PT },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_PT_PT },
         { "manual",   OPTION_VAL_MANUAL_PT_PT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_PT_PT,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_PT_PT },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_PT_PT },
         { "nuked", OPTION_VAL_NUKED_PT_PT },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_PT_PT,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_PT_PT,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_PT_PT,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_PT_PT },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_PT_PT },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_PT_PT },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_PT_PT },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_PT_PT },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_PT_PT },
         { "mono",   OPTION_VAL_MONO_PT_PT },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_PT_PT },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_PT_PT },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_PT_PT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_PT_PT,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_PT_PT },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_PT_PT },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_PT_PT,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_PT_PT,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_PT_PT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_PT_PT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_PT_PT,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_PT_PT,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_PT_PT },
         { "125", OPTION_VAL_125_PT_PT },
         { "150", OPTION_VAL_150_PT_PT },
         { "175", OPTION_VAL_175_PT_PT },
         { "200", OPTION_VAL_200_PT_PT },
         { "225", OPTION_VAL_225_PT_PT },
         { "250", OPTION_VAL_250_PT_PT },
         { "275", OPTION_VAL_275_PT_PT },
         { "300", OPTION_VAL_300_PT_PT },
         { "325", OPTION_VAL_325_PT_PT },
         { "350", OPTION_VAL_350_PT_PT },
         { "375", OPTION_VAL_375_PT_PT },
         { "400", OPTION_VAL_400_PT_PT },
         { "425", OPTION_VAL_425_PT_PT },
         { "450", OPTION_VAL_450_PT_PT },
         { "475", OPTION_VAL_475_PT_PT },
         { "500", OPTION_VAL_500_PT_PT },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_PT_PT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_PT_PT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_PT_PT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_PT_PT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_PT_PT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_PT_PT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_pt_pt = {
   option_cats_pt_pt,
   option_defs_pt_pt
};

/* RETRO_LANGUAGE_RU */

#define CATEGORY_SYSTEM_LABEL_RU "Системные"
#define CATEGORY_SYSTEM_INFO_0_RU "Настройка параметров выбора системы, региона, BIOS и сохранений Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_RU "Видео"
#define CATEGORY_VIDEO_INFO_0_RU "Настройки соотношения сторон, кадрирования, графических фильтров и пропуска кадров."
#define CATEGORY_AUDIO_LABEL_RU "Аудио"
#define CATEGORY_AUDIO_INFO_0_RU "Настройки звуковых устройств."
#define CATEGORY_INPUT_LABEL_RU "Ввод"
#define CATEGORY_INPUT_INFO_0_RU "Настройки ввода для мыши и/или светового пистолета."
#define CATEGORY_HACKS_LABEL_RU "Хаки эмуляции"
#define CATEGORY_HACKS_INFO_0_RU "Настройка разгона процессора и параметров точности эмуляции, влияющих на производительность и совместимость."
#define CATEGORY_CHANNEL_VOLUME_LABEL_RU "Расширенные настройки громкости каналов"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_RU "Индивидуальная настройка громкости аудиоканалов."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_RU "Модель системы"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_RU "Запуск контента на эмулируемой консоли указанной модели. В режиме 'Автоматически' будет выбрана система, наиболее подходящая для текущей игры."
#define OPTION_VAL_AUTO_RU "Автоматически"
#define OPTION_VAL_SG_1000_RU NULL
#define OPTION_VAL_SG_1000_II_RU NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_RU "SG-1000 II + расш. RAM"
#define OPTION_VAL_MARK_III_RU NULL
#define OPTION_VAL_MASTER_SYSTEM_RU NULL
#define OPTION_VAL_MASTER_SYSTEM_II_RU NULL
#define OPTION_VAL_GAME_GEAR_RU NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_RU NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_RU "Регион системы"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_RU "Выбор региона системы. Кроме Game Gear, для всех консолей режим 'PAL' соответствует 50 Гц, 'NTSC' - 60 Гц. При неправильной установке региона игры могут идти быстрее или медленнее."
#define OPTION_VAL_NTSC_U_RU NULL
#define OPTION_VAL_PAL_RU NULL
#define OPTION_VAL_NTSC_J_RU NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_RU "Форсировать режим VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_RU "Переопределяет режим VDP для принудительного запуска в 60 Гц NTSC или 50 Гц PAL, независимо от региона системы."
#define OPTION_VAL_60HZ_RU "NTSC (60 Гц)"
#define OPTION_VAL_50HZ_RU "PAL (50 Гц)"
#define GENESIS_PLUS_GX_BIOS_LABEL_RU "Загрузочный образ системы"
#define GENESIS_PLUS_GX_BIOS_INFO_0_RU "Использовать официальный BIOS/загрузчик эмулируемой консоли, если файл присутствует в системном каталоге RetroArch. Отображает начальную анимацию загрузки консоли перед запуском контента."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_RU "Резервная память Sega CD (требуется перезапуск)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_RU "При запуске игр Sega CD/Mega-CD одного региона использовать общий файл сохранения (режим 'По региону BIOS') или создавать отдельные сохранения (режим 'Для каждой игры'). Sega CD/Mega-CD имеет малый объём внутренней памяти. Чтобы избежать нехватки места, используйте режим 'Для каждой игры'."
#define OPTION_VAL_PER_BIOS_RU "По региону BIOS"
#define OPTION_VAL_PER_GAME_RU "Для каждой игры"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_RU "Картридж резерв. памяти Sega CD (требуется перезапуск)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_RU "При запуске контента Sega CD/Mega-CD использовать для всех игр один картридж резервной памяти (режим 'Общий для всех игр') или создавать отдельные файлы (режим 'Для каждой игры')."
#define OPTION_VAL_PER_CART_RU "Общий для всех игр"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_RU "Объём картриджа резерв. памяти Sega CD (требуется перезапуск)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_RU "Объём картриджа резерв. памяти при запуске игр Sega CD/Mega-CD. Используйте в режиме 'Для каждой игры', чтобы избежать создания файлов большого размера."
#define OPTION_VAL_128K_RU "128 кбит"
#define OPTION_VAL_256K_RU "256 кбит"
#define OPTION_VAL_512K_RU "512 кбит"
#define OPTION_VAL_1MEG_RU "1 Мбит"
#define OPTION_VAL_2MEG_RU "2 Мбит"
#define OPTION_VAL_4MEG_RU "4 Мбит"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_RU "Расширение CD (режим MD) (требуется перезапуск)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_RU "Выбор расширения для игр Mega Drive/Genesis с поддержкой воспроизведения аудио CD."
#define OPTION_VAL_SEGA_MEGA_CD_RU NULL
#define OPTION_VAL_MEGASD_RU NULL
#define OPTION_VAL_NONE_RU "Нет"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_RU "Картридж Lock-On"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_RU "Lock-On - это дополнение для Mega Drive/Genesis, которое позволяло получить расширенный геймплей при подключении игр в порт специального картриджа. Данная опция указывает тип эмулируемого картриджа 'lock-on'. Соответствующий файл bios должен находиться в системном каталоге RetroArch."
#define OPTION_VAL_GAME_GENIE_RU NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_RU NULL
#define OPTION_VAL_SONIC_KNUCKLES_RU NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_RU "Соотношение сторон ядра"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_RU "Выбор предпочтительного соотношения сторон контента. Применяется только в режиме соотношения сторон 'По выбору ядра' в настройках масштабирования RetroArch."
#define OPTION_VAL_NTSC_PAR_RU NULL
#define OPTION_VAL_PAL_PAR_RU NULL
#define OPTION_VAL_4_3_RU NULL
#define OPTION_VAL_UNCORRECTED_RU "Без коррекции"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_RU "Границы"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_RU "Включите для отображения вылетов развёртки сверху/снизу и/или слева/справа. В телевизорах стандартной чёткости эти области обычно скрыты рамкой по краю экрана."
#define OPTION_VAL_TOP_BOTTOM_RU "Сверху/снизу"
#define OPTION_VAL_LEFT_RIGHT_RU "Слева/справа"
#define OPTION_VAL_FULL_RU "Полная"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_RU "Скрывать боковые грани Master System"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_RU "Срезать по 8 пикселей с левой стороны или с левой и правой сторон экрана при запуске игр Master System."
#define OPTION_VAL_LEFT_BORDER_RU "Только граница слева"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_RU "Границы слева и справа"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_RU "Расширение экрана Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_RU "Форсировать запуск игр Game Gear в режиме SMS с повышенным разрешением 256x192. Может расширять область отображения, но часто приводит к появлению артефактов вокруг экрана."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_RU "NTSC-фильтр Blargg'а"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_RU "Применяет фильтр изображения для имитации различных NTSC ТВ-сигналов."
#define OPTION_VAL_MONOCHROME_RU "Монохромный"
#define OPTION_VAL_COMPOSITE_RU "Композитный"
#define OPTION_VAL_SVIDEO_RU NULL
#define OPTION_VAL_RGB_RU NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_RU "Ghosting-фильтр LCD"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_RU "Применяет к изображению ghosting-фильтр (эффект двоения) для имитации ЖК-дисплеев Game Gear и Genesis Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_RU "Вывод в Interlaced Mode 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_RU "Interlaced Mode 2 позволяет Mega Drive/Genesis выводить с удвоенной высотой 320x448 отрисовкой доп. строк развёртки (исп. в мультиплеере Sonic The Hedgehog 2 и Combat Cars). Режим 'Два поля' имитирует консоль, с чётким изображением и артефактами чересстрочности/мерцания. Режим 'Одно поле' применяет деинтерлейсинг, кот. стабилизирует изображение, но вносит небольшое размытие."
#define OPTION_VAL_SINGLE_FIELD_RU "Одно поле"
#define OPTION_VAL_DOUBLE_FIELD_RU "Два поля"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_RU "Пропуск кадров"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_RU "Пропускать кадры, чтобы избежать искажений звука при опустошении аудиобуфера. Улучшает производительность, но визуально снижает плавность геймплея. В режиме 'Автоматически' пропуск кадров регулируется фронтендом. В режиме 'Вручную' исп. опция 'Граница пропуска кадров (%)'."
#define OPTION_VAL_MANUAL_RU "Вручную"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_RU "Граница пропуска кадров (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_RU "Порог заполнения аудиобуфера ниже которого вкл. пропуск кадров, если для опции 'Пропуск кадров' установлено значение 'Вручную'. Более высокие значения снижают вероятность искажения звука за счёт более частого пропуска кадров."
#define GENESIS_PLUS_GX_YM2413_LABEL_RU NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_RU "Включает эмуляцию FM Sound Unit, используемого для улучшения звука в некоторых играх Sega Mark III/Master System."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_RU "Ядро Master System FM (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_RU "Выбор метода эмуляции FM Sound Unit в Sega Mark III/Master System. 'MAME' обеспечивает высокую скорость без замедлений на большинстве устройств. 'Nuked' обеспечивает потактовую точность с очень высоким качеством, но предъявляет повышенные требования к CPU."
#define OPTION_VAL_MAME_RU NULL
#define OPTION_VAL_NUKED_RU NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_RU NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_RU "Метод эмуляции FM-синтезатора Mega Drive/Genesis. Режимы 'MAME' обеспечивают высокую скорость на большинстве устройств. 'Nuked' обеспечивают потактовую точность с очень высоким качеством, но предъявляют повышенные требования к CPU. Чип YM2612 исп. в ориг. Mega Drive/Genesis Model 1, а YM3438 в более поздних ревизиях консоли."
#define GENESIS_PLUS_GX_YM2612_INFO_1_RU "Выбор метода эмуляции FM-синтезатора (основного генератора звука) Mega Drive/Genesis. Микросхема YM2612 используется в оригинальной Mega Drive/Genesis модели 1, а YM3438 в более поздних моделях Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_RU NULL
#define OPTION_VAL_MAME_ASIC_YM3438_RU NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_RU "MAME (улучшенный YM3438)"
#define OPTION_VAL_NUKED_YM2612_RU NULL
#define OPTION_VAL_NUKED_YM3438_RU NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_RU "Вывод звука"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_RU "Воспроизведение звука в стерео или моно."
#define OPTION_VAL_STEREO_RU "Стерео"
#define OPTION_VAL_MONO_RU "Моно"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_RU "Аудиофильтр"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_RU "Включает фильтр нижних частот для лучшей имитации характеристик звука Mega Drive/Genesis модели 1."
#define OPTION_VAL_LOW_PASS_RU "Низкочастотный"
#define OPTION_VAL_EQ_RU "Эквалайзер"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_RU "Фильтр нижних частот (%)"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_RU "Настройка частоты среза для низкочастотного пропускного фильтра. Большие значения усиливают эффект фильтра из-за влияния на более широкий спектр высоких частот."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_RU "Предусиление PSG"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_RU "Установка уровня предусиления для эмулируемого 4-канального программируемого генератора сигналов (PGS) SN76496 в SG-1000, Sega Mark III, Master System, Game Gear и Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_RU "Предусиление FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_RU "Установка уровня предусиления звука эмулируемого FM-синтезатора Mega Drive/Genesis или FM Sound Unit в Sega Mark III/Master System."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_RU "Громкость CD-DA"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_RU "Регулировка уровня громкости на выходе эмулируемого CD-аудио."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_RU "Громкость PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_RU "Регулировка громкости звука на выходе эмулируемого PCM генератора RF5C164 Sega CD/Mega-CD."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_RU "Настройка нижних частот"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_RU "Регулировка нижнечастотного диапазона для встроенного эквалайзера звука."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_RU "Настройка средних частот"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_RU "Регулировка среднечастотного диапазона для встроенного эквалайзера звука."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_RU "Настройка верхних частот"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_RU "Регулировка верхнечастотного диапазона для встроенного эквалайзера звука."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_RU "Источник светового пистолета"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_RU "Использовать для светового пистолета мышь или ввод с сенсорного экрана."
#define OPTION_VAL_LIGHTGUN_RU "Световой пистолет"
#define OPTION_VAL_TOUCHSCREEN_RU "Сенсорный экран"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_RU "Показывать прицел светового пистолета"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_RU "Отображать прицел светового пистолета для устройств ввода типа MD Menacer, MD Justifier и MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_RU "Инверсия мыши по оси Y"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_RU "Инвертирует ось Y для устройства ввода типа MD Mouse."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_RU "Отключить лимит спрайтов в линии"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_RU "Убирает ограничение оригинальной консоли по количеству спрайтов на линию развёртки. Уменьшает мерцание, но может вызывать сбои графики, т.к. в ряде игр данное аппаратное ограничение используется для определённых эффектов."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_RU "Улучшенный верт. скроллинг тайлов"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_RU "Разрешает верт. скроллинг каждой отдельной ячейки, вместо 16 пикселей по 2 ячейкам, путём усреднения значения vscroll соседней ячейки. Данный хак применяется только для ряда игр, использующих режим верт. скроллинга по 2 ячейкам."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_RU "Предел улучшения верт. скроллинга тайлов"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_RU "Только при вкл. \"Улучшенный верт. скроллинг тайлов\". Регулирует предел улучшения верт. скроллинга. Если значение vscroll между соседними тайлами превышает установленное ограничение, улучшение отключается."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_RU "Скорость CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_RU "Разгон эмулируемого процесса. Может уменьшить замедления, но также приводить к сбоям."
#define OPTION_VAL_100_RU NULL
#define OPTION_VAL_125_RU NULL
#define OPTION_VAL_150_RU NULL
#define OPTION_VAL_175_RU NULL
#define OPTION_VAL_200_RU NULL
#define OPTION_VAL_225_RU NULL
#define OPTION_VAL_250_RU NULL
#define OPTION_VAL_275_RU NULL
#define OPTION_VAL_300_RU NULL
#define OPTION_VAL_325_RU NULL
#define OPTION_VAL_350_RU NULL
#define OPTION_VAL_375_RU NULL
#define OPTION_VAL_400_RU NULL
#define OPTION_VAL_425_RU NULL
#define OPTION_VAL_450_RU NULL
#define OPTION_VAL_475_RU NULL
#define OPTION_VAL_500_RU NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_RU "Подвисания системы"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_RU "Эмуляция подвисаний системы на оригинальной консоли при доступе к недопустимому адресу. Следует выключать только при запуске некоторых демо или homebrew, которые используют неправильные режимы для корректной работы."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_RU "Ошибка адресации 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_RU "При попытке невыровненного доступа к памяти центральный процессор Mega Drive/Genesis (Motorola 68000) генерирует прерывание (сбой) по ошибке адресации. Включение опции 'Ошибка адресации 68K' имитирует данное поведение. Опцию необходимо отключать только для запуска хаков, т.к. они обычно разрабатываются на менее точных эмуляторах и могут использовать ошибки доступа к памяти для корректной работы."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_RU "Время доступа к CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_RU "Имитация задержки физ. CD-привода при операциях чтения или поиска определенного сектора диска. Требуется для отдельных CD-игр, зависающих при слишком быстром получении данных, а также устраняет рассинхронизацию CD-аудио. Рекомендуется откл. для игр MSU-MD, т.к. обеспечивает плавный повтор аудиодорожек."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_RU "Кэшировать образ CD"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_RU "При запуске загружать образ CD в память. Поддерживаются только CHD. Требуется перезапуск."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_RU "Показывать доп. настройки громкости (при повт. вызове меню)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_RU "Включает настройку низкоуровневых параметров звуковых каналов. Для применения изменений требуется перезайти в быстрое меню."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_RU "Громкость PSG канала тона 0 (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_RU "Уменьшение громкости PSG канала тона 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_RU "Громкость PSG канала тона 1 (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_RU "Уменьшение громкости PSG канала тона 1."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_RU "Громкость PSG канала тона 2 (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_RU "Уменьшение громкости PSG канала тона 2."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_RU "Громкость PSG канала шума 3 (%)"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_RU "Уменьшение громкости PSG канала шума 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_RU "Громкость Mega Drive/Genesis FM-канала 0 (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_RU "Уменьшение громкости Mega Drive/Genesis FM-канала 0. Работает только с FM-эмуляцией MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_RU "Громкость Mega Drive/Genesis FM-канала 1 (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_RU "Уменьшение громкости Mega Drive/Genesis FM-канала 1. Работает только с FM-эмуляцией MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_RU "Громкость Mega Drive/Genesis FM-канала 2 (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_RU "Уменьшение громкости Mega Drive/Genesis FM-канала 2. Работает только с FM-эмуляцией MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_RU "Громкость Mega Drive/Genesis FM-канала 3 (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_RU "Уменьшение громкости Mega Drive/Genesis FM-канала 3. Работает только с FM-эмуляцией MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_RU "Громкость Mega Drive/Genesis FM-канала 4 (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_RU "Уменьшение громкости Mega Drive/Genesis FM-канала 4. Работает только с FM-эмуляцией MAME."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_RU "Громкость Mega Drive/Genesis FM-канала 5 (%)"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_RU "Уменьшение громкости Mega Drive/Genesis FM-канала 5. Работает только с FM-эмуляцией MAME."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 0 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 0."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 1 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 1."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 2 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 2."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 3 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 3."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 4 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 4."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 5 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 5."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 6 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 6."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 7 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 7."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_RU "Громкость Master System FM (YM2413) канала 8 (%)"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_RU "Уменьшение громкости Master System FM-канала 8."

struct retro_core_option_v2_category option_cats_ru[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_RU,
      CATEGORY_SYSTEM_INFO_0_RU
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_RU,
      CATEGORY_VIDEO_INFO_0_RU
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_RU,
      CATEGORY_AUDIO_INFO_0_RU
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_RU,
      CATEGORY_INPUT_INFO_0_RU
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_RU,
      CATEGORY_HACKS_INFO_0_RU
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_RU,
      CATEGORY_CHANNEL_VOLUME_INFO_0_RU
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_ru[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_RU,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_RU                 },
         { "sg-1000",              OPTION_VAL_SG_1000_RU              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_RU           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_RU},
         { "mark-III",             OPTION_VAL_MARK_III_RU             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_RU        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_RU     },
         { "game gear",            OPTION_VAL_GAME_GEAR_RU            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_RU   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_RU,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_RU   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_RU },
         { "pal",     OPTION_VAL_PAL_RU    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_RU },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_RU,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_RU },
         { "50hz",  OPTION_VAL_50HZ_RU },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_RU,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_RU,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_RU },
         { "per game", OPTION_VAL_PER_GAME_RU },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_RU,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_RU },
         { "per game", OPTION_VAL_PER_GAME_RU },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_RU,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_RU  },
         { "256k",     OPTION_VAL_256K_RU  },
         { "512k",     OPTION_VAL_512K_RU  },
         { "1meg",     OPTION_VAL_1MEG_RU    },
         { "2meg",     OPTION_VAL_2MEG_RU    },
         { "4meg",     OPTION_VAL_4MEG_RU    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_RU,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_RU },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_RU },
         { "megasd",       OPTION_VAL_MEGASD_RU },
         { "none",         OPTION_VAL_NONE_RU },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_RU,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_RU },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_RU },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_RU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_RU,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_RU },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_RU },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_RU },
         { "4:3",  OPTION_VAL_4_3_RU },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_RU },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_RU,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_RU },
         { "left/right", OPTION_VAL_LEFT_RIGHT_RU },
         { "full",       OPTION_VAL_FULL_RU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_RU,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_RU },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_RU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_RU,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_RU,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_RU },
         { "composite",  OPTION_VAL_COMPOSITE_RU },
         { "svideo",     OPTION_VAL_SVIDEO_RU },
         { "rgb",        OPTION_VAL_RGB_RU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_RU,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_RU,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_RU },
         { "double field", OPTION_VAL_DOUBLE_FIELD_RU },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_RU,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_RU },
         { "manual",   OPTION_VAL_MANUAL_RU },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_RU,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_RU,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_RU },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_RU,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_RU },
         { "nuked", OPTION_VAL_NUKED_RU },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_RU,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_RU,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_RU,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_RU },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_RU },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_RU },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_RU },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_RU },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_RU,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_RU },
         { "mono",   OPTION_VAL_MONO_RU },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_RU,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_RU },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_RU },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_RU,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_RU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_RU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_RU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_RU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_RU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_RU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_RU,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_RU,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_RU },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_RU },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_RU,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_RU,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_RU,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_RU,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_RU,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_RU,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_RU },
         { "125", OPTION_VAL_125_RU },
         { "150", OPTION_VAL_150_RU },
         { "175", OPTION_VAL_175_RU },
         { "200", OPTION_VAL_200_RU },
         { "225", OPTION_VAL_225_RU },
         { "250", OPTION_VAL_250_RU },
         { "275", OPTION_VAL_275_RU },
         { "300", OPTION_VAL_300_RU },
         { "325", OPTION_VAL_325_RU },
         { "350", OPTION_VAL_350_RU },
         { "375", OPTION_VAL_375_RU },
         { "400", OPTION_VAL_400_RU },
         { "425", OPTION_VAL_425_RU },
         { "450", OPTION_VAL_450_RU },
         { "475", OPTION_VAL_475_RU },
         { "500", OPTION_VAL_500_RU },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_RU,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_RU,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_RU,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_RU,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_RU,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_RU,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_ru = {
   option_cats_ru,
   option_defs_ru
};

/* RETRO_LANGUAGE_SK */

#define CATEGORY_SYSTEM_LABEL_SK "Systém"
#define CATEGORY_SYSTEM_INFO_0_SK NULL
#define CATEGORY_VIDEO_LABEL_SK NULL
#define CATEGORY_VIDEO_INFO_0_SK NULL
#define CATEGORY_AUDIO_LABEL_SK "Zvuk"
#define CATEGORY_AUDIO_INFO_0_SK NULL
#define CATEGORY_INPUT_LABEL_SK "Vstup"
#define CATEGORY_INPUT_INFO_0_SK NULL
#define CATEGORY_HACKS_LABEL_SK "Emulačné hacky"
#define CATEGORY_HACKS_INFO_0_SK NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_SK NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_SK "Systémový hardvér"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_SK NULL
#define OPTION_VAL_AUTO_SK NULL
#define OPTION_VAL_SG_1000_SK NULL
#define OPTION_VAL_SG_1000_II_SK NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_SK NULL
#define OPTION_VAL_MARK_III_SK NULL
#define OPTION_VAL_MASTER_SYSTEM_SK NULL
#define OPTION_VAL_MASTER_SYSTEM_II_SK NULL
#define OPTION_VAL_GAME_GEAR_SK NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_SK NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_SK "Systémový región"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_SK NULL
#define OPTION_VAL_NTSC_U_SK NULL
#define OPTION_VAL_PAL_SK NULL
#define OPTION_VAL_NTSC_J_SK NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_SK NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_SK NULL
#define OPTION_VAL_60HZ_SK NULL
#define OPTION_VAL_50HZ_SK NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_SK NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_SK NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_SK NULL
#define OPTION_VAL_PER_BIOS_SK "Podľa BIOSu"
#define OPTION_VAL_PER_GAME_SK "Podľa hry"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_SK NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_SK NULL
#define OPTION_VAL_PER_CART_SK NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_SK NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_SK NULL
#define OPTION_VAL_128K_SK "128 Kbit"
#define OPTION_VAL_256K_SK "256 Kbit"
#define OPTION_VAL_512K_SK "512 Kbit"
#define OPTION_VAL_1MEG_SK "1 Mbit"
#define OPTION_VAL_2MEG_SK "2 Mbit"
#define OPTION_VAL_4MEG_SK "4 Mbit"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_SK NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_SK NULL
#define OPTION_VAL_SEGA_MEGA_CD_SK NULL
#define OPTION_VAL_MEGASD_SK NULL
#define OPTION_VAL_NONE_SK "Žiadne"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_SK NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_SK NULL
#define OPTION_VAL_GAME_GENIE_SK NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_SK NULL
#define OPTION_VAL_SONIC_KNUCKLES_SK NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_SK "Jadrom poskytnutý pomer strán"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_SK NULL
#define OPTION_VAL_NTSC_PAR_SK NULL
#define OPTION_VAL_PAL_PAR_SK NULL
#define OPTION_VAL_4_3_SK NULL
#define OPTION_VAL_UNCORRECTED_SK "Neopravené"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_SK "Okraje"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_SK NULL
#define OPTION_VAL_TOP_BOTTOM_SK "Hore/dolu"
#define OPTION_VAL_LEFT_RIGHT_SK "Vľavo/vpravo"
#define OPTION_VAL_FULL_SK "Plné"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_SK NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_SK NULL
#define OPTION_VAL_LEFT_BORDER_SK NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_SK NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_SK NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_SK NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_SK NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_SK NULL
#define OPTION_VAL_MONOCHROME_SK "Čiernobiele"
#define OPTION_VAL_COMPOSITE_SK "Kompozit"
#define OPTION_VAL_SVIDEO_SK NULL
#define OPTION_VAL_RGB_SK NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_SK NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_SK NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_SK NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_SK NULL
#define OPTION_VAL_SINGLE_FIELD_SK NULL
#define OPTION_VAL_DOUBLE_FIELD_SK NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_SK "Preskočenie snímky"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_SK NULL
#define OPTION_VAL_MANUAL_SK "Ručne"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_SK "Prah preskočenia snímky (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_SK "Ak je 'Preskočenie snímkov' nastavené na 'Ručne', určuje obsadenosť zvukového zásobníka (v percentách) pod ktorou budú snímky preskočené. Vyššie hodnoty znižujú riziko praskania za cenu zahodenia snímkov častejšie."
#define GENESIS_PLUS_GX_YM2413_LABEL_SK NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_SK NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_SK NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_SK NULL
#define OPTION_VAL_MAME_SK NULL
#define OPTION_VAL_NUKED_SK NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_SK NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_SK NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_SK NULL
#define OPTION_VAL_MAME_YM2612_SK NULL
#define OPTION_VAL_MAME_ASIC_YM3438_SK NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_SK "MAME (rozšírené YM3438)"
#define OPTION_VAL_NUKED_YM2612_SK NULL
#define OPTION_VAL_NUKED_YM3438_SK NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_SK "Zvukový výstup"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_SK NULL
#define OPTION_VAL_STEREO_SK NULL
#define OPTION_VAL_MONO_SK NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_SK "Zvukový filter"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_SK NULL
#define OPTION_VAL_LOW_PASS_SK NULL
#define OPTION_VAL_EQ_SK NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_SK NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_SK NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_SK NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_SK NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_SK NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_SK NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_SK "CD-DA hlasitosť"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_SK "PCM hlasitosť"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_SK "EQ nízke"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_SK NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_SK "EQ stredné"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_SK NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_SK NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_SK NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_SK NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_SK NULL
#define OPTION_VAL_LIGHTGUN_SK "Svetelná pištoľ"
#define OPTION_VAL_TOUCHSCREEN_SK "Dotykový displej"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_SK NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_SK NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_SK NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_SK NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_SK NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_SK NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_SK NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_SK NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_SK NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_SK NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_SK "Rýchlosť CPU"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_SK NULL
#define OPTION_VAL_100_SK NULL
#define OPTION_VAL_125_SK NULL
#define OPTION_VAL_150_SK NULL
#define OPTION_VAL_175_SK NULL
#define OPTION_VAL_200_SK NULL
#define OPTION_VAL_225_SK NULL
#define OPTION_VAL_250_SK NULL
#define OPTION_VAL_275_SK NULL
#define OPTION_VAL_300_SK NULL
#define OPTION_VAL_325_SK NULL
#define OPTION_VAL_350_SK NULL
#define OPTION_VAL_375_SK NULL
#define OPTION_VAL_400_SK NULL
#define OPTION_VAL_425_SK NULL
#define OPTION_VAL_450_SK NULL
#define OPTION_VAL_475_SK NULL
#define OPTION_VAL_500_SK NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_SK NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_SK NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_SK "Chyba adresy 68K"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_SK NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_SK NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_SK NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_SK NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_SK NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_SK NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_SK NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_SK NULL

struct retro_core_option_v2_category option_cats_sk[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_SK,
      CATEGORY_SYSTEM_INFO_0_SK
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_SK,
      CATEGORY_VIDEO_INFO_0_SK
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_SK,
      CATEGORY_AUDIO_INFO_0_SK
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_SK,
      CATEGORY_INPUT_INFO_0_SK
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_SK,
      CATEGORY_HACKS_INFO_0_SK
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_SK,
      CATEGORY_CHANNEL_VOLUME_INFO_0_SK
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_sk[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_SK,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_SK                 },
         { "sg-1000",              OPTION_VAL_SG_1000_SK              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_SK           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_SK},
         { "mark-III",             OPTION_VAL_MARK_III_SK             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_SK        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_SK     },
         { "game gear",            OPTION_VAL_GAME_GEAR_SK            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_SK   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_SK,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_SK   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_SK },
         { "pal",     OPTION_VAL_PAL_SK    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_SK },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_SK,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_SK },
         { "50hz",  OPTION_VAL_50HZ_SK },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_SK,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_SK,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_SK },
         { "per game", OPTION_VAL_PER_GAME_SK },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_SK,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_SK },
         { "per game", OPTION_VAL_PER_GAME_SK },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_SK,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_SK  },
         { "256k",     OPTION_VAL_256K_SK  },
         { "512k",     OPTION_VAL_512K_SK  },
         { "1meg",     OPTION_VAL_1MEG_SK    },
         { "2meg",     OPTION_VAL_2MEG_SK    },
         { "4meg",     OPTION_VAL_4MEG_SK    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_SK,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_SK },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_SK },
         { "megasd",       OPTION_VAL_MEGASD_SK },
         { "none",         OPTION_VAL_NONE_SK },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_SK,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_SK },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_SK },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_SK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_SK,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_SK },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_SK },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_SK },
         { "4:3",  OPTION_VAL_4_3_SK },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_SK },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_SK,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_SK },
         { "left/right", OPTION_VAL_LEFT_RIGHT_SK },
         { "full",       OPTION_VAL_FULL_SK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_SK,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_SK },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_SK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_SK,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_SK,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_SK },
         { "composite",  OPTION_VAL_COMPOSITE_SK },
         { "svideo",     OPTION_VAL_SVIDEO_SK },
         { "rgb",        OPTION_VAL_RGB_SK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_SK,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_SK,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_SK },
         { "double field", OPTION_VAL_DOUBLE_FIELD_SK },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_SK,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_SK },
         { "manual",   OPTION_VAL_MANUAL_SK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_SK,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_SK,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_SK },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_SK,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_SK },
         { "nuked", OPTION_VAL_NUKED_SK },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_SK,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_SK,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_SK,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_SK },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_SK },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_SK },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_SK },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_SK },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_SK,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_SK },
         { "mono",   OPTION_VAL_MONO_SK },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_SK,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_SK },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_SK },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_SK,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_SK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_SK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_SK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_SK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_SK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_SK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_SK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_SK,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_SK },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_SK },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_SK,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_SK,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_SK,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_SK,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_SK,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_SK,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_SK },
         { "125", OPTION_VAL_125_SK },
         { "150", OPTION_VAL_150_SK },
         { "175", OPTION_VAL_175_SK },
         { "200", OPTION_VAL_200_SK },
         { "225", OPTION_VAL_225_SK },
         { "250", OPTION_VAL_250_SK },
         { "275", OPTION_VAL_275_SK },
         { "300", OPTION_VAL_300_SK },
         { "325", OPTION_VAL_325_SK },
         { "350", OPTION_VAL_350_SK },
         { "375", OPTION_VAL_375_SK },
         { "400", OPTION_VAL_400_SK },
         { "425", OPTION_VAL_425_SK },
         { "450", OPTION_VAL_450_SK },
         { "475", OPTION_VAL_475_SK },
         { "500", OPTION_VAL_500_SK },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_SK,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_SK,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_SK,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_SK,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_SK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_SK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_sk = {
   option_cats_sk,
   option_defs_sk
};

/* RETRO_LANGUAGE_SR */

#define CATEGORY_SYSTEM_LABEL_SR NULL
#define CATEGORY_SYSTEM_INFO_0_SR NULL
#define CATEGORY_VIDEO_LABEL_SR NULL
#define CATEGORY_VIDEO_INFO_0_SR NULL
#define CATEGORY_AUDIO_LABEL_SR "Zvuk"
#define CATEGORY_AUDIO_INFO_0_SR NULL
#define CATEGORY_INPUT_LABEL_SR "Ulaz"
#define CATEGORY_INPUT_INFO_0_SR NULL
#define CATEGORY_HACKS_LABEL_SR NULL
#define CATEGORY_HACKS_INFO_0_SR NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_SR NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_SR NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_SR NULL
#define OPTION_VAL_AUTO_SR NULL
#define OPTION_VAL_SG_1000_SR NULL
#define OPTION_VAL_SG_1000_II_SR NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_SR NULL
#define OPTION_VAL_MARK_III_SR NULL
#define OPTION_VAL_MASTER_SYSTEM_SR NULL
#define OPTION_VAL_MASTER_SYSTEM_II_SR NULL
#define OPTION_VAL_GAME_GEAR_SR NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_SR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_SR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_SR NULL
#define OPTION_VAL_NTSC_U_SR NULL
#define OPTION_VAL_PAL_SR NULL
#define OPTION_VAL_NTSC_J_SR NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_SR NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_SR NULL
#define OPTION_VAL_60HZ_SR NULL
#define OPTION_VAL_50HZ_SR NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_SR NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_SR NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_SR NULL
#define OPTION_VAL_PER_BIOS_SR NULL
#define OPTION_VAL_PER_GAME_SR NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_SR NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_SR NULL
#define OPTION_VAL_PER_CART_SR NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_SR NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_SR NULL
#define OPTION_VAL_128K_SR NULL
#define OPTION_VAL_256K_SR NULL
#define OPTION_VAL_512K_SR NULL
#define OPTION_VAL_1MEG_SR NULL
#define OPTION_VAL_2MEG_SR NULL
#define OPTION_VAL_4MEG_SR NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_SR NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_SR NULL
#define OPTION_VAL_SEGA_MEGA_CD_SR NULL
#define OPTION_VAL_MEGASD_SR NULL
#define OPTION_VAL_NONE_SR NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_SR NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_SR NULL
#define OPTION_VAL_GAME_GENIE_SR NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_SR NULL
#define OPTION_VAL_SONIC_KNUCKLES_SR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_SR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_SR NULL
#define OPTION_VAL_NTSC_PAR_SR NULL
#define OPTION_VAL_PAL_PAR_SR NULL
#define OPTION_VAL_4_3_SR NULL
#define OPTION_VAL_UNCORRECTED_SR NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_SR NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_SR NULL
#define OPTION_VAL_TOP_BOTTOM_SR NULL
#define OPTION_VAL_LEFT_RIGHT_SR NULL
#define OPTION_VAL_FULL_SR NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_SR NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_SR NULL
#define OPTION_VAL_LEFT_BORDER_SR NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_SR NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_SR NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_SR NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_SR NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_SR NULL
#define OPTION_VAL_MONOCHROME_SR NULL
#define OPTION_VAL_COMPOSITE_SR NULL
#define OPTION_VAL_SVIDEO_SR NULL
#define OPTION_VAL_RGB_SR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_SR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_SR NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_SR NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_SR NULL
#define OPTION_VAL_SINGLE_FIELD_SR NULL
#define OPTION_VAL_DOUBLE_FIELD_SR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_SR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_SR NULL
#define OPTION_VAL_MANUAL_SR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_SR NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_SR NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_SR NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_SR NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_SR NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_SR NULL
#define OPTION_VAL_MAME_SR NULL
#define OPTION_VAL_NUKED_SR NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_SR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_SR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_SR NULL
#define OPTION_VAL_MAME_YM2612_SR NULL
#define OPTION_VAL_MAME_ASIC_YM3438_SR NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_SR NULL
#define OPTION_VAL_NUKED_YM2612_SR NULL
#define OPTION_VAL_NUKED_YM3438_SR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_SR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_SR NULL
#define OPTION_VAL_STEREO_SR NULL
#define OPTION_VAL_MONO_SR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_SR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_SR NULL
#define OPTION_VAL_LOW_PASS_SR NULL
#define OPTION_VAL_EQ_SR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_SR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_SR NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_SR NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_SR NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_SR NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_SR NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_SR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_SR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_SR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_SR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_SR NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_SR NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_SR NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_SR NULL
#define OPTION_VAL_LIGHTGUN_SR NULL
#define OPTION_VAL_TOUCHSCREEN_SR NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_SR NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_SR NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_SR NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_SR NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_SR NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_SR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_SR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_SR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_SR NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_SR NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_SR NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_SR NULL
#define OPTION_VAL_100_SR NULL
#define OPTION_VAL_125_SR NULL
#define OPTION_VAL_150_SR NULL
#define OPTION_VAL_175_SR NULL
#define OPTION_VAL_200_SR NULL
#define OPTION_VAL_225_SR NULL
#define OPTION_VAL_250_SR NULL
#define OPTION_VAL_275_SR NULL
#define OPTION_VAL_300_SR NULL
#define OPTION_VAL_325_SR NULL
#define OPTION_VAL_350_SR NULL
#define OPTION_VAL_375_SR NULL
#define OPTION_VAL_400_SR NULL
#define OPTION_VAL_425_SR NULL
#define OPTION_VAL_450_SR NULL
#define OPTION_VAL_475_SR NULL
#define OPTION_VAL_500_SR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_SR NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_SR NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_SR NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_SR NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_SR NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_SR NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_SR NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_SR NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_SR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_SR NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_SR NULL

struct retro_core_option_v2_category option_cats_sr[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_SR,
      CATEGORY_SYSTEM_INFO_0_SR
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_SR,
      CATEGORY_VIDEO_INFO_0_SR
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_SR,
      CATEGORY_AUDIO_INFO_0_SR
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_SR,
      CATEGORY_INPUT_INFO_0_SR
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_SR,
      CATEGORY_HACKS_INFO_0_SR
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_SR,
      CATEGORY_CHANNEL_VOLUME_INFO_0_SR
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_sr[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_SR,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_SR                 },
         { "sg-1000",              OPTION_VAL_SG_1000_SR              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_SR           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_SR},
         { "mark-III",             OPTION_VAL_MARK_III_SR             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_SR        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_SR     },
         { "game gear",            OPTION_VAL_GAME_GEAR_SR            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_SR   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_SR,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_SR   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_SR },
         { "pal",     OPTION_VAL_PAL_SR    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_SR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_SR,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_SR },
         { "50hz",  OPTION_VAL_50HZ_SR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_SR,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_SR,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_SR },
         { "per game", OPTION_VAL_PER_GAME_SR },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_SR,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_SR },
         { "per game", OPTION_VAL_PER_GAME_SR },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_SR,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_SR  },
         { "256k",     OPTION_VAL_256K_SR  },
         { "512k",     OPTION_VAL_512K_SR  },
         { "1meg",     OPTION_VAL_1MEG_SR    },
         { "2meg",     OPTION_VAL_2MEG_SR    },
         { "4meg",     OPTION_VAL_4MEG_SR    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_SR,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_SR },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_SR },
         { "megasd",       OPTION_VAL_MEGASD_SR },
         { "none",         OPTION_VAL_NONE_SR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_SR,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_SR },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_SR },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_SR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_SR,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_SR },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_SR },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_SR },
         { "4:3",  OPTION_VAL_4_3_SR },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_SR },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_SR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_SR },
         { "left/right", OPTION_VAL_LEFT_RIGHT_SR },
         { "full",       OPTION_VAL_FULL_SR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_SR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_SR },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_SR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_SR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_SR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_SR },
         { "composite",  OPTION_VAL_COMPOSITE_SR },
         { "svideo",     OPTION_VAL_SVIDEO_SR },
         { "rgb",        OPTION_VAL_RGB_SR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_SR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_SR,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_SR },
         { "double field", OPTION_VAL_DOUBLE_FIELD_SR },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_SR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_SR },
         { "manual",   OPTION_VAL_MANUAL_SR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_SR,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_SR,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_SR },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_SR,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_SR },
         { "nuked", OPTION_VAL_NUKED_SR },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_SR,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_SR,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_SR,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_SR },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_SR },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_SR },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_SR },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_SR },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_SR,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_SR },
         { "mono",   OPTION_VAL_MONO_SR },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_SR,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_SR },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_SR },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_SR,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_SR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_SR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_SR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_SR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_SR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_SR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_SR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_SR,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_SR },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_SR },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_SR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_SR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_SR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_SR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_SR,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_SR,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_SR },
         { "125", OPTION_VAL_125_SR },
         { "150", OPTION_VAL_150_SR },
         { "175", OPTION_VAL_175_SR },
         { "200", OPTION_VAL_200_SR },
         { "225", OPTION_VAL_225_SR },
         { "250", OPTION_VAL_250_SR },
         { "275", OPTION_VAL_275_SR },
         { "300", OPTION_VAL_300_SR },
         { "325", OPTION_VAL_325_SR },
         { "350", OPTION_VAL_350_SR },
         { "375", OPTION_VAL_375_SR },
         { "400", OPTION_VAL_400_SR },
         { "425", OPTION_VAL_425_SR },
         { "450", OPTION_VAL_450_SR },
         { "475", OPTION_VAL_475_SR },
         { "500", OPTION_VAL_500_SR },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_SR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_SR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_SR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_SR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_SR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_SR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_sr = {
   option_cats_sr,
   option_defs_sr
};

/* RETRO_LANGUAGE_SV */

#define CATEGORY_SYSTEM_LABEL_SV NULL
#define CATEGORY_SYSTEM_INFO_0_SV "Ändra val av basmaskinvara, region, BIOS och inställningar för Sega CD/Mega-CD-sparfil."
#define CATEGORY_VIDEO_LABEL_SV NULL
#define CATEGORY_VIDEO_INFO_0_SV "Ändra bildformat, beskärning, videofilter och inställningar för bildruteskippning."
#define CATEGORY_AUDIO_LABEL_SV "Ljud"
#define CATEGORY_AUDIO_INFO_0_SV "Ändra inställningar för ljudenhet."
#define CATEGORY_INPUT_LABEL_SV "Inmatning"
#define CATEGORY_INPUT_INFO_0_SV "Ändra inmatningsinställningar för ljuspistol och/eller mus."
#define CATEGORY_HACKS_LABEL_SV "Emulator Hacks"
#define CATEGORY_HACKS_INFO_0_SV "Ändra inställningar för processoröverklockning och emuleringsnoggrannhet som påverkar prestanda och kompatibilitet på låg nivå."
#define CATEGORY_CHANNEL_VOLUME_LABEL_SV "Avancerade inställningar för kanalvolym"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_SV "Ändra volymen för enskilda ljudkanaler i hårdvaran."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_SV "Systemhårdvara"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_SV "Kör inläst innehåll med en specifik emulerad konsol. ”Auto” väljer det system som är mest lämpligt för det aktuella spelet."
#define OPTION_VAL_AUTO_SV NULL
#define OPTION_VAL_SG_1000_SV NULL
#define OPTION_VAL_SG_1000_II_SV NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_SV NULL
#define OPTION_VAL_MARK_III_SV NULL
#define OPTION_VAL_MASTER_SYSTEM_SV NULL
#define OPTION_VAL_MASTER_SYSTEM_II_SV NULL
#define OPTION_VAL_GAME_GEAR_SV NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_SV NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_SV "Systemregion"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_SV "Ange vilken region systemet kommer från. För andra konsoler än Game Gear är ”PAL” 50 Hz, medan ”NTSC” är 60 Hz. Spel kan köras snabbare eller långsammare än normalt om fel region väljs."
#define OPTION_VAL_NTSC_U_SV NULL
#define OPTION_VAL_PAL_SV NULL
#define OPTION_VAL_NTSC_J_SV NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_SV "Tvinga VDP-läge"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_SV "Åsidosätter VDP-läget för att tvinga det att köras med antingen NTSC 60Hz eller PAL 50Hz, oavsett systemregion."
#define OPTION_VAL_60HZ_SV NULL
#define OPTION_VAL_50HZ_SV NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_SV NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_SV "Använd officiell BIOS/bootloader för emulerad maskinvara, om den finns i RetroArchs systemkatalog. Visar konsolspecifik startsekvens/animation och kör sedan laddat innehåll."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_SV "CD-System BRAM (Kräver omstart)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_SV "När du kör Sega CD/Mega-CD-innehåll anger du om en enda sparfil ska delas mellan alla spel från en viss region (Per-BIOS) eller om en separat sparfil ska skapas för varje spel (Per-Game). Observera att Sega CD/Mega-CD har ett begränsat internt lagringsutrymme, som endast räcker till en handfull titlar. För att undvika att utrymmet tar slut rekommenderas inställningen ”Per-Game”."
#define OPTION_VAL_PER_BIOS_SV NULL
#define OPTION_VAL_PER_GAME_SV "Per-Spel"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_SV "CD Backup Cart BRAM (kräver omstart)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_SV "När du kör Sega CD/Mega-CD-innehåll anger du om en enda ramkassett för säkerhetskopiering ska delas för alla spel (Per-Cart) eller om en separat ramkassett för säkerhetskopiering ska skapas för varje spel (Per-Game)."
#define OPTION_VAL_PER_CART_SV "Per-kassett"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_SV "CD Backup Cart BRAM-storlek (kräver omstart)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_SV "Ställer in storleken på backup-ramkortet när du kör Sega CD/Mega-CD-innehåll. Användbart när du ställer in backup-ramkortet på Per spel för att undvika flera större kortstorlekar."
#define OPTION_VAL_128K_SV NULL
#define OPTION_VAL_256K_SV NULL
#define OPTION_VAL_512K_SV NULL
#define OPTION_VAL_1MEG_SV NULL
#define OPTION_VAL_2MEG_SV NULL
#define OPTION_VAL_4MEG_SV NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_SV "CD-tillägg (MD-läge) (kräver omstart)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_SV "Ange vilket tillägg som ska användas för uppspelning av CD-ljud med Mega Drive/Genesis-spel som stöds."
#define OPTION_VAL_SEGA_MEGA_CD_SV NULL
#define OPTION_VAL_MEGASD_SV NULL
#define OPTION_VAL_NONE_SV "Ingen"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_SV NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_SV "Lock-On Technology är en Mega Drive/Genesis-funktion som gjorde det möjligt för ett äldre spel att ansluta till pass-through-porten på en speciell kassett för utökad eller förändrad speltid. Detta alternativ anger vilken typ av speciell ”lock-on”-kassett som ska emuleras. En motsvarande bios-fil måste finnas i RetroArchs systemkatalog."
#define OPTION_VAL_GAME_GENIE_SV NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_SV NULL
#define OPTION_VAL_SONIC_KNUCKLES_SV NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_SV "Kärnspecifikt bildformat"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_SV "Välj det föredragna bildformatet för Innehållet. Detta kommer endast att tillämpas när RetroArchs bildformat är inställt på \"Kärnspecifikt\" i Video-inställningarna."
#define OPTION_VAL_NTSC_PAR_SV NULL
#define OPTION_VAL_PAL_PAR_SV NULL
#define OPTION_VAL_4_3_SV NULL
#define OPTION_VAL_UNCORRECTED_SV "Okorrigerad"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_SV "Ramar"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_SV "Aktivera detta för att visa överskanningsområdena längst upp/ned och/eller till vänster/höger på skärmen. Dessa skulle normalt vara dolda av ramen runt kanten på en standard-Tv."
#define OPTION_VAL_TOP_BOTTOM_SV "Topp/Botten"
#define OPTION_VAL_LEFT_RIGHT_SV "Vänster/Höger"
#define OPTION_VAL_FULL_SV NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_SV "Dölj sidokanter för Master System"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_SV "Skär bort 8 bildpunkter från antingen vänster sida av skärmen eller från både vänster och höger sida när Master System-spel körs."
#define OPTION_VAL_LEFT_BORDER_SV "Endast vänster ram"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_SV "Vänstra och högra ramar"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_SV "Utökad skärm för Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_SV "Tvingar Game Gear-titlar att köras i SMS-läge, med en ökad upplösning på 256x192. Kan visa ytterligare innehåll, men visar vanligtvis en kant av korrupt/olämplig bilddata."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_SV "Blargg NTSC-filter"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_SV "Använd ett videofilter för att efterlikna olika NTSC-TV-signaler."
#define OPTION_VAL_MONOCHROME_SV "Monokrom"
#define OPTION_VAL_COMPOSITE_SV "Komposit"
#define OPTION_VAL_SVIDEO_SV NULL
#define OPTION_VAL_RGB_SV NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_SV "LCD-spökfilter"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_SV "Använd ett ”ghosting”-filter för att efterlikna LCD-skärmarna på Game Gear och Genesis Nomad."
#define GENESIS_PLUS_GX_RENDER_LABEL_SV NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_SV "Interlaced Mode 2 gör att Mega Drive/Genesis kan ge en 320x448-bild med dubbel höjd (hög upplösning) genom att rita alternativa scanlinjer varje bildruta (detta används av Sonic the Hedgehog 2 och Combat Cars flerspelarlägen). ”Double Field” efterliknar originalhårdvaran och ger en skarp bild med flimmer/interlacing-artefakter. ”Single Field” använder ett deinterlacing-filter som stabiliserar bilden men orsakar lätt oskärpa."
#define OPTION_VAL_SINGLE_FIELD_SV "Enkelt fält"
#define OPTION_VAL_DOUBLE_FIELD_SV "Dubbelt fält"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_SV "Bildrutsöverhoppning"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_SV "Hoppa över bildrutor för att undvika ljudbuffert-underkörning (sprakande). Förbättrar prestanda på bekostnad av visuell jämnhet. \"Automatiskt\" hoppar över bildrutor när det rekommenderas av gränssnittet. \"Manuell\" använder inställningen \"Tröskelvärde för bildrutsöverhoppning (%)\" för att hoppa över bildrutor."
#define OPTION_VAL_MANUAL_SV "Manuell"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_SV "Tröskelvärde för bildrutsöverhoppning (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_SV "När 'Bildrutsöverhoppning' är satt till 'Manuell', ange ljudbuffertens tröskel (i procent) under vilka ramar som kommer att hoppas över. Högre värden minskar risken för hackigt ljud genom att bildrutor tappas oftare."
#define GENESIS_PLUS_GX_YM2413_LABEL_SV NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_SV "Aktivera emulering av FM-ljudkortet som används av vissa Sega Mark III/Master System-spel för förbättrad ljudutgång."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_SV "Kärna för Master System FM (YM2413)"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_SV "Välj metod som används för att emulera FM-ljudenheten i Sega Mark III/Master System. ”MAME\"-alternativet är snabbt och körs i full hastighet på de flesta system. Alternativet ”Nuked” är cykelnoggrannt, av mycket hög kvalitet och har betydande CPU-krav."
#define OPTION_VAL_MAME_SV NULL
#define OPTION_VAL_NUKED_SV NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_SV NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_SV "Välj metod som används för att emulera FM-syntesen (huvudljudgeneratorn) i Mega Drive/Genesis. ”MAME\"-alternativen är snabba och körs i full hastighet på de flesta system. 'Nuked'-alternativen är cykelnoggranna, av mycket hög kvalitet och har betydande CPU-krav. YM2612-chipet används av den ursprungliga Model 1 Mega Drive/Genesis. YM3438 används i senare versioner av Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_SV "Välj metod som används för att emulera FM-syntesen (huvudljudgeneratorn) i Mega Drive/Genesis. YM2612-chipet används av den ursprungliga Model 1 Mega Drive/Genesis. YM3438 används i senare versioner av Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_SV NULL
#define OPTION_VAL_MAME_ASIC_YM3438_SV NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_SV NULL
#define OPTION_VAL_NUKED_YM2612_SV NULL
#define OPTION_VAL_NUKED_YM3438_SV NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_SV "Ljudutgång"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_SV "Välj ljuduppspelning i stereo eller mono."
#define OPTION_VAL_STEREO_SV NULL
#define OPTION_VAL_MONO_SV NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_SV "Ljudfilter"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_SV "Aktivera ett lågpassljudfilter för att bättre simulera det karakteristiska ljudet från en Model 1 Mega Drive/Genesis."
#define OPTION_VAL_LOW_PASS_SV "Lågpass"
#define OPTION_VAL_EQ_SV NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_SV "Lågpassfilter %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_SV "Ange gränsfrekvensen för ljudets lågpassfilter. Ett högre värde ökar den upplevda ”styrkan” hos filtret, eftersom ett bredare spektrum av höga frekvenser dämpas."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_SV "PSG-förförstärkarens nivå"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_SV "Ställ in ljudförförstärkarnivån för den emulerade SN76496 4-kanals programmerbara ljudgeneratorn som finns i SG-1000, Sega Mark III, Master System, Game Gear och Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_SV "FM-förförstärkarnivå"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_SV "Ställ in ljudförförstärkarens nivå för den emulerade Mega Drive/Genesis FM-ljudsyntetisatorn eller Sega Mark III/Master System FM-ljudkällan."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_SV "CD-DA-volym"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_SV "Justera mixningsvolymen för den emulerade uppspelningen av CD-ljud."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_SV "PCM-volym"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_SV "Justera mixningsvolymen för den emulerade Sega CD/Mega-CD RF5C164 PCM-ljudgeneratorns utgång."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_SV "EQ låg"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_SV "Justera det låga frekvensområdet för den interna ljudequalizern."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_SV "EQ mid"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_SV "Justera det mellersta frekvensområdet för den interna ljudequalizern."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_SV "EQ hög"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_SV "Justera det höga frekvensområdet för den interna ljudequalizern."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_SV "Inmatning för ljuspistol"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_SV "Använd en musstyrd 'ljuspistol' eller 'pekskärm'."
#define OPTION_VAL_LIGHTGUN_SV "Ljuspistol"
#define OPTION_VAL_TOUCHSCREEN_SV "Pekskärm"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_SV "Visa hårkors för ljuspistol"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_SV "Visa hårkorset för ljuspistoler när du använder inmatningsenhetstyperna MD Menacer, MD Justifiers och MS Light Phaser."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_SV "Invertera musens Y-axel"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_SV "Inverterar Y-axeln för inmatningsenhetstypen MD Mouse."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_SV "Ta bort blockfigursgräns per rad"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_SV "Tar bort den ursprungliga hårdvarubegränsningen för sprite per skanlinje. Detta minskar flimret men kan orsaka visuella störningar, eftersom vissa spel utnyttjar hårdvarubegränsningen för att skapa specialeffekter."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_SV "Förbättrad vertikal rullning per ruta"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_SV "Gör det möjligt att bläddra vertikalt i varje enskild cell, istället för 16px 2-cell, genom att beräkna genomsnittet med vscroll-värdet för den angränsande cellen. Detta hack gäller endast för ett fåtal spel som använder 2-cell vertikalt bläddringsläge."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_SV "Förbättrad vertikal rullningsgräns per ruta"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_SV "Endast när Förbättrad vertikal rullning per ruta är aktiverat. Justerar gränsen för förbättrad vertikal rullning. När skillnaden i vertikal rullning mellan angränsande rutor är större än denna gräns inaktiveras förbättringen."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_SV "CPU-hastighet"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_SV "Överklocka den emulerade processorn. Kan minska långsamheter, men kan orsaka glitchar."
#define OPTION_VAL_100_SV NULL
#define OPTION_VAL_125_SV NULL
#define OPTION_VAL_150_SV NULL
#define OPTION_VAL_175_SV NULL
#define OPTION_VAL_200_SV NULL
#define OPTION_VAL_225_SV NULL
#define OPTION_VAL_250_SV NULL
#define OPTION_VAL_275_SV NULL
#define OPTION_VAL_300_SV NULL
#define OPTION_VAL_325_SV NULL
#define OPTION_VAL_350_SV NULL
#define OPTION_VAL_375_SV NULL
#define OPTION_VAL_400_SV NULL
#define OPTION_VAL_425_SV NULL
#define OPTION_VAL_450_SV NULL
#define OPTION_VAL_475_SV NULL
#define OPTION_VAL_500_SV NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_SV "Systemlåsningar"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_SV "Emulera systemlåsningar som inträffar på riktig hårdvara när man utför olaglig adressåtkomst. Detta bör endast inaktiveras när du spelar vissa demos och homebrew som förlitar sig på otillåtet beteende för korrekt funktion."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_SV "68K-adressfel"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_SV "Mega Drive/Genesis huvudprocessor (Motorola 68000) genererar ett Address Error-undantag (krasch) när den försöker utföra ojusterad minnesåtkomst. Om du aktiverar detta kommer du att simulera detta beteende. Det bör endast inaktiveras när du spelar ROM-hack, eftersom dessa vanligtvis utvecklas med mindre exakta emulatorer och kan förlita sig på ogiltig RAM-åtkomst för korrekt funktion."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_SV "CD-åtkomsttid"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_SV "Simulera den ursprungliga CD-maskinvarans latens när du initierar en läsning eller sökning till en specifik plats på den inlästa skivan. Detta krävs av några CD-spel som kraschar om CD-data är tillgängliga för tidigt och åtgärdar även problem med desynkronisering av CD-ljud i vissa spel. Att inaktivera detta kan vara användbart med MSU-MD-spel eftersom det gör CD-ljudspårsloopar mer sömlösa."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_SV "CD-avbildningscache"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_SV "Läs in cd-avbildning till minnet vid uppstart. CHD stöds endast. Kräver omstart."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_SV "Visa avancerade inställningar för ljudvolym (Öppnar menyn igen)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_SV "Aktiverar konfiguration av parametrar för lågnivå-ljudkanaler. OBS: Snabbmenyn måste vara aktiverad för att den här inställningen ska träda i kraft."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_SV "Volym för PSG Tone-kanal 0 i %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_SV "Sänk volymen för PSG Tone-kanal 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_SV "Volym för PSG Tone-kanal 1 i %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_SV "Sänk volymen för PSG Tone-kanal 1."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_SV "Volym för PSG Tone-kanal 2 i %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_SV "Sänk volymen för PSG Tone-kanal 2."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_SV "Volym för PSG Noise-kanal 3 i %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_SV "Sänk volymen för PSG Noise-kanal 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_SV "Volym för Mega Drive/Genesis FM-kanal 0 i %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_SV "Sänk volymen på Mega Drive/Genesis FM-kanal 0. Fungerar endast med MAME FM-emulatorer."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_SV "Volym för Mega Drive/Genesis FM-kanal 1 i %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_SV "Sänk volymen på Mega Drive/Genesis FM-kanal 1. Fungerar endast med MAME FM-emulatorer."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_SV "Volym för Mega Drive/Genesis FM-kanal 2 i %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_SV "Sänk volymen på Mega Drive/Genesis FM-kanal 2. Fungerar endast med MAME FM-emulatorer."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_SV "Volym för Mega Drive/Genesis FM-kanal 3 i %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_SV "Sänk volymen på Mega Drive/Genesis FM-kanal 3. Fungerar endast med MAME FM-emulatorer."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_SV "Volym för Mega Drive/Genesis FM-kanal 4 i %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_SV "Sänk volymen på Mega Drive/Genesis FM-kanal 4. Fungerar endast med MAME FM-emulatorer."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_SV "Volym för Mega Drive/Genesis FM-kanal 5 i %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_SV "Sänk volymen på Mega Drive/Genesis FM-kanal 5. Fungerar endast med MAME FM-emulatorer."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_SV "Volym för Master System FM-kanal 0 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 0."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_SV "Volym för Master System FM-kanal 1 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 1."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_SV "Volym för Master System FM-kanal 2 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 2."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_SV "Volym för Master System FM-kanal 3 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 3."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_SV "Volym för Master System FM-kanal 4 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 4."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_SV "Volym för Master System FM-kanal 5 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 5."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_SV "Volym för Master System FM-kanal 6 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 6."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_SV "Volym för Master System FM-kanal 7 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 7."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_SV "Volym för Master System FM-kanal 8 (YM2413) i %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_SV "Sänk volymen på Master System FM-kanal 8."

struct retro_core_option_v2_category option_cats_sv[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_SV,
      CATEGORY_SYSTEM_INFO_0_SV
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_SV,
      CATEGORY_VIDEO_INFO_0_SV
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_SV,
      CATEGORY_AUDIO_INFO_0_SV
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_SV,
      CATEGORY_INPUT_INFO_0_SV
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_SV,
      CATEGORY_HACKS_INFO_0_SV
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_SV,
      CATEGORY_CHANNEL_VOLUME_INFO_0_SV
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_sv[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_SV,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_SV                 },
         { "sg-1000",              OPTION_VAL_SG_1000_SV              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_SV           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_SV},
         { "mark-III",             OPTION_VAL_MARK_III_SV             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_SV        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_SV     },
         { "game gear",            OPTION_VAL_GAME_GEAR_SV            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_SV   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_SV,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_SV   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_SV },
         { "pal",     OPTION_VAL_PAL_SV    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_SV },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_SV,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_SV },
         { "50hz",  OPTION_VAL_50HZ_SV },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_SV,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_SV,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_SV },
         { "per game", OPTION_VAL_PER_GAME_SV },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_SV,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_SV },
         { "per game", OPTION_VAL_PER_GAME_SV },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_SV,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_SV  },
         { "256k",     OPTION_VAL_256K_SV  },
         { "512k",     OPTION_VAL_512K_SV  },
         { "1meg",     OPTION_VAL_1MEG_SV    },
         { "2meg",     OPTION_VAL_2MEG_SV    },
         { "4meg",     OPTION_VAL_4MEG_SV    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_SV,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_SV },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_SV },
         { "megasd",       OPTION_VAL_MEGASD_SV },
         { "none",         OPTION_VAL_NONE_SV },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_SV,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_SV },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_SV },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_SV },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_SV,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_SV },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_SV },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_SV },
         { "4:3",  OPTION_VAL_4_3_SV },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_SV },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_SV,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_SV },
         { "left/right", OPTION_VAL_LEFT_RIGHT_SV },
         { "full",       OPTION_VAL_FULL_SV },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_SV,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_SV },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_SV },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_SV,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_SV,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_SV },
         { "composite",  OPTION_VAL_COMPOSITE_SV },
         { "svideo",     OPTION_VAL_SVIDEO_SV },
         { "rgb",        OPTION_VAL_RGB_SV },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_SV,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_SV,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_SV },
         { "double field", OPTION_VAL_DOUBLE_FIELD_SV },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_SV,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_SV },
         { "manual",   OPTION_VAL_MANUAL_SV },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_SV,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_SV,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_SV },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_SV,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_SV },
         { "nuked", OPTION_VAL_NUKED_SV },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_SV,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_SV,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_SV,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_SV },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_SV },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_SV },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_SV },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_SV },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_SV,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_SV },
         { "mono",   OPTION_VAL_MONO_SV },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_SV,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_SV },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_SV },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_SV,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_SV,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_SV,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_SV,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_SV,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_SV,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_SV,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_SV,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_SV,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_SV },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_SV },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_SV,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_SV,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_SV,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_SV,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_SV,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_SV,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_SV },
         { "125", OPTION_VAL_125_SV },
         { "150", OPTION_VAL_150_SV },
         { "175", OPTION_VAL_175_SV },
         { "200", OPTION_VAL_200_SV },
         { "225", OPTION_VAL_225_SV },
         { "250", OPTION_VAL_250_SV },
         { "275", OPTION_VAL_275_SV },
         { "300", OPTION_VAL_300_SV },
         { "325", OPTION_VAL_325_SV },
         { "350", OPTION_VAL_350_SV },
         { "375", OPTION_VAL_375_SV },
         { "400", OPTION_VAL_400_SV },
         { "425", OPTION_VAL_425_SV },
         { "450", OPTION_VAL_450_SV },
         { "475", OPTION_VAL_475_SV },
         { "500", OPTION_VAL_500_SV },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_SV,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_SV,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_SV,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_SV,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_SV,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_SV,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_sv = {
   option_cats_sv,
   option_defs_sv
};

/* RETRO_LANGUAGE_TR */

#define CATEGORY_SYSTEM_LABEL_TR "Sistem"
#define CATEGORY_SYSTEM_INFO_0_TR "Temel donanım seçimini, bölgeyi, BIOS'u ve Sega CD/Mega-CD kayıt dosyası ayarlarını değiştirin."
#define CATEGORY_VIDEO_LABEL_TR NULL
#define CATEGORY_VIDEO_INFO_0_TR "En boy oranını, ekran kırpmayı, video filtresini ve kare atlama ayarlarını değiştirin."
#define CATEGORY_AUDIO_LABEL_TR "Ses"
#define CATEGORY_AUDIO_INFO_0_TR "Ses cihazı ayarlarını değiştirin."
#define CATEGORY_INPUT_LABEL_TR "Giriş"
#define CATEGORY_INPUT_INFO_0_TR "Hafif tabanca ve/veya fare giriş ayarlarını değiştirin."
#define CATEGORY_HACKS_LABEL_TR "Emülatör Geliştirmeleri"
#define CATEGORY_HACKS_INFO_0_TR "Düşük seviyeli performansı ve uyumluluğu etkileyen işlemci hız aşırtma ve taklit etme doğruluğu ayarlarını değiştirin."
#define CATEGORY_CHANNEL_VOLUME_LABEL_TR "Gelişmiş Ses Kanalı Ayarları"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_TR "Bireysel donanım ses kanallarının ses düzeyini değiştirin."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_TR "Sistem Donanımı"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_TR "Yüklenen içeriği belirli bir öykünmüş konsolla çalıştırır. 'Otomatik' mevcut oyun için en uygun sistemi seçecektir."
#define OPTION_VAL_AUTO_TR "Otomatik"
#define OPTION_VAL_SG_1000_TR NULL
#define OPTION_VAL_SG_1000_II_TR NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_TR NULL
#define OPTION_VAL_MARK_III_TR NULL
#define OPTION_VAL_MASTER_SYSTEM_TR NULL
#define OPTION_VAL_MASTER_SYSTEM_II_TR NULL
#define OPTION_VAL_GAME_GEAR_TR NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_TR NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_TR "Sistem Bölgesi"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_TR "Sistemin hangi bölgeden olduğunu belirtin. Game Gear dışındaki konsollar için 'PAL' 50 Hz, 'NTSC' 60 Hz'dir. Yanlış bölge seçiliyse, oyunlar normalden daha hızlı veya daha yavaş çalışabilir."
#define OPTION_VAL_NTSC_U_TR NULL
#define OPTION_VAL_PAL_TR NULL
#define OPTION_VAL_NTSC_J_TR NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_TR "VDP Modunu Zorla"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_TR "Sistem bölgesinden bağımsız olarak 60Hz NTSC veya 50Hz PAL hızında çalışmaya zorlamak için VDP modunu özelleştirir."
#define OPTION_VAL_60HZ_TR NULL
#define OPTION_VAL_50HZ_TR NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_TR "Sistem Önyükleme ROM"
#define GENESIS_PLUS_GX_BIOS_INFO_0_TR "RetroArch sistem dizininde varsa, öykünülmüş donanım için resmi BIOS/önyükleyici kullanın. Konsola özgü başlangıç sırası/animasyonu görüntüler, ardından yüklü içeriği çalıştırır."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_TR "CD System BRAM (Yeniden Başlatılmalı)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_TR "Sega CD/Mega-CD içeriğini çalıştırırken, belirli bir bölgedeki tüm oyunlar arasında tek bir kayıt dosyasının paylaşılıp paylaşılmayacağını (BIOS Başına) veya her oyun için ayrı bir kayıt dosyası oluşturulacağını (Oyun Başına) belirtir. Sega CD/Mega-CD'nin yalnızca bir avuç başlık için yeterli olan sınırlı dahili depolamaya sahip olduğunu unutmayın. Alanın bitmesini önlemek için 'Oyun Başına' ayarı önerilir."
#define OPTION_VAL_PER_BIOS_TR "BIOS Başına"
#define OPTION_VAL_PER_GAME_TR "Oyun Başına"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_TR "CD Backup Cart BRAM (Yeniden Başlatılmalı)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_TR "Sega CD/Mega-CD içeriğini çalıştırırken, tüm oyunlar için tek bir yedek ram sepetinin paylaşılıp paylaşılmayacağını (Kart Başına) veya her oyun için ayrı bir yedek ram sepeti (Oyun Başına) oluşturulup oluşturulmayacağını belirtir."
#define OPTION_VAL_PER_CART_TR "Kart Başına"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_TR "CD Backup Cart BRAM Boyutu (Yeniden Başlatılmalı)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_TR "Sega CD/Mega-CD içeriğini çalıştırırken yedek ram sepeti boyutunu ayarlar. Birden fazla büyük sepet boyutundan kaçınmak için yedek ram sepetini Oyun Başına olarak ayarlarken kullanışlıdır."
#define OPTION_VAL_128K_TR NULL
#define OPTION_VAL_256K_TR NULL
#define OPTION_VAL_512K_TR NULL
#define OPTION_VAL_1MEG_TR NULL
#define OPTION_VAL_2MEG_TR NULL
#define OPTION_VAL_4MEG_TR NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_TR "CD eklentisi (MD kipi) (Yeniden Başlatılmalı)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_TR "Desteklenen Mega Drive/Genesis oyunlarıyla CD ses oynatmak için hangi eklentinin kullanılacağını belirtin."
#define OPTION_VAL_SEGA_MEGA_CD_TR NULL
#define OPTION_VAL_MEGASD_TR NULL
#define OPTION_VAL_NONE_TR "Yok"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_TR "Kartuş Kilitleme"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_TR "Kilitleme Teknolojisi, eski bir oyunun genişletilmiş veya değiştirilmiş bir oyun için özel bir kartuşun geçiş portuna bağlanmasına izin veren bir Genesis özelliğidir. Bu seçenek, hangi tür 'özel kilitleme' kartuşunun taklit edileceğini belirler. RetroArch sistem dizininde ilgili bir bios dosyası bulunmalıdır."
#define OPTION_VAL_GAME_GENIE_TR NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_TR NULL
#define OPTION_VAL_SONIC_KNUCKLES_TR NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_TR "Çekirdek Tarafından Sağlanan En Boy Oranı"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_TR "Tercih edilen içerik en boy oranını seçin. Bu, yalnızca RetroArch en boy oranı Video ayarlarında 'Çekirdek Tarafından Sağlanan' olarak ayarlandığında uygulanacaktır."
#define OPTION_VAL_NTSC_PAR_TR "NTSC EŞİT"
#define OPTION_VAL_PAL_PAR_TR "PAL EŞİT"
#define OPTION_VAL_4_3_TR NULL
#define OPTION_VAL_UNCORRECTED_TR "Düzeltilmemiş"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_TR "Çerçeveler"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_TR "Aşırı tarama bölgelerini ekranın üstünde/altında ve/veya sol/sağında görüntülemek için bunu etkinleştirin. Bunlar normalde standart tanımlı bir televizyonun kenarındaki çerçeve tarafından gizlenir."
#define OPTION_VAL_TOP_BOTTOM_TR "Üst/Alt"
#define OPTION_VAL_LEFT_RIGHT_TR "Sol/Sağ"
#define OPTION_VAL_FULL_TR "Tam"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_TR "Master System Yan Kenarları Gizle"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_TR "Master System oyunlarını çalıştırırken ekranın sol tarafından veya hem sol hem de sağ tarafından 8 piksel keser."
#define OPTION_VAL_LEFT_BORDER_TR "Sadece Sol Kenar"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_TR "Sol & Sağ Kenarlar"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_TR "Game Gear Genişletilmiş Ekran"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_TR "Game Gear oyunlarını 256x192 çözünürlüğe sahip SMS kipinde çalıştırmaya zorlar. Ek içerik gösterebilir, ancak genellikle bozuk/istenmeyen resim verilerinin kenarlığını görüntüler."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_TR "Blargg NTSC Filtresi"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_TR "Çeşitli NTSC TV sinyallerini taklit etmek için bir video filtresi uygulayın."
#define OPTION_VAL_MONOCHROME_TR "Tek Renk"
#define OPTION_VAL_COMPOSITE_TR NULL
#define OPTION_VAL_SVIDEO_TR NULL
#define OPTION_VAL_RGB_TR NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_TR "LCD Gölgelenme Filtresi"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_TR "Game Gear ve Genesis Nomad LCD panellerinin ekran özelliklerini taklit etmek için bir görüntü 'gölgelenme' filtresi uygulayın."
#define GENESIS_PLUS_GX_RENDER_LABEL_TR "Geçmeli Mod 2 Çıkışı"
#define GENESIS_PLUS_GX_RENDER_INFO_0_TR "Geçmeli Mod 2, Mega Drive/Genesis'in her karede alternatif tarama çizgileri çizerek çift yükseklikte (yüksek çözünürlüklü) 320x448 görüntü çıktısı almasına olanak tanır (bu, Sonic the Hedgehog 2 ve Combat Cars çok oyunculu kipleri tarafından kullanılır). 'Çift Alan' orijinal donanımı taklit ederek titreyen/birbirine geçen eserler ile keskin bir görüntü üretir. 'Tek Alan', görüntüyü sabitleyen ancak hafif bulanıklığa neden olan bir deinterlacing filtresi uygular."
#define OPTION_VAL_SINGLE_FIELD_TR "Tek Alan"
#define OPTION_VAL_DOUBLE_FIELD_TR "Çift Alan"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_TR "Kare Atlama"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_TR "Yetersiz çalıştırılan ses arabelleğini (çatırtı) önlemek için kareleri atlayın. Görsel pürüzsüzlük pahasına performansı iyileştirir. \"Otomatik\", ön uç tarafından önerildiğinde kareleri atlar. 'El ile', 'Kare Atlama Eşiği (%)' ayarını kullanır."
#define OPTION_VAL_MANUAL_TR "El İle"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_TR "Kare Atlama Eşiği (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_TR "'Kare atlama', 'El ile' ayarlandığında, altındaki karelerin atlanacağı ses arabelleği doluluk eşiğini (yüzde) belirtir. Daha yüksek değerler, karelerin daha sık çökmesine neden olarak bozulma riskini azaltır."
#define GENESIS_PLUS_GX_YM2413_LABEL_TR NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_TR "Gelişmiş ses çıkışı için bazı Sega Mark III/Master System oyunları tarafından kullanılan FM Ses Ünitesi emülasyonunu etkinleştirin."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_TR "Master System FM (YM2413) Çekirdek"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_TR "Sega Mark III/Master System FM Ses Birimini taklit etmek için kullanılan yöntemi seçin. 'MAME' seçeneği hızlıdır ve çoğu sistemde tam hızda çalışır. 'Nuked' seçeneği döngü doğruluğu, çok yüksek kalitedir ve önemli CPU gereksinimi gerektirir."
#define OPTION_VAL_MAME_TR NULL
#define OPTION_VAL_NUKED_TR NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_TR NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_TR "Mega Drive/Genesis FM sentezleyicisini (ana ses üreteci) taklit etmek için kullanılan yöntemi seçin. 'MAME' seçenekleri hızlı ve çoğu sistemde tam hızda çalışıyor. 'Nuke' seçenekleri döngüde doğrudur, çok kalitelidir ve önemli CPU gereksinimine ihtiyaç duyar. YM2612 yongası, orijinal Model 1 Genesis tarafından kullanılır. YM3438 daha sonraki Genesis revizyonlarında kullanılır."
#define GENESIS_PLUS_GX_YM2612_INFO_1_TR "Mega Drive/Genesis FM sentezleyicisini (ana ses üreteci) taklit etmek için kullanılan yöntemi seçin. YM2612 yongası, orijinal Model 1 Genesis tarafından kullanılır. YM3438 daha sonraki Genesis revizyonlarında kullanılır."
#define OPTION_VAL_MAME_YM2612_TR NULL
#define OPTION_VAL_MAME_ASIC_YM3438_TR NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_TR NULL
#define OPTION_VAL_NUKED_YM2612_TR NULL
#define OPTION_VAL_NUKED_YM3438_TR NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_TR "Ses Çıkışı"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_TR "Stereo veya mono ses çalmayı seçin."
#define OPTION_VAL_STEREO_TR NULL
#define OPTION_VAL_MONO_TR NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_TR "Ses Filtresi"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_TR "Model 1 Mega Drive/Genesis karakteristik sesini daha iyi taklit etmek için düşük geçişli bir ses filtresini etkinleştirin."
#define OPTION_VAL_LOW_PASS_TR "Düşük Geçiş"
#define OPTION_VAL_EQ_TR NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_TR "Düşük Geçiş Filtresi %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_TR "Düşük ses geçiş filtresinin kesme frekansını belirtin. Daha yüksek bir değer, yüksek frekans spektrumunun daha geniş bir aralığı azaltıldığı için filtrenin algılanan gücünü arttırır."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_TR "PSG Ses Ön Yükseltici Seviyesi"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_TR "Master System, Game Gear ve Genesis üstünde bulunan taklit edilmiş SN76496 4 kanallı Programlanabilir Ses Üretecinin ses ön yükselticisi seviyesini ayarlayın."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_TR "FM Ses Ön Yükseltici Seviyesi"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_TR "Taklit edilmiş Mega Drive/Genesis FM ses sentezleyicinin veya Sega Mark III/Master System FM Ses Biriminin ses ön yükseltici seviyesini ayarlayın."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_TR "CD-DA Sesi"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_TR "Taklit edilmiş CD ses oynatma çıkışının karıştırma sesini ayarlayın."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_TR "PCM Sesi"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_TR "Taklit edilmiş Sega CD/Mega CD RF5C164 PCM ses üreteci çıkışının karıştırma sesini ayarlayın."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_TR "Düşük EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_TR "Dahili ses ekolayzırının düşük aralık bandını ayarlayın."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_TR "Orta EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_TR "Dahili ses ekolayzırının orta aralık bandını ayarlayın."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_TR "Yüksek EQ"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_TR "Dahili ses ekolayzırının yüksek aralık bandını ayarlayın."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_TR "Light Gun Girdisi"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_TR "Fare kontrollü 'Light Gun' veya 'Dokunmatik Ekran' girdisi kullanın."
#define OPTION_VAL_LIGHTGUN_TR NULL
#define OPTION_VAL_TOUCHSCREEN_TR "Dokunmatik Ekran"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_TR "Light Gun Göstergesini Göster"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_TR "MD Menacer, MD Justifiers ve MS Light Phaser giriş cihazı tiplerini kullanırken Light Gun göstergelerini gösterin."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_TR "Fare Y Eksenini Ters Çevir"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_TR "MD Fare giriş cihazı türünün Y eksenini ters çevirir."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_TR "Satır Başına Hareket Sınırını Kaldır"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_TR "Orijinal tarama satırı başına hareketli grafik donanım sınırını kaldırır. Bu, titremeyi azaltır ancak bazı oyunlar özel efektler oluşturmak için donanım sınırını kullandığından görsel hatalara neden olabilir."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_TR "Başlığa göre geliştirilmiş dikey kaydırma"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_TR "Yakındaki değer ile dikey kaydırma değeri ortalama alınarak, her bir hücrenin 16px 2-cell yerine dikey olarak kaydırılmasına izin verir. Bu geliştirme yalnızca 2 hücreli dikey kaydırma kipini kullanan birkaç oyun için geçerlidir."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_TR "Başlığa göre geliştirilmiş dikey kaydırma sınırı"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_TR "Yakındaki değer ile dikey kaydırma etkinleştirildiğinde. Dikey kaydırma geliştirmesinin sınırını ayarlar. Yakın değerler arasındaki dikey kaydırma farkı bu sınırdan büyük olduğunda geliştirme devre dışı bırakılır."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_TR "CPU Hızı"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_TR "Taklit edilmiş CPU hız aşırtması. Yavaşlamayı azaltabilir, ancak aksaklığa neden olabilir."
#define OPTION_VAL_100_TR "%100"
#define OPTION_VAL_125_TR "%125"
#define OPTION_VAL_150_TR "%150"
#define OPTION_VAL_175_TR "%175"
#define OPTION_VAL_200_TR "%200"
#define OPTION_VAL_225_TR "%225"
#define OPTION_VAL_250_TR "%250"
#define OPTION_VAL_275_TR "%275"
#define OPTION_VAL_300_TR "%300"
#define OPTION_VAL_325_TR "%325"
#define OPTION_VAL_350_TR "%350"
#define OPTION_VAL_375_TR "%375"
#define OPTION_VAL_400_TR "%400"
#define OPTION_VAL_425_TR "%425"
#define OPTION_VAL_450_TR "%450"
#define OPTION_VAL_475_TR "%475"
#define OPTION_VAL_500_TR "%500"
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_TR "Sistem Kilidi"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_TR "Geçersiz adres erişimi gerçekleştirirken gerçek donanımda oluşan sistem kilitlenmelerini taklit edin. Bu, yalnızca doğru işlem için uygun olmayan belirli demolar ve homebrew oynarken devre dışı bırakılmalıdır."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_TR "68K Adres Hatası"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_TR "Mega Drive/Genesis ana CPU'su (Motorola 68000), hizalanmamış bellek erişimi gerçekleştirmeye çalışırken bir Adres Hatası istisnası (çökme) oluşturur. Bunu etkinleştirmek, bu davranışı taklit edecektir. Yalnızca ROM geliştirmeleri oynatılırken devre dışı bırakılmalıdır, çünkü bunlar genellikle daha az doğru emülatörler kullanılarak geliştirilir ve doğru işlem için geçersiz RAM erişimine güvenebilir."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_TR "CD Erişim Süresi"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_TR "Bir okuma başlatırken veya yüklü diskte belirli bir konumu ararken orijinal CD donanım gecikmesini taklit edin. Bu, CD verileri çok yakında kullanılabilir olduğunda çöken birkaç CD oyunu için gereklidir ve ayrıca bazı oyunlarda CD ses eşitlemesi sorunlarını giderir. Bunu devre dışı bırakmak, CD ses parçalarının döngülerini daha sorunsuz hale getirdiği için MSU-MD oyunlarında yararlı olabilir."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_TR "CD Kalıbı Önbelleği"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_TR "Başlangıçta CD kalıbını belleğe yükle. Yalnızca CHD desteklenir. Yeniden Başlatılmalı."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_TR "Gelişmiş Ses Düzeyi Ayarlarını Göster (Menüyü yeniden aç)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_TR "Düşük seviyeli ses kanalı parametrelerinin yapılandırmasını etkinleştirin. NOT: Bu ayarın etkin olması için Hızlı Menü üstünden değiştirilmesi gerekir."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_TR "PSG Ton Kanal 0 Ses Seviyesi %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_TR "PSG Tonu Kanal 0 sesini azaltın."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_TR "PSG Ton Kanal 1 Ses Seviyesi %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_TR "PSG Tonu Kanal 1 sesini azaltın."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_TR "PSG Ton Kanal 2 Ses Seviyesi %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_TR "PSG Tonu Kanal 2 sesini azaltın."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_TR "PSG Gürültü Kanal 3 Ses Seviyesi %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_TR "PSG Gürültü Kanal 3 sesini azaltın."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_TR "Mega Drive/Genesis FM Kanal 0 Ses Seviyesi %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_TR "Mega Drive/Genesis FM Kanal 0 sesini azaltın. Yalnızca MAME FM emülatörlerle çalışır."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_TR "Mega Drive/Genesis FM Kanal 1 Ses Seviyesi %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_TR "Mega Drive/Genesis FM Kanal 1 sesini azaltın. Yalnızca MAME FM emülatörlerle çalışır."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_TR "Mega Drive/Genesis FM Kanal 2 Ses Seviyesi %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_TR "Mega Drive/Genesis FM Kanal 2 sesini azaltın. Yalnızca MAME FM emülatörlerle çalışır."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_TR "Mega Drive/Genesis FM Kanal 3 Ses Seviyesi %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_TR "Mega Drive/Genesis FM Kanal 3 sesini azaltın. Yalnızca MAME FM emülatörlerle çalışır."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_TR "Mega Drive/Genesis FM Kanal 4 Ses Seviyesi %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_TR "Mega Drive/Genesis FM Kanal 4 sesini azaltın. Yalnızca MAME FM emülatörlerle çalışır."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_TR "Mega Drive/Genesis FM Kanal 5 Ses Seviyesi %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_TR "Mega Drive/Genesis FM Kanal 5 sesini azaltın. Yalnızca MAME FM emülatörlerle çalışır."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 0 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_TR "Master System FM Kanal 0 sesini azaltın."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 1 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_TR "Master System FM Kanal 1 sesini azaltın."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 2 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_TR "Master System FM Kanal 2 sesini azaltın."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 3 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_TR "Master System FM Kanal 3 sesini azaltın."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 4 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_TR "Master System FM Kanal 4 sesini azaltın."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 5 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_TR "Master System FM Kanal 5 sesini azaltın."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 6 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_TR "Master System FM Kanal 6 sesini azaltın."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 7 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_TR "Master System FM Kanal 7 sesini azaltın."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_TR "Master System FM (YM2413) Kanal 8 Ses Seviyesi %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_TR "Master System FM Kanal 8 sesini azaltın."

struct retro_core_option_v2_category option_cats_tr[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_TR,
      CATEGORY_SYSTEM_INFO_0_TR
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_TR,
      CATEGORY_VIDEO_INFO_0_TR
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_TR,
      CATEGORY_AUDIO_INFO_0_TR
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_TR,
      CATEGORY_INPUT_INFO_0_TR
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_TR,
      CATEGORY_HACKS_INFO_0_TR
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_TR,
      CATEGORY_CHANNEL_VOLUME_INFO_0_TR
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_tr[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_TR,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_TR                 },
         { "sg-1000",              OPTION_VAL_SG_1000_TR              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_TR           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_TR},
         { "mark-III",             OPTION_VAL_MARK_III_TR             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_TR        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_TR     },
         { "game gear",            OPTION_VAL_GAME_GEAR_TR            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_TR   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_TR,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_TR   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_TR },
         { "pal",     OPTION_VAL_PAL_TR    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_TR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_TR,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_TR },
         { "50hz",  OPTION_VAL_50HZ_TR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_TR,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_TR,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_TR },
         { "per game", OPTION_VAL_PER_GAME_TR },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_TR,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_TR },
         { "per game", OPTION_VAL_PER_GAME_TR },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_TR,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_TR  },
         { "256k",     OPTION_VAL_256K_TR  },
         { "512k",     OPTION_VAL_512K_TR  },
         { "1meg",     OPTION_VAL_1MEG_TR    },
         { "2meg",     OPTION_VAL_2MEG_TR    },
         { "4meg",     OPTION_VAL_4MEG_TR    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_TR,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_TR },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_TR },
         { "megasd",       OPTION_VAL_MEGASD_TR },
         { "none",         OPTION_VAL_NONE_TR },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_TR,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_TR },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_TR },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_TR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_TR,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_TR },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_TR },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_TR },
         { "4:3",  OPTION_VAL_4_3_TR },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_TR },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_TR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_TR },
         { "left/right", OPTION_VAL_LEFT_RIGHT_TR },
         { "full",       OPTION_VAL_FULL_TR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_TR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_TR },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_TR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_TR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_TR,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_TR },
         { "composite",  OPTION_VAL_COMPOSITE_TR },
         { "svideo",     OPTION_VAL_SVIDEO_TR },
         { "rgb",        OPTION_VAL_RGB_TR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_TR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_TR,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_TR },
         { "double field", OPTION_VAL_DOUBLE_FIELD_TR },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_TR,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_TR },
         { "manual",   OPTION_VAL_MANUAL_TR },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_TR,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_TR,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_TR },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_TR,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_TR },
         { "nuked", OPTION_VAL_NUKED_TR },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_TR,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_TR,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_TR,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_TR },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_TR },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_TR },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_TR },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_TR },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_TR,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_TR },
         { "mono",   OPTION_VAL_MONO_TR },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_TR,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_TR },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_TR },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_TR,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_TR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_TR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_TR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_TR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_TR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_TR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_TR,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_TR,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_TR },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_TR },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_TR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_TR,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_TR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_TR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_TR,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_TR,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_TR },
         { "125", OPTION_VAL_125_TR },
         { "150", OPTION_VAL_150_TR },
         { "175", OPTION_VAL_175_TR },
         { "200", OPTION_VAL_200_TR },
         { "225", OPTION_VAL_225_TR },
         { "250", OPTION_VAL_250_TR },
         { "275", OPTION_VAL_275_TR },
         { "300", OPTION_VAL_300_TR },
         { "325", OPTION_VAL_325_TR },
         { "350", OPTION_VAL_350_TR },
         { "375", OPTION_VAL_375_TR },
         { "400", OPTION_VAL_400_TR },
         { "425", OPTION_VAL_425_TR },
         { "450", OPTION_VAL_450_TR },
         { "475", OPTION_VAL_475_TR },
         { "500", OPTION_VAL_500_TR },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_TR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_TR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_TR,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_TR,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_TR,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_TR,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_tr = {
   option_cats_tr,
   option_defs_tr
};

/* RETRO_LANGUAGE_TT */

#define CATEGORY_SYSTEM_LABEL_TT NULL
#define CATEGORY_SYSTEM_INFO_0_TT NULL
#define CATEGORY_VIDEO_LABEL_TT "Видео"
#define CATEGORY_VIDEO_INFO_0_TT NULL
#define CATEGORY_AUDIO_LABEL_TT "Аудио"
#define CATEGORY_AUDIO_INFO_0_TT NULL
#define CATEGORY_INPUT_LABEL_TT NULL
#define CATEGORY_INPUT_INFO_0_TT NULL
#define CATEGORY_HACKS_LABEL_TT NULL
#define CATEGORY_HACKS_INFO_0_TT NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_TT NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_TT NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_TT NULL
#define OPTION_VAL_AUTO_TT NULL
#define OPTION_VAL_SG_1000_TT NULL
#define OPTION_VAL_SG_1000_II_TT NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_TT NULL
#define OPTION_VAL_MARK_III_TT NULL
#define OPTION_VAL_MASTER_SYSTEM_TT NULL
#define OPTION_VAL_MASTER_SYSTEM_II_TT NULL
#define OPTION_VAL_GAME_GEAR_TT NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_TT NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_TT NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_TT NULL
#define OPTION_VAL_NTSC_U_TT NULL
#define OPTION_VAL_PAL_TT NULL
#define OPTION_VAL_NTSC_J_TT NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_TT NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_TT NULL
#define OPTION_VAL_60HZ_TT "NTSC (60 Гц)"
#define OPTION_VAL_50HZ_TT "PAL (50 Гц)"
#define GENESIS_PLUS_GX_BIOS_LABEL_TT NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_TT NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_TT NULL
#define OPTION_VAL_PER_BIOS_TT NULL
#define OPTION_VAL_PER_GAME_TT NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_TT NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_TT NULL
#define OPTION_VAL_PER_CART_TT NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_TT NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_TT NULL
#define OPTION_VAL_128K_TT "128 кбит"
#define OPTION_VAL_256K_TT "256 кбит"
#define OPTION_VAL_512K_TT "512 кбит"
#define OPTION_VAL_1MEG_TT NULL
#define OPTION_VAL_2MEG_TT NULL
#define OPTION_VAL_4MEG_TT NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_TT NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_TT NULL
#define OPTION_VAL_SEGA_MEGA_CD_TT NULL
#define OPTION_VAL_MEGASD_TT NULL
#define OPTION_VAL_NONE_TT NULL
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_TT NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_TT NULL
#define OPTION_VAL_GAME_GENIE_TT NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_TT NULL
#define OPTION_VAL_SONIC_KNUCKLES_TT NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_TT NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_TT NULL
#define OPTION_VAL_NTSC_PAR_TT NULL
#define OPTION_VAL_PAL_PAR_TT NULL
#define OPTION_VAL_4_3_TT NULL
#define OPTION_VAL_UNCORRECTED_TT NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_TT NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_TT NULL
#define OPTION_VAL_TOP_BOTTOM_TT NULL
#define OPTION_VAL_LEFT_RIGHT_TT NULL
#define OPTION_VAL_FULL_TT NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_TT NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_TT NULL
#define OPTION_VAL_LEFT_BORDER_TT NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_TT NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_TT NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_TT NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_TT NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_TT NULL
#define OPTION_VAL_MONOCHROME_TT NULL
#define OPTION_VAL_COMPOSITE_TT NULL
#define OPTION_VAL_SVIDEO_TT NULL
#define OPTION_VAL_RGB_TT NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_TT NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_TT NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_TT NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_TT NULL
#define OPTION_VAL_SINGLE_FIELD_TT NULL
#define OPTION_VAL_DOUBLE_FIELD_TT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_TT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_TT NULL
#define OPTION_VAL_MANUAL_TT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_TT NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_TT NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_TT NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_TT NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_TT NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_TT NULL
#define OPTION_VAL_MAME_TT NULL
#define OPTION_VAL_NUKED_TT NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_TT NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_TT NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_TT NULL
#define OPTION_VAL_MAME_YM2612_TT NULL
#define OPTION_VAL_MAME_ASIC_YM3438_TT NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_TT NULL
#define OPTION_VAL_NUKED_YM2612_TT NULL
#define OPTION_VAL_NUKED_YM3438_TT NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_TT NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_TT NULL
#define OPTION_VAL_STEREO_TT "Стерео"
#define OPTION_VAL_MONO_TT NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_TT NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_TT NULL
#define OPTION_VAL_LOW_PASS_TT NULL
#define OPTION_VAL_EQ_TT NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_TT NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_TT NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_TT NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_TT NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_TT NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_TT NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_TT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_TT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_TT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_TT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_TT NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_TT NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_TT NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_TT NULL
#define OPTION_VAL_LIGHTGUN_TT NULL
#define OPTION_VAL_TOUCHSCREEN_TT NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_TT NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_TT NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_TT NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_TT NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_TT NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_TT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_TT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_TT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_TT NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_TT NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_TT NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_TT NULL
#define OPTION_VAL_100_TT NULL
#define OPTION_VAL_125_TT NULL
#define OPTION_VAL_150_TT NULL
#define OPTION_VAL_175_TT NULL
#define OPTION_VAL_200_TT NULL
#define OPTION_VAL_225_TT NULL
#define OPTION_VAL_250_TT NULL
#define OPTION_VAL_275_TT NULL
#define OPTION_VAL_300_TT NULL
#define OPTION_VAL_325_TT NULL
#define OPTION_VAL_350_TT NULL
#define OPTION_VAL_375_TT NULL
#define OPTION_VAL_400_TT NULL
#define OPTION_VAL_425_TT NULL
#define OPTION_VAL_450_TT NULL
#define OPTION_VAL_475_TT NULL
#define OPTION_VAL_500_TT NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_TT NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_TT NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_TT NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_TT NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_TT NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_TT NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_TT NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_TT NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_TT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_TT NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_TT NULL

struct retro_core_option_v2_category option_cats_tt[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_TT,
      CATEGORY_SYSTEM_INFO_0_TT
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_TT,
      CATEGORY_VIDEO_INFO_0_TT
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_TT,
      CATEGORY_AUDIO_INFO_0_TT
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_TT,
      CATEGORY_INPUT_INFO_0_TT
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_TT,
      CATEGORY_HACKS_INFO_0_TT
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_TT,
      CATEGORY_CHANNEL_VOLUME_INFO_0_TT
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_tt[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_TT,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_TT                 },
         { "sg-1000",              OPTION_VAL_SG_1000_TT              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_TT           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_TT},
         { "mark-III",             OPTION_VAL_MARK_III_TT             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_TT        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_TT     },
         { "game gear",            OPTION_VAL_GAME_GEAR_TT            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_TT   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_TT,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_TT   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_TT },
         { "pal",     OPTION_VAL_PAL_TT    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_TT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_TT,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_TT },
         { "50hz",  OPTION_VAL_50HZ_TT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_TT,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_TT,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_TT },
         { "per game", OPTION_VAL_PER_GAME_TT },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_TT,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_TT },
         { "per game", OPTION_VAL_PER_GAME_TT },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_TT,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_TT  },
         { "256k",     OPTION_VAL_256K_TT  },
         { "512k",     OPTION_VAL_512K_TT  },
         { "1meg",     OPTION_VAL_1MEG_TT    },
         { "2meg",     OPTION_VAL_2MEG_TT    },
         { "4meg",     OPTION_VAL_4MEG_TT    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_TT,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_TT },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_TT },
         { "megasd",       OPTION_VAL_MEGASD_TT },
         { "none",         OPTION_VAL_NONE_TT },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_TT,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_TT },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_TT },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_TT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_TT,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_TT },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_TT },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_TT },
         { "4:3",  OPTION_VAL_4_3_TT },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_TT },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_TT,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_TT },
         { "left/right", OPTION_VAL_LEFT_RIGHT_TT },
         { "full",       OPTION_VAL_FULL_TT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_TT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_TT },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_TT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_TT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_TT,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_TT },
         { "composite",  OPTION_VAL_COMPOSITE_TT },
         { "svideo",     OPTION_VAL_SVIDEO_TT },
         { "rgb",        OPTION_VAL_RGB_TT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_TT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_TT,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_TT },
         { "double field", OPTION_VAL_DOUBLE_FIELD_TT },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_TT,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_TT },
         { "manual",   OPTION_VAL_MANUAL_TT },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_TT,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_TT,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_TT },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_TT,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_TT },
         { "nuked", OPTION_VAL_NUKED_TT },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_TT,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_TT,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_TT,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_TT },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_TT },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_TT },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_TT },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_TT },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_TT,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_TT },
         { "mono",   OPTION_VAL_MONO_TT },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_TT,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_TT },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_TT },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_TT,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_TT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_TT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_TT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_TT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_TT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_TT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_TT,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_TT,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_TT },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_TT },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_TT,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_TT,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_TT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_TT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_TT,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_TT,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_TT },
         { "125", OPTION_VAL_125_TT },
         { "150", OPTION_VAL_150_TT },
         { "175", OPTION_VAL_175_TT },
         { "200", OPTION_VAL_200_TT },
         { "225", OPTION_VAL_225_TT },
         { "250", OPTION_VAL_250_TT },
         { "275", OPTION_VAL_275_TT },
         { "300", OPTION_VAL_300_TT },
         { "325", OPTION_VAL_325_TT },
         { "350", OPTION_VAL_350_TT },
         { "375", OPTION_VAL_375_TT },
         { "400", OPTION_VAL_400_TT },
         { "425", OPTION_VAL_425_TT },
         { "450", OPTION_VAL_450_TT },
         { "475", OPTION_VAL_475_TT },
         { "500", OPTION_VAL_500_TT },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_TT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_TT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_TT,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_TT,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_TT,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_TT,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_tt = {
   option_cats_tt,
   option_defs_tt
};

/* RETRO_LANGUAGE_UK */

#define CATEGORY_SYSTEM_LABEL_UK "Система"
#define CATEGORY_SYSTEM_INFO_0_UK "Змінити вибір базового обладнання, регіону, налаштувань BIOS та файлів збереження Sega CD/Mega-CD."
#define CATEGORY_VIDEO_LABEL_UK "Відео"
#define CATEGORY_VIDEO_INFO_0_UK "Налаштування співвідношення сторін / кадрування / відеофільтрів / пропуску кадрів."
#define CATEGORY_AUDIO_LABEL_UK "Звук"
#define CATEGORY_AUDIO_INFO_0_UK "Зміна налаштувань аудіопристрою."
#define CATEGORY_INPUT_LABEL_UK "Керування"
#define CATEGORY_INPUT_INFO_0_UK "Зміна налаштування світлового пістолета та/або миші."
#define CATEGORY_HACKS_LABEL_UK "Гаки емуляції"
#define CATEGORY_HACKS_INFO_0_UK "Зміна параметрів точності емуляції процесора, що впливають на низькорівневу продуктивність і сумісність."
#define CATEGORY_CHANNEL_VOLUME_LABEL_UK "Розширені налаштування гучності"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_UK "Зміна гучності окремих аудіоканалів."
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_UK "Модель системи"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_UK "Відтворювати вміст, емулюючи специфічну модель системи. 'Авто' вибере модель, що найбільше підходить поточній грі."
#define OPTION_VAL_AUTO_UK "Автоматично"
#define OPTION_VAL_SG_1000_UK NULL
#define OPTION_VAL_SG_1000_II_UK NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_UK NULL
#define OPTION_VAL_MARK_III_UK NULL
#define OPTION_VAL_MASTER_SYSTEM_UK NULL
#define OPTION_VAL_MASTER_SYSTEM_II_UK NULL
#define OPTION_VAL_GAME_GEAR_UK NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_UK NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_UK "Регіон системи"
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_UK "Вибір регіону системи. Для усіх консолей окрім Game Gear 'PAL' відповідає 50 Гц, а 'NTSC' — 60 Гц. Ігри можуть працювати швидше або повільніше ніж потрібно, якщо вибрано невірний регіон."
#define OPTION_VAL_NTSC_U_UK NULL
#define OPTION_VAL_PAL_UK NULL
#define OPTION_VAL_NTSC_J_UK NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_UK "Примусовий режим VDP"
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_UK "Перевизначає режим VDP, щоб змусити його працювати на NTSC 60Hz або PAL 50Hz, незалежно від системного регіону."
#define OPTION_VAL_60HZ_UK "NTSC (60Гц)"
#define OPTION_VAL_50HZ_UK "Пал (50Гц)"
#define GENESIS_PLUS_GX_BIOS_LABEL_UK "Системний ROM завантаження"
#define GENESIS_PLUS_GX_BIOS_INFO_0_UK "Використовувати офіційний BIOS/bootloader для емуляційного обладнання, якщо він присутній в системному каталозі RetroArch. Відображає консольний специфічний стартап або анімацію, потім запускає завантажений вміст."
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_UK "CD System BRAM (Потребує Перезавантаження)"
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_UK "Під час запуску вмісту Sega CD/Mega-CD вказує, чи використовувати один файл збереження для всіх ігор з певного регіону (За кожен BIOS), чи створювати окремий файл збереження для кожної гри (За кожну Гру). Зверніть увагу, що Sega CD/Mega-CD має обмежену внутрішню пам'ять, достатню лише для кількох ігор. Щоб уникнути нестачі місця, рекомендується використовувати параметр \"За кожну Гру\"."
#define OPTION_VAL_PER_BIOS_UK NULL
#define OPTION_VAL_PER_GAME_UK "Виграш для гравців"
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_UK "CD Резервна Копія Карти BRAM (Потребує Перезавантаження)"
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_UK "Під час запуску вмісту Sega CD/Mega-CD вказує, чи слід використовувати одну RAM резервної копії для всіх ігор (За кожен Картридж), чи створити окремий RAM резервної копії для кожної гри (За кожну Гру)."
#define OPTION_VAL_PER_CART_UK "За кожен Картридж"
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_UK "Розмір CD Резервної Копії Карти BRAM (Потребує Перезавантаження)"
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_UK "Встановлює розмір резервної копії карти RAM під час відтворення вмісту Sega CD/Mega-CD. Корисно, якщо встановити розмір резервної копії карти RAM для кожної гри, щоб уникнути використання багатьох карт більших розмірів."
#define OPTION_VAL_128K_UK "128Кбіт"
#define OPTION_VAL_256K_UK "256Кбіт"
#define OPTION_VAL_512K_UK "512Кбіт"
#define OPTION_VAL_1MEG_UK "1Мбіт"
#define OPTION_VAL_2MEG_UK "2Мбіт"
#define OPTION_VAL_4MEG_UK "4Мбіт"
#define GENESIS_PLUS_GX_ADD_ON_LABEL_UK "CD-додаток (MD режим) (потрібний перезапуск)"
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_UK "Вкажіть, який додаток використовувати для відтворення звуку з підтримуваними іграми Mega Drive/Genesis."
#define OPTION_VAL_SEGA_MEGA_CD_UK NULL
#define OPTION_VAL_MEGASD_UK NULL
#define OPTION_VAL_NONE_UK "Немає"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_UK "Блокування карткою"
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_UK "Технологія Lock-On - це функція Mega Drive/Genesis, яка дозволила старішій грі підключатися до порту спеціального картриду спеціального картриду для розширеного або зміни гри. Цей параметр вказує, який тип спеціального картриджу \"lock-on\" для емуляції. Відповідний файл біографії повинен бути присутній у папці системи RetroArche."
#define OPTION_VAL_GAME_GENIE_UK NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_UK "Повторити дію (Pro)"
#define OPTION_VAL_SONIC_KNUCKLES_UK NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_UK "Співвідношення сторін з ядра"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_UK "Виберіть бажане співвідношення сторін вмісту. Воно буде застосовано тільки коли в параметрах RetroArch's буде встановлено 'Core з параметрами."
#define OPTION_VAL_NTSC_PAR_UK NULL
#define OPTION_VAL_PAL_PAR_UK NULL
#define OPTION_VAL_4_3_UK NULL
#define OPTION_VAL_UNCORRECTED_UK "Не коректне"
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_UK "Кордони"
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_UK "Увімкніть цю опцію, щоб показувати перескановані регіони зверху / або вправо, знизу / вліво від екрану. Вони, зазвичай, були б приховані біля краю стандартного визначення, а телебачення."
#define OPTION_VAL_TOP_BOTTOM_UK "Вгору/Внизу"
#define OPTION_VAL_LEFT_RIGHT_UK "Зліва направо"
#define OPTION_VAL_FULL_UK "Повна"
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_UK "Ховати основні Системні Межі"
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_UK "Відрізає 8 пікселів з лівої сторони екрана, або лівої та правої сторони при запуску гри на Головну Систему."
#define OPTION_VAL_LEFT_BORDER_UK "Тільки лівий кордон"
#define OPTION_VAL_LEFT_RIGHT_BORDERS_UK "Ліва та права межі"
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_UK "Розширений екран Game Gear"
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_UK "Примусово використовувати ігрові повідомлення в режимі SMS, з збільшеним роздільною здатністю 256x192. Може показати додатковий вміст, але зазвичай відображається кордон пошкоджених/небажаних даних зображень."
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_UK "Фільтр Blargg NTSC"
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_UK "Застосовуйте відео-фільтр для імітації різних сигналів NTSC TV."
#define OPTION_VAL_MONOCHROME_UK "Монотонні"
#define OPTION_VAL_COMPOSITE_UK "Композитний"
#define OPTION_VAL_SVIDEO_UK NULL
#define OPTION_VAL_RGB_UK NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_UK "Фільтр LCD привидів"
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_UK "Додайте фільтр \"привидинг\" для імітації відображення символів \"Gear і Genesis Nomad LCD\"."
#define GENESIS_PLUS_GX_RENDER_LABEL_UK "Черезрядковий режим 2"
#define GENESIS_PLUS_GX_RENDER_INFO_0_UK "Черезрядковий режим 2 дозволяє Mega Drive/Genesis виводити вдвічі більше рядків (висока роздільність, 320x448) для відображення, показуючи рядки іншого поля для кожного кадра (це використовується в багатоосібних режимах 'Sonic the Hedgehog 2' та 'Combat Cars'). 'Подвійне поле' повторює роботу оригінального пристрою, показуючи чіткіше зображення, але з характерним для черезрядкової розгортки мерехтінням. 'Одинарне поле' застосовує деінтерлейсінг, який стабілізує зображення, але злегка розмиває."
#define OPTION_VAL_SINGLE_FIELD_UK "Єдине поле"
#define OPTION_VAL_DOUBLE_FIELD_UK "Подвійне поле"
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_UK "Пропуск кадру"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_UK "Пропускати кадри, щоб уникнути спустошення буферу (тріскіт). Покращує швидкодію, погіршуючи плавність зображення. 'Авто' пропускає кадри, керуючись командами зовнішньої оболонки. 'Ручний' використовує налаштування 'Межа пропуску кадрів (%)'."
#define OPTION_VAL_MANUAL_UK "Ручний"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_UK "Межа пропуску кадрів (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_UK "Якщо 'Пропус кадрів' встановлено у 'Вручну', зазначає граничне значення оточення аудіо-буферу (відсоток), нижчі за які кадри будуть пропущені. Більш високі значення зменшують ризик зломування, викликаючи зменшення кадрів частіше."
#define GENESIS_PLUS_GX_YM2413_LABEL_UK NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_UK "Увімкнути емуляцію Звукового розділу FM за допомогою певних ігор Sega Mark III/Master для посиленого виведення звуку."
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_UK "Головна система FM (YM2413) Ядро"
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_UK "Виберіть метод, який використовується для наслідування одиниць звукового розділу Sega Mark III/Master системи. Опція 'MAME' швидка, і працює в більшості систем повною швидкістю. Параметр 'Нукед' є точним циклу, дуже високої якості і має значні вимоги до ЦП."
#define OPTION_VAL_MAME_UK NULL
#define OPTION_VAL_NUKED_UK "Відмучений"
#define GENESIS_PLUS_GX_YM2612_LABEL_UK NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_UK "Виберіть метод, який використовується для наслідування синтезатора FM (головний генератор звуків) головного драйва/Genesis. Параметри 'MAME' швидкі і працюють на більшості систем. Опції 'Нукед' - це точність циклів, дуже високоякісна якість та мають значні вимоги до ЦП. YM2612 чіп використовується оригінальною моделлю 1 Mega Drive/Genesis. YM3438 використовується в пізніших редакціях Mega Drive/Genesis."
#define GENESIS_PLUS_GX_YM2612_INFO_1_UK "Виберіть метод, який використовується для наслідування синтезатора FM (головний генератор звуків) головного драйва/Genesis. YM2612 чіп використовується оригінальною моделлю 1 Mega Drive/Genesis. YM3438 використовується в пізніших редакціях Mega Drive/Genesis."
#define OPTION_VAL_MAME_YM2612_UK NULL
#define OPTION_VAL_MAME_ASIC_YM3438_UK NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_UK "MAME (Покращений YM3438)"
#define OPTION_VAL_NUKED_YM2612_UK NULL
#define OPTION_VAL_NUKED_YM3438_UK NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_UK "Вивід звуку"
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_UK "Вибір звуку в стерео або моно звуку."
#define OPTION_VAL_STEREO_UK "Cтерео"
#define OPTION_VAL_MONO_UK "Моно"
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_UK "Аудіофільтр"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_UK "Для більш реалістичного звуку використовуйте фільтр низького пропуску у моделі 1 Mega Drive/Genesis."
#define OPTION_VAL_LOW_PASS_UK "Низькі провали"
#define OPTION_VAL_EQ_UK "Екв"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_UK "Фільтр низьких абонементів %"
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_UK "Укажіть частоту показу звукового рядка низького проходу. Більш високе значення збільшує сприйняті \"сили\" фільтра, оскільки зменшується ширший діапазон високочастотних спектру."
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_UK "Передставка PSG рівень"
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_UK "Встановити рівень передпідсилювача аудіо в емульованому SN76496 4-каналі запрограмований звуковий генератор виявлений в SG-1000, Ігрова система Sega Mark III, Master System, Game Gear і Mega Drive/Genesis."
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_UK "Рівень підсилення FM"
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_UK "Встановити рівень передпідсилення звуку для емулятора FM-синтезатора Mega Drive/Genesis або FM-пристрою Sega Mark III/Master System."
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_UK "CD-DA Гучність"
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_UK "Регулювання гучності мікшування випромінюваного звуку звуку."
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_UK "Гучність PCM"
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_UK "Налаштуйте змішування гучності емуляційного CD/Mega-CD RF5C164 PCM генератора звуків."
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_UK "Низький екв"
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_UK "Підлаштувати діапазон низьких частот звуку внутрішнього еквалайзера."
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_UK NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_UK "Підлаштувати діапазон середніх частот звуку внутрішнього еквалайзера."
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_UK "Висока еквалайзер"
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_UK "Підлаштувати діапазон високих частот звуку внутрішнього еквалайзера."
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_UK "Легкий Введення"
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_UK "Використовуйте вправо, контрольовані мишкою 'Light Gun' або 'Touchscreen'."
#define OPTION_VAL_LIGHTGUN_UK "Легкий пістолет"
#define OPTION_VAL_TOUCHSCREEN_UK "Сенсорний екран"
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_UK "Показати приціл освітлення"
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_UK "Відображати світловий перетин при використанні MD Menacer, MD Justifiers та MS Light Phaser input пристрою."
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_UK "Інвертувати вісь миші Y-вісь"
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_UK "Інвертує вісь Y типу пристрою введення миші з пристроєм."
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_UK "Зняти межу переходу на ліній"
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_UK "Видаляє початковий обмеження апаратного підсвічування спрайтів на кожен сканер. Знижує мерехтіння, але може викликати склянки візуального характеру, оскільки деякі ігри експлуатають обмеження апаратного забезпечення для генерації спеціальних ефектів."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_UK "Підвищена вертикальна прокрутка плитки"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_UK "Дозволяє кожному окремому клітині бути прокату вертикально, замість 16px 2 клітини, усереднюючи їх значенням викрутки сусідньої клітини. Цей хакант застосовується тільки до декількох ігор, в яких використовується 2-клітинний вертикальний режим прокручування."
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_UK "Покращена межа вертикальної прокручування для плиток"
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_UK "Лише коли увімкнено «Підвищено» вертикальне прокручування. Зміщує максимальну відстань до розширень вертикального проксі. Коли різниця різниця між сусідніми плитками більша за цю межу, покращення вимкнене."
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_UK "Швидкість процесора"
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_UK "Перевищення емуляційного процесора. Може зменшити уповільнення, але може призвести до відблиску."
#define OPTION_VAL_100_UK NULL
#define OPTION_VAL_125_UK NULL
#define OPTION_VAL_150_UK NULL
#define OPTION_VAL_175_UK NULL
#define OPTION_VAL_200_UK NULL
#define OPTION_VAL_225_UK NULL
#define OPTION_VAL_250_UK NULL
#define OPTION_VAL_275_UK NULL
#define OPTION_VAL_300_UK NULL
#define OPTION_VAL_325_UK NULL
#define OPTION_VAL_350_UK NULL
#define OPTION_VAL_375_UK NULL
#define OPTION_VAL_400_UK NULL
#define OPTION_VAL_425_UK NULL
#define OPTION_VAL_450_UK NULL
#define OPTION_VAL_475_UK NULL
#define OPTION_VAL_500_UK NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_UK "Системні блокування"
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_UK "Емулювати системне блокування, що є на оригінальному пристрої, коли відбувається некоректний запит до адреси пам'яті. Це налаштування потрібно вимикати лише для запуску певних демо чи неофіційних програм, що використовують некоректні запити у своїй роботі."
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_UK "Адресна помилка 68К"
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_UK "Основний процесор (Motorola 68000) консолі Mega Drive/Genesis видає адресну помилку (падіння), під час доступу до невирівняних даних пам'яті. Увімкнення налаштування 'Адресна помилка 68K' симулює цю поведінку. Вимикати це налаштування потрібно лише для відтворення ROM-гаків, бо вони зазвичай зроблені з використання менш точних емуляторів і можуть використовувати некоректне звернення до ОП для коректних операцій."
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_UK "Час доступу CD"
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_UK "Імітувати оригінальну затримку CD, при ініціюванні читання або прагненні до конкретного місця на завантаженому диску. Це потрібно для декількох ігор з CD, які можуть вийти з ладу CD, а також виправити проблеми CD аудіо десинхронізації, що знаходяться в деяких іграх. Вимкнення цього може бути корисним у іграх MSU-MD через те, що CD аудіо доріжки робить її бездоганними."
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_UK "Кеш зображень"
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_UK "Завантажити зображення CD для пам'яті під час запуску. Перезапустіть програму."
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_UK "Показати додаткові параметри гучності звуку (знову відкривати меню)"
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_UK "Введіть конфігурацію низькорівних параметрів аудіоканалів. ПРИМІТКА: Швидке Меню потрібно перемкнути для застосування цього параметру."
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_UK "Гучність PSG тону 0 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_UK "Зменшення гучності каналу PSG тону 0."
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_UK "Гучність PSG тону каналу 1 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_UK "Зменшення гучності каналу PSG Tone 1."
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_UK "Гучність PSG тону 2 %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_UK "Зменшити гучність PSG тону 2."
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_UK "Гучність PSG шуму 3 каналу %"
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_UK "Зменшення гучності PSG каналу шуму 3."
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_UK "Mega Drive/Genesis FM канал 0 volume %"
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_UK "Зменшити гучність мегадрайвер/Genesis FM-каналу 0. Працює тільки з емуляторами M."
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_UK "Mega Drive/Genesis FM-канал 1 Об'єм %"
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_UK "Зменшити гучність Мега Диска/Genesis FM-каналу 1. Працює тільки з емуляторами M."
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_UK "Mega Drive/Genesis FM канал 2 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_UK "Зменшити гучність Мега Диска/Genesis FM-каналу 2. Працює тільки з емуляторами M."
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_UK "Mega Drive/Genesis FM гучність каналу 3 %"
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_UK "Зменшення гучності Mega Drive/Genesis FM Channel 3. Працює тільки з емуляторами M."
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_UK "Mega Drive/Genesis FM-канал 4 Volume %"
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_UK "Зменшити гучність мегадрайвер/Genesis FM-каналу 4. Працює тільки з емуляторами M."
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_UK "Mega Drive/Genesis FM канал 5 Об'єм %"
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_UK "Зменшення гучності Mega Drive/Genesis FM Channel 5. Працює тільки з емуляторами M."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_UK "Головна система FM (YM2413) Гучність 0 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_UK "Зменшити гучність майстер-системного каналу 0."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_UK "Головна система FM (YM2413) Гучність 1 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_UK "Зменшення гучності майстер-системного каналу 1."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_UK "Головна система FM (YM2413) Гучність 2 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_UK "Зменшити гучність майстер-системного каналу 2."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_UK "Загальна система FM (YM2413) Об'єм каналу 3 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_UK "Зменшення гучності майстер-системного каналу 3."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_UK "Загальна система FM (YM2413) Об'єм 4 каналу %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_UK "Зменшити гучність майстер-системного каналу 4."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_UK "Головна система FM (YM2413) Об'єм 5 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_UK "Зменшити гучність майстер-системного FM каналу 5."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_UK "Головна система FM (YM2413) Гучність 6 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_UK "Зменшення гучності майстер-системного каналу 6."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_UK "Загальна система FM (YM2413) Об'єм каналу 7 %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_UK "Зменшити гучність майстер-системного каналу 7."
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_UK "Загальна система FM (YM2413) Об'єм 8 каналу %"
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_UK "Зменшити гучність майстер-системного FM каналу 8."

struct retro_core_option_v2_category option_cats_uk[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_UK,
      CATEGORY_SYSTEM_INFO_0_UK
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_UK,
      CATEGORY_VIDEO_INFO_0_UK
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_UK,
      CATEGORY_AUDIO_INFO_0_UK
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_UK,
      CATEGORY_INPUT_INFO_0_UK
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_UK,
      CATEGORY_HACKS_INFO_0_UK
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_UK,
      CATEGORY_CHANNEL_VOLUME_INFO_0_UK
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_uk[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_UK,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_UK                 },
         { "sg-1000",              OPTION_VAL_SG_1000_UK              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_UK           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_UK},
         { "mark-III",             OPTION_VAL_MARK_III_UK             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_UK        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_UK     },
         { "game gear",            OPTION_VAL_GAME_GEAR_UK            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_UK   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_UK,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_UK   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_UK },
         { "pal",     OPTION_VAL_PAL_UK    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_UK },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_UK,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_UK },
         { "50hz",  OPTION_VAL_50HZ_UK },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_UK,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_UK,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_UK },
         { "per game", OPTION_VAL_PER_GAME_UK },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_UK,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_UK },
         { "per game", OPTION_VAL_PER_GAME_UK },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_UK,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_UK  },
         { "256k",     OPTION_VAL_256K_UK  },
         { "512k",     OPTION_VAL_512K_UK  },
         { "1meg",     OPTION_VAL_1MEG_UK    },
         { "2meg",     OPTION_VAL_2MEG_UK    },
         { "4meg",     OPTION_VAL_4MEG_UK    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_UK,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_UK },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_UK },
         { "megasd",       OPTION_VAL_MEGASD_UK },
         { "none",         OPTION_VAL_NONE_UK },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_UK,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_UK },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_UK },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_UK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_UK,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_UK },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_UK },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_UK },
         { "4:3",  OPTION_VAL_4_3_UK },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_UK },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_UK,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_UK },
         { "left/right", OPTION_VAL_LEFT_RIGHT_UK },
         { "full",       OPTION_VAL_FULL_UK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_UK,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_UK },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_UK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_UK,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_UK,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_UK },
         { "composite",  OPTION_VAL_COMPOSITE_UK },
         { "svideo",     OPTION_VAL_SVIDEO_UK },
         { "rgb",        OPTION_VAL_RGB_UK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_UK,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_UK,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_UK },
         { "double field", OPTION_VAL_DOUBLE_FIELD_UK },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_UK,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_UK },
         { "manual",   OPTION_VAL_MANUAL_UK },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_UK,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_UK,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_UK },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_UK,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_UK },
         { "nuked", OPTION_VAL_NUKED_UK },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_UK,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_UK,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_UK,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_UK },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_UK },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_UK },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_UK },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_UK },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_UK,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_UK },
         { "mono",   OPTION_VAL_MONO_UK },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_UK,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_UK },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_UK },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_UK,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_UK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_UK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_UK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_UK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_UK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_UK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_UK,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_UK,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_UK },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_UK },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_UK,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_UK,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_UK,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_UK,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_UK,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_UK,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_UK },
         { "125", OPTION_VAL_125_UK },
         { "150", OPTION_VAL_150_UK },
         { "175", OPTION_VAL_175_UK },
         { "200", OPTION_VAL_200_UK },
         { "225", OPTION_VAL_225_UK },
         { "250", OPTION_VAL_250_UK },
         { "275", OPTION_VAL_275_UK },
         { "300", OPTION_VAL_300_UK },
         { "325", OPTION_VAL_325_UK },
         { "350", OPTION_VAL_350_UK },
         { "375", OPTION_VAL_375_UK },
         { "400", OPTION_VAL_400_UK },
         { "425", OPTION_VAL_425_UK },
         { "450", OPTION_VAL_450_UK },
         { "475", OPTION_VAL_475_UK },
         { "500", OPTION_VAL_500_UK },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_UK,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_UK,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_UK,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_UK,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_UK,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_UK,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_uk = {
   option_cats_uk,
   option_defs_uk
};

/* RETRO_LANGUAGE_VAL */

#define CATEGORY_SYSTEM_LABEL_VAL "Sistema"
#define CATEGORY_SYSTEM_INFO_0_VAL NULL
#define CATEGORY_VIDEO_LABEL_VAL "Vídeo"
#define CATEGORY_VIDEO_INFO_0_VAL NULL
#define CATEGORY_AUDIO_LABEL_VAL "Àudio"
#define CATEGORY_AUDIO_INFO_0_VAL NULL
#define CATEGORY_INPUT_LABEL_VAL "Entrada"
#define CATEGORY_INPUT_INFO_0_VAL NULL
#define CATEGORY_HACKS_LABEL_VAL NULL
#define CATEGORY_HACKS_INFO_0_VAL NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_VAL NULL
#define CATEGORY_CHANNEL_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_VAL NULL
#define OPTION_VAL_AUTO_VAL "Selecció automàtica"
#define OPTION_VAL_SG_1000_VAL NULL
#define OPTION_VAL_SG_1000_II_VAL NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_VAL NULL
#define OPTION_VAL_MARK_III_VAL NULL
#define OPTION_VAL_MASTER_SYSTEM_VAL NULL
#define OPTION_VAL_MASTER_SYSTEM_II_VAL NULL
#define OPTION_VAL_GAME_GEAR_VAL NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_VAL NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_VAL NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_VAL NULL
#define OPTION_VAL_NTSC_U_VAL NULL
#define OPTION_VAL_PAL_VAL NULL
#define OPTION_VAL_NTSC_J_VAL NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_VAL NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_VAL NULL
#define OPTION_VAL_60HZ_VAL NULL
#define OPTION_VAL_50HZ_VAL NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_VAL NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_VAL NULL
#define OPTION_VAL_PER_BIOS_VAL NULL
#define OPTION_VAL_PER_GAME_VAL NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_VAL NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_VAL NULL
#define OPTION_VAL_PER_CART_VAL NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_VAL NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_VAL NULL
#define OPTION_VAL_128K_VAL NULL
#define OPTION_VAL_256K_VAL NULL
#define OPTION_VAL_512K_VAL NULL
#define OPTION_VAL_1MEG_VAL NULL
#define OPTION_VAL_2MEG_VAL NULL
#define OPTION_VAL_4MEG_VAL NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_VAL NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_VAL NULL
#define OPTION_VAL_SEGA_MEGA_CD_VAL NULL
#define OPTION_VAL_MEGASD_VAL NULL
#define OPTION_VAL_NONE_VAL "Cap"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_VAL NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_VAL NULL
#define OPTION_VAL_GAME_GENIE_VAL NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_VAL NULL
#define OPTION_VAL_SONIC_KNUCKLES_VAL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_VAL NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_VAL NULL
#define OPTION_VAL_NTSC_PAR_VAL NULL
#define OPTION_VAL_PAL_PAR_VAL NULL
#define OPTION_VAL_4_3_VAL NULL
#define OPTION_VAL_UNCORRECTED_VAL NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_VAL NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_VAL NULL
#define OPTION_VAL_TOP_BOTTOM_VAL NULL
#define OPTION_VAL_LEFT_RIGHT_VAL NULL
#define OPTION_VAL_FULL_VAL NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_VAL NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_VAL NULL
#define OPTION_VAL_LEFT_BORDER_VAL NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_VAL NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_VAL NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_VAL NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_VAL NULL
#define OPTION_VAL_MONOCHROME_VAL NULL
#define OPTION_VAL_COMPOSITE_VAL NULL
#define OPTION_VAL_SVIDEO_VAL NULL
#define OPTION_VAL_RGB_VAL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_VAL NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_VAL NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_VAL NULL
#define OPTION_VAL_SINGLE_FIELD_VAL NULL
#define OPTION_VAL_DOUBLE_FIELD_VAL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_VAL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_VAL NULL
#define OPTION_VAL_MANUAL_VAL "Selecció manual"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_VAL NULL
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_YM2413_LABEL_VAL NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_VAL NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_VAL NULL
#define OPTION_VAL_MAME_VAL NULL
#define OPTION_VAL_NUKED_VAL NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_VAL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_VAL NULL
#define OPTION_VAL_MAME_YM2612_VAL NULL
#define OPTION_VAL_MAME_ASIC_YM3438_VAL NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_VAL NULL
#define OPTION_VAL_NUKED_YM2612_VAL NULL
#define OPTION_VAL_NUKED_YM3438_VAL NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_VAL NULL
#define OPTION_VAL_STEREO_VAL NULL
#define OPTION_VAL_MONO_VAL NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_VAL NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_VAL NULL
#define OPTION_VAL_LOW_PASS_VAL NULL
#define OPTION_VAL_EQ_VAL NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_VAL NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_VAL NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_VAL NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_VAL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_VAL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_VAL NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_VAL NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_VAL NULL
#define OPTION_VAL_LIGHTGUN_VAL NULL
#define OPTION_VAL_TOUCHSCREEN_VAL NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_VAL NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_VAL NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_VAL NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_VAL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_VAL NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_VAL NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_VAL NULL
#define OPTION_VAL_100_VAL NULL
#define OPTION_VAL_125_VAL NULL
#define OPTION_VAL_150_VAL NULL
#define OPTION_VAL_175_VAL NULL
#define OPTION_VAL_200_VAL NULL
#define OPTION_VAL_225_VAL NULL
#define OPTION_VAL_250_VAL NULL
#define OPTION_VAL_275_VAL NULL
#define OPTION_VAL_300_VAL NULL
#define OPTION_VAL_325_VAL NULL
#define OPTION_VAL_350_VAL NULL
#define OPTION_VAL_375_VAL NULL
#define OPTION_VAL_400_VAL NULL
#define OPTION_VAL_425_VAL NULL
#define OPTION_VAL_450_VAL NULL
#define OPTION_VAL_475_VAL NULL
#define OPTION_VAL_500_VAL NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_VAL NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_VAL NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_VAL NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_VAL NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_VAL NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_VAL NULL

struct retro_core_option_v2_category option_cats_val[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_VAL,
      CATEGORY_SYSTEM_INFO_0_VAL
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_VAL,
      CATEGORY_VIDEO_INFO_0_VAL
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_VAL,
      CATEGORY_AUDIO_INFO_0_VAL
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_VAL,
      CATEGORY_INPUT_INFO_0_VAL
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_VAL,
      CATEGORY_HACKS_INFO_0_VAL
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_VAL,
      CATEGORY_CHANNEL_VOLUME_INFO_0_VAL
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_val[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_VAL,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_VAL                 },
         { "sg-1000",              OPTION_VAL_SG_1000_VAL              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_VAL           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_VAL},
         { "mark-III",             OPTION_VAL_MARK_III_VAL             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_VAL        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_VAL     },
         { "game gear",            OPTION_VAL_GAME_GEAR_VAL            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_VAL   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_VAL,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_VAL   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_VAL },
         { "pal",     OPTION_VAL_PAL_VAL    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_VAL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_VAL,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_VAL },
         { "50hz",  OPTION_VAL_50HZ_VAL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_VAL,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_VAL,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_VAL },
         { "per game", OPTION_VAL_PER_GAME_VAL },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_VAL,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_VAL },
         { "per game", OPTION_VAL_PER_GAME_VAL },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_VAL,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_VAL  },
         { "256k",     OPTION_VAL_256K_VAL  },
         { "512k",     OPTION_VAL_512K_VAL  },
         { "1meg",     OPTION_VAL_1MEG_VAL    },
         { "2meg",     OPTION_VAL_2MEG_VAL    },
         { "4meg",     OPTION_VAL_4MEG_VAL    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_VAL,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_VAL },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_VAL },
         { "megasd",       OPTION_VAL_MEGASD_VAL },
         { "none",         OPTION_VAL_NONE_VAL },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_VAL,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_VAL },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_VAL },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_VAL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_VAL,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_VAL },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_VAL },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_VAL },
         { "4:3",  OPTION_VAL_4_3_VAL },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_VAL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_VAL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_VAL },
         { "left/right", OPTION_VAL_LEFT_RIGHT_VAL },
         { "full",       OPTION_VAL_FULL_VAL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_VAL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_VAL },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_VAL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_VAL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_VAL,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_VAL },
         { "composite",  OPTION_VAL_COMPOSITE_VAL },
         { "svideo",     OPTION_VAL_SVIDEO_VAL },
         { "rgb",        OPTION_VAL_RGB_VAL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_VAL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_VAL,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_VAL },
         { "double field", OPTION_VAL_DOUBLE_FIELD_VAL },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_VAL,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_VAL },
         { "manual",   OPTION_VAL_MANUAL_VAL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_VAL,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_VAL },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_VAL },
         { "nuked", OPTION_VAL_NUKED_VAL },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_VAL,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_VAL,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_VAL,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_VAL },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_VAL },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_VAL },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_VAL },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_VAL },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_VAL },
         { "mono",   OPTION_VAL_MONO_VAL },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_VAL },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_VAL },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_VAL,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_VAL,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_VAL },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_VAL },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_VAL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_VAL,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_VAL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_VAL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_VAL,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_VAL,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_VAL },
         { "125", OPTION_VAL_125_VAL },
         { "150", OPTION_VAL_150_VAL },
         { "175", OPTION_VAL_175_VAL },
         { "200", OPTION_VAL_200_VAL },
         { "225", OPTION_VAL_225_VAL },
         { "250", OPTION_VAL_250_VAL },
         { "275", OPTION_VAL_275_VAL },
         { "300", OPTION_VAL_300_VAL },
         { "325", OPTION_VAL_325_VAL },
         { "350", OPTION_VAL_350_VAL },
         { "375", OPTION_VAL_375_VAL },
         { "400", OPTION_VAL_400_VAL },
         { "425", OPTION_VAL_425_VAL },
         { "450", OPTION_VAL_450_VAL },
         { "475", OPTION_VAL_475_VAL },
         { "500", OPTION_VAL_500_VAL },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_VAL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_VAL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_VAL,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_VAL,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_VAL,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_VAL,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_val = {
   option_cats_val,
   option_defs_val
};

/* RETRO_LANGUAGE_VN */

#define CATEGORY_SYSTEM_LABEL_VN "Hệ thống"
#define CATEGORY_SYSTEM_INFO_0_VN NULL
#define CATEGORY_VIDEO_LABEL_VN "Video Driver"
#define CATEGORY_VIDEO_INFO_0_VN NULL
#define CATEGORY_AUDIO_LABEL_VN "Âm thanh"
#define CATEGORY_AUDIO_INFO_0_VN NULL
#define CATEGORY_INPUT_LABEL_VN "Input Driver"
#define CATEGORY_INPUT_INFO_0_VN NULL
#define CATEGORY_HACKS_LABEL_VN "Hacks giả lập"
#define CATEGORY_HACKS_INFO_0_VN NULL
#define CATEGORY_CHANNEL_VOLUME_LABEL_VN "Tùy chỉnh cài đặt kênh âm thanh"
#define CATEGORY_CHANNEL_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SYSTEM_HW_LABEL_VN "Phần cứng"
#define GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_VN "Chạy nội dung được chọn với giả lập cụ thể. 'Tự động' sẽ chọn giả lập phù hợp nhất cho trò chơi hiện tại."
#define OPTION_VAL_AUTO_VN "Tự động"
#define OPTION_VAL_SG_1000_VN NULL
#define OPTION_VAL_SG_1000_II_VN NULL
#define OPTION_VAL_SG_1000_II_RAM_EXT_VN NULL
#define OPTION_VAL_MARK_III_VN NULL
#define OPTION_VAL_MASTER_SYSTEM_VN NULL
#define OPTION_VAL_MASTER_SYSTEM_II_VN NULL
#define OPTION_VAL_GAME_GEAR_VN NULL
#define OPTION_VAL_MEGA_DRIVE_GENESIS_VN NULL
#define GENESIS_PLUS_GX_REGION_DETECT_LABEL_VN NULL
#define GENESIS_PLUS_GX_REGION_DETECT_INFO_0_VN NULL
#define OPTION_VAL_NTSC_U_VN NULL
#define OPTION_VAL_PAL_VN NULL
#define OPTION_VAL_NTSC_J_VN NULL
#define GENESIS_PLUS_GX_VDP_MODE_LABEL_VN NULL
#define GENESIS_PLUS_GX_VDP_MODE_INFO_0_VN NULL
#define OPTION_VAL_60HZ_VN NULL
#define OPTION_VAL_50HZ_VN NULL
#define GENESIS_PLUS_GX_BIOS_LABEL_VN NULL
#define GENESIS_PLUS_GX_BIOS_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_VN NULL
#define GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_VN NULL
#define OPTION_VAL_PER_BIOS_VN NULL
#define OPTION_VAL_PER_GAME_VN NULL
#define GENESIS_PLUS_GX_CART_BRAM_LABEL_VN NULL
#define GENESIS_PLUS_GX_CART_BRAM_INFO_0_VN NULL
#define OPTION_VAL_PER_CART_VN NULL
#define GENESIS_PLUS_GX_CART_SIZE_LABEL_VN NULL
#define GENESIS_PLUS_GX_CART_SIZE_INFO_0_VN NULL
#define OPTION_VAL_128K_VN NULL
#define OPTION_VAL_256K_VN NULL
#define OPTION_VAL_512K_VN NULL
#define OPTION_VAL_1MEG_VN NULL
#define OPTION_VAL_2MEG_VN NULL
#define OPTION_VAL_4MEG_VN NULL
#define GENESIS_PLUS_GX_ADD_ON_LABEL_VN NULL
#define GENESIS_PLUS_GX_ADD_ON_INFO_0_VN NULL
#define OPTION_VAL_SEGA_MEGA_CD_VN NULL
#define OPTION_VAL_MEGASD_VN NULL
#define OPTION_VAL_NONE_VN "Không"
#define GENESIS_PLUS_GX_LOCK_ON_LABEL_VN NULL
#define GENESIS_PLUS_GX_LOCK_ON_INFO_0_VN NULL
#define OPTION_VAL_GAME_GENIE_VN NULL
#define OPTION_VAL_ACTION_REPLAY_PRO_VN NULL
#define OPTION_VAL_SONIC_KNUCKLES_VN NULL
#define GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_VN "Tỷ lệ khung hình do lõi cung cấp"
#define GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_VN NULL
#define OPTION_VAL_NTSC_PAR_VN NULL
#define OPTION_VAL_PAL_PAR_VN NULL
#define OPTION_VAL_4_3_VN NULL
#define OPTION_VAL_UNCORRECTED_VN NULL
#define GENESIS_PLUS_GX_OVERSCAN_LABEL_VN NULL
#define GENESIS_PLUS_GX_OVERSCAN_INFO_0_VN NULL
#define OPTION_VAL_TOP_BOTTOM_VN "Trên/Dưới"
#define OPTION_VAL_LEFT_RIGHT_VN NULL
#define OPTION_VAL_FULL_VN NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_LABEL_VN NULL
#define GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_VN NULL
#define OPTION_VAL_LEFT_BORDER_VN NULL
#define OPTION_VAL_LEFT_RIGHT_BORDERS_VN NULL
#define GENESIS_PLUS_GX_GG_EXTRA_LABEL_VN NULL
#define GENESIS_PLUS_GX_GG_EXTRA_INFO_0_VN NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_VN NULL
#define GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_VN NULL
#define OPTION_VAL_MONOCHROME_VN NULL
#define OPTION_VAL_COMPOSITE_VN "Kết hợp"
#define OPTION_VAL_SVIDEO_VN NULL
#define OPTION_VAL_RGB_VN NULL
#define GENESIS_PLUS_GX_LCD_FILTER_LABEL_VN NULL
#define GENESIS_PLUS_GX_LCD_FILTER_INFO_0_VN NULL
#define GENESIS_PLUS_GX_RENDER_LABEL_VN NULL
#define GENESIS_PLUS_GX_RENDER_INFO_0_VN NULL
#define OPTION_VAL_SINGLE_FIELD_VN NULL
#define OPTION_VAL_DOUBLE_FIELD_VN NULL
#define GENESIS_PLUS_GX_FRAMESKIP_LABEL_VN "Bỏ qua khung hình"
#define GENESIS_PLUS_GX_FRAMESKIP_INFO_0_VN "Bỏ qua khung hình để tránh bộ đệm âm thanh chạy dưới mức (tiếng kêu lách tách). Cải thiện hiệu suất với độ mượt mà của hình ảnh. 'Tự động' bỏ qua khung khi giao diện người dùng thông báo. 'Thủ công' sử dụng cài đặt 'Ngưỡng khung hình (%)'."
#define OPTION_VAL_MANUAL_VN "Thủ công"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_VN "Ngưỡng bỏ qua khung hình (%)"
#define GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_VN "Khi 'Frameskip' được đặt thành 'Thủ công', chỉ định ngưỡng chiếm dụng bộ đệm âm thanh (tỷ lệ phần trăm) dưới khung hình nào sẽ bị bỏ qua. Giá trị cao hơn làm giảm nguy cơ giật lag do làm rơi khung thường xuyên hơn."
#define GENESIS_PLUS_GX_YM2413_LABEL_VN NULL
#define GENESIS_PLUS_GX_YM2413_INFO_0_VN NULL
#define GENESIS_PLUS_GX_YM2413_CORE_LABEL_VN NULL
#define GENESIS_PLUS_GX_YM2413_CORE_INFO_0_VN NULL
#define OPTION_VAL_MAME_VN NULL
#define OPTION_VAL_NUKED_VN NULL
#define GENESIS_PLUS_GX_YM2612_LABEL_VN NULL
#define GENESIS_PLUS_GX_YM2612_INFO_0_VN NULL
#define GENESIS_PLUS_GX_YM2612_INFO_1_VN NULL
#define OPTION_VAL_MAME_YM2612_VN NULL
#define OPTION_VAL_MAME_ASIC_YM3438_VN NULL
#define OPTION_VAL_MAME_ENHANCED_YM3438_VN NULL
#define OPTION_VAL_NUKED_YM2612_VN NULL
#define OPTION_VAL_NUKED_YM3438_VN NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_VN NULL
#define GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_VN NULL
#define OPTION_VAL_STEREO_VN NULL
#define OPTION_VAL_MONO_VN NULL
#define GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_VN "Âm thanh Filter Danh mục"
#define GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_VN NULL
#define OPTION_VAL_LOW_PASS_VN NULL
#define OPTION_VAL_EQ_VN NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_VN NULL
#define GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_VN NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_LABEL_VN NULL
#define GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_VN NULL
#define GENESIS_PLUS_GX_FM_PREAMP_LABEL_VN NULL
#define GENESIS_PLUS_GX_FM_PREAMP_INFO_0_VN NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_VN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_VN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_VN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_VN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_VN NULL
#define GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_VN NULL
#define GENESIS_PLUS_GX_GUN_INPUT_LABEL_VN NULL
#define GENESIS_PLUS_GX_GUN_INPUT_INFO_0_VN NULL
#define OPTION_VAL_LIGHTGUN_VN NULL
#define OPTION_VAL_TOUCHSCREEN_VN NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_LABEL_VN NULL
#define GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_VN NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_VN NULL
#define GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_VN NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_VN NULL
#define GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_VN NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_VN NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_VN NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_VN NULL
#define GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_VN NULL
#define GENESIS_PLUS_GX_OVERCLOCK_LABEL_VN NULL
#define GENESIS_PLUS_GX_OVERCLOCK_INFO_0_VN NULL
#define OPTION_VAL_100_VN NULL
#define OPTION_VAL_125_VN NULL
#define OPTION_VAL_150_VN NULL
#define OPTION_VAL_175_VN NULL
#define OPTION_VAL_200_VN NULL
#define OPTION_VAL_225_VN NULL
#define OPTION_VAL_250_VN NULL
#define OPTION_VAL_275_VN NULL
#define OPTION_VAL_300_VN NULL
#define OPTION_VAL_325_VN NULL
#define OPTION_VAL_350_VN NULL
#define OPTION_VAL_375_VN NULL
#define OPTION_VAL_400_VN NULL
#define OPTION_VAL_425_VN NULL
#define OPTION_VAL_450_VN NULL
#define OPTION_VAL_475_VN NULL
#define OPTION_VAL_500_VN NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_LABEL_VN NULL
#define GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_VN NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_LABEL_VN NULL
#define GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_VN NULL
#define GENESIS_PLUS_GX_CD_LATENCY_LABEL_VN NULL
#define GENESIS_PLUS_GX_CD_LATENCY_INFO_0_VN NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_LABEL_VN NULL
#define GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_VN NULL
#define GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_VN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_VN NULL
#define GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_VN NULL

struct retro_core_option_v2_category option_cats_vn[] = {
   {
      "system",
      CATEGORY_SYSTEM_LABEL_VN,
      CATEGORY_SYSTEM_INFO_0_VN
   },
   {
      "video",
      CATEGORY_VIDEO_LABEL_VN,
      CATEGORY_VIDEO_INFO_0_VN
   },
   {
      "audio",
      CATEGORY_AUDIO_LABEL_VN,
      CATEGORY_AUDIO_INFO_0_VN
   },
   {
      "input",
      CATEGORY_INPUT_LABEL_VN,
      CATEGORY_INPUT_INFO_0_VN
   },
   {
      "hacks",
      CATEGORY_HACKS_LABEL_VN,
      CATEGORY_HACKS_INFO_0_VN
   },
   {
      "channel_volume",
      CATEGORY_CHANNEL_VOLUME_LABEL_VN,
      CATEGORY_CHANNEL_VOLUME_INFO_0_VN
   },
   { NULL, NULL, NULL },
};
struct retro_core_option_v2_definition option_defs_vn[] = {
   {
      "genesis_plus_gx_system_hw",
      GENESIS_PLUS_GX_SYSTEM_HW_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_HW_INFO_0_VN,
      NULL,
      "system",
      {
         { "auto",                 OPTION_VAL_AUTO_VN                 },
         { "sg-1000",              OPTION_VAL_SG_1000_VN              },
         { "sg-1000 II",           OPTION_VAL_SG_1000_II_VN           },
         { "sg-1000 II + ram ext.",OPTION_VAL_SG_1000_II_RAM_EXT_VN},
         { "mark-III",             OPTION_VAL_MARK_III_VN             },
         { "master system",        OPTION_VAL_MASTER_SYSTEM_VN        },
         { "master system II",     OPTION_VAL_MASTER_SYSTEM_II_VN     },
         { "game gear",            OPTION_VAL_GAME_GEAR_VN            },
         { "mega drive / genesis", OPTION_VAL_MEGA_DRIVE_GENESIS_VN   },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_region_detect",
      GENESIS_PLUS_GX_REGION_DETECT_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_REGION_DETECT_INFO_0_VN,
      NULL,
      "system",
      {
         { "auto",    OPTION_VAL_AUTO_VN   },
         { "ntsc-u",  OPTION_VAL_NTSC_U_VN },
         { "pal",     OPTION_VAL_PAL_VN    },
         { "ntsc-j",  OPTION_VAL_NTSC_J_VN },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_vdp_mode",
      GENESIS_PLUS_GX_VDP_MODE_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_VDP_MODE_INFO_0_VN,
      NULL,
      "system",
      {
         { "auto",  "Disabled" },
         { "60hz",  OPTION_VAL_60HZ_VN },
         { "50hz",  OPTION_VAL_50HZ_VN },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_bios",
      GENESIS_PLUS_GX_BIOS_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_BIOS_INFO_0_VN,
      NULL,
      "system",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_system_bram",
      GENESIS_PLUS_GX_SYSTEM_BRAM_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SYSTEM_BRAM_INFO_0_VN,
      NULL,
      "system",
      {
         { "per bios", OPTION_VAL_PER_BIOS_VN },
         { "per game", OPTION_VAL_PER_GAME_VN },
         { NULL, NULL },
      },
      "per bios"
   },
   {
      "genesis_plus_gx_cart_bram",
      GENESIS_PLUS_GX_CART_BRAM_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_CART_BRAM_INFO_0_VN,
      NULL,
      "system",
      {
         { "per cart", OPTION_VAL_PER_CART_VN },
         { "per game", OPTION_VAL_PER_GAME_VN },
         { NULL, NULL },
      },
      "per cart"
   },
   {
      "genesis_plus_gx_cart_size",
      GENESIS_PLUS_GX_CART_SIZE_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_CART_SIZE_INFO_0_VN,
      NULL,
      "system",
      {
         { "disabled", "Disabled" },
         { "128k",     OPTION_VAL_128K_VN  },
         { "256k",     OPTION_VAL_256K_VN  },
         { "512k",     OPTION_VAL_512K_VN  },
         { "1meg",     OPTION_VAL_1MEG_VN    },
         { "2meg",     OPTION_VAL_2MEG_VN    },
         { "4meg",     OPTION_VAL_4MEG_VN    },
         { NULL, NULL },
      },
      "4meg"
   },
   {
      "genesis_plus_gx_add_on",
      GENESIS_PLUS_GX_ADD_ON_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_ADD_ON_INFO_0_VN,
      NULL,
      "system",
      {
         { "auto",         OPTION_VAL_AUTO_VN },
         { "sega/mega cd", OPTION_VAL_SEGA_MEGA_CD_VN },
         { "megasd",       OPTION_VAL_MEGASD_VN },
         { "none",         OPTION_VAL_NONE_VN },
         { NULL, NULL },
      },
      "auto"
   },
   {
      "genesis_plus_gx_lock_on",
      GENESIS_PLUS_GX_LOCK_ON_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_LOCK_ON_INFO_0_VN,
      NULL,
      "system",
      {
         { "disabled",            NULL },
         { "game genie",          OPTION_VAL_GAME_GENIE_VN },
         { "action replay (pro)", OPTION_VAL_ACTION_REPLAY_PRO_VN },
         { "sonic & knuckles",    OPTION_VAL_SONIC_KNUCKLES_VN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_aspect_ratio",
      GENESIS_PLUS_GX_ASPECT_RATIO_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_ASPECT_RATIO_INFO_0_VN,
      NULL,
      "video",
      {
         { "auto",     OPTION_VAL_AUTO_VN },
         { "NTSC PAR", OPTION_VAL_NTSC_PAR_VN },
         { "PAL PAR",  OPTION_VAL_PAL_PAR_VN },
         { "4:3",  OPTION_VAL_4_3_VN },
         { "Uncorrected",  OPTION_VAL_UNCORRECTED_VN },
      },
      "auto"
   },
   {
      "genesis_plus_gx_overscan",
      GENESIS_PLUS_GX_OVERSCAN_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_OVERSCAN_INFO_0_VN,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "top/bottom", OPTION_VAL_TOP_BOTTOM_VN },
         { "left/right", OPTION_VAL_LEFT_RIGHT_VN },
         { "full",       OPTION_VAL_FULL_VN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_left_border",
      GENESIS_PLUS_GX_LEFT_BORDER_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_LEFT_BORDER_INFO_0_VN,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "left border", OPTION_VAL_LEFT_BORDER_VN },
         { "left & right borders", OPTION_VAL_LEFT_RIGHT_BORDERS_VN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_gg_extra",
      GENESIS_PLUS_GX_GG_EXTRA_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_GG_EXTRA_INFO_0_VN,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_blargg_ntsc_filter",
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_BLARGG_NTSC_FILTER_INFO_0_VN,
      NULL,
      "video",
      {
         { "disabled",   NULL },
         { "monochrome", OPTION_VAL_MONOCHROME_VN },
         { "composite",  OPTION_VAL_COMPOSITE_VN },
         { "svideo",     OPTION_VAL_SVIDEO_VN },
         { "rgb",        OPTION_VAL_RGB_VN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lcd_filter",
      GENESIS_PLUS_GX_LCD_FILTER_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_LCD_FILTER_INFO_0_VN,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_render",
      GENESIS_PLUS_GX_RENDER_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_RENDER_INFO_0_VN,
      NULL,
      "video",
      {
         { "single field", OPTION_VAL_SINGLE_FIELD_VN },
         { "double field", OPTION_VAL_DOUBLE_FIELD_VN },
         { NULL, NULL },
      },
      "single field"
   },
   {
      "genesis_plus_gx_frameskip",
      GENESIS_PLUS_GX_FRAMESKIP_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_INFO_0_VN,
      NULL,
      "video",
      {
         { "disabled", NULL },
         { "auto",     OPTION_VAL_AUTO_VN },
         { "manual",   OPTION_VAL_MANUAL_VN },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_frameskip_threshold",
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_FRAMESKIP_THRESHOLD_INFO_0_VN,
      NULL,
      "video",
      {
         { "15", NULL },
         { "18", NULL },
         { "21", NULL },
         { "24", NULL },
         { "27", NULL },
         { "30", NULL },
         { "33", NULL },
         { "36", NULL },
         { "39", NULL },
         { "42", NULL },
         { "45", NULL },
         { "48", NULL },
         { "51", NULL },
         { "54", NULL },
         { "57", NULL },
         { "60", NULL },
         { NULL, NULL },
      },
      "33"
   },
   {
      "genesis_plus_gx_ym2413",
      GENESIS_PLUS_GX_YM2413_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_YM2413_INFO_0_VN,
      NULL,
      "audio",
      {
         { "auto",     OPTION_VAL_AUTO_VN },
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "auto"
   },
#ifdef HAVE_OPLL_CORE
   {
      "genesis_plus_gx_ym2413_core",
      GENESIS_PLUS_GX_YM2413_CORE_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_YM2413_CORE_INFO_0_VN,
      NULL,
      "audio",
      {
         { "mame",  OPTION_VAL_MAME_VN },
         { "nuked", OPTION_VAL_NUKED_VN },
         { NULL, NULL },
      },
      "mame"
   },
#endif
   {
      "genesis_plus_gx_ym2612",
      GENESIS_PLUS_GX_YM2612_LABEL_VN,
      NULL,
#ifdef HAVE_YM3438_CORE
      GENESIS_PLUS_GX_YM2612_INFO_0_VN,
#else
      GENESIS_PLUS_GX_YM2612_INFO_1_VN,
#endif
      NULL,
      "audio",
      {
         { "mame (ym2612)",          OPTION_VAL_MAME_YM2612_VN },
         { "mame (asic ym3438)",     OPTION_VAL_MAME_ASIC_YM3438_VN },
         { "mame (enhanced ym3438)", OPTION_VAL_MAME_ENHANCED_YM3438_VN },
#ifdef HAVE_YM3438_CORE
         { "nuked (ym2612)",         OPTION_VAL_NUKED_YM2612_VN },
         { "nuked (ym3438)",         OPTION_VAL_NUKED_YM3438_VN },
#endif
         { NULL, NULL },
      },
      "mame (ym2612)"
   },
   {
      "genesis_plus_gx_sound_output",
      GENESIS_PLUS_GX_SOUND_OUTPUT_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SOUND_OUTPUT_INFO_0_VN,
      NULL,
      "audio",
      {
         { "stereo", OPTION_VAL_STEREO_VN },
         { "mono",   OPTION_VAL_MONO_VN },
         { NULL, NULL },
      },
      "stereo"
   },
   {
      "genesis_plus_gx_audio_filter",
      GENESIS_PLUS_GX_AUDIO_FILTER_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_AUDIO_FILTER_INFO_0_VN,
      NULL,
      "audio",
      {
         { "disabled", NULL },
         { "low-pass", OPTION_VAL_LOW_PASS_VN },
#ifdef HAVE_EQ
         { "EQ",       OPTION_VAL_EQ_VN },
#endif
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_lowpass_range",
      GENESIS_PLUS_GX_LOWPASS_RANGE_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_LOWPASS_RANGE_INFO_0_VN,
      NULL,
      "audio",
      {
         { "5",  NULL },
         { "10", NULL },
         { "15", NULL },
         { "20", NULL },
         { "25", NULL },
         { "30", NULL },
         { "35", NULL },
         { "40", NULL },
         { "45", NULL },
         { "50", NULL },
         { "55", NULL },
         { "60", NULL },
         { "65", NULL },
         { "70", NULL },
         { "75", NULL },
         { "80", NULL },
         { "85", NULL },
         { "90", NULL },
         { "95", NULL },
         { NULL, NULL },
      },
      "60"
   },
   {
      "genesis_plus_gx_psg_preamp",
      GENESIS_PLUS_GX_PSG_PREAMP_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_PSG_PREAMP_INFO_0_VN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "150"
   },
   {
      "genesis_plus_gx_fm_preamp",
      GENESIS_PLUS_GX_FM_PREAMP_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_FM_PREAMP_INFO_0_VN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { "105", NULL },
         { "110", NULL },
         { "115", NULL },
         { "120", NULL },
         { "125", NULL },
         { "130", NULL },
         { "135", NULL },
         { "140", NULL },
         { "145", NULL },
         { "150", NULL },
         { "155", NULL },
         { "160", NULL },
         { "165", NULL },
         { "170", NULL },
         { "175", NULL },
         { "180", NULL },
         { "185", NULL },
         { "190", NULL },
         { "195", NULL },
         { "200", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_cdda_volume",
      GENESIS_PLUS_GX_CDDA_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_CDDA_VOLUME_INFO_0_VN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_pcm_volume",
      GENESIS_PLUS_GX_PCM_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_PCM_VOLUME_INFO_0_VN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#ifdef HAVE_EQ
   {
      "genesis_plus_gx_audio_eq_low",
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_LOW_INFO_0_VN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_mid",
      GENESIS_PLUS_GX_AUDIO_EQ_MID_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_MID_INFO_0_VN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_audio_eq_high",
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_AUDIO_EQ_HIGH_INFO_0_VN,
      NULL,
      "audio",
      {
         { "0",   NULL },
         { "5",   NULL },
         { "10",  NULL },
         { "15",  NULL },
         { "20",  NULL },
         { "25",  NULL },
         { "30",  NULL },
         { "35",  NULL },
         { "40",  NULL },
         { "45",  NULL },
         { "50",  NULL },
         { "55",  NULL },
         { "60",  NULL },
         { "65",  NULL },
         { "70",  NULL },
         { "75",  NULL },
         { "80",  NULL },
         { "85",  NULL },
         { "90",  NULL },
         { "95",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   {
      "genesis_plus_gx_gun_input",
      GENESIS_PLUS_GX_GUN_INPUT_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_GUN_INPUT_INFO_0_VN,
      NULL,
      "input",
      {
         { "lightgun",    OPTION_VAL_LIGHTGUN_VN },
         { "touchscreen", OPTION_VAL_TOUCHSCREEN_VN },
         { NULL, NULL },
      },
      "lightgun"
   },
   {
      "genesis_plus_gx_gun_cursor",
      GENESIS_PLUS_GX_GUN_CURSOR_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_GUN_CURSOR_INFO_0_VN,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_invert_mouse",
      GENESIS_PLUS_GX_INVERT_MOUSE_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_INVERT_MOUSE_INFO_0_VN,
      NULL,
      "input",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_no_sprite_limit",
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_NO_SPRITE_LIMIT_INFO_0_VN,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_INFO_0_VN,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
   {
      "genesis_plus_gx_enhanced_vscroll_limit",
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_ENHANCED_VSCROLL_LIMIT_INFO_0_VN,
      NULL,
      "hacks",
      {
         { "2", NULL },
         { "3",  NULL },
         { "4", NULL },
         { "5",  NULL },
         { "6", NULL },
         { "7",  NULL },
         { "8", NULL },
         { "9",  NULL },
         { "10", NULL },
         { "11",  NULL },
         { "12", NULL },
         { "13",  NULL },
         { "14", NULL },
         { "15",  NULL },
         { "16", NULL },
         { NULL, NULL },
      },
      "8"
   },
#ifdef HAVE_OVERCLOCK
   {
      "genesis_plus_gx_overclock",
      GENESIS_PLUS_GX_OVERCLOCK_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_OVERCLOCK_INFO_0_VN,
      NULL,
      "hacks",
      {
         { "100", OPTION_VAL_100_VN },
         { "125", OPTION_VAL_125_VN },
         { "150", OPTION_VAL_150_VN },
         { "175", OPTION_VAL_175_VN },
         { "200", OPTION_VAL_200_VN },
         { "225", OPTION_VAL_225_VN },
         { "250", OPTION_VAL_250_VN },
         { "275", OPTION_VAL_275_VN },
         { "300", OPTION_VAL_300_VN },
         { "325", OPTION_VAL_325_VN },
         { "350", OPTION_VAL_350_VN },
         { "375", OPTION_VAL_375_VN },
         { "400", OPTION_VAL_400_VN },
         { "425", OPTION_VAL_425_VN },
         { "450", OPTION_VAL_450_VN },
         { "475", OPTION_VAL_475_VN },
         { "500", OPTION_VAL_500_VN },
         { NULL, NULL },
      },
      "100%"
   },
#endif
   {
      "genesis_plus_gx_force_dtack",
      GENESIS_PLUS_GX_FORCE_DTACK_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_FORCE_DTACK_INFO_0_VN,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_addr_error",
      GENESIS_PLUS_GX_ADDR_ERROR_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_ADDR_ERROR_INFO_0_VN,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_latency",
      GENESIS_PLUS_GX_CD_LATENCY_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_CD_LATENCY_INFO_0_VN,
      NULL,
      "hacks",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL },
      },
      "enabled"
   },
   {
      "genesis_plus_gx_cd_precache",
      GENESIS_PLUS_GX_CD_PRECACHE_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_CD_PRECACHE_INFO_0_VN,
      NULL,
      "hacks",
      {
         { "disabled", NULL },
         { "enabled",  NULL },
         { NULL, NULL },
      },
      "disabled"
   },
#ifdef USE_PER_SOUND_CHANNELS_CONFIG
   {
      "genesis_plus_gx_show_advanced_audio_settings",
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SHOW_ADVANCED_AUDIO_SETTINGS_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "enabled",  NULL },
         { "disabled", NULL },
         { NULL, NULL},
      },
      "disabled"
   },
   {
      "genesis_plus_gx_psg_channel_0_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_0_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_1_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_1_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_2_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_2_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_psg_channel_3_volume",
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_PSG_CHANNEL_3_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_0_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_0_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_1_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_1_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_2_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_2_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_3_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_3_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_4_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_4_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_md_channel_5_volume",
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_MD_CHANNEL_5_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_0_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_0_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_1_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_1_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_2_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_2_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_3_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_3_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_4_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_4_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_5_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_5_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_6_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_6_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_7_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_7_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
   {
      "genesis_plus_gx_sms_fm_channel_8_volume",
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_LABEL_VN,
      NULL,
      GENESIS_PLUS_GX_SMS_FM_CHANNEL_8_VOLUME_INFO_0_VN,
      NULL,
      "channel_volume",
      {
         { "0",   NULL },
         { "10",  NULL },
         { "20",  NULL },
         { "30",  NULL },
         { "40",  NULL },
         { "50",  NULL },
         { "60",  NULL },
         { "70",  NULL },
         { "80",  NULL },
         { "90",  NULL },
         { "100", NULL },
         { NULL, NULL },
      },
      "100"
   },
#endif
   { NULL, NULL, NULL, NULL, NULL, NULL, {{0}}, NULL },
};
struct retro_core_options_v2 options_vn = {
   option_cats_vn,
   option_defs_vn
};


#ifdef __cplusplus
}
#endif

#endif